title: #CodeImpot : un hackathon autour de l’ouverture du code source du calculateur impôts
url: https://www.etalab.gouv.fr/codeimpot-un-hackathon-autour-de-louverture-du-code-source-du-calculateur-impots
hash_url: 037c1290a99c2e030ab70f72d4797092

<p>Pour la première fois en France, une administration va au-delà de l’ouverture des données publiques et met à disposition le code source d’un de ses calculateurs. La <a href="http://www.economie.gouv.fr/dgfip" target="_blank">Direction générale des finances publiques</a> (DGFiP) ouvre ainsi à tous le code source de son calculateur impôt. Pour accompagner cette ouverture, Etalab et la DGFiP organisent conjointement les 1er et 2avril, un hackathon de deux jours : <a href="https://twitter.com/search?q=%23codeimpot&amp;src=typd" target="_blank">#CodeImpot</a>.</p>
<p><strong>L’ouverture du code source d’un calculateur par une administration, une première en France</strong></p>
<p>La Direction générale des finances publiques mettra à partir du 1er avril le code source du calculateur impôt à la disposition de tous. Acte de transparence et de <a href="https://www.etalab.gouv.fr/gouvernement-ouvert">gouvernement ouvert</a>, cette ouverture permettra d’expliciter les modalités de calcul des impôts, dans l’esprit de l’<a href="http://www.assemblee-nationale.fr/14/projets/pl3318.asp" target="_blank">article 2 du projet de loi numérique</a>. Elle est aussi un gage d’innovation car de nouveaux usages pourraient en découler, à l’image du <a href="http://www.openfisca.fr/" target="_blank">micro-simulateur ouvert OpenFisca</a>, que ce code enrichira.</p>
<p>Ce code source sera présenté dans sa version 2014 qui a permis de calculer le montant d’imposition de 37 millions de foyers fiscaux. Il s’attache uniquement à la fiscalité des personnes. Développé par la DGFiP dans un langage dédié, le langage M, ce code source est transformé par Etalab en <a href="https://fr.wikipedia.org/wiki/Arbre_syntaxique_abstrait" target="_blank">arbre syntaxique abstrait</a> qui sert de base à une compilation en langage Python. Ces deux déclinaisons seront également mises à disposition au début du hackathon.</p>
<p><strong>#CodeImpot, un hackathon de deux jours pour accompagner l’ouverture du code source </strong></p>
<p>Pour accompagner l’ouverture et développer des cas d’usage, Etalab et la DGFiP organisent un hackathon autour de ce code source. Pourront en découler à travers différents ateliers des traductions de la « calculette impôt » vers d’autres langages de programmation, permettant le développement d’applications ou d’API Web, et des réutilisations par des chercheurs et des économistes pour réaliser des évaluations et des études.</p>
<p>Ce hackathon de deux jours aura lieu les 1er et 2 avril à la <a href="https://twitter.com/MozillaParis" target="_blank">fondation Mozilla</a> (<a href="http://www.openstreetmap.org/node/2883451098" target="_blank"><span class="street-address">16 Bis Boulevard Montmartre,</span> <span class="locality">Paris</span> </a><span class="postal-code"><a href="http://www.openstreetmap.org/node/2883451098" target="_blank">75009</a>). Développeurs, économistes, fiscalistes, venus de d’administrations, de startups ou encore de laboratoires : les participants intéressés sont <a href="https://www.eventbrite.fr/e/billets-codeimpot-21385456476"><strong>invités à s’inscrire aux deux jours du hackathon</strong></a>. Des agents de la DGFiP et les équipes d’Etalab et d’OpenFisca seront présents les accompagner dans leurs travaux. Les restitutions auront lieu le samedi 2 avril à partir de 17h où un large public est <a href="https://www.eventbrite.fr/e/billets-codeimpot-21385456476">également invité à s’inscrire</a>.<br/>
</span></p>
<p>Un <a href="https://mensuel.framapad.org/p/OpenImpots">Framapad</a> est <strong>ouvert</strong><strong> à la contribution de tous</strong> pour recenser en amont de l’événement les idées des participants. Ceux désirant travailler sur un sujet précis durant le hackathon auront également l’opportunité de le présenter en deux minutes dans la matinée du 1er avril afin de former un groupe de travail autour de celui-ci.</p>
<p>En s’engageant dans le mouvement d’ouverture des codes sources des logiciels, la DGFiP ouvre la voie à la transparence des calculs et algorithmes qu’ils produisent. Cette démarche inédite pourrait faire école dans d’autres domaines, comme le calcul des droits à la retraite ou bien l’affectation des élèves dans l’enseignement supérieur.</p>
<p><em>Légende : la data-visualisation ci-dessus représente les relations entre les variables du code source des impôts.<br/>
</em></p>
