title: The Lean UX Manifesto: Principle-Driven Design
url: http://www.smashingmagazine.com/2014/01/08/lean-ux-manifesto-principle-driven-design/
hash_url: 178740c41843109b2d3034da74746315

<p>My colleague Ajay and I have been working at incorporating lean UX at the enterprise level for over two years. In studying it, I find that <strong>there’s a temptation to lay down rules</strong>, and if the rules aren’t followed… well, then, you can’t call it lean UX. At the end of the day, though, some lean UX is better than none.</p>
<p>If you were told to finish off the following sentence, how would you do it?</p>
<blockquote><p>“You’re not practicing lean UX if…”</p></blockquote>
<p>I asked that very same question on Twitter, LinkedIn and email to some <a href="http://www.smashingmagazine.com/2011/03/07/lean-ux-getting-out-of-the-deliverables-business/">lean UX thinkers</a><sup class="po" id="note-1"><a href="#1">1</a></sup> out there. My personal conclusion is simple. Lean UX is a set of principles that may be used to guide you to better, more desirable solutions for users. It’s not a process in which each tool is rigidly applied.</p>
<p>Let me give you a real-world example. Co-location is a hot topic in the lean UX discussion. If you talk to experts and read their tweets and blogs, you might get the sense that if you’re not a co-located, <a href="http://lifehacker.com/5965280/follow-jeff-bezos-two-pizza-rule-to-avoid-the-dangers-of-groupthink">two-pizza-eating team</a><sup class="po" id="note-2"><a href="#2">2</a></sup>, then you can’t practice lean UX. I know that this is not the intent of <a href="http://www.amazon.com/Lean-UX-Applying-Principles-Experience/dp/1449311652">authors of resources on lean UX</a><sup class="po" id="note-3"><a href="#3">3</a></sup>, but it’s out there. Frankly, the situation is ideal, but if you work in a large company, it might not be the reality.</p>
<p><strong>The value of co-location is obvious.</strong> As Jeff Gothelf describes in his book <a href="http://shop.oreilly.com/product/0636920021827.do"><em>Lean UX: Applying Lean Principles to Improve User Experience</em></a><sup class="po" id="note-4"><a href="#4">4</a></sup>:</p>
<blockquote>
<p>“Nothing is more effective than walking over to a colleague, showing some work, discussing, sketching, exchanging ideas, understanding facial expressions and body language, and reaching a resolution on a thorny topic.”</p>
</blockquote>
<p>I couldn’t agree more, but in one of my projects, it’s not a reality. Our team is spread across three states, two countries and three companies. We believe, however, that we can still practice the fundamentals of lean UX successfully despite this, and I believe we do. Our methods might make a purist cringe, but we have a measure of success (and also measurable success).</p>
<p><a href="http://media.mediatemple.netdna-cdn.com/wp-content/uploads/2014/01/ux-discussion.jpg"><img src="http://media.mediatemple.netdna-cdn.com/wp-content/uploads/2014/01/ux-discussion.jpg" alt="ux-discussion" width="500" height="310" class="alignnone size-full wp-image-120359"/></a><sup class="po" id="note-5"><a href="#5">5</a></sup><br/>
<em>No matter where your colleagues are located, you can all still practice the fundamentals of lean UX. Image by <a href="http://www.flickr.com/photos/flat61/3883611573/">Claire Murray</a><sup class="po" id="note-6"><a href="#6">6</a></sup>.</em></p>
<p>So, what I really wanted to know when I asked the question above was, what are the absolute must-haves in order to be successful with lean UX?</p>
<p>Here are a few of my favorite responses to “You’re not practicing lean UX if…,” along with my reasons why (in brackets):</p>
<p>From <a href="https://twitter.com/hpdailyrant">Ha Phan</a><sup class="po" id="note-7"><a href="#7">7</a></sup>:</p>
<ul>
<li>“… your collaboration sessions with the team don’t include business goals and strategies.”<br/>
[As much as I want to focus on solving user problems, it won’t fly if we don’t consider where we are headed as a business and whether the activity fits in.]</li>
<li>“… you’re not defining KPIs [key performance indicators] and integrating analytics into each release.”<br/>
[Without a valid measurement, we can’t know whether we’re solving the problem. We have to be able to point to at least one number to know whether we’re failing or succeeding.]</li>
<li>“<strong>… you implement every single step in the design process</strong>, instead of picking and choosing from the design toolbox.”<br/>
[Lean UX is a set of principles and tools and should be applied as needed. We shouldn’t be ticking every box in a project management cycle.]</li>
<li>“… you’re creating long design specs for the vision of the entire product.”<br/>
[Users do not interact with requirements documents, specifications and wireframes; so, the quicker we get to the end product, the better. Let’s not get bogged down by deliverables in the interim. Rather, let’s create the lightest thing we can in order to communicate how to apply the thinking to the end design.]</li>
</ul>
<p>From <a href="http://www.jeffgothelf.com/blog/">Jeff Gothelf</a><sup class="po" id="note-8"><a href="#8">8</a></sup>:</p>
<ul>
<li>“… you are not managing towards outcomes (not outputs, feature sets, etc).”<br/>
[At the end of the day, we need to consider the bottom line. Sure, we’re building products, but more importantly, we’re building a business. Asking whether what we’re doing will make money is important? And if it will make money, how?]</li>
<li>“<strong>… you don’t have a willingness and the freedom or support to experiment.</strong>”<br/>
[This can’t be done without executive buy-in.]</li>
</ul>
<p>From <a href="https://twitter.com/MelissaHui">Melissa Hui</a><sup class="po" id="note-9"><a href="#9">9</a></sup>:</p>
<ul>
<li>“… you’re spending more time working on documentation than thinking about the design and collaboration with team members.”<br/>
[This is similar to what Ha said, but this identifies an interesting danger. Working on documentation tends to be a one-person activity that takes away from valuable collaboration.]</li>
<li>“… your development team is not seeing what they’re building until they have to build it.”<br/>
[The development team should be fully engaged and involved in the design process. Again, collaboration is key.]</li>
</ul>
<h3>The Lean UX Manifesto</h3>
<p>After receiving these responses, I felt compelled to create a manifesto. The responses helped me to focus on the guiding principles behind lean UX. I like the ones cited above because they focus not on a particular tool, but rather on the seeds of innovation behavior. After reading all of the tweets and emails and then thinking about the current toolset, I boiled down the manifesto to what follows below.</p>
<p>I didn’t do it alone. I enlisted the help of two colleagues who I also consider mentors: Ha Phan, quoted above, and Ajay Revels, my lean UX partner in crime. Visit the <a href="http://www.leanuxmanifesto.com/">Lean UX Manifesto website</a><sup class="po" id="note-10"><a href="#10">10</a></sup> for more of the back story.</p>
<p>So, here is what we believe:</p>
<blockquote>
<p>We are developing a way to create digital experiences that are valued by our end users. Through this work, we hold in high regard the following:</p>
<ul>
<li><strong>Early customer validation</strong> over releasing products with unknown end-user value</li>
<li><strong>Collaborative design</strong> over designing on an island</li>
<li><strong>Solving user problems</strong> over designing the next “cool” feature</li>
<li><strong>Measuring KPIs</strong> over undefined success metrics</li>
<li><strong>Applying appropriate tools</strong> over following a rigid plan</li>
<li><strong>Nimble design</strong> over heavy wireframes, comps or specs</li>
</ul>
<p>As stated in the Agile Manifesto, “While there is value in the items on the right, we value the items on the left more.”</p>
</blockquote>
<h3>How The Manifesto Works</h3>
<p>Let’s take each of these in turn and see how we can follow the principles of lean UX.</p>
<h4>Early Customer Validation Over Releasing Products With Unknown User Value</h4>
<p>What if you worked at a company where usability testing just wasn’t done? Unfortunately, this is the sad state in which many of our fellow UX practitioners find themselves. How, then, do they follow the principles of lean UX?</p>
<p>With usability testing, we seek customer validation or early failure. Customer validation may be sought through other means as well. For example, does your company gather feedback from users? If that feedback is circulated, are you on the list of people who receive it?</p>
<p>Here are other sources of learning about customer needs:</p>
<ul>
<li><strong>Customer service representatives</strong><br/>
Their focus is on helping customers overcome experience issues. Try to speak to them regularly. They are likely documenting their calls, so see whether you can create some system for tagging experience issues that you can follow up on.</li>
<li><strong>Sales representatives</strong><br/>
This is another group that is focused on the customer. They will understand what customer problems are out there to be solved. They’ll also know which features are important and which innovations customers want.</li>
<li><strong>Website search data</strong><br/>
This is an invaluable source of customer desires. Search data can uncover website navigation problems and features or problems that customers are looking for.</li>
</ul>
<p><a href="http://media.mediatemple.netdna-cdn.com/wp-content/uploads/2013/12/CustomerServiceRep.jpg"><img src="http://media.mediatemple.netdna-cdn.com/wp-content/uploads/2013/12/CustomerServiceRep.jpg" alt="Salespeople and customer service reps can be great sources of customer needs. " width="500" height="306" class="size-full wp-image-120149"/></a><sup class="po" id="note-11"><a href="#11">11</a></sup><br/>
<em>Salespeople and customer service representatives are great sources of learning about customer needs. (Image: <a href="http://www.flickr.com/photos/rzganoza/5689088327/in/photostream/">Renato Ganoza</a><sup class="po" id="note-12"><a href="#12">12</a></sup>)</em></p>
<h4>Collaborative Design Over Designing on an Island</h4>
<p>Design should not be a solo exercise. Being a design team of one is no excuse. I use the <a href="http://vimeo.com/37861987">design studio process</a><sup class="po" id="note-13"><a href="#13">13</a></sup> and adopt the role of facilitator. Gather team members who own a piece of the project, and host a design studio workshop. Include at least the following people (adjusting to suit your unique organization):</p>
<ul>
<li><strong>Domain owner</strong><br/>
Your subject matter expert</li>
<li><strong>Requirements Owner</strong><br/>
A business analyst or the person who gathers and writes the requirements</li>
<li><strong>Data provider</strong><br/>
A data analyst on hand who is familiar with the analytics and can pull the info you need</li>
<li><strong>Technology owner</strong><br/>
A developer, someone who understands the technology constraints and design patterns</li>
<li><strong>Product or business owner</strong><br/>
A product manager or the person who owns this piece of business</li>
<li><strong>Designer</strong><br/>
The UX or visual designer or person who owns the design and can facilitate the design studio</li>
<li><strong>Researcher</strong><br/>
The usability analyst or UX researcher or person who owns customer development and persona creation</li>
</ul>
<h4>Solving User Problems Over Designing the Next Cool Feature</h4>
<p>When you’re handed a requirements document, a thought-out solution, a feature, a brief or whatever artifact you receive to inform your work, begin by asking, “What problem are we trying to solve?” Ideally, you should clearly understand the customer’s problem. Design is problem-solving, so if you don’t know the problem, you can’t design a solution. If you do this enough, then the stakeholders will understand that you’re more than just a wireframe jockey. You’re a professional problem-solver with a system for creating solutions that make sense.</p>
<h4>Measuring KPIs Over Undefined Success Metrics</h4>
<p>You can’t measure success if you aren’t… er, measuring. Avoid vanity metrics. I love <a href="http://www.slideshare.net/dmc500hats/startup-metrics-for-pirates-long-version">Dave McClure’s pirate metrics</a><sup class="po" id="note-14"><a href="#14">14</a></sup>:</p>
<ul>
<li><strong>Acquisitions</strong><br/>
Users come to the website from various channels.</li>
<li><strong>Activation</strong><br/>
Users enjoy their first visit (a “happy” user experience).</li>
<li><strong>Retention</strong><br/>
Users come back, visiting multiple times.</li>
<li><strong>Referral</strong><br/>
Users like the product enough to refer others.</li>
<li><strong>Revenue</strong><br/>
Users conduct some monetization behavior.</li>
</ul>
<h4>Applying Appropriate Tools Over Following a Rigid Plan</h4>
<p>Lean UX should be a flexible process. As I started to develop the process steps for one cycle, I found myself overwhelmed with the number of tools being recommended. My advice, similar to what I’d say when creating a minimum viable product, is to apply the minimum tools required to get you to “pivot” or “persevere.”</p>
<p>Here are a few tools that I’ve found useful (not an exhaustive list):</p>
<ul>
<li>provisional personas, right sized for the effort;</li>
<li>persona map (which we learned from Menlo Innovations);</li>
<li>assumptions, with the riskiest identified;</li>
<li>design studio;</li>
<li>paper prototyping in early stages;</li>
<li>digital prototyping (HTML preferred) in later stages;</li>
<li>guerilla design assessment (a better name for usability testing);</li>
<li>co-location wherever possible.</li>
</ul>
<p><a href="http://media.mediatemple.netdna-cdn.com/wp-content/uploads/2013/12/DesignStudio.jpg"><img src="http://media.mediatemple.netdna-cdn.com/wp-content/uploads/2013/12/DesignStudio.jpg" alt="The design studio method is popular for collaborative design" width="500" height="375" class="size-full wp-image-120154"/></a><sup class="po" id="note-15"><a href="#15">15</a></sup><br/>
<em>The design studio method is popular for collaborative design. (Image: <a href="http://www.flickr.com/photos/visualpunch/10306535683/in/photostream/"> visualpun.ch</a><sup class="po" id="note-16"><a href="#16">16</a></sup>)</em></p>
<p>Everything else should be applied as it makes sense. For example, if more customer development is needed, then take the time to interview as a team and to internalize customer needs. The lean startup world has no shortage of tools. Use only the ones that make sense to your project and that get you to a validated solution faster.</p>
<h4>Nimble Design Over Heavy Wireframes, Comps or Specs</h4>
<p>The goal is to release a product. Once it’s released, users won’t interact with the wireframes or requirements document as part of the product. They will interact with the product itself. So, try to spend less time on your design artifacts.</p>
<p>How can you lighten your wireframes?</p>
<ul>
<li><strong>Lighter annotations and more presentation</strong><br/>
I’ve found that if I take the time to present my unfinished wireframes to stakeholders, I will get valuable feedback sooner and save time.</li>
<li><strong>Co-design</strong><br/>
If developers, quality assurance testers and business analysts are involved in the design, then they will share ownership and internalize the annotations. When this happens, you can pass off sketches as wireframes because team members will already understand the interactions.</li>
<li><strong>Paper prototypes</strong><br/>
These serve a dual purpose. They get you to design validation (i.e. usability testing) sooner, but they also demonstrate the interactions. No need to write detailed wire annotations if the user can see the interactions firsthand.</li>
</ul>
<p class="icad" id="cad-middle" data-ad-zone-id="97"/><h3>It’s All About Principle-Driven Design</h3>
<p>This all boils down to something that I call principle-driven design. As stated, some lean UX is better than none, so applying these principles as best you can will get you to customer-validated, early-failure solutions more quickly. Rules are for practitioners who don’t really know the value of this process, while principles demand wisdom and maturity.</p>
<p>By allowing principles to drive you, you’ll find that you’re more nimble, reasonable and collaborative. Really, you’ll be overall better at getting to solutions. This will please your stakeholders and team members from other disciplines (development, visual design, business, etc.). To quote the late Stephen Covey:</p>
<blockquote><p>“There are three constants in life: change, choice and principles.”</p></blockquote>
<p>That pretty much sums up lean UX.</p>
<p><em>(al, il, ea)</em></p>
<h4 class="po">Footnotes</h4><ol class="po"><li id="#1"><a href="#note-1">1 http://www.smashingmagazine.com/2011/03/07/lean-ux-getting-out-of-the-deliverables-business/</a></li><li id="#2"><a href="#note-2">2 http://lifehacker.com/5965280/follow-jeff-bezos-two-pizza-rule-to-avoid-the-dangers-of-groupthink</a></li><li id="#3"><a href="#note-3">3 http://www.amazon.com/Lean-UX-Applying-Principles-Experience/dp/1449311652</a></li><li id="#4"><a href="#note-4">4 http://shop.oreilly.com/product/0636920021827.do</a></li><li id="#5"><a href="#note-5">5 http://www.smashingmagazine.com/wp-content/uploads/2014/01/ux-discussion.jpg</a></li><li id="#6"><a href="#note-6">6 http://www.flickr.com/photos/flat61/3883611573/</a></li><li id="#7"><a href="#note-7">7 https://twitter.com/hpdailyrant</a></li><li id="#8"><a href="#note-8">8 http://www.jeffgothelf.com/blog/</a></li><li id="#9"><a href="#note-9">9 https://twitter.com/MelissaHui</a></li><li id="#10"><a href="#note-10">10 http://www.leanuxmanifesto.com/</a></li><li id="#11"><a href="#note-11">11 http://www.smashingmagazine.com/wp-content/uploads/2013/12/CustomerServiceRep.jpg</a></li><li id="#12"><a href="#note-12">12 http://www.flickr.com/photos/rzganoza/5689088327/in/photostream/</a></li><li id="#13"><a href="#note-13">13 http://vimeo.com/37861987</a></li><li id="#14"><a href="#note-14">14 http://www.slideshare.net/dmc500hats/startup-metrics-for-pirates-long-version</a></li><li id="#15"><a href="#note-15">15 http://www.smashingmagazine.com/wp-content/uploads/2013/12/DesignStudio.jpg</a></li><li id="#16"><a href="#note-16">16 http://www.flickr.com/photos/visualpunch/10306535683/in/photostream/</a></li></ol>
