title: What’s up with me?
url: https://helloanselm.com/writings/whats-up-with-me
hash_url: 25289703cb4dd3023c087715cddf6d55

<p>I’ve turned pretty silent over the past months here and on Twitter. And there’s a bunch of reasons for it that I now want to share.</p>
<h3>Digital Exhaustion</h3>
<p>It started a while ago that I lost my sould for web development, for working in the whole area. At the time I was Engineering Manager for a small team at <a href="https://laterpay.net/">Laterpay</a>. It was a great job, I had nice team mates but I realized that sitting in front of a computer all day isn’t something that’s going to work for about 30 more years for me. And when you realize this, it’s getting harder to do the work. I have backpain issues since over a decade, a good portion of it due to being in front of a device, steady and still standing or sitting, all day.</p>
<p>Last year I started the plan to grow more food in a new garden, to be more outside, less in front of a screen. My backpain issues and the lack of motivation, the feeling of being burnt-out from work empowered me to follow this sooner than later, so I quit my job beginning of March and focuses solely on being not in front of my usual devices all day. My days turned from at least 10hrs a day screen time towards less than 3hrs on average now.</p>
<h3>Nature and Outside Work</h3>
<p><a href="https://schaufelundgabel.de/en">Schaufel &amp; Gabel</a> is my latest project, my biggest so far in my entire life. My biggest because it’s a huge challenge to grow food entirely outdoors, without much support from others except my brother who’s my business partner here. My biggest because I never had to make such a big financial investment into starting a project so far. With digital tools it’s easy: Buy a computer, a screen, a desk, an office chair and pay a little bit for hosting and Internet.</p>
<p>With growing vegetables, this is an entirely different level. You need a lot of equipment for growing plants, you need professional seed starting soil, you need to heat the small self-built sowing greenhouse which costs a lot during cold times of the year, you need to buy a lot of stuff to make the soil better (okay, you don’t need to but I want), you need more tools, more utilities and you need to ask and pay your local farmer colleagues to help you out with the big machinery for initial digging and grubbing the soil to prepare the beds.</p>
<p>So yes, this changed my life quite a bit and my daily work with it. I had a 100 square meter garden so far, now I have to care about over 1200 square meters. I can now produce vegetables for more than 10 people already, and most likely this number goes up by next year when we’re more efficient. This feels great, it feels great to be outside all day, to feel the soil in my hands, to grow my own food and share it with others. Knowing that they don’t need to buy it from the supermarket where it comes from all over the world. Now they get it from their neighbourhood.</p>
<h3>Covid-19 and the Internet</h3>
<p>When the Covid-19 lockdown started in Germany, I was already registered as a farmer which belongs to our system-relevant jobs. Of course, because we’re producing food for others. But what it means for me is that I’m able to go to work every day, to a place of calmness, full of nature because it is all nature. And to go there, I can go by bike and do my 7km commute and calm my mind during these ~15 minutes of cycling.</p>
<blockquote>
<p>Being outside during this mentally difficult times is one of the biggest reliefs and helpful advice I can give.</p>
</blockquote>
<p>One thing I realized with the whole really mentally exhausting situation of a social lockdown is that the Internet isn’t really helpful. When I stopped reading newspapers and any other news, including Twitter and other social media, this helped me stay sane. It’s not that you don’t know about the latest news, the latest regulations. I always was up to date with that at latest by the next day. But I stopped dragging myself into more and more depressing news, more fear of a virus that is indeed a big issue for our society. On the other hand, anxiety and fear are fuel for viruses to spread, and it’s the worst for our immune system. </p>
<p>Blocking news away from me, not using the Internet much these days helped me a lot when feeling not well in the current lockdown situation. Going outside helped. Hearing about so many conspiracy theories these days makes me confident: SOcial Media isn’t helpful in such situations, it fuels anxiety, it fuels these theories and it doesn’t help making us happy. We should be happy in order to fight a virus, we should be connfident and strong so it doesn’t get a chance. Fair criticism is fine, conspiracy theories that are blindly follow opinions of single persons out there are not. Reflect, research your own, build your own opinion. But please don’t drag others blindly into wild theories, let them build their own opinion. Help them achieve it.</p>
<h3>A child was born…</h3>
<p>But yeah, I said I had multiple reasons that my life changed and the virus section already got longer than I intended it to be. Anyway, here’s the probably biggest news in my life: <strong>I became a father in early April.</strong> We’re now a family of three and it changed a lot: The days seem very short these days, everything takes a bit longer and “time is running short”. The nights are different, it’s now a couple of sleeping blocks with short breaks instead of 6–7hrs straight. But overall it’s warming my heart to have a small baby in our family. I learn a lot, for myself, about babies, about my mind, about how a family life is different to a no-child life. For me, I can’t complain and while son is crying multiple times a day and sometimes I can’t calm him down easily, it’s a huge enrichment to my life. He helps me stay sane during weird times, he helps me stay on track being a farmer for idealistic reasons—you don’t become farmer because of the money, I chose it because it’s mentally rewarding, manual work and a great chance to help stopping climate change and do things differently.</p>
<p>That’s it for this time, it’s the reason why the <a href="https://wdrl.info/">WDRL</a> is currently on hold for the first time ever but I’m very sure it’ll come back soon again with a new writing. It’s the reason why it took me a week to see this nice <a href="https://twitter.com/mxstbr/status/1255053482178097153">Twitter notification</a> and <a href="https://helloanselm.com/writings/open-source-can-be-a-career-path">video by Max Stoiber</a>.</p>
<p>Stay sane, stay healthy, reflect your thoughts and stay positive. Hear you soon!</p>