title: Introducing Verisign Public DNS: A Free Recursive DNS Service That Respects Your Privacy
url: http://blogs.verisign.com/blog/entry/introducing_verisign_public_dns_a
hash_url: 4da9dec1383dabe04082c24757e313cd

<img src="http://blogs.verisigninc.com/blog/mediaresource/dd4d87f1-538c-41aa-89bd-a32d7ae1c0da" align="right"/>
<p>There are two types of information that can be found online about you: the information you intentionally post and the information that is automatically collected.</p>
<p>The information that you intentionally post is what you want everyone to know about you. Your professional life is documented on LinkedIn. Your social activities with friends and family are chronicled on Facebook. You alert the world of your immediate thoughts on Twitter. You even choose to provide your address and credit card information when buying things online. All of this personal information about you is deliberately posted and collected with your consent.</p>
<p>This information that you intentionally post is not the only data that exists online about you. Every day, your surfing habits are monitored and analyzed through the use of your Internet browser. Your travel is tracked by the apps you use to get directions. Your personal style preferences are monitored by the online stores you shop. This mining of your private information is automatically collected and, in many cases, far more telling than what you choose to provide yourself.</p>
<p>Both types of information may be aggregated, sold and used by third parties.  These third parties may use large amounts of data from disparate sources to form a composite picture of your online behavior and then use the data to engage in malicious activity or serve you unwanted advertisements.</p>
<div><p>However, not all data mining is used for malicious or unsolicited purposes. It can help recommend restaurants in the area based on places you have frequented in the past. It can suggest new music or books based on streaming or past purchases. It can even monitor your health and let you know when you are cheating on your diet. All of this information increases your quality of life, and when used in these ways, you are comfortable turning over some private data. In fact, a </p><a href="http://www.emc.com/collateral/brochure/privacy-index-executive-summary.pdf?cmp=SO-BLOG">recent study</a><p> conducted by EMC showed that the majority of respondents, “Value the benefit of ‘easier access to information and knowledge’ that digital technology affords. Yet only 45 percent would be willing to trade some of their privacy for that easier access.”</p></div>
<p><strong>Your Digital Footprint</strong></p>
<p>If you are one of the 55 percent of individuals who are anxious about openly handing over your private information, what can you do? The first step is to determine your digital footprint. Your digital footprint is the collection of intentional and automatic records and online habits collected and aggregated about you. As you start to understand what your digital footprint may be, you can begin to take steps to manage it and decide what amount of personal data online is right for you.   </p>

<p><strong>Verisign Public DNS</strong></p>
<p>The Domain Name System (DNS) is involved in nearly every transaction conducted on the Internet. It translates your online requests into a set of navigation instructions to get you to the right location. It is also one of the richest data sources about your online activities. Recursive DNS is a critical component of the overall DNS ecosystem.  Many people today unknowingly default their DNS settings to use a recursive DNS service provided by their Internet service providers (ISP) or use another cloud recursive provider without realizing that their online data may be collected and sold to the highest bidder. </p>
<p>Verisign Public DNS, our new free recursive DNS service that leverages Verisign’s extensive DNS experience and expertise, respects your privacy. Verisign will not sell your public DNS data to third parties or redirect your failed queries to sites that serve you ads. It also offers improved DNS stability and security over other alternatives. </p>
<p>Why choose Verisign Public DNS?</p>
<div>
  <ul>
    <li>Stability: Confidence in a highly reliable public DNS platform</li>
    <li>Security: Robust protection from security flaws</li>
    <li>Privacy: Assurance that your public DNS data will not be sold to third parties</li>
  </ul>
</div>
<p>To take advantage of this service offering, just configure your device to use our public DNS addresses:</p>
<p>64.6.64.6</p>
<p>64.6.65.6</p>

<p><strong>Defense in Depth</strong></p>
<p>Although there is no single solution that can solve all privacy issues, there are still things you can do to protect yourself. Privacy is a lot like security, you have to address it in layers. This layering is also referred to as “defense in depth.” Think about it this way: To protect your house from burglars, you might install deadbolt locks on the doors, you might leave a light on, and you may even install a security system. Every one of these actions by themselves can lower the possibility that your house is targeted.   However, together, they create a strong perimeter of defense. The same holds true when addressing your online privacy.  By choosing Verisign Public DNS, you are contributing to a stronger perimeter of defense for your DNS data privacy.</p>
