title: Against Decentralization
url: http://pudo.org/blog/2015/11/04/against-decentralization.html
hash_url: 50ba5b70350c8d38b7e435ca8452d22d

<p>In the free software/open web community, the notion that the web should be
decentralized is more than a shared ideal, it is a piece of dogma.</p>

<p>It is key to all the characteristics of the web that we are most proud of:
diversity, innovation, the competition of ideas rather than bank accounts.
There are plenty of great reasons to strive for decentralization. Zittrain's
<a href="https://en.wikipedia.org/wiki/The_Future_of_the_Internet">The Future of the Internet</a> and van Schewick's <a href="http://netarchitecture.org/">Internet Architecture and Innovation</a> make brilliant arguments in this regard.</p>

<p>But it's obviously also a troubled model, and the majority of the web is moving
towards more centralized services. Facebook, Google, Apple, Amazon or even
GitHub and Slack. Most open web advocates stand in opposition to this. They opt
to build small, open source alternative <a href="https://sandstorm.io/">solutions that anyone can run on their
own server</a>.</p>

<p>If you squint really hard, these things kinda, sorta look like the
real thing. But, fundamentally, this is the <a href="https://en.wikipedia.org/wiki/Ersatz_good">Ersatz web</a> for the nerdy elite. Even worse, it puts open web developers - in a very
literal sense - in a conservative, rather than in a progressive position.</p>

<p>Ad-based data centralization models and cloud services might not be the most
sustainable thing on the planet, but for the moment they simply beat the shit
out of the open web. Our formulaic response is to claim that this is just a
"UX problem". This argument is in total, blissful disregard of the economics
involved.</p>

<p>Making decentralization the only strategy for the open web is a big bet, with
little evidence in it's favor. What are the alternatives?</p>

<p>Figuring out how to get better at making open centralized services is one.
Pushing for innovative government regulation of monopolistic platforms is
another.</p>

<p>Germany <a href="https://en.wikipedia.org/wiki/ARD_(broadcaster)">invests 7.6bn Euro a year</a>
into publicly financed news and entertainment media; to make sure that voters
are well-informed and have access to diverse sources of information. While
there's already the odd iPhone app and web site coming out of this, it's time
to fundamentally renegotiate this system for the digital age. Using this money,
we can create public spaces on the web - free software, open knowledge, digital
public goods.</p>

<p>Even a percentage of this fund (and <a href="https://www.mysociety.org/2014/10/16/its-time-to-talk-about-digital-public-service-corporations/">it's UK sibling</a>) would provide enough
resource for Europe to get out of the unhealthy pattern of trying to emulate
Silicon Valley. Instead, we can create an alternative model. One in which
the web is more than a way to connect ads and eyeballs.</p>

<p>The main benefit of decentralization over such alternatives is that it
minimizes the extent to which we have to engage with real-world politics and
the economics of operating large-scale web services. We are deeply infatuated
with the notion of solving political problems through technology.</p>

<p>The poster child of this, of course, is Bitcoin and the blockchain. While ideas
like smart contracts are genuinely innovative and interesting, the naive dream
of digital currencies remains that they will catapult us into libertarian
nirvana, a world in which all politics is protocol.</p>

<p>Many smart political choices are embedded in the core of internet architecture.
But there's an equal number of risks - network effects, data silos - that
technology just wasn't able to avoid. We shouldn't be stuck re-fighting those
lost battles, but instead commit to using political process to address them.</p>

<p>This means working with government. You know, the thing our buddy Barlow said
didn't exist in cyberspace but that somehow still got full take on our web
traffic. It's no longer cool to engage with government only when they're about
to screw things up - net censorship, surveillance, copyright policy - and to
pretend that all political issues on the web can be solved given enough
distributed hash tables.</p>

<p>So, what's the alternative to decentralization? Laws. Public service websites.
Creating commons infrastructure. But let's just not pretend any more that the
future of the web is all about better UX for our IRC clients.</p>
