title: The Conjoined Triangles of Senior-Level Development
url: http://frontside.io/blog/2016/07/07/the-conjoined-triangles-of-senior-level-development.html
hash_url: 92a3e2c0f21667733b20899daaad75af

<img src="http://frontside.io/blog/2016/07/07/the-conjoined-triangles-of-senior-level-development/sv-conjoined.jpg"/>
</figure>

<p><em>My man Stephen Tobolowsky lays down the conjoined triangles.</em></p>

<h3>“This actually makes me feel less confident about <em>my</em> role here. If we can’t define what we think senior is, how am I supposed to know if I’m working toward it?”</h3>

<p>At Frontside, we gather every Tuesday afternoon for our company meeting, where we talk through our accomplishments and plans for the coming week.</p>

<p>In a recent meeting, we talked about our search for a senior developer to join the team, and you could see passions flare. No decision we can make impacts the company quite like bringing on a new team member, so naturally we all had strong opinions about the qualifications we were looking for.</p>

<p>However, <em>not one person</em> in the room could crystallize our thoughts on what qualifies as “senior” above a general gut feeling.</p>

<p>One person chimed in with the quote above, and I realized that we’d stumbled onto one of the biggest problems in our entire company: <strong>we had no idea how to define the role we’re trying to hire for and grow our developers toward.</strong></p>

<h2>The problem of defining “Senior Developer”</h2>

<p>For my part, I’ve come to distrust the term “Senior Developer”, particularly after being given that title after 9 months of professional programming experience to fit into a salary band.</p>

<p>In fact, <strong>if you ask two experienced developers to specify their definition of “senior”, I guarantee you will find serious conflicts between their answers.</strong></p>

<p>The question of what qualifies as a “Senior Developer” is both context-dependent and so malleable that our industry squishes it into whatever shape fits their current needs.</p>

<p>Here are some actual, real-world definitions I’ve seen used to justify the label “Senior Developer”</p>

<ul>
<li>15+ years of programming experience</li>
<li>2 years of programming experience and decent leverage</li>
<li>1 year of experience in a hot new 1-year-old framework</li>
<li>Having authored a technical book</li>
<li>Writing Comp Sci algorithms on a whiteboard</li>
<li>Writing an open source library used within the company</li>
</ul>

<p>That’s a pretty broad range of definitions. But lots of stuff in life is hard to define, so what’s the problem?</p>

<h2>Why bother defining it? What’s wrong with a gut feeling?</h2>

<p>In our meeting, when our team member pointed out their confusion, they were pointing out that we are hiring, firing, and promoting people based on criteria we can’t define or defend. They’re right, that is <em>bananas</em>.</p>

<p>Worse, we were <em>failing at our core mission</em> of growing developers by not clearly marking the path we’re trying to help them travel.</p>

<p>There’s another, larger problem with “I’ll know a senior developer when I see one”: <strong>“Senior Developer” is a profoundly effective vector for bias.</strong></p>

<h2>“Senior Developer” as a way to enshrine bias</h2>

<p>When we picture a wise senior developer, we each have our own experiences and preferences that color this picture in for us. That means the term is already spring-loaded with a bunch of our own baggage.</p>

<p>When we take a “gut feeling” sense of someone’s seniority without specific criteria, there is basically no way to counteract our own biases, but we still make a judgement. <strong>It’s completely possible for a person applying to multiple dev jobs to be evaluated as junior at one, mid-level at another, and even senior at another, with very little feedback as to why.</strong></p>

<p>And as hiring managers, we all feel correct when making these judgements, even as we reach vastly different conclusions.</p>

<p>The result is a reinforcement of existing biases that keeps some people from progressing, while resulting in “title inflation” for others. Since <strong>existing biases in tech are strongly and undeniably tilted toward white males</strong>, the existing “gut feeling” system disproportionately harms women and people of color.</p>

<h2>Why haven’t we solved this?</h2>

<p>This definition is an extremely hard problem, since it’s heavily dependent on the context of the work environment. Most business owners are just making this stuff up as they go along, and the solution we tend to wind up with seems to be “good enough”.</p>

<p>There’s also no incentive, because <strong>defining criteria takes a lot of the “gut decision” power away from founders/owners and adds accountability.</strong> Who sits around asking for less power and more accountability for themselves?</p>

<h2>Injecting accountability</h2>

<p>I like accountability. I take comfort in it. I’ve learned that being held accountable for something is quite liberating. For instance, being clear about the criteria we use to hire someone leads to less regret than “going with my gut”, <strong>which can be affected by everything from someone’s ability to riff on Simpsons quotes with me to whether I skipped breakfast that day.</strong></p>

<p>Accountability also opens the door for improvement. As the hiring manager, I’m responsible for fostering a safe, capable, happy, diverse team. Improving and working toward those goals can either happen by gut feelings and dumb luck, or we can define, measure, and hold ourselves accountable for iterating toward those goals.</p>

<p>Accountability moves us from being passengers to drivers of our own future.</p>

<h2>It starts with responsibilities</h2>

<p>The question becomes: <strong>How can we create and use quantifiable criteria for seniority without creating a deeply flawed, highly game-able system?</strong></p>

<p>The only fair way I can think of to judge a candidate is asking a few key questions: <em>What are this person’s responsibilities? How likely are they to be able to fulfill them? How much help will they need?</em></p>

<p>We started by defining our environment. When we examine the key attributes of the environment at Frontside, it starts to become clear:</p>

<ul>
<li>Being small means that people need to take the lead in several roles to solve problems from start to finish. There are no “cogs” in this machine.</li>
<li>We rely and build on the strength of our internal community and the larger communities we participate in, particularly in open source.</li>
<li>We have extremely ambitious technical goals and standards for the maintainability and usability of the code we write.</li>
</ul>

<p>The resulting responsibilities are then pretty easy to determine:</p>

<ul>
<li><strong>Provide clear technical and project guidance for their teammates and our clients</strong></li>
<li><strong>Mentor, teach, and contribute internally and in larger programming communities</strong></li>
<li><strong>Ship software that is a joy to its users and to the developers who extend and maintain it</strong></li>
</ul>

<p>Together, these responsibilities form the basis of the criteria we use to assess seniority.</p>

<h2>The Conjoined Triangles: The simple explanation</h2>

<p>I recently had a chance to dig into the definition of “senior” at a number of companies, large and small, and came away with only one common denominator.</p>

<p>The simplest explanation of seniority across companies is this: <strong>How much direction will this person need, and how much will they be able to provide to others?</strong></p>

<figure alt="The Conjoined Triangles of Senior-level Development">
  <img src="http://frontside.io/blog/2016/07/07/the-conjoined-triangles-of-senior-level-development/conjoined.jpg"/>
</figure>

<p>I stand by the Conjoined Triangles of Senior-Level Development as a nice idea, but like Action Jack’s “Conjoined Triangles of Success”, it’s enough of an oversimplification to shed its intrinsic meaning.</p>

<p>Even with this understanding, the door is wide open to inject bias, miss important criteria, and overvalue higher-visibility things like public notoriety or the ability to speak computer science lingo.</p>

<h2>In the meeting, a new framework emerges</h2>

<p>A really cool thing happened during the heated meeting. As I was describing this simple “unified field theory”, another employee put forward a new mental model to organize our thinking around this.</p>

<p>She described the framework we use to determine seniority at Frontside as a Venn diagram, the intersection of how well a person works independently and leads, how technically capable they are, and how well they connect and contribute to a larger community.</p>

<h2>The Venn diagram: The more complex explanation</h2>

<figure alt="The Three Tracks of a Senior-level Dev">
  <img src="http://frontside.io/blog/2016/07/07/the-conjoined-triangles-of-senior-level-development/venn.jpg"/>
</figure>

<p>Our evaluation of seniority does, in fact, roll up to the higher definition: <em>“How much direction will this person need, and how much will they be able to provide to others?”</em> But as our employees pointed out, when we stop there, there’s a ton of room for confusion.</p>

<p>So how can we decide how well a candidate is likely to perform their responsibilities? <strong>How do we anchor our evaluation criteria to something concrete, without killing it by turning it into a mathematical formula?</strong></p>

<p>When we boiled down what we’re looking for, we came away with 12 traits that divide pretty cleanly along those three areas of responsibility: <strong>technical capability</strong>, <strong>leadership</strong>, and <strong>community</strong>.</p>

<p>I’ll break the 12 traits down in detail in the next post, but for now, we’ll just hit the high points.</p>

<h2>The tracks</h2>

<p><strong>Technical capability:</strong> A person with high technical capability is technically curious, tackles problems without giving up, and produces solutions that less-experienced folks can use, maintain, and learn from.</p>

<p><strong>Leadership:</strong> A person with leadership skills knows how to develop and follow a sense of purpose, in themselves and in others. They are willing to point out, own, and fix things that are broken about our company and in their own career tracks.</p>

<p><strong>Community/Connectedness:</strong> A person with community skills has a sense of being part of a larger whole, a desire to contribute, a sense that the other people (i.e. coworkers, users, clients) are not simply characters in his or her own movie, but fully-realized individuals.</p>

<h2>What about “culture fit”?</h2>

<p>We initially almost called the Community &amp; Connectedness track “culture fit”, but I have come to be highly suspicious that this term is a <a href="https://en.wikipedia.org/wiki/Clich%C3%A9#Thought-terminating_clich.C3.A9">thought-terminating cliché</a>. <strong>“Culture fit” is a junk drawer</strong> for all the stuff you want to see in a developer that you can’t otherwise define, and it’s an ideal hiding place for intrinsic biases.</p>

<p>When we defined the criteria that make Frontside’s culture unique, the common trait is the idea of connectedness as defined above.</p>

<h2>Measuring seniority across 3 disparate tracks</h2>

<p>Remember the three areas, <strong>technical capability</strong>, <strong>leadership</strong>, and <strong>community</strong>? Each of these tracks has a junior-to-senior path all its own.</p>

<p>It’s now common for a person to switch careers and come out of a code bootcamp with seniority in leadership and connectedness, while being junior in technical capability. Conversely, a skilled, formally-trained technician may be missing experience in both leadership and connectedness.</p>

<p><strong>Very few qualify as senior in all three categories.</strong> In fact, <em>it’s unlikely a person will even be interested</em> in becoming senior in all three categories. At Frontside, we define seniority as a blend of these tracks and work to help people level up where they feel like they want to improve.</p>

<h2>Artifacts: The only measuring tape you’ve got</h2>

<p>The measure of seniority in each track requires evidence. If you’ve done something, you likely have some kind of artifact as a result.</p>

<p>The 12 traits we’ll discuss in the next post each come with concrete artifacts a candidate can point to to show that yes, they have developed those traits over time and with practice.</p>

<p>But taken as a whole, <strong>a couple of well-developed and deeply-practiced traits in an area are likely to qualify a person as senior in that area.</strong></p>

<p>For instance, if a person can talk you through the code they’ve written across various programming languages, they probably peg the “curiosity” trait pretty high. Combine that with the rigor to write thorough, high-quality tests for the majority of their projects and hook it up to Continuous Integration, you’re probably looking at someone we’d consider technically senior.</p>

<p>Or, if someone has a long history of mentoring others, organizing meetups, or creating tools that make others’ lives easier, it’s likely we’d consider them senior on the community track.</p>

<p>If a person has managed a few teams before, they have likely learned and developed processes to handle the very real challenges there. Combine that with the ability to get to the purpose or root of an issue, and you have someone we’d call senior on the leadership track.</p>

<h2>How we define “Senior”</h2>

<p>Our measure is that if someone is senior on the technical track and either the leadership or community track, they’re senior to us. We can help level them up on the remaining track if they want.</p>

<p>If they’re senior on the community and leadership side, we consider them senior if they are high-mid-level on the technical track.</p>

<p>As a real-life example: About a year ago, we hired a new employee as a junior developer, because we knew on the technical side they needed a ton of direction for at least the first six months.</p>

<p>At six months, they were solidly mid-level technically, and within their first year, by our estimation, they were already senior. I can say this with confidence because when they left, we realized that to fulfill their job functions, we’d need to hire a senior developer.</p>

<p>This happened because when they started with us, they were already senior on the community and leadership tracks, so <strong>all they needed was a boost on the technical side</strong> to perform the job of a senior dev on our team.</p>

<h2>Technical skills aren’t enough</h2>

<p>For someone with technical skills but little experience in community or leadership, <em>“You don’t qualify as senior by our standards”</em> is not music to their ears. But for the job responsibilities they’ll have with us, we would consider that person mid-level until we can help strengthen one or both of the remaining tracks for them.</p>

<p>Many shops only measure along the technical axis, but it simply doesn’t work for a company of our small size and collaborative work style. I also worry that those who only measure technical skill are buying into the dangerous “lone genius developer” myth, cheating the developer out of the serious boost they’d gain by adding leadership or community-oriented skills to their technical savvy.</p>

<p>Even in larger companies with more focused roles, <strong>I’d like to see a broader definition of “Senior Developer” that encompasses the code and non-code skills we use</strong> and that allow us to work effectively, particularly in teams and with real customers.</p>

<h2>How long does it take to become senior?</h2>

<p>Does “Senior developer” mean “X years of experience”? Well, I don’t see it happening inside of 5 years for anyone. It would be difficult or impossible to develop the traits needed to reach senior-level in any of these tracks in less than several years, much less along multiple tracks.</p>

<p>But “5 years of experience” doesn’t necessarily mean “5 years of software development experience”. A person who has already climbed the Leadership and/or Connectedness tracks need only hook that up to their increasing technical skills to provide a tremendous amount of value as a software developer.</p>

<p>Our hiring “secret sauce” largely stems from the fact that <strong>it seems to take significantly less time for someone with leadership and community skills to develop technical skills than the other way around.</strong> I’m seeing a large number of people who graduated from code bootcamps 3 and even 2 years ago now handily and gracefully filling the role of senior developer.</p>

<h2>There’s more to discuss</h2>

<p>This leaves many questions unanswered. What are the specific artifacts we use to evaluate skills and traits in the three areas? How can you evaluate for these before and during an interview? How do we tie these evaluations to something as concrete as someone’s salary?</p>

<p>How does this framework apply to non-senior developers? How and when do developers advance? What’s the difference between a Junior, Mid, and Senior? What exists between them? <strong>Are these terms devoid of meaning and in need of replacement?</strong></p>

<p>Lastly, how does this framework apply (if it applies at all) to other companies with vastly different cultures and needs from Frontside?</p>

<p>In the next post, we’ll dive into specifics to answer these.</p>

<h2>Moving past “gut feelings”</h2>

<p>Defining “senior” is an ongoing and surprisingly difficult process, but we do it because it’s business-critical for us. Without a clear definition of “senior developer", we have no clear path for our own employees to get there. We have no concrete way to evaluate people joining the team, no way to hold ourselves accountable, and no way of improving the process.</p>

<p>As an industry, it’s time to graduate from the “I’ll know it when I see it” definition toward something we can define and share. <strong>Let’s bring open source thinking to how we hire and grow our people.</strong></p>

<p>I hope to answer the major lingering questions in the next post. If you have questions or a different definition, you can find me on Twitter (<a href="http://twitter.com/tehviking">@tehviking</a>) or better yet, write a post with your own thoughts and I’ll link to it.</p>
