title: Syndication mon amour
url: https://openweb.eu.org/articles/syndication-mon-amour
hash_url: 9e92a5ac171038de1c58a2ab90e98c0e

<h2>Le besoin</h2>
<p>Partons du principe que tous les jours, vous naviguez sur des sites Internet. Pour cela, vous utilisez généralement un navigateur Web, comme Internet Explorer, Firefox, Chrome ou Safari. Lors de votre première visite sur un site, vous découvrez les contenus et services proposés. Formidable. Maintenant, laissons passer plusieurs jours et imaginons que vous ressentiez le besoin de revenir sur ce site. L’une des questions qui va se poser le plus fréquemment est « Quelles sont les nouveautés ? ». Vous allez donc chercher une rubrique quoi de neuf ou directement chercher les nouveaux contenus, les nouveaux produits, les nouvelles actualités, etc.</p>
<p>Maintenant, plaçons-nous dans une autre situation : et si vous deviez faire ceci pour plusieurs sites. Quelques exemples :</p>
<ul class="spip"><li> Surveiller les nouvelles petites annonces qui sont publiées sur plusieurs sites pour un produit donné,</li><li> suivre les news publiées sur différents organismes de presse,</li><li> suivre les derniers posts d’un ou plusieurs blogs,</li><li> surveiller l’activité d’un ou de plusieurs concurrents,</li><li> veiller sur des ressources et magazines professionnels ou pas,</li><li> agréger sur votre poste de travail,</li><li>  …</li></ul>
<p><strong>Comment mener à bien ces différentes tâches ?</strong></p>
<p>La première solution consiste à aller voir tous ces sites, et pour chacun de ces sites, regarder si une nouveauté a été publiée. Même si ces nouveautés sont faciles à trouver, vous risquez d’y passer pas mal de temps, et surtout, pendant tout ce temps, il faudra que vous soyez connecté.</p>
<p>Dans le cas contraire il vous faudra avoir autant d’onglets ouverts dans votre navigateur que de ressources à consulter pour une utilisation hors ligne. Heureusement il existe différentes solutions, dont une qui nous intéresse particulièrement : <strong>la syndication de contenus Web</strong>.</p>
<h2>De quoi s’agit t-il ?</h2>
<p>Pour un producteur de contenus, la syndication de contenu Web consiste à mettre à disposition un flux d’information contenant tout ou partie des contenus proposés. En pratique, à chaque nouvelle publication de contenu, un petit fichier au format <abbr title="Really Simple Syndication" lang="en" xml:lang="en">RSS</abbr> ou Atom sera mis à jour sur le serveur web. Ce fichier est mis à disposition sur les serveurs web et il devient lisible depuis l’extérieur. L’un de ses grands avantages est qu’il est structuré et qu’il est donc lisible par des logiciels.</p>
<p>Cette technologie n’est pas nouvelle, et Openweb vous en avait déjà montré les bases il y a 8 ans déjà :</p>

<p>Note : selon Wikipedia en français, la syndication de contenu Web est une forme de syndication dans laquelle une partie d’un site est accessible depuis d’autres sites. Cela est possible en y ajoutant une licence accordée à ses utilisateurs. Bien souvent, la syndication consiste à mettre à disposition un flux <abbr title="Really Simple Syndication" lang="en" xml:lang="en">RSS</abbr> avec l’en-tête du contenu récemment ajouté au site Web (par exemple, la dernière nouvelle (news en anglais) ou le dernier message (post en anglais) du forum.</p>
<p>Bien, c’est peut-être encore un peu abstrait, il est temps d’aller regarder un flux de syndication en vrai.</p>
<ol class="spip"><li> Dans le navigateur Firefox, choisissez dans le menu Affichage &gt; Barres de menus &gt; Personnaliser</li><li> Dans la liste d’icônes qui apparaissent, choisissez l’icône « S’abonner » et placez-la à côté de votre barre d’adresse.</li><li> À partir de maintenant, lorsque votre navigateur détectera un flux de syndication, il vous affichera ce bouton en mode activé</li><li> Si vous n’y êtes pas encore, rendez-vous à l’adresse <a href="http://openweb.eu.org" class="spip_url spip_out auto" rel="nofollow external">http://openweb.eu.org</a> et vous verrez que c’est le cas, grâce au code ci-dessous :</li></ol><pre>
&lt;link rel="alternate" type="application/rss+xml" title="Syndiquer tout le site" href="http://openweb.eu.org/?page=backend" /&gt;
</pre>
<p>Regardons un fichier de syndication, au hasard voici le principal flux de syndication d’Openweb (<a href="http://openweb.eu.org/?page=backend" class="spip_out" rel="external">http://openweb.eu.org/?page=backend</a>).</p>
<p>Ce fichier contient des items, correspondant aux derniers articles. Les plus curieux d’entre vous peuvent accéder au code du fichier (<abbr title="Really Simple Syndication" lang="en" xml:lang="en">RSS</abbr> en l’occurrence).</p>
<h2>Comment consulter le fichier ?</h2>
<p>À tout moment, il est possible d’accéder  à ce fichier depuis votre machine et afficher les informations qu’il contient.</p>
<p>Voici ce que cela donne, par exemple sous Thunderbird :
<br/><a href="http://openweb.eu.org/IMG/jpg/syndication-thunderbird.jpg"><img src="http://openweb.eu.org/IMG/jpg/syndication-thunderbirdl.jpg" alt="Syndication sous Thunderbird (en image)"/></a></p>
<p>À ce propos, il faut maintenant se demander où afficher ces contenus. Il existe de nombreuses options :</p>
<ul class="spip"><li> Afficher des flux de syndication dans un logiciel installé sur votre poste, appelé <a href="http://fr.wikipedia.org/wiki/Agr%C3%A9gateur#Agr.C3.A9gation_en_local_.28logiciels.29" class="spip_out" rel="external">agrégateur de contenu</a>. Celui-ci peut :
<ul class="spip"><li> être dédié spécifiquement à la lecteur de flux (exemple : Vienna)</li><li> être dédié à d’autres missions  (logiciel de mail ou navigateur web, qui vous servira alors d’agrégateur)</li></ul></li><li> Afficher un flux de syndication dans un service Web (Google Reader, Netvibes, voir d’<a href="http://fr.wikipedia.org/wiki/Agr%C3%A9gateur#Agr.C3.A9gation_en_ligne" class="spip_out" rel="external">autres services Web de syndication</a>)</li><li> Afficher un flux de syndication  dans une page ou un site Web (regardez l’agrégation de flux proposée par Openweb sur sa page d’accueil)</li><li> Afficher un flux de syndication sur un frigidaire. Et pourquoi pas, cela viendra peut-être ?</li></ul>
<p>Exercice : Imaginons maintenant que vous souhaitiez surveiller les actualités publiées sur plusieurs médias. Vous allez devoir tout d’abord vous abonner à chaque flux de syndication de chacun de ces sites, mais dès que cela sera fait, vous pourrez instantanément consulter l’ensemble des nouvelles informations disponibles sur votre poste de travail. En quelques secondes, vous aurez obtenu <strong>une vue d’ensemble des nouveaux contenus publiés sur de multiples sites</strong>. Les contenus disponibles contiennent généralement un titre, un résumé, et quelquefois le contenu intégral.  Si ce n’est pas le cas, vous devrez suivre un lien vers le site internet pour accéder aux contenus dans leur intégralité. Bien sûr, tout ce que vous aurez téléchargé sur votre poste deviendra disponible hors ligne, sans connexion. D’un point de vue de la productivité ou de la veille c’est une technologie redoutable. Une opération qui durait plusieurs dizaines de minutes et des centaines de clics devient possible en quelques secondes.</p>
<p>Ce n’est pas le seul avantage : <strong>la technologie de syndication est intrinsèquement accessible</strong>. Elle l’est au sens large, car un contenu devient disponible pour tous, mais aussi au sens de l’accessibilité aux personnes handicapées puisque l’opération met à disposition des contenus sous forme structurée et donc forcément au minimum lisibles par des machines.</p>
<p>La technologie est disponible, elle repose sur des formats ouverts, est largement répandue, relativement facile à déployer, et pourtant elle est en danger et peut-être en passe de s’éteindre. Voyons pourquoi.</p>
<h2>Le côté obscur</h2>
<p>La syndication semblait une technologie d’avenir et pourtant elle ne s’est pas développée aussi fortement qu’on aurait pu le penser. Existe-t-il des coupables ? Oui certainement et, vous allez voir, ils sont nombreux : c’est tout simplement <strong>nous tous</strong>.</p>
<h3>Les producteurs de contenus</h3>
<p>Mettez-vous à la place d’un producteur de contenus : un utilisateur équipé d’un agrégateur ne viendra pas systématiquement chercher les nouveautés sur son site. Il va tout d’abord regarder le titre, consulter un extrait et peut-être alors venir sur le site. Si le contenu de l’article est intégralement en place dans le flux de syndication, l’utilisateur n’aura pas forcément de raison de se rendre sur le site. Et cela n’est absolument pas neutre en termes d’audience, d’affichage de publicités, de nombre de pages vues. Or comme vous le savez, il est souvent onéreux de publier des contenus de qualité sur le web, et la rentabilité est un facteur décisif.</p>
<p>Il est donc nécessaire de pouvoir mesure l’audience correspondant aux vues hors site. Certains services existent mais d’une certaine manière, il y a une vraie perte de contrôle, un vrai lâcher-prise pour les créateurs de sites à proposer des flux de syndication.</p>
<p>Cette nécessité de lâcher-prise sur la forme est souvent perçue de façon négative, mais <strong>elle n’a pas que des inconvénients</strong> : certains visiteurs préfèrent consulter les contenus syndiqués qui permettent une consultation plus libre, et surtout aisément adaptable à leurs besoins. De plus, la cohérence des affichages des flux dans un agrégateur représente un réel gain de productivité. Dans ce cas, proposer des contenus syndiqués permet d’élargir son audience.</p>
<p>Pour finir, <strong>les producteurs de flux de syndication</strong>, même s’ils lâchent prise sur certains aspects, <strong>en sont et en restent les propriétaires</strong>, ce qui est moins évident sur des plateformes comme Facebook ou Twitter qui comme nous allons le voir plus loin ont tendance à les remplacer.</p>
<h3>Les navigateurs</h3>
<p>Les navigateurs, soucieux de simplifier au maximum leurs interfaces, ont décidé de supprimer les boutons signalant la détection d’un ou plusieurs flux, et la possibilité de s’abonner. Il faut savoir que pour les navigateurs, l’occupation de chaque pixel par une fonctionnalité représente un coût, une charge mentale supplémentaire pour les utilisateurs. En réalité, chaque bouton proposé à l’installation d’un navigateur va impacter l’apprentissage de la fonctionnalité qui lui correspond. Dans le cas d’une fonctionnalité un peu évoluée comme la syndication, laisser disponible ce bouton par défaut aurait été un acte militant pour le Web ouvert, et pour plusieurs raisons dont ce coût, ce n’est pas le choix qui a été fait.</p>
<p>Chrome a lancé le bal, Firefox a suivi, et c’est sans doute <strong>l’une des erreurs les plus funestes pour le Web ouvert au cours de ces dernières années</strong>. Vous l’avez vu, il existe des façons de remettre ces boutons en place, mais cela nécessite une action de la part de l’utilisateur.</p>
<h3>Les utilisateurs</h3>
<p>Oui, les utilisateurs n’ont pas forcément envie de s’abonner à cette technologie. L’approche qui consiste à télécharger les informations proposées dans des flux de syndication n’est pas si évidente. Consulter l’un des flux <abbr title="Really Simple Syndication" lang="en" xml:lang="en">RSS</abbr> du journal le Monde n’est pas équivalent à la consultation journalière du site du Monde. C’est sans doute la raison pour laquelle ce sont généralement les utilisateurs les mieux informés et les plus geeks qui utilisent cette technologie. Il est sans doute nécessaire de la démocratiser, nous verrons par la suite qu’il y a des approches pour faire cela intelligemment.</p>
<h3>Les services tiers</h3>
<p>Des services tiers comme Facebook et Twitter ont de plus en plus souvent remplacé les agrégateurs dans l’usage des internautes. Ces outils permettent de rassembler en un seul endroit des informations issues de très nombreuses sources. Elles ont cependant leur lot de problèmes : entre autres les formats sont propriétaires et les appels via des <abbr title="Application programming interface" lang="en" xml:lang="en">API</abbr> peuvent être refermés à tout moment ; c’est ce qui vient de se passer avec Twitter qui a décidé de <a href="http://www.lemonde.fr/technologies/article/2012/09/06/twitter-accelere-sa-fermeture-aux-developpeurs_1756694_651865.html" class="spip_out" rel="external">refermer les portes de l’écosystème qui l’a aidé à se développer</a>.</p>
<h2>La syndication n’est peut-être pas morte</h2><h3>Une technologie pour les utilisateurs</h3>
<p>Si vous aimez le web, vous devez aimer la syndication. Voici une technologie qui permet aux utilisateurs d’avoir la maîtrise de leur façon d’accéder aux contenus Web et qui permet d’accéder à l’information de manière efficace et rapide. C’est aussi une technologie qui rend les contenus accessibles au sens large et qui permet de faciliter leur reprise et leur référencement. En permettant aux utilisateurs de réaliser en quelques secondes des tâches qui pourraient prendre des heures (contrôler la présence de nouveaux contenus sur 50 sites par exemple), la syndication est un vrai outil d’amélioration de la productivité ; c’est également <strong>un fantastique outil de veille</strong>.</p>
<p><strong>La syndication est un pilier du web ouvert, efficient et durable</strong>. C’est une technologie qui est faite et pensée pour les utilisateurs ; pour un qualiticien, une technologie qui répond aux exigences des utilisateurs est forcément un atout concurrentiel pour les producteurs de contenus qui décident de véritablement se l’approprier.</p>
<h3>Encore un renversement de la pensée</h3>
<p>En revanche, les producteurs de contenus doivent apprendre à perdre une partie du contrôle qu’ils avaient sur la diffusion de leurs informations. En ce sens, la syndication est l’un des nombreux artefacts du renversement de paradigme imposé par le Web : les producteurs proposent, les utilisateurs disposent. Si vos contenus sont mauvais, personne ne s’abonnera à vos flux de syndication ; en revanche, si des milliers de personnes s’abonnent, vous trouverez le moyen de valoriser vos contenus, vous n’aurez que l’embarras du choix.</p>
<h3>Un véritable outil de management </h3>
<p>Nous avons parlé d’articles et de news, mais dès qu’une nouveauté se présente quelque part, il est possible d’en faire un flux : pourquoi ne serait-il pas possible de s’abonner aux dernières formations, aux dernières embauches effectuées dans votre entreprise, aux derniers bugs résolus sur votre application, aux dernières références de votre entreprise, aux derniers travaux effectués pour vos clients ? Les flux sont un moyen efficace pour afficher vos actualités partout où cela peut avoir une valeur ajoutée : sur vos profils professionnels, sur d’autres services connexes à votre activité : si vous mettez en ligne des présentations, des vidéos, etc. La seule limite est votre imagination.</p>
<p>Par exemple, un effet ô combien bénéfique de la syndication est de permettre d’<strong>alléger le client mail</strong> : au lieu de recevoir des centaines d’e-mails dont le traitement est extrêmement chronophage, les flux ont de nombreux atouts : non seulement, on a l’avantage d’avoir une unique source (là où un simple oubli de mise en copie d’un destinataire peut gripper le système), mais en plus cette source est bien plus légère que les e-mails classiques. Les économies en stockage, téléchargement et plus généralement en temps peuvent être fantastiques.</p>
<h3>Un outil pour la communication et la qualité Web</h3>
<p>Ce n’est pas tout, les flux contribuent à la sélection et à la diffusion de contenus sur vos sites. Ainsi, lorsque vous gérez vous-même un site grâce à un <abbr title="Content Management System" lang="en" xml:lang="en">CMS</abbr> (système de gestion de contenus), il existe de nombreux modules qui vous permettent de récupérer exactement ce qui vous intéresse et de l’afficher dans le cadre de votre site. Ce sera par exemple le flux d’un auteur, d’une rubrique ou d’un tag spécifique.<br class="autobr"/>
Vous pouvez récupérer les flux pour alimenter votre site sur un sujet particulier (flux des actualités Google par exemple ou de votre Seenthis) rendant son contenu plus pertinent et vivant. Grâce au même mécanisme, votre propre flux de syndication est disponible pour être affiché dans d’autres sites, <strong>il génère également des liens entrants, du trafic et du référencement</strong>.</p>
<h3>Le combat continue</h3>
<p>Cela ne fait aucun doute, la syndication est utile et pratique. Pourtant, elle n’est pas aussi répandue qu’elle le devrait. Dans mes cours sur la qualité Web, si je m’aperçois que mes étudiants ne connaissent pas cette technologie et ne la pratiquent pas au quotidien, j’interromps mon cours, je mets en marche mon agrégateur, je fais une démonstration qui consiste à actualiser les 50 flux que je suis quotidiennement et j’explique à mes étudiants que le fait de ne pas utiliser une technologie de ce type pour la veille n’est pas une option.</p>
<p><strong>Un professionnel du Web sait travailler avec la syndication. Mieux, il ne devrait pas travailler sans. </strong></p>
<p>Il est peut-être temps de reprendre le flambeau de l’explication. Militons pour que nos navigateurs aient un bouton de syndication par défaut. Publions des articles, incitons nos utilisateurs à s’abonner à nos flux, remettons à la mode le logo de syndication. Bref, il est de nouveau temps de se battre pour que cette technologie ne tombe pas dans l’oubli au profit des flux proposés par des sociétés en mesure de les fermer à tout moment. À l’heure où les <abbr title="Application programming interface" lang="en" xml:lang="en">API</abbr> de Twitter se referment, sachez que ce que je décris est une réalité. Ce n’est pas une hypothèse : des entreprises comme Twitter limitent de plus en plus l’accès à leurs <abbr title="Application programming interface" lang="en" xml:lang="en">API</abbr>.</p>
<p>Pour les utilisateurs non professionnels, il faudra peut-être passer par une  appropriation de la syndication sans le dire. C’est ce qui se fait dans différentes applications mobiles, où les utilisateurs se contenteront  de profiter de la syndication sans jamais avoir à en prononcer le mot. Nous aurons alors un Web composé de flux invisibles. Pourquoi pas, après tout.</p>
