title: The Fire in the Smoke
url: https://robinrendle.com/notes/the-fire-in-the-smoke/
hash_url: b2d4236881eb0624ba2c75a7574d2b59

<p>My greatest failure as a designer is asking the wrong question at the wrong time. I often jump ahead too quickly and make a string of assumptions because I want to skip to the fun part of designing an interface; fooling around with graphic elements. Everything else in the design process feels like annoying busywork to me, whether that’s the writing, or asking questions, or communicating with my peers.</p>
<p>This is because good design requires patience.</p>
<p>Many young designers hope to clear a path to the finished product as quickly as possible since they cannot bear the disorder that they feel all around them, smothering them with the grime of uncertainty. So they believe that more than half their work is complete when a geometric typeface, a circular avatar and a grid with the proportions of the golden-ratio are set into place.</p>
<p>Alternatively, an experienced designer learns to adore these qualities of unfamiliarity and ignorance. They want to define these <em>feelings</em> into <em>questions</em> and so unfortunately they must spend an awful amount of time with them. They recognise that with each prolonged step they’re nudging the intangible, the numinous, into something that everyone can clearly see.</p>
<p>What’s remarkable is the fortitude required for work of this kind, it’s almost Zen-like.</p>
<p>I imagine myself as a veteran designer at one point or another in the future chanting these sorts of mantras on hilltops and practicing my kōans: “Each act of design is only a cog in a much larger machine,” I whisper to my initiates. “We must welcome the great, everlasting churn of design and edit, design and edit.”</p>
<h2 id="designing-redesigning"><del>Designing</del> Redesigning</h2>
<p>In the first week of design school my group was asked to tape our work onto the wall. One by one, my friends nonchalantly arranged their work but I felt paralysed in my chair. Having just finished a degree in English Literature I had become familiar with hiding in the reclusive comforts of anonymity because I would only send a private draft of my work to a tutor.</p>
<p>So throughout this nerve-wracking design review it was clear how my friends hadn’t refined their work as much as my pixel-perfect draft, which explored only one manifestation of the problem-solved. I’d been naively tackling a single problem in isolation, whilst my friends were still wondering if they were looking at the right questions altogether.</p>
<p>Through these drafts and rough edits my friends uncovered a torrent of problems that I had clearly stumbled over without noticing. And I think I latched onto this one solution to the problem because I was terrified of failure. On the other hand, my peers saw these rough edits on the wall as an experimentation with, and joyful celebration of, mistake-making. The initial clumsiness of their work could be easily revised later whilst my pixel-perfect mockups couldn’t be so easily tidied away and I had to start the whole process over again in earnest.</p>
<p>My mistake was in believing that the editing process was a form of weakness, of failure, or in short; a screw up. If I had to edit my work in anyway then I subsequently believed I had failed to see the problem in the first place. Each amendment became a physical marker of my wasted efforts, so that the very thought of editing my work was horrid to me.</p>
<p>It took many years for me to recognise that this editing process is where the differences between the naïve and the experienced can be found, but it’s also where the many tangents between design and writing collide, too.</p>
<h2 id="writing-rewriting"><del>Writing</del> Rewriting</h2>
<p>In the classic book <em>On Writing Well</em>, William Zinsser describes the design process as coherently as any designer:</p>
<blockquote>
<p>I don’t like to write; I like to have written. But I love to rewrite. I especially like to cut: to press the DELETE key and see an unnecessary word or phrase vanish into the electricity. I like to replace a humdrum word with one that has more precision or color. […] With every small refinement I feel that I’m coming nearer to where I would like to arrive, and when I finally get there I know it was the rewriting, not the writing, that won the game.</p>
</blockquote>
<p>So when we talk about writing what we’re really talking about is rewriting since no-one can write well on their first attempt, it’s an impossible task. But, with enough patience, we can cast an eye over the words we’ve already written to nudge, push and cajole them into something far beyond the pulp of our everyday thoughts. Once that initial piece of writing is underway we can then begin the enjoyable, fruitful work: the rewriting.</p>
<p>If we turn our heads and squint at <a href="http://wm4.wilsonminer.com/posts/2008/apr/12/optimizer/">an old post</a> by Wilson Miner we begin to see his frustration with this now familiar process, too:</p>
<blockquote>
<p>That’s one reason I feel like I’m best at redesigns—taking something that works and making it better. […] I use websites and play games and think about the redesign.</p>
</blockquote>
<p>This is why the best advice that writers tend to give is this: regardless of the quality of the work, and regardless of how incompetent it makes you feel, just keep writing. Abandon all hope of sounding smart or brilliant. With a private collection of notes it doesn’t matter what you write, just so long as you write it. It’s impossible to count the number of times I’ve returned to a note and decided that there was something worth keeping. Hidden deep amongst embarrassing clichés and turns of phrase there was often a flicker of an idea that could be developed.</p>
<p>In <a href="https://www.youtube.com/playlist?list=PLIhLvue17Sd7F6pU2ByRRb0igiI-WKk3D">the documentary series for <em>Broken Age</em></a>, Tim Schafer talks about the name of his previous adventure game, <em>Grim Fandango</em>. The camera pans through his notes, where he made hundreds of attempts to name the game, and many of them are quite embarrassing. Yet! You can see the words slowly gain momentum, like a wheel finding traction in the dirt, and everything comes together to arrive at the perfect name.</p>
<p>In the design process that I’ve now started to adopt I’m finding that being messy and uncoordinated at the beginning of designing a layout will yield the best results. For instance, <a href="http://robinrendle.com/essays/new-web-typography"><em>The New Web Typography</em></a> was complimented for its design and layout, but what many didn’t see were the dozens of failed attempts I made to figure out the visual language for the essay.</p>
<p>Those early, haphazard ideas looked entirely random, not to mention ugly, but over time I started to make decisions about what didn’t work. This effectively helped me jump to the redesign phase as quickly as possible because I could question all the assumptions that I’ve previously made, without attaching myself emotionally to any one pixel-perfect solution.</p>
<p>So I suppose the real question I’m asking myself here is this: why do I struggle to see my own work with the same sense of judgement? Why is the writing/designing so difficult when the rewriting/redesigning feels so much easier?</p>
<p>I think it’s because I’m still trapped in the mindset of the inexperienced designer. I rush towards color and typefaces and the latest CSS trick in the belief that this is what design means. And the more real, working progress I can show on day one of my involvement in a project, then the more capable I am at this-thing-called-design.</p>
<p>Aza Raskin eloquently phrased the point: design is not about learning to think outside the box, it’s about finding the right box to think inside of. Despite this sounding like a TED-esque revelation I think it makes for an important analogy, and so I’m trying my damnedest to see the early stages of design as a messy workshop full of these boxes that I can think inside of. I’m trying my best to ignore these errors of fidelity and look more carefully at the questions that I need to ask myself instead.</p>
<p>It’s clear to me now that great design or writing has in fact nothing to do with talent. Instead, it has everything to do with bombarding our experiments with a delirious amount of patience, whittling down each mad idea into something uniform, something coherent and visible.</p>
<p>Or, as Arthur Plotnik once wrote so eloquently in <em>The Elements of Editing:</em></p>
<blockquote>
<p>“We edit to let the fire show through the smoke.”</p>
</blockquote>
