title: Production
url: https://www.gransforsbruk.com/en/production/
hash_url: c834b82629a68bc467b36c77214f1848

<p><img class="alignright size-full wp-image-455" src="http://www.gransforsbruk.com/app/uploads/2012/12/Tillverkning.gif" alt="Tillverkning"/></p>
<p>Combining the talents of the smiths at Gränsfors Bruk and designer Hans Erik Persson, Gränsfors Bruk went back to sometimes long-forgotten knowledge to develop a range of axes that are perfect for the small-scale uses of today. The core focus has been on producing axes with sound green credentials, avoiding any unnecessary consumption of natural resources.</p>
<p>All the axes produced by Gränsfors Bruk are forged by hand. Any piecework arrangements have been scrapped so that the smiths can put more time into forging a good axe, removing the need for the excessive post-production work that other manufacturers might use to conceal faults in their forging. This is something that sets Gränsfors Bruk’s axes apart from axes made on an industrial scale. At Gränsfors Bruk, the forging is allowed to take its time.</p>
<p>The axe heads need no grinding, honing or polishing, except on the cutting edge itself, and they certainly do not require painting or varnishing. Instead of using environmentally hazardous epoxy adhesive, the handles are now attached with a traditional wooden wedge, which is better not only for nature but also for the working environment. The sheath supplied with Gränsfors Bruk’s axes is made from vegetable-tanned leather.</p>
<p>Axe production at Gränsfors Bruk is based on five fundamental theses:</p>
<p>1. <strong>An axe is only as good as the accumulated skills of the people who forge, grind and attach the handle to the axe.</strong> All our axes are made by human hand. And all these people deserve great respect and recognition for their professional expertise. Our company would be nothing without them.</p>
<p>2. <span><b>Smarter production requires fewer natural resources</b></span> and imbues a product with better quality and a longer life. A longer product life in turn decreases the overall consumption of natural resources and reduces waste.</p>
<p>3. <span><b>Every unnecessary step in axe production should be stripped out.</b></span> Unnecessary grinding, polishing, painting and use of epoxy adhesive for the handle has been eliminated. This makes for a better working environment, lower energy consumption and less of an impact on nature.</p>
<p>4. <span><b>We have unlimited responsibility for Total Quality.</b></span> Working conditions, product quality and concern for nature are just some factors determining Total Quality. Others include humanity, ethics and beauty.</p>
<p>5. <span><b>Sound knowledge of a product increases its value and life</b>.</span> The axe user therefore needs information – The Axe Book is one source, courses and Gränsfors Axe Museum are others.</p>
<hr/>
<h1>Forging</h1>
<p>A specially alloyed steel with a high carbon content is heated to around 1200°C, at which point the steel turns a reddish yellow. The smith takes a cut-off piece of glowing steel in his tongs and works it in a large press. The press operates at a rate of around 80 strikes per minute, with a force of about 180 tonnes each time. The smith handles the hot steel quickly and skilfully as the square lump of steel is gradually transformed into a finished axe head.</p>

<p>The smith finishes his work by stamping the Gränsfors Bruk logo and his own initials into the axe head, as a declaration that the axe has been well made and approved by the smith. The axe head is then hung up to cool.</p>

<p><strong>We are working with forging at Gränsfors Bruk</strong></p>
<p>AS – Anders Strömstedt<br/>
BK – Kahsai Beyene<br/>
CS – Christian Sjölund<br/>
DG – Daniel Gräntz<br/>
EB – Erik Blixt<br/>
ES – Erik Sjöström<br/>
HD – Henrik Danielsson<br/>
JB – Jonas Berglund<br/>
KB – Kyle Benkwitz<br/>
LH – Linus Hejmer<br/>
MB – Mattias Blixt<br/>
MF – Martin Forslund<br/>
MS – Mikael Sundberg<br/>
TT –  Tobias Thelin</p>
<p><strong>We have been working with forging at Gränsfors Bruk</strong></p>
<p>AM – Anders Magnusson<br/>
CK – Claudia Kowalek<br/>
CM – Christoffer Malm<br/>
DF – David Faxby<br/>
DP – Domingo Gas Pallarés<br/>
HF – Håkan Frank<br/>
JE – Joakim Eriksson<br/>
JH – John Hårdsten<br/>
JMH – Jessica Mona Hassel<br/>
LP – Lennart Pettersson<br/>
MH – Marcus Hulin<br/>
MM – Mattias Mattsson<br/>
KS – Kjell-Åke Sjölund<br/>
LE – Lars Enander<br/>
PJA – Paul James Alford<br/>
PH – Patrik Hansson<br/>
RA – Rune Andersson<br/>
UN – Ulrik Nilsson<br/>
US – Ulrika Stridsberg</p>
<hr/>
<h2>Grinding, Hardening and Annealing</h2>
<p>After forging, the focus turns to grinding and sharpening the edge. The rest of the axe head is left just as it is. After coarse grinding, the edge is hardened by heating it to 820°C and then rapidly cooling it in cold water. The hardening makes the steel much harder, but also rather brittle. To remove the stresses in the steel caused by the forging and hardening, the steel needs to be annealed, which involves keeping the axe heads in an oven at 195°C for 60 minutes. The hardness of the steel depends chiefly on its carbon content, but also on the annealing temperature.</p>
<p>Oil or lead can be used as an alternative to water for cooling. However, Gränsfors Bruk uses water as the most eco-friendly option.</p>

<p><strong>We are working with grinding at Gränsfors Bruk<br/>
</strong><br/>
Bert-Ove Andersson<br/>
Janne Mattsson<br/>
Glenn Markusson<br/>
Kristian Andersson<br/>
Erik Hansson<br/>
Erik Hedström<br/>
Tommy Jonsson</p>
<hr/>
<h2>Tumbling and Sharpening</h2>
<p>After the grinding, tempering and annealing, the axe head is tumbled with small ceramic balls to remove forging burrs on the surface of the axe and to make the axe more resistant to rust. After tumbling, the steel is tested to check that it is neither too hard or too soft.</p>
<p>Every single head is tested by striking on the edge’s corners with a hammer and checking that no cracking has occurred. All this makes absolutely sure that the forging, tempering and annealing has been done properly and that the axe is truly up to scratch. Finally, the edge of the axe is sharpened and polished to make it really sharp.</p>

<p><strong>We are working with tumbling and sharpening at Gränsfors Bruk<br/>
</strong><br/>
Bert-Ove Andersson<br/>
Janne Mattsson<br/>
Glenn Markusson<br/>
Kristian Andersson<br/>
Erik Hansson<br/>
Erik Hedström<br/>
Tommy Jonsson</p>
<hr/>
<h2>Shafting</h2>
<p>Once the axe has been sharpened, the axe head is dipped in a water-repellent and rustproofing oil. Once the oil has dried a little, it is time to fit the handle. With the help of a hydraulic press the handle is squeezed into the axe head.</p>
<p>Gränsfors Bruk’s handles are all made of hickory, an excellent wood for this purpose as it is strong and flexible, with long fibres.</p>

<p><strong>We are working with shafting at Gränsfors Bruk</strong></p>
<p>Katarina Larsson<br/>
Rose-Marie Jansson<br/>
Ida Snell<br/>
Stefan Woxberg<br/>
Saeed Karimizadeh</p>
<hr/>
<h2 class="entry-title">Quality Control</h2>
<p><img class="alignright size-full wp-image-474" src="http://www.gransforsbruk.com/app/uploads/2012/12/Kvalitetskontroll.jpg" alt="Kvalitetskontroll"/>All Gränsfors Bruk’s axes carry a 20 Year Guarantee*. Every axe is quality controlled before it leaves the forge to make absolutely sure that there are no defects. Once the quality control has been completed, the axes are given a sheath of vegetable-tanned leather and packaged with a copy of The Axe Book.</p>
<p>(*<i>The guarantee applies as long as the axe is used and cared for properly</i>).</p>
<p><strong>We are working with quality control at Gränsfors Bruk<br/>
</strong><br/>
Rose-Marie Jansson<br/>
Ida Snell<br/>
Patrik Hansson</p>
