title: Estimating NetNewsWire for iOS Demand
url: https://inessential.com/2020/01/03/estimating_netnewswire_for_ios_demand
hash_url: ceecad22409cbd161b85bf5f18b09413

<p>As we get closer and closer to shipping NetNewsWire for iOS, I’m starting to realize that the iOS version could be quite a bit more popular than the Mac app.</p>

<p>Here are a few numbers:</p>

<ul>
  <li>NetNewsWire 5.0 for Mac was downloaded 24,789 times.</li>
  <li>The NetNewsWire for Mac beta builds are downloaded anywhere from around 630 to around 1,360 times.</li>
  <li>Number of people who signed up for the public test of NetNewsWire for iOS: 5,263.</li>
</ul>

<h4 id="five-times-more">Five times more?</h4>

<p>The number of testers tells me — <em>very</em> roughly — that there’s about five times more interest in the iOS app than in the Mac app.</p>

<p>If that holds true, then NetNewsWire 5 for iOS, once it ships, will get downloaded about 124,000 times.</p>

<p>Let’s round down — call it 100,000 downloads in the first two weeks. I would be <em>amazed</em> if we got that that many downloads. I’m really expecting a number much closer to the Mac app. But I could be very wrong — I admit to thinking like a Mac developer and not really feeling the greater size of the iOS market.</p>

<p>It’s quite possible that 100,000 might be too low.</p>

<p>At any rate, I’ll be sure to report the actual numbers on this blog. 🐣</p>

<h4 id="what-does-this-mean-for-interest-in-rss-readers-in-general">What does this mean for interest in RSS readers in general?</h4>

<p>Remember that NetNewsWire is just one of many RSS readers on Mac and iOS. There are readers for Android and Windows — and a whole bunch of browser-based readers, such as <a href="https://feedbin.com/">Feedbin</a>, <a href="https://feedly.com/">Feedly</a>, <a href="https://www.inoreader.com/">Inoreader</a>, and others.</p>

<p>You can’t just multiply my NetNewsWire estimate by the number of apps and come up with something meaningful.</p>

<p>But you can look at some things and get an idea. For instance: on Feedly, one of the most popular browser-based readers, there are 1.6 million people subscribed to Engadget. No, I have no idea if those are all <em>active</em> readers, but still.</p>

<p>I think it would be reasonable to guess that the number of people who use an RSS reader is probably greater than a million, and could be several million people.</p>

<p>Those aren’t Twitter user numbers, obviously, not even close — but I’m betting it’s more than what most people assume it is.</p>

<p>PS This blog has 16K followers just on Feedly. If it were possible to add up my subscriber counts from each RSS reader, it would be quite a bit more than the 18K Twitter followers I have. Which is as it should be.</p>
