title: L’emprise de la machine : une critique décroissanciste de la domination technique
url: https://polemos-decroissance.org/lemprise-de-la-machine-une-critique-decroissanciste-de-la-domination-technique/
hash_url: b19c86fa9c66389e26495165b442d0c0

<p>Indépendamment de leurs allégeances politiques, beaucoup croient que la technique peut encore arranger les choses, nous sauver de la dévastation en cours.</p>



<p>Du côté de la droite conservatrice, nous retrouvons la croyance économique qu’un peu de croissance c’est polluant, mais beaucoup de croissance c’est propre. Le développement économique va permettre des innovations peu polluantes. L’argent des pipelines qu’on construit va finalement servir à sauver la nature.</p>



<p>Chez les progressistes, nous retrouvons plutôt l’opinion qui consiste à croire qu’il suffirait d’abolir le capitalisme pour abolir la mauvaise technique, c’est-à-dire celle qui est source d’exploitation, d’oppression, de misère et d’injustice. En somme, sans domination capitaliste, il serait possible d’orienter la technique vers le bien. Vers des idéaux de justice, d’équité et de solidarité.</p>



<p>Mais de quelle technique parlons-nous ici? De celle réellement existante, nécessitant la technoscience? De celle fantasmée, qui serait sans effet secondaire ou dommages collatéraux, mais qui malheureusement appartient à la science-fiction et est impossible à produire? Ou, plus humblement, de technique plus artisanale et de low tech? Quoi qu’il en soit, peu importe le régime politique, il y a des conséquences aux choix techniques. Les téléphones « intelligents » qui ont besoin de métaux rares et difficiles à recycler ne seront pas plus verts sous le socialisme.</p>



<h3><strong>Qu’est-ce que la technique?</strong></h3>



<p>La technique, c’est avant tout une dimension de l’action des êtres vivants en tant qu’adaptés aux contraintes empiriques de la réalité. Pour attraper des mouches, l’araignée fabrique sa toile. Elle possède une bonne technique de tissage. La technique ne s’oppose pas à la nature. La technique, c’est la ruse de l’animal. Certains animaux utilisent en effet des outils et se servent de techniques. Il s’agit donc essentiellement d’un phénomène non spécifique aux êtres humains. Certaines fourmis ont des techniques de culture de champignons, mais l’araignée et les fourmis ne possèdent pas de machines pour tisser et cultiver. Se servir d’outils et utiliser des machines, ce n’est pas du tout la même chose.</p>



<p>En fait, la technique ne devient un problème qu’à partir de l’ère industrielle et du moteur thermique; qu’à partir du moment où, au nom du progrès et de la raison, les machines ont remplacé les outils.</p>



<p>Il ne s’agit pas d’être technophobe. Il serait absurde de remettre en question les moyens que les animaux se donnent pour vivre. Il s’agit plutôt de distinguer entre la technique, entendue comme phénomène naturel, comme moyen au sens large, et la technique entendue comme phénomène associé à l’époque industrielle : la technique objectivée en tant que machine, la machine thermique, la machine à vapeur comme synthèse de la science et de la technique.</p>



<p>L’outil est une extension de la main, alors que la machine est, quant à elle, « émancipée de la limite organique que ne pouvait dépasser l’outil manuel » . La machine permet de dépasser en quelque sorte les limites du corps.</p>



<p>Le monde préindustriel était lui aussi un milieu technique pour l’humain, mais qui ne tendait pas à se substituer à la nature. Auparavant, comme le dit Mandosio « [l]e système des artefacts ne s’était pas encore imposé comme une seconde nature ». L’humanité avait d’autres projets que celui de remplacer la nature par un monde totalement artificiel. Mais aujourd’hui, « bien rares sont les activités [quotidiennes] qui n’ont pas besoin d’une machine »  quelque part pour exister concrètement. Nous sommes devenus des créatures de la technique de plus en plus dépendantes de cette seconde nature.</p>



<h3><strong>Critique de la neutralité de la technique</strong></h3>



<p>Un des arguments philosophiques importants de la critique décroissanciste du machinisme et de la place croissante du high-tech concerne l’identification erronée de la technique moderne à un moyen neutre.</p>



<p>En effet, on entend souvent à propos des conséquences de telles ou telles techniques : le problème, ce n’est pas la technique, le problème c’est l’usage humain de la technique. Tout dépend de l’usage que l’on en fait. Bien entendu, un marteau peut servir à tuer quelqu’un ou à construire un hôpital. Ce n’est pas le fusil qui est dangereux, c’est l’homme derrière.</p>



<p>Mais malheureusement pour ceux qui la défendent, cette thèse ne tient pas la route. Nous ne sommes plus à l’époque des marteaux, à l’époque des outils qui ne se meuvent pas eux-mêmes (Aristote). Nous sommes à l’époque de machines produisant d’autres machines.</p>



<p>Les éléments et artefacts qui composent aujourd’hui notre environnement sont interdépendants. C’est pourquoi l’on ne peut plus considérer la technique comme un moyen. « Ce système des instruments est notre monde ». Les artefacts techniques qui composent ce monde ne sont pas des îles isolées. Votre téléphone cellulaire a besoin d’antennes, de satellites et de bien d’autres choses pour fonctionner.</p>



<p>La technique moderne est insécable; il est devenu impossible de parler de bonnes ou de mauvaises techniques, puisque qu’il existe une interdépendance entre les différents processus qui rendent possible l’existence des objets qui nous entourent.</p>



<p>C’est pourquoi il nous est désormais impossible de considérer les objets techniques, les machines produites par l’industrie comme des moyens. À vrai dire, aucune d’entre elles ne peut être isolée et détachée de l’ensemble du système des machines produites de manière industrielle. On a toujours affaire à des produits et à des objets techniques qui n’ont aucune existence indépendante, qui ne sont pas des objets insulaires, ni des outils neutres. « Acheter une voiture c’est, plutôt que d’acheter un objet, acheter une civilisation, c’est acheter aussi la route, le stationnement, les bétonnières et les règlements de la circulation ». Il faut sortir du mythe qui affirme que la technique ne vaut que par l’usage que l’on en fait, comme s’il y avait une bonne et une mauvaise utilisation de la voiture. Au contraire, la technique a des conséquences positives et négatives indépendamment de l’usage. Que je conduise ma voiture en ville ou en campagne, je pollue quand même.</p>



<h3><strong>Les limites du progrès technique</strong></h3>



<p>Selon Ellul, « Tout progrès technique implique aussi une perte, un coût ». Par exemple, la chimie de l’agriculture industrielle permet d’augmenter la production, mais détruit le sol. Les antennes relais sont un progrès dans les moyens de communication, mais ruinent le paysage. Sans compter que d’une manière générale, avec les machines, « nous devons payer en contraintes de fonctionnement ce que nos sociétés gagnent en liberté apparente au niveau de leurs objectifs. Plus la société est apparemment maîtresse de ses objectifs moins elle l’est de ses processus ». Les choix techniques d’une société ont des conséquences sur la contrainte sociale et l’assujettissement des individus.</p>



<p>« Le progrès technique soulève des problèmes plus difficiles que ceux qu’il résout ». L’aliénation des travailleurs en est un bon exemple : « Marx a parfaitement montré que la transformation des ouvriers en prolétariat est non seulement le fait de capitalistes qui veulent absolument augmenter leur profit, mais avant tout le résultat de la mécanisation et de la division du travail. C’est-à-dire deux progrès techniques ».</p>



<p>La crise écologique, démographique, sociale est également une conséquence du progrès technique et pas seulement du capitalisme. Et une émancipation éventuelle vis-à-vis de ce dernier n’est pas synonyme d’une libération de notre dépendance à la puissance que nous  procurent les machines.</p>



<p>« Les effets néfastes d’une technologie sont inséparables de ses effets positifs ». Il est plus facile d’illuminer les villes que de protéger ses habitants contre la pollution lumineuse.</p>



<p>Les solutions techniques produisent en général d’autres problèmes (ailleurs sur la planète ou plus tard dans le temps) qui conditionnent encore davantage d’interventions techniques, nous installant ainsi, de force, toujours un peu plus sur les rails d’une trajectoire technologique au destin catastrophique.</p>



<p>L’illusion d’un contrôle du monde par la technique crée toujours plus de nécessité de contrôle sur le monde. En tentant de résoudre les dégâts technologiques par d’autres innovations technologiques, on s’enfonce davantage dans la domination. La technique « n’est [alors] plus un simple moyen au service des objectifs et des valeurs de la collectivité, mais devient l’horizon indépassable du système ».</p>



<p>Si Kant « trouvait inconcevable que la marche de l’humanité pût ressembler à la construction d’une demeure que seule la dernière génération aurait le loisir d’habiter », de nos jours, cette ruse de l’histoire s’est inversée et ce sont plutôt les générations futures qui se destinent à ne pas pouvoir jouir autant que nous des bienfaits de la marche de la raison et du progrès.</p>



<p>Aujourd’hui, la célèbre formule de Marx, « Les philosophes n’ont fait qu’interpréter le monde de diverses manières, ce qui importe, c’est de le transformer » est dépassée. Nous avons tellement transformé le monde par la technique et l’économie que nous pouvons de moins en moins y vivre humainement. Désormais, il ne s’agit plus de le transformer, mais de le conserver.</p>



<p>La technologie permet d’augmenter l’accès aux ressources et donc de faciliter le pillage. Elle permet de produire plus; plus vite, et d’accélérer la destruction. Avec les technologies de pointe nous pouvons vider les mers plus rapidement de leur poisson ou couper plus de bois dans une forêt. Malheureusement, il est plus facile de produire des satellites qui peuvent détecter les continents de plastique dans l’océan que de nettoyer l’océan de son plastique.</p>



<p>Déconstruisons notre imaginaire progressiste, car il y a beaucoup de problèmes qui ne peuvent pas et ne pourront jamais être résolus dans le cadre du développement technique. La nature est notamment constituée d’éléments (l’eau, un paysage…) qui ne peuvent être remplacés de façon satisfaisante par aucune avancée technologique.</p>



<p>C’est une illusion de croire, par exemple, que les énergies renouvelables de type solaire ou éolien peuvent remplacer les énergies fossiles sans diminuer radicalement notre consommation globale d’énergie, sans changer notre mode de vie, sans changer notre mode de production et de consommation. L’Anthropocène dévoile les limites de Prométhée.</p>



<h3><strong>Responsabilité et aliénation à l’ère de la machine</strong></h3>



<p>Marx avait déjà constaté que « la machine n’a plus rien de commun avec l’instrument du travailleur individuel. Elle se distingue tout à fait de l’outil qui transmet l’activité du travailleur à l’objet. En effet, l’activité se manifeste bien plutôt comme le seul fait de la machine, l’ouvrier surveillant l’action transmise par la machine aux matières premières et la protégeant contre les dérèglements ».</p>



<p>Si l’activité se manifeste comme le seul fait de la machine, ce n’est donc plus le travailleur qui agit. Ce point est capital. Car agir veut dire: être le sujet de son action. Être soi-même l’origine de son action. Obéir ou collaborer, ce n’est pas agir volontairement.</p>



<p>On voit donc ici que la machine implique une possession de l’activité. L’ouvrier est soumis au capital par la machine, car la machine qui est du travail humain passé, matérialisé, du travail mort, du capital, permet la soumission du travail concret, du travail vivant au travail abstrait au service de la valeur. Avec la machinerie, « le travail vivant se trouve subordonné au travail matérialisé, qui agit de manière autonome. Dès lors l’ouvrier est superflu », nous dit Marx.</p>



<p>Superflu n’a pas ici le sens de la disparition de l’ouvrier comme travailleur relégué au chômage, quoique ce ne soit pas incompatible, mais plutôt le sens de l’effacement du sujet responsable de son action. Superflu signifie dans cette situation, une perte d’autonomie du travailleur au profit des machines, de la technique.</p>



<p>Traditionnellement, agir ce n’est pas seulement collaborer ou être complice d’un déclenchement automatique. Comparativement, les machines semblent dissoudre l’action autonome, ou du moins, changer son lieu d’origine. C’est la technique qui devient autonome au sens où c’est elle qui recueille l’autonomie humaine. Autonomie veut dire ici que ce sont des machines qui produisent d’autres machines et les humains deviennent des appendices des machines, servent les machines et ne peuvent plus de ce fait agir dans un sens classique. Comme dit Freitag « c’est le système qui produit, alors que les êtres humains produisent le système de l’intérieur en en faisant immédiatement partie, en s’intégrant à son fonctionnement. On passe ainsi de l’activité humaine assistée par ordinateur, aux systèmes informatisés assistés par des êtres humains ».</p>



<p>Cette situation a des conséquences normatives importantes. L’éthique traditionnelle portant sur la moralité des actions devient obsolète puisque les actions sous le règne des machines se font de plus en plus rares, remplacées par une collaboration, un travail au service de la machine. Nous nous retrouvons en déficit d’éthique par cause d’actes qui n’en sont pas vraiment et d’impacts,  plus grands que leurs causes. Par exemple, allumer l’interrupteur participe de l’écocide. Quelle est la différence alors entre allumer l’interrupteur et être complice de l’industrie? Le crime contre le climat n’est que l’effet de notre consommation quotidienne à l’échelle globale, une externalité, en somme, de l’utilisation des machines.</p>



<p>La médiation des machines ne nous permet plus de savoir ce que l’on fait. Il existe un abîme entre ce que nous pouvons faire et ressentir, une distance entre ce que nous pouvons modifier et ce dont nous pouvons prendre conscience. Nous ne pouvons assumer les conséquences de nos actions. Se procurer un cellulaire c’est aussi en toute innocence « exploiter des mineurs au Congo, détruire des forêts primaires de Papouasie, enrichir des oligarques russes, polluer des nappes phréatiques chinoises ».<strong> </strong>La technique et la division du travail diluent la responsabilité. « Divisée par mille la saleté est propre ».</p>



<p>Nous ne pouvons plus penser ce que nous pouvons faire avec un clic de souris. Nul besoin de haine pour faire du mal, le négatif s’introduit par les réseaux. Par exemple, écouter une émission, taper des mots sur Google, bref, n’importe quoi d’accompli dans le temps libre dans le monde virtuel aujourd’hui peut être potentiellement une information vendue pour de la publicité ciblée au bénéfice de la reproduction du capitalisme cybernétique. La vie humaine devenant ainsi instrumentalisée par la machine.</p>



<p>Un des aspects déterminants des machines c’est que leur fonctionnement nécessite des soins qui transforment la société tout entière. Il faut les approvisionner grâce à des réseaux de plus en plus complexes. La rationalisation et le contrôle social suivent la production des machines. Comme le résume Anders « le bon fonctionnement d’une machine requiert irrévocablement le devenir machine de son contexte de production » c’est-à-dire de la société.</p>



<p>Au nom de l’efficacité, la machine transforme la société à son image et dissout l’altérité. Il n’y a plus partout que des miroirs de cette seconde nature technique de nous-mêmes. La puissance du rationnel se retourne dangereusement en rationalité de la puissance au service de procès sans sujet, sans paroles et sans légitimité. Un danger d’enfermement et de solipsisme technologique nous guette.</p>



<p>Bien que la parole humaine et la vie politique aient encore un sens dans la société technocratique, celui-ci est de moins en moins utile et nécessaire à la reproduction d’ensemble de la société puisque nous pouvons « produire des instruments à travers le fonctionnement desquels nous nous rendons superflus, nous nous éliminons, nous nous  « liquidons » ».</p>



<p>Les algorithmes qui cadencent les marchés et les robots qui s’appliquent à la bourse impliquent une reproduction de la société qui s’effectue « sans nous ». Par ces machines interconnectées, le monde se reproduit au-dessus de nos têtes.</p>



<p>Dans l’état actuel « le développement du système des machines échappe à tout contrôle direct de notre volonté, à toute expression de notre désir, à tout engagement de notre responsabilité ». Pour leur mise en place, les machines préfèrent l’extériorité brutale des régulations de la technique et de l’économie autonomisées aux délibérations démocratiques.</p>



<p>Pourtant la technique, comme l’économie, c’est aussi une affaire politique qui concerne la cité. Les questions d’intérêts publics ne doivent plus être liées seulement (comme dans la gauche progressiste traditionnelle) à qui produit (rapport de classes) et comment on produit (rapport de production). On doit aussi interroger la légitimité de ce que l’on produit matériellement dans nos sociétés thermo-industrielles.</p>



<h3><strong>L’alternative à l’hégémonie sociale du machinisme : les low-tech</strong></h3>



<p>Parmi les propositions que la décroissance avance pour réduire notre empreinte écologique, les inégalités sociales, et notre aliénation il y a le développement des low tech ou basse technologie. Le high-tech et ses effets délétères sur la nature et la société ne sont pas un destin. Il faut concevoir qu’il est possible de se déplacer sans pétrole, de se loger sans ciment, de se nourrir sans agriculture industrielle, et de s’instruire avec un livre.</p>



<p>Les critères pour définir une basse technologie sont le respect des valeurs de la décroissance : une technique qui a peu d’impact sur le système terre; une technique conviviale et égalitaire non dominatrice et une technique favorisant notre autonomie, favorisant l’autoproduction.</p>



<p>Le low tech se doit d’être soutenable pour l’environnement. Une technique soutenable, c’est une technique qui n’utilise pas de ressources non renouvelables ou non recyclables et qui ne produit pas de déchets non absorbables ou récupérables. C’est une technique qui ne produit pas d’externalités négatives. C’est-à-dire que son utilisation par certains ne nuit pas aux autres. Par exemple, en me déplaçant à bicyclette, je n’inflige pas aux autres les conséquences négatives de la pollution atmosphérique puisque ce moyen de déplacement n’en produit pas à l’usage. Par contre, en utilisant une voiture je nuis à tout le monde. André Gorz résume bien ce qui doit orienter la production et la technique : « Seul est digne de toi ce qui est bon pour tous. Seul mérite d’être produit ce qui ne privilégie ni n’abaisse personne ». Mais même si elles sont soutenables et ne provoquent pas d’injustice, pour ne pas être qualifiées d’aliénantes et respecter les critères de la décroissance, il importe que ces techniques ne nous remplacent pas, ne travaillent pas à notre place, et ne prennent pas toute la place. Développées avec des moyens locaux, elles sont simples, recyclables, réparables; modulables, contrôlables, conviviales, sobres en ressources et économes en énergie. Ce sont des outils permettant de développer l’autoproduction et l’autonomie de leurs utilisateurs, bref, de favoriser une liberté nouvelle, indépendante de la propriété et de la puissance.</p>
