title: The Prodigal Techbro
url: https://conversationalist.org/2020/03/05/the-prodigal-techbro/
hash_url: 4bda6c744ffb55c0fc4f4bf1f740b4e3

<p><em>The tech executive turned data justice warrior is celebrated as a truth-telling hero, but there’s something a bit too smooth about this narrative arc.</em></p>
<p>A few months ago, I was contacted by a senior executive who was about to leave a marketing firm. He got in touch because I’ve worked on the non-profit side of tech for a long time, with lots of volunteering on digital and human rights. He wanted to ‘give back’. Could I put him in touch with digital rights activists? Sure. We met for coffee and I made some introductions. It was a perfectly lovely interaction with a perfectly lovely man. Perhaps he will do some good, sharing his expertise with the people working to save democracy and our private lives from the surveillance capitalism machine of his former employers. The way I rationalized helping him was: firstly, it’s nice to be nice; and secondly, movements are made of people who start off far apart but converge on a destination. And isn’t it an unqualified good when an insider decides to do the right thing, however late?</p>
<p>The Prodigal Son is a New Testament parable about two sons. One stays home to work the farm. The other cashes in his inheritance and gambles it away. When the gambler comes home, his father slaughters the fattened calf to celebrate, leaving the virtuous, hard-working brother to complain that all these years he wasn’t even given a small goat to share with his friends. His father replies that the prodigal son ‘was dead, now he’s alive; lost, now he’s found’. Cue party streamers. It’s a touching story of redemption, with a massive payload of moral hazard. It’s about coming home, saying sorry, being joyfully forgiven and starting again. Most of us would love to star in it, but few of us will be given the chance.</p>
<p>The Prodigal Tech Bro is a similar story, about tech executives who experience a sort of religious awakening. They suddenly see their former employers as toxic, and reinvent themselves as experts on taming the tech giants. They were lost and are now found. They are warmly welcomed home to the center of our discourse with invitations to write opeds for major newspapers, for think tank funding, book deals and TED talks. These guys – and yes, they are all guys – are generally thoughtful and well-meaning, and I wish them well. But I question why they seize so much attention and are awarded scarce resources, and why they’re given not just a second chance, but also the mantle of moral and expert authority.</p>
<p>I’m glad that Roger McNamee, the early Facebook investor, has <a href="https://www.theguardian.com/world/2020/feb/29/rebecca-solnit-younger-feminists-shift-understanding-give-new-tools">testified to the U.S. Congress</a> about Facebook’s wildly self-interested near-silence about its amplification of Russian disinformation during the 2016 presidential election. I’m thrilled that Google’s ex-‘design ethicist’, Tristan Harris, “<a href="https://www.theguardian.com/world/2020/feb/29/rebecca-solnit-younger-feminists-shift-understanding-give-new-tools">the </a><em>closest thing Silicon Valley has to a conscience,</em>“(startlingly faint praise) now runs a Center for Humane Technology, exposing the mind-hacking tricks of his former employer. I even <a href="https://www.youtube.com/watch?v=3hSrUaSNFSY&amp;t=2309s">spoke</a> —critically but, I hope, warmly—at the book launch of James Williams, another ex-Googler turned attention evangelist, who “<a href="https://en.wikipedia.org/wiki/Center_for_Humane_Technology">co-founded the movement</a>”of awareness of designed-in addiction. I wish all these guys well. I also wish that the many, exhausted activists who didn’t take money from Google or Facebook could have even a quarter of the attention, status and authority the Prodigal Techbro assumes is his birth-right.</p>
<p>Today, when the tide of public opinion on Big Tech is finally turning, the brothers (and sisters) who worked hard in the field all those years aren’t even invited to the party. No fattened calf for you, my all but unemployable tech activist. The moral hazard is clear; why would anyone do the right thing from the beginning when they can take the money, have their fun, and then, when the wind changes, convert their status and relative wealth into special pleading and a whole new career?</p>
<p>Just half an hour flipping through my contacts produced half a dozen friends and acquaintances who didn’t require a ‘road to Damascus’ conversion to see what was wrong with big tech or the ways governments abuse it. Nighat Dad runs the <a href="https://digitalrightsfoundation.pk/">Digital Rights Foundation in Pakistan</a>, defending online freedom of expression and privacy for women, minorities and dissidents. That’s real courage. <a href="https://privacyinternational.org/people/95/gus-hosein">Gus Hosein</a> has worked in tech and human rights for over 20 years, runs Privacy International, the UK-based non-profit, and is the most visionary thinker I know on how to shake up our assumptions about why things are as they are.  <a href="https://biancawylie.com/">Bianca Wylie </a>founded the volunteer-run Open Data Institute Toronto, and works on open data, citizen privacy and civic engagement. The “<a href="https://www.citylab.com/life/2018/12/bianca-wylie-interview-toronto-quayside-protest-criticism/574477/">Jane Jacobs of the Smart Cities Age</a>,” she’s been a key figure in opening up and slowing down Alphabet’s Sidewalk Labs juggernaut in Toronto. Aral Balkan runs <a href="https://small-tech.org/">Small Technology Foundation </a>and works on both the tools and the policies to resist surveillance capitalism. Unafraid of being unpopular, even with other activists, Balkan freely hammers rights organizations or conferences for taking big tech’s sponsorship money while criticizing the companies’ practices. In the western Balkans, <a href="https://hvale.me/">hvale vale</a><a href="#_ftn10" name="_ftnref10"/> works tirelessly and cheerfully on women’s rights, sexual rights and the political and practical path to a feminist internet. <a href="https://en.wikipedia.org/wiki/Robin_Gross">Robin Gross</a>,  a Californian intellectual property lawyer, could have put her persistence and sheer pizazz to work defending big entertainment companies, but instead she’s worked for decades against the copyright maximalism that strangles artists’ creativity and does nothing to increase their incomes. I would love to hear their voices amplified, not (just) the voices of those who took a decade and more to work out the rottenness at the core of big tech.</p>
<p>Ex-Google lobbyist Ross Lajeunesse left the company in 2019 over its censored search engine for China and also because of homophobic, sexist and racist work practices. He’s now running for a Democratic senate nomination, and recently wrote a classic of the ‘scales have fallen from my eyes’ genre, called “I Was Google’s Head of International Relations. <a href="https://medium.com/@rossformaine/i-was-googles-head-of-international-relations-here-s-why-i-left-49313d23065https://medium.com/@rossformaine/i-was-googles-head-of-international-relations-here-s-why-i-left-49313d23065">Here’s Why I Left</a>.” Its lede is <em>“The company’s motto used to be “Don’t be evil.” Things have changed.”</em></p>
<p>Really? Has Google really changed? Lajeunesse joined in 2008, years into Google’s multi-billion dollar <a href="https://www.bloomberg.com/news/articles/2010-10-21/google-2-4-rate-shows-how-60-billion-u-s-revenue-lost-to-tax-loopholes">tax avoidance</a>, <a href="https://www.cnet.com/news/google-hit-with-job-discrimination-lawsuit/">sexist labor practices</a> and <a href="http://news.bbc.co.uk/2/hi/technology/6740075.stm">privacy hostility</a> and continued to work there through the years of <a href="https://www.bbc.co.uk/news/technology-40406542">antitrust fines</a>, misuse of <a href="https://www.bbc.com/news/technology-40406542">personal health data</a>, <a href="https://www.cnet.com/news/judge-rejects-324-5m-wage-fixing-settlement-struck-by-apple-google-others/">wage fixing</a>, and financially <a href="https://www.nytimes.com/2017/08/30/us/politics/eric-schmidt-google-new-america.html">pressuring think tanks</a>. Google didn’t change. It just started treating some of its insiders like it already treated outsiders. That only looks like radical change if you’ve never thought too hard about what you are doing and to whom.</p>
<p>One hundred thousand people work for Google/Alphabet; some of them have much more power than others. The point isn’t whether Lajeunesse is or isn’t culpable for the many acts of the enormous company he represented—as its chief lobbyist in Asia for several years—it’s that of all the people who spent the decade of 2010-20 working thanklessly to expose and reduce the firm’s monopolistic abuse and assault on global privacy, it’s the ex-lobbyist who gets our attention now.</p>
<p>We all need second chances. Even if we don’t need those fresh starts ourselves, we want to live in a world where people have a reason to do better. But the prodigal tech bro’s redemption arc is so quick and smooth it’s barely a road bump. That’s because we keep skipping the most important part of the prodigal son story—where he hits rock bottom. In the original parable, the prodigal son wakes up in a pig sty, starving, and realizes his father’s servants now live better than he does. He resolves to go home to the people and place he did not value or respect before. He will beg to be one of his father’s servants. He accepts his complete loss of status. But instead of chastising and punishing his prodigal son, the rejoicing father greets him joyfully and heads off the apology with a huge party. It’s a great metaphor for how to run a religion, but a lousy way to run everything else.</p>
<p>Prodigal tech bro stories skip straight from the past, when they were part of something that—surprise!—turned out to be bad, to the present, where they are now a moral authority on how to do good, but without the transitional moments of revelation and remorse.  But the bit where you say you got things wrong and people were hurt? That’s the most important part. It’s why these corporatized reinventions feel so slick and tinny, and why so many of the comments on Lajeunesse’s <a href="https://medium.com/@rossformaine/i-was-googles-head-of-international-relations-here-s-why-i-left-49313d23065">train wreck post</a> on Medium were critical. The journey feels fake. These ‘I was lost but now I’m found, please come to my TED talk’ accounts typically miss most of the actual journey, yet claim the moral authority of one who’s ‘been there’ but came back. It’s a teleportation machine, but for ethics.</p>
<p>(While we’re thinking about the neatly elided parts of the prodigal tech bro story, let’s dwell for one moment on the deletion of the entire stories of so many women and people of color barely given a first chance in Silicon Valley, let alone multiple reinventions.)</p>
<p>The only thing more fungible than cold, hard cash is privilege. The prodigal tech bro doesn’t so much take an off-ramp from the relatively high status and well-paid job he left when the scales fell from his eyes, as zoom up an on-ramp into a new sector that accepts the reputational currency he has accumulated. He’s not joining the resistance. He’s launching a new kind of start-up using his industry contacts for seed-funding in return for some reputation-laundering.</p>
<p>So what? Sure, it’s a little galling, but where’s the harm?</p>
<p>Allowing people who share responsibility for our tech dystopia to keep control of the narrative means we never get to the bottom of how and why we got here, and we artificially narrow the possibilities for where we go next. And centering people who were insiders before and claim to be leading the outsiders now doesn’t help the overall case for tech accountability. It just reinforces the industry’s toxic dynamic that some people are worth more than others, that power is its own justification.</p>
<p>The prodigal tech bro doesn’t want structural change. He is reassurance, not revolution. He’s invested in the status quo, if we can only restore the founders’ purity of intent. Sure, we got some things wrong, he says, but that’s because we were over-optimistic / moved too fast / have a growth mindset. Just put the engineers back in charge / refocus on the original mission / get marketing out of the c-suite. Government “needs to step up”, but just enough to level the playing field / tweak the incentives. Because the prodigal techbro is a moderate, centrist, regular guy. Dammit, he’s a <em>Democrat</em>. Those others who said years ago what he’s telling you right now? They’re troublemakers, disgruntled outsiders obsessed with scandal and grievance. He gets why you ignored them. Hey, he did, too. He knows you want to fix this stuff. But it’s <em>complicated</em>. It needs <em>nuance</em>. He knows you’ll listen to him. Dude, he’s just like you…</p>
<p>I’m re-assessing how often I help out well-established men suddenly interested in my insights and contact book. It’s ridiculous how many ‘and I truly mean them well’s I cut out of this piece, but I really do, while also realizing I help them because they ask, or because other people ask for them. And that coffee, those introductions, that talk I gave and so much more of my attention and care—it needs to go instead to activists I know and care about but who would never presume to ask. Sometimes the prodigal daughter has her regrets, too.</p>
<p>So, if you’re a prodigal tech bro, do us all a favour and, as <a href="https://www.theguardian.com/world/2020/feb/29/rebecca-solnit-younger-feminists-shift-understanding-give-new-tools">Rebecca Solnit says</a>, help “turn down the volume a little on the people who always got heard”:</p>
<ul>
<li>Do the reading and do the work. Familiarize yourself with the research and what we’ve already tried, on your own time. Go join the digital rights and inequality-focused organizations that have been working to limit the harms of your previous employers and – this is key – sit quietly at the back and listen.</li>
<li>Use your privilege and status and the 80 percent of your network that’s still talking to you to big up activists who have been in the trenches for years already—especially women and people of colour. Say ‘thanks but no thanks’ to that invitation and pass it along to someone who’s done the work and paid the price.</li>
<li>Understand that if you are doing this for the next phase of your career, you are doing it wrong. If you are doing this to explain away the increasingly toxic names on your resumé, you are doing it wrong. If you are doing it because you want to ‘give back,’ you are doing it wrong.</li>
</ul>
<p>Do this only because you recognize and can say out loud that you are not ‘giving back’, you are making amends for having already taken far, far too much.</p>
