title: Missions, promesses, compromis - 3. Risque, ouverture et compromis
url: https://www.philomag.com/les-idees/missions-promesses-compromis3risque-ouverture-et-compromis-43675
hash_url: 7da2d11ea84732bd520f5c517aa62eba

<p>Bien avant de devenir une épreuve et une question scientifiques, l’incertitude et l’indétermination sont d’abord, pour l’humanité, le problème permanent de ce que Rainer Maria Rilke décrit dans les <a href="https://editions.flammarion.com/Catalogue/gf/litterature-et-civilisation/les-elegies-de-duino-sonnets-a-orphee"><i>Sonnets à Orphée</i></a> comme le risque de ce qu’il appelle l’ouvert. </p><p>Risque et ouverture conditionnent tout investissement (noétique ou financier), et demeurent à jamais sans solution : faire face à l’incertitude et à l’indétermination nécessite d’entretenir et de reconstituer sans cesse un horizon de crédit – c’est-à-dire un horizon d’investissements collectifs, visant à inventer et à consolider la possibilité d’un avenir néguentropique surmontant temporairement et localement le devenir entropique (cette localité étant distribuée en échelles qui vont de la cellule à la totalité de la biosphère) – sans jamais pouvoir éliminer le risque ni donc éviter que l’ouverture ne se referme.</p><p>Pourquoi en ce cas l’incertitude et l’indétermination sont-elles finalement <i>déniées</i> par l’institution scolaire et académique, et encore par une partie de la communauté scientifique, légitimant ainsi l’incurie économique et politique ? Et pourquoi cela ne peut-il plus durer ? Il en va ainsi parce que si l’on avait intégré dans les processus de certification industrielle les questions apparues avec la thermodynamique et ses conséquences macroscopiques sur le vivant, par exemple quant aux possibilités qu’a ou que n’a pas l’avion Airbus A380 de voler, jamais cet appareil n’aurait obtenu la <i>certification</i> l’y autorisant. </p>
<p>Et si cela ne peut plus durer, c’est parce l’hypercrise systémique met en évidence que des limites entre systèmes dynamiques sont franchies de toutes parts, perturbant ces systèmes aux échelles les plus éloignées, du virus appelé Covid 19 à l’industrie planétairement interdépendante, compromettant l’avenir de la vie en totalité – cependant que l’A380 est lui-même un échec commercial pour des raisons qui ne sont évidemment pas étrangères à de telles questions. Plus généralement, c’est <i>l’ensemble des processus de certification qui procurent à l’économie industrielle son crédit</i> aussi bien du point de vue des investisseurs (comme calculs de risques) que du point de vue des consommateurs (comme confiance dans les produits comme dans leur pouvoir d’achat et dans leur monnaie) qui <i>nécessite désormais une requalification fondamentale – et systémique. </i></p><p>Le système académique n’a toujours pas intégré l’entropie comme question majeure de la physique pour l’homme, ni ses conséquences sur la définition du vivant par Schrödinger, ni donc la question les limites résultantes pour l’action humaine considérées avec Lotka. Le système académique dans son ensemble, qui aura été gouverné essentiellement dans le but d’accompagner, de légitimer et de renforcer le système de production et de consommation – orientation qui sera encore accrue par le projet de loi de programmation de la recherche –, ne pouvait que refouler ce qui vient contredire la légitimité même d’un tel accompagnement sous cette forme, c’est-à-dire : comme <i>dispositif d’accomplissement aussi bien que de dissimulation de l’ère Anthropocène</i>.</p>
<p>À quoi les oreilles de l’entendement scientifique seront-elles restées sourdes dans leur impossible dialogue devenu polémique au cours de la pandémie sans jamais parvenir à élaborer les thèses de ce que l’on appelle une controverse scientifique ? Il arrive souvent que l’entendement n’entende pas ce que la seule raison peut lui dire : c’est essentiellement cela qu’aura enseigné Kant, et que Whitehead aura su réinterpréter au-delà de la physique newtonienne. Les scientifiques polémiquant à propos de la dangerosité du coronavirus seront restés sourds précisément à l’incertitude subjective résultant de l’indétermination objective et telles qu’à partir des théories de l’entropie en physique, en biologie et en technologie, elles requièrent une nouvelle raison théorique aussi bien que pratique (Kant entrouvre d’ailleurs cette question dans la <i>Critique du jugement</i> comme raison esthétique).</p><p>Chez Whitehead, <strong>la raison a pour fonction d’<i>opérer des bifurcations </i> en vue de protéger ce qui, au-delà de la seule biodiversité,</strong> constitue la noodiversité des êtres exosomatiques que nous sommes, et qui est le gage de leur résilience à toute sorte de dérèglement entropique, dont la maladie est une expression biologique, mais qui a aussi des formes techniques – raison pour laquelle Canguilhem peut écrire <i>« le pouvoir et la tentation de se rendre malade sont une caractéristique essentielle de la physiologie humaine. »</i> </p>
<h3>La puissance publique est à réinventer</h3>
<p>Un nouveau crédit est requis, et la fonction de la raison théorique, pratique et esthétique est de l’ac-créditer en projetant des motifs (raisons) d’espérer. De nouvelles critériologies de certification doivent être mises en place à partir de cette accréditation. Si la tâche paraît de nos jours impossible, elle est impérative. Cet impératif nécessite une méthode d’amplification de dynamiques, fondée sur un diagnostic, et capable de négocier un compromis – car rien ne pourra se <i>concrétiser</i> en de telles circonstances sans que des engagements mutuels ne soient pris par des parties dont les intérêts particuliers divergent, et qui cependant doivent en dernier ressort s’entendre quant à leur intérêt commun. Le gage de cet intérêt commun autrefois appelé bien public et chose publique, c’est la noodiversité – raison pour laquelle la démocratie naît en Grèce. Il s’agit tout aussi bien de réinventer la puissance publique.</p><p>Pour préciser le registre du discrédit affectant le savoir scientifique – mais aussi, plus généralement, les savoirs de la vie quotidienne et les savoir-faire –, une analyse de l’affaire où s’est imprudemment compromise la revue <i>The Lancet</i> constitue un bon cas. Tout le contenu de l’article collectif écrit pour établir l’inefficacité et même la dangerosité de l’hydroxychloroquine, et qui aura été ensuite mis en cause, aura été frelaté par une analyse de données réalisée avec les méthodes actuelles, typiques de la <i>data economy</i>, et appliquée à toutes réalités. L’intérêt de cette affaire, qui a discrédité l’une des revues de médecine les plus anciennes et les plus prestigieuses, est le rôle du calcul dans cette compromission épistémologique – sinon vénale.</p><p>L’économie mondiale repose de nos jours entièrement sur des systèmes de calcul fondés sur l’élimination statistique et probabiliste de l’incalculable et de l’indéterminé. Ces systèmes <i>purement computationnels</i> sont d’autant plus dangereux qu’ils instaurent une <i>certitude aveugle</i> (la certitude cartésienne voyait elle-même très loin – bien qu’elle ne vît ni l’entropie, ni l’univers en expansion, ni la singularité du vivant au sein des lois de la mécanique céleste), dénoncée par les statisticiens eux-mêmes. Désormais confrontée à des événements générés par des systèmes dynamiques portés à leur limite, une telle économie s’avère être mouvante, et risque de se liquéfier telle l’argile crue sous la pluie – comme la « société liquide » devait périr de sa liquidité. </p>
<p>Cela ne signifie en rien qu’il faudrait rejeter les technologies de calcul, dont la raison, et l’entendement à son service, ont évidemment et impérativement besoin – et Wiener, comme <a href="https://fr.wikipedia.org/wiki/Ludwig_von_Bertalanffy">Ludwig von Bertalanffy</a> avant lui, aura montré pourquoi l’humanité en croissance exponentielle ne saurait se passer de la cybernétique, y compris pour ralentir et transformer cette croissance à la fois démographique et économique qui s’avère être une mécroissance constituant une déséconomie. Cela signifie qu’il faut <i>prescrire thérapeutiquement la technologie</i> en tant qu’elle est un <i>pharmakon</i> aussi remédiant qu’empoisonnant.</p>
<p>Si Naomi Klein a sans aucun doute raison de diagnostiquer qu’un nouvel épisode de la doctrine du choc – mieux connue comme stratégie du choc, selon la traduction française de son <i>best-seller</i> – est en train de se jouer à travers ce qu’elle a décrit comme un <i>screen new deal</i>, en lieu et place du <i>green new deal</i> que proposait la gauche américaine dans le cadre des primaires démocrates, et qui, après le confinement planétaire, profiterait de la catastrophe sanitaire pour <i>imposer télé-travail et télé-enseignement à très grande échelle</i>, il ne saurait s’agir de rejeter ni les écrans ni les algorithmes dont ils sont les interfaces. Il s’agit d’entamer une critique fondamentale de l’informatique théorique, telle qu’elle repose sur une interprétation tout à fait partielle de l’entropie par la théorie dite de l’information, et, en particulier pour l’Europe, il s’agit de reconstruire un avenir industriel qu’elle a perdu.</p>
<h3>Une alter-doctrine du choc</h3>
<p>Dès lors, il ne suffit pas de provoquer une « stratégie du choc à l’envers », comme croyait pouvoir le proposer avec Pablo Servigne un groupe de citoyens prônant la solidarité de proximité plutôt que des mesures réglementaires mises en œuvre par des technologies. On ne saurait simplement opposer des communautés solidaires et autres initiatives locales à une catastrophe d’ampleur littéralement cosmique. Il s’agit tout au contraire d’élaborer et de concrétiser une <i>alter-doctrine du choc</i> – tant il est vrai que <i>depuis son origine, l’humanité engendre et subit les chocs dont elle est à la fois la source, la victime</i> <i>et le soin</i> comme culture, c’est à dire comme production constante de nouvelles formes de savoirs et de crédits constituant une noodiversité. </p><p>De tels chocs sont liés à la condition irréductiblement exosomatique de l’humanité, situation induite par la structure néoténique de la physiologie humaine. Une société ne tient dans le temps que pour autant qu’elle parvienne à générer un crédit à partir de tels chocs. Un nouveau crédit instaure une époque, un âge ou une ère, à travers un processus qui connaît toujours une phase douloureuse d’engendrement, puis une apogée, puis un temps de déclin – lequel, selon Toynbee, peut devenir suicidaire.</p><p>Le grand choc qui aura généré l’ère Anthropocène est la machine thermodynamique. Le second principe de la physique thermodynamique aura été formulé peu de temps après ce choc, et il aura été formalisé comme processus entropique en 1865 par <a href="https://fr.wikipedia.org/wiki/Rudolf_Clausius">Rudolf Clausius</a>, <a href="https://fr.wikipedia.org/wiki/Ludwig_Boltzmann">Ludwig Boltzmann</a> en énonçant la formule statistique en 1873. Comme on l’a vu, un grand décalage se sera cependant maintenu entre cette théorie tout à fait nouvelle et la réalité comptable et certifiée de la vie quotidienne – et ce décalage aura été un refoulement au service de la réalisation d’une ère géologique très spécifique, très brève, fondée sur une accélération foudroyante, devenue avec la disruption <i>accélération de l’accélération</i> (comme il y a une <i>épidémie d’épidémies </i>), et condamnée à l’épuisement à très brève échéance.</p><p><strong>C’est à partir de ce diagnostic que le Collectif Internation, le 10 janvier dernier, à Genève, a proposé une démarche de recherche contributive,</strong> fondée sur des territoires laboratoires candidats et visant à opérer des transferts très rapides de savoirs <i>régénérés</i> par cette méthode, qui associe étroitement, fonctionnellement et intergénérationnellement les habitants de ces territoires, qu’ils soient résidents, associations, entreprises, institutions, administrations, etc., scientifiques, économistes, juristes, épistémologues, philosophes, sociologues, psychologues, urbanistes, architectes, ingénieurs, médecins, pédiatres, psychiatres, artistes, acteurs économiques et financiers. </p><p>Nous posons avec ce Collectif et avec l’Association des amis de la génération Thunberg  qui s’est créée autour de lui que la nouvelle certification requise pour être mise au service du nouveau crédit est la lutte contre l’entropie. Cette certification, qui consiste aussi bien en diplômes et en autorisation de voler ou de rouler, est surdéterminée par des normes comptables micro-économiques, méso-économiques et macro-économiques. Nous prônons dans cette optique une régénération des normes comptables fondée sur la revalorisation des savoirs locaux – vivre, faire, concevoir et spiritualiser – à toutes les échelles, mis en situation de prescrire et de pratiquer de telles certifications, et, en cela, de générer et consolider des nouvelles formes de crédit. Pour cela, une plateforme contributive a été conçue sur la base du logiciel E-planet. </p><p>Les savoirs configurent les pratiques qui permettent de lutter contre l’entropie : ils sont en ce sens structurellement néguentropiques. La néguentropie elle-même est toujours une réalité locale : telle vinification est liée à tel terroir et tel cépage, telle musique est africaine ou autrichienne, telle théorie physique est terrienne, et tout cela constitue ce que nous appelons la noodiversité, qui ne peut être appréhendée que du point de vue de la biosphère, comme le souligna Edmund Husserl dans son style et en son temps.  </p>
<p>Si la biosphère tente de s’élargir à travers navettes spatiales, sondes et observatoires dans l’espace, ces dispositifs demeurent dépendants de leur « segment-sol », et la biosphère elle-même, désormais entourée par une exosphère satellitaire, ne peut jamais, en aucun cas, s’émanciper d’un point de vue <i>situé</i> – aussi bien <i>dans l’espace</i> (le système solaire au sein de sa galaxie) que <i>dans le temps</i> (moins de 5 milliards d’années avant l’extinction du soleil, plus de 13 milliards d’années près la formation de l’univers, moins de 5 milliards d’années après la formation de la Terre, près de 4 milliards d’années après l’apparition de la vie). </p><p>De tels savoirs étant toujours locaux, leur valorisation à travers des échanges avec d’autres savoirs, issus d’autres localités, suppose des franchissements d’échelles de localités, qui supposent eux-mêmes des modalités de certifications comptables, elles-mêmes contributives – à travers ce que nous avons appelé des conventions collectives territoriales. La valorisation de tels savoirs se nomme l’économie de la contribution, et dans une expérimentation en cours en Seine-Saint-Denis, qui constitue le premier territoire laboratoire, elle vise à établir un revenu contributif, inspiré à la fois par l’organisation du travail inventée dans le cadre du logiciel libre (comme partage de savoirs constituant des communs), et par les modalités de rémunérations hors emploi des intermittents du spectacle (comme investissement collectif dans la noodiversité). </p>
<h3>Vers une bifurcation positive</h3>
<p>Lorsque le collectif <a href="https://www.democratieouverte.org/nouslespremiers-scenario-democratique/">#Nouslespremiers</a> a lancé son initiative, je m’y suis associé tout en soulignant que les démarches proposées sur la base de conventions citoyennes ne pourraient être fécondes et tenir leurs promesses qu’à la condition non seulement de consulter des avis d’experts, qui sont eux-mêmes très souvent objets de controverses ou de polémiques, mais aussi de constituer des dispositifs d’apprentissages collectifs et expérimentaux permettant de <i>travailler</i> avec ces scientifiques, économistes, juristes, ingénieurs, etc. à <i>régénérer les crédits</i> requis pour qu’une société ait confiance en elle – et cela, désormais, à l’échelle planétaire – en situation d’urgence absolue. </p><p>De tels laboratoires, <strong>qui devraient se multiplier sur tous les continents</strong> – et il en existe déjà partout (notamment les territoires et villes en transition) sous des formes plus ou moins développées –, doivent être des lieux de négociations de compromis entre acteurs qui ont des intérêts à court terme et moyen terme divergents mais à long terme convergents. Cette convergence doit permettre de passer des accords à travers de conventions collectives, à diverses échelles, en mobilisant très fortement les générations, et en y associant étroitement les institutions scolaires et académiques aussi bien que les parents d’élèves, qui sont littéralement affolés et de plus en plus accablés par l’avenir à court terme aussi bien qu’à long terme de leurs enfants et petits-enfants.</p><p>Il faut agir pour le vivant, mais, dans cet état d’exception noétique qu’est l’état d’urgence généralisée, cette action ne doit en aucun cas sacrifier la réflexion. Elle doit pour cela se donner de nouveaux instruments de recherche, associant étroitement l’ensemble des parties prenantes, et avant tout les habitants, qui ne retrouveront confiance et ne trouveront ainsi la force d’agir et de bifurquer positivement qu’à la condition de <i>contribuer</i> à la genèse de ces nouveaux savoirs. Ceux-ci permettront tout aussi bien d’engendrer une nouvelle puissance publique, constituant une nouvelle chose publique, et une régénération de ce que l’on appelait à l’époque de Kant la République, conçue avant tout comme communauté politique fondée sur le partage de savoirs. </p>
<p>Pour cela, un compromis historique entre le capital et le travail est requis. Les entreprises sont confrontées à un défi sans précédent. Elles doivent se réinventer de fond en comble pour passer d’une valeur basée sur le PIB, lui-même essentiellement producteur d’entropie, à une valeur entièrement requalifiée : le temps est venu d’une innovation véritablement ouverte en cela que sociale, et non seulement technologique – ne tombant dans les travers ni du « solutionnisme technologique », ni du libertarianisme qui n’est que l’extrémisation techno-logique d’un ultralibéralisme failli. </p><p>S’il n’était pas possible de réaliser ce que Stéphane Berdoulet appelle après Michel Bourgain (ancien maire de l’Île-Saint-Denis) des PPPP, <strong>c’est-à-dire des <i>partenariats public privé population</i>,</strong> les pouvoirs publics et le personnel politique qui les a laissés se dégrader à un point inconcevable en à peine deux décennies devraient être mis devant le fait accompli – eux-mêmes n’ayant plus le crédit requis pour accomplir un tel fait, c’est-à-dire : pour générer une bifurcation positive, à la base de nouveaux droits, fondateurs de scalabilités diversement locales, et capables de prendre soin de la biosphère devenue technosphère.</p>
