title: Morozov: oublier internet
url: http://dataholic.ca/2017/12/12/morozov-internet/
hash_url: bf5d380fc98a7dd3766a5c35c59e29a4

<p><em>Mise à jour / 23 décembre: Le CCA a <a href="https://www.youtube.com/watch?v=f1yJ8eeI2js">publié la vidéo</a> sur son canal Youtube</em></p>

<p>Ma découverte d’Evgeny Morozov date du début des années 2010, suite à des échanges sur Internet (forum? liste de diffusion?) où il critiquait les données ouvertes, donnant des exemples dans lesquels les données ouvertes avaient plutôt servi ceux qui détenaient le pouvoir que la population dans son ensemble -je me rappelle notamment d’un exemple de spéculateurs fonciers en Inde qui avaient habilement exploité ces données au détriment de la population des slums.</p>

<p>À l’époque j’y avais vu un opposant à l’ouverture des données, donc quelque part opposé au “bien” même si je devais bien être d’accord que les exemples qu’il amenait pouvaient difficilement être ignorés. C’était un des premiers que je lisais à proposer une analyse critique des données ouvertes outre que “ça va couter cher”.</p>

<p>Par la suite, j’ai appris à découvrir son point de vue. Bien que je doive bien avouer n’avoir lu aucun de ses livres, je regarde souvent sa production dans le Guardian ainsi que dans le Monde Diplomatique. Ceci m’a permis de découvrir une approche critique solide qui ne s’oppose pas nécessairement à certaines démarches progressistes, mais qui en questionne régulièrement les fondements et les objectifs profonds et fait souvent ressortir des contradictions et des cul-de-sac logiques. Ce faisant, il est à mes yeux un des principaux critiques de la culture technologique, critique bien représentée par ce qu’il nomme solutionnisme technologique.</p>

<p>Quand j’ai vu qu’il devait intervenir au Centre Canadien d’Architecture, je pouvais difficilement l’ignorer. J’ai fait part sur les medias sociaux de mon étonnement dans le peu de monde ayant assisté à cette allocutation et l’absence de représentant de la <em>scène</em> techno montréalaise. Plutôt que d’insister là-dessus, je vais répondre, assez succintement et d’une manière qui ne rend surement pas à sa juste valeur la réflexion de Morozov, à la demande de ceux qui n’ont pas pu assister en personne à cette intervention et souhaitent un résumé. (Note: le tout a été filmé, mais je n’ai pu obtenir confirmation du CCA si cela serait rendu disponible sur leur canal Youtube.)</p>

<p>–</p>

<p>L’invitation du CCA manquait de clarté, sous le titre <em>Venez oublier</em>, on nous proposait le nom de Evgeny Morozov sans plus d’explication. Arrivé sur place, l’explication est venu: il s’agit d’une série d’allocutions nous proposant de défendre l’oubli d’une idée, d’un objet, d’une personne et de disserter sur le sujet.</p>

<p>Morozov a vu grand: il proposait d’oublier Internet.</p>

<p>Ayant un style d’écriture assez sec et dur, il était presque surprenant de découvrir une personne assez amicale et jouant sur l’humour. Ceci dit, une fois lancé dans sa dissertation d’une heure, seul dans un fauteuil, il a réussi à élaborer un cheminement intellectuel surprenant.</p>

<p><img src="/images/2017-12-12-morozov.jpg" alt="Evgeny Morozov @ CCA" /></p>

<p>Internet devrait être oublié. D’ailleurs, il a confié avoir retiré ce terme de ces écrits depuis plusieurs années. Pour développer son argument, Morozov est reparti de son premier livre, <em>The Net Delusion : The Dark Side of Internet Freedom</em> ainsi que ses travaux de doctorat entamé il y a 6 ans sur l’histoire d’Internet. Il note se trouver confirmé dans sa vision des choses depuis l’écriture de ce livre en 2011 à savoir qu’une vision très utopiste d’Internet s’est finalement traduite par un effacement de bien des enjeux de l’ordre de l’économie politique.</p>

<p>Il donne l’exemple d’un rapport canadien du CNRC produit dans les données 1970, proposant la création d’un réseau similaire à Internet, mais d’origine canadienne, pour éviter que les intérêts américains ne dominent totalement le Canada. De la même manière qu’un Jean-François Lyotard à la même période, les auteurs de ce rapport soulignent combien le développement d’infrastructures et d’une gouvernance nationale d’un tel réseau est primordiale pour maintenir une capacité de manoeuvre autant sur le plan politique qu’économique.</p>

<p>Cependant, durant les années 1980 et 1990, ces inquiétudes furent noyées par le Kool-aid libéral pronant l’ouverture principalement au nom du libre marché, résultant dans une démarche dans laquelle les États-Unis ont pris un rôle prépondérant et qui, tout en chantant les louanges de l’émancipation et du progrès social, utilisaient déjà ce réseau ouvert à la fois comme moyen de surveillance mais aussi d’influence globale.</p>

<p>Et s’il peut sembler tout aussi utopique d’imaginer un Internet différent, plus “fermé”, Morozov rappelle que ce qu’a réussi à faire la Chine malgré la risée que cela a provoqué au début. Et même si le mur de Chine demeure la cible d’une opprobe quasi-généralisée en Occident, il n’en reste pas moins que l’empire du milieu a réussi avec succès ce grand exercice d’économie politique en reprenant controle, d’une manière très réaliste et avec des objectifs très clairs, sur cette infrastructure désormais centrale à bien des égards et évitant ainsi de voir les entreprises de la Silicon valley devenir des vecteurs de la vision américaine (utopiste, transhumaniste, utilitariste, libertarienne, choisissez ce qui vous plait).</p>

<p>Bref, en continuant à défendre Internet tel qu’il est, nous continuons, selon Morozov, à défendre des valeurs dont nous ne comprenons pas nécessairement tous les fondements idéologiques et nous continuons à éluder bien des enjeux qui devraient pourtant être discutés à mesure qu’Internet perd de son lustre comme support à la démocratie et à l’émancipation et s’avèrent plutôt un cheval de Troie pour certaines philosophies. Exemple: la neutralité du net, qui fait les gorges chaudes des commentateurs n’est qu’une preuve de ces abdications. Selon Morozov, l’absence de neutralité ne serait pas nécessairement problématique si c’était pour décider qu’écoles et bibliothèques auraient un accès prioritaire au réseau par rapport à une banque d’affaire faisant du high frequency trading. En défendant la neutralité, on ne fait que défendre le modèle dans lequel nous nous sommes enfoncés jusqu’au cou et où on ne peut plus qu’essayer d’éviter ce qui est peut-être inéluctable: la prise de contrôle de ce medium (presque) planétaire par ceux qui en ont développé les valeurs sous-jacentes depuis que le milieu de la recherche en a cédé le controle.</p>

<p>Ce n’est pas le concept de réseau de communications et de partage qu’il faut oublier, c’est l’Internet tel que nous l’avons (tous) contruit, auquel nous participons, et dont les quelques services gratuits ou peu cher qu’il nous rend (Ô Netflix et Amazon, que ferions-nous sans vous!) pourraient se retourner contre tous ceux qui ne sont pas à la tête des consortiums qui en dirigent le contenu.</p>
