title: La question Facebook. Sysiphe is Scrolling.
url: https://www.affordance.info/mon_weblog/2020/08/la-question-facebook.html
hash_url: eed6c28eb76dfb044c259d4f3ef0e77c

<p>Souvenez-vous. Nous étions en 2016. Quelques mois avant l'élection de Donal Trump. Lors d'un sondage interne dans lequel les employés de Facebook votent pour les questions à poser au PDG, l'une d'entre elles revenait avec insistance : </p>
<blockquote>
<p>"<em>Quelle est la responsabilité que Facebook peut prendre pour empêcher Donald Trump de devenir président des Etats-Unis en 2017 ?</em>"</p>
</blockquote>
<p>Je vous avais raconté cette histoire dans mon article titré "<a href="https://affordance.typepad.com/mon_weblog/2016/04/construire-une-nation-comme-un-fichier-client.html" rel="noopener" target="_blank">Construire une nation comme un fichier client</a>". </p>
<h2>La question Facebook et/ou le problème Trump.</h2>
<p>Nous sommes en Août 2020, à quelques mois de la prochaine élection présidentielle américaine qui se tiendra en Novembre. Et les employés de Facebook sont en train de poser à Zuckerberg la question de savoir ce que ferait l'entreprise si Donald Trump utilisait le réseau social pour saper les résultats de l'élection présidentielle américaine. Ce qu'il (Donald Trump) a déjà commencé à faire, notamment en expliquant partout que le vote par correspondance (du fait de la situation de pandémie du Coronavirus) rendait l'élection inique et en laissant même planer le doute sur le fait qu'il accepterait la victoire de Joe Biden si elle devait advenir dans ce contexte (pour une <a href="https://www.slate.fr/story/193560/trump-saboter-election-presidentielle-etats-unis-2020-vote-par-correspondance" rel="noopener" target="_blank">vue d'ensemble des stratégies de Trump pour discréditer le vote par correspondance et dont les posts sur les réseaux sociaux ne sont que l'aspect émergé, voir cet article sur Slate</a>). Une position (sur le vote par correspondance) qui lui valut (entre autres) <a href="https://www.affordance.info/mon_weblog/2020/06/charme-bourgeoisie-numerique.html" rel="noopener" target="_blank">la "censure" de Twitter</a>, laquelle censure l'amena (Donald Trump toujours) a rédiger le fameux "décret" pour obliger les plateformes à respecter <span>la</span> sa liberté d'expression et entraver leurs procédures (pourtant très laxistes et approximatives) de modération.  </p>
<p>De manière plus précise, <a href="https://www.buzzfeednews.com/article/craigsilverman/facebook-zuckerberg-what-if-trump-disputes-election-results?origin=tuh" rel="noopener" target="_blank">la réflexion exacte des employés de Facebook soumise à leur PDG est la suivante</a> : </p>
<blockquote>
<p><em>"Nous faisons face à un scénario problématique dans lequel Facebook va être utilisé pour saper agressivement la légitimité des élections américaines, d'une manière qui n'avait jusque là jamais été possible dans l'histoire" </em></p>
<p><em>("I do think we’re headed for a problematic scenario where Facebook is going to be used to aggressively undermine the legitimacy of the US elections, in a way that has never been possible in history")</em></p>
</blockquote>
<p>Il semble donc qu'entre 2016 et 2020 rien n'ait finalement beaucoup changé.</p>
<blockquote>
<p><em>2016 : que peut faire Facebook pour empêcher Donal Trump ... de devenir président ?</em></p>
<p><em>2020 : que peut faire Facebook pour empêcher Donald Trump ... de saper la légitimité d'une élection démocratique ? </em></p>
</blockquote>
<p>Une question d'autant plus d'actualité que Facebook vient de son côté, comme à chaque élection présidentielle, de lancer son "<a href="https://about.fb.com/news/2020/08/launching-voting-information-center/" rel="noopener" target="_blank">Facebook Voting Information (sic) Center</a>". Une campagne "d'affichage" déployée massivement sur Facebook, Instagram et Messenger avec pour but de rappeler aux américains non-inscrits sur les listes électorales d'aller le faire. Comme <a href="https://www.facebook.com/zuck/videos/10112184244488171" rel="noopener" target="_blank">l'explique le boss</a> : </p>
<blockquote>
<p>"<em>The Voting Information Center is part of our larger goal to help 4 million Americans register to vote this year. Almost 40% of eligible voters aren't registered yet, so please, register to vote!</em>"</p>
</blockquote>
<p>A chaque élection et à chaque réactivation des sollicitations de Facebook pour inciter les gens à aller voter (ou à s'inscrire sur les listes électorales), j'ai toujours en tête ce qui s'était passé en 2010, aux USA, lors des élections de mi-mandat (mid-terms) et qui avait démontré la capacité de Facebook à altérer la sincérité du scrutin "simplement" en appelant à aller voter et en indiquant qui de vos amis y était effectivement allé (voir le <a href="https://www.affordance.info/mon_weblog/2019/04/global-public-ads-archive.html" rel="noopener" target="_blank">passage "Il était une fois aux états-unis" dans cet article</a>). Et si vous êtes en train de vous dire qu'il l'a fait "<em>pour de bonnes raisons</em>", c'est à dire "<em>juste</em>" pour convaincre des électeurs d'aller voter, n'oubliez jamais qu'en 2020 personne d'autre que Facebook - et encore ... - n'est en capacité de montrer ou de démontrer que ces "<em>bonnes raisons</em>" ne peuvent pas être instrumentalisées pour mobiliser de manière asymétrique ce qui représente pour vous et vos propres convictions le "<em>mauvais</em>" corps électoral. <strong>L'important ce n'est pas l'atterrissage, c'est la dynamique de la chute</strong>.</p>
<p>Je ne vous cache pas que je n'ai donc aucune hâte de prendre connaissance de la question qui pourrait être posée en 2024. Et qui pourrait ressembler à ceci : </p>
<blockquote>
<p><em>2024 : que peut-on faire pour empêcher Facebook de saper la légitimité d'une élection démocratique ? </em></p>
</blockquote>
<p>Quant à 2028, je vous soumets l'hypothèse (<a href="https://affordance.typepad.com/mon_weblog/2017/01/zuckerberg-president-united-states.html" rel="noopener" target="_blank">déjà tentée</a>) d'un : </p>
<blockquote>
<p><em>2028 : que peut-on faire pour empêcher Mark Zuckerberg de devenir président grâce à Facebook en sapant la légitimité d'une élection démocratique ? #combo</em></p>
</blockquote>
<p>Mais revenons à la question de 2020. Question posée alors même que durant ces quatre dernières années, le rôle toxique de Facebook n'a cessé d'être démontré, à la fois en tant que plateforme dans sa fonction première de polarisation de l'opinion, mais également en tant qu'intermédiaire, partenaire ou (parfois) cible de courtiers de données comme dans le cadre de l'affaire Cambridge Analytica.</p>
<p>Cambridge Analytica qui n'a d'ailleurs rien changé sinon son nom : l'entreprise s'appelle désormais <a href="https://fr.wikipedia.org/wiki/Data_Propria" rel="noopener" target="_blank">Data Propria</a>, navigue dans les mêmes réseaux, emploie peu ou prou les mêmes personnes (moins bien sûr Christopher Wylie, le lanceur d'alerte qui a permis au scandale d'éclater), utilise les mêmes techniques, et poursuit les mêmes buts au service des mêmes intérêts et des mêmes lobbies.</p>
<p>Un peu comme si l'inertie déterministe d'une économie capitaliste pourtant depuis plus de 10 ans à son optimum de démence, empêchait toute modification structurelle de nos mécanismes de défense démocratique collective, anesthésiés et attendant d'être euthanasiés.</p>
<p>Il est plusieurs moyens de "<em>saper les bases d'une élection</em>". Le principal (en démocratie en tout cas) est de mettre en place et/ou de coordonner des stratégies de désinformation pour amener la partie de l'opinion que l'on vise (les minorités, les indécis, les femmes, les cadres, les classes moyennes, etc.) à choisir un comportement de vote qui satisfasse nos intérêts, ou pour organiser une forme de chaos mental et social qui permettra de faire émerger ou de renforcer l'image d'un leader ou d'un programme y répondant opportunément.</p>
<p>Or les rares frappes chirurgicales opérées par Facebook dans sa "guerre" contre la désinformation (la dernière en date étant celle du <a href="https://www.lemonde.fr/pixels/article/2020/08/07/facebook-demantele-un-reseau-roumain-de-faux-comptes-americains-pro-trump_6048380_4408996.html" rel="noopener" target="_blank">démantèlement de ces 120 faux-comptes d'un réseau roumain oeuvrant pour les républicains</a>, ou celle des pages du réseau de "<a href="https://www.lemonde.fr/economie/article/2020/07/01/jusqu-au-bout-mark-zuckerberg-a-resiste-a-la-tentation-de-policer-le-contenu-de-son-reseau_6044811_3234.html" rel="noopener" target="_blank">libertariens néonazis Boogaloo</a>"), ces rares frappes chirurgicales et la rapidité avec laquelle la firme les rend à chaque fois publiques, sont bien davantage une stratégie de communication délétère pour atténuer les dégâts portés à l'image publique de l'entreprise, qu'une tactique militaire sincère visant à nettoyer le réseau de ses ramifications les plus anti-démocratiques. Comme l'explique justement <a href="https://www.lemonde.fr/economie/article/2020/07/01/jusqu-au-bout-mark-zuckerberg-a-resiste-a-la-tentation-de-policer-le-contenu-de-son-reseau_6044811_3234.html" rel="noopener" target="_blank">Philippe Escande dans Le Monde</a> : </p>
<blockquote>
<p>"<em>Le problème est que son attitude actuelle et les dommages causés à sa réputation sont en train de compromettre son ambition future, celle d’une plate-forme universelle que l’on utilisera pour communiquer et s’informer, mais aussi pour faire ses courses, payer ses achats ou appeler un taxi, à l’image du réseau chinois WeChat qui permet déjà tout cela. Pour enfermer le client dans un univers, il faut soigner son image auprès des utilisateurs comme auprès des politiques. Amazon en sait quelque chose, Facebook est train de l’apprendre.</em>"</p>
</blockquote>
<p>De fait, si le recours à "l'intelligence artificielle" semble s'intensifier pour, par exemple, <a href="https://www.lemonde.fr/pixels/article/2020/08/12/facebook-ajoute-les-blackfaces-et-des-stereotypes-antisemites-a-ses-contenus-explicitement-interdits_6048789_4408996.html" rel="noopener" target="_blank">supprimer les Blackfaces</a> (là encore sous la pression de l'opinion, ici en lien avec le mouvement Black Lives Matter, mais également - et c'est plus inédit - <a href="https://www.lemonde.fr/economie/article/2020/06/29/haine-en-ligne-le-boycottage-d-annonceurs-oblige-facebook-a-flechir_6044532_3234.html" rel="noopener" target="_blank">sous la pression d'annonceurs publicitaires soucieux de leur propre image au sein de la plateforme</a>), les porte-parole de la firme eux-mêmes indiquent qu'il est également certains Blackfaces dont le "contexte" de publication <a href="https://www.lemonde.fr/pixels/article/2020/08/12/facebook-ajoute-les-blackfaces-et-des-stereotypes-antisemites-a-ses-contenus-explicitement-interdits_6048789_4408996.html" rel="noopener" target="_blank">ne nécessitera pas leur suppression automatique</a> : </p>
<blockquote>
<p>"<em>On peut également imaginer qu’il pourrait y avoir d’autres circonstances dans lesquelles quelqu’un pourrait partager des images avec un</em> blackface<em>, sans que ce soit fait pour des raisons haineuses."</em></p>
</blockquote>
<p>Mais lutter contre les contenus haineux et lutter contre la désinformation sont deux choses différentes. Et la <a href="https://www.zdnet.fr/actualites/facebook-s-appuie-sur-l-ia-pour-ameliorer-la-moderation-de-ses-contenus-39908047.htm" rel="noopener" target="_blank">doctrine solutionniste consistant à miser principalement sur "l'intelligence artificielle" pour y parvenir</a>, déjà prise régulièrement en défaut - ou en excès de zèle - sur des questions de racisme pourtant souvent essentiellement explicites, est à peu près totalement dépourvue d'intelligence contextuelle sur les enjeux de désinformation relevant nécessairement d'un implicite, et donc souvent inopérante.</p>
<p>D'autant que Zuckerberg continue de faire semblant de n'y rien comprendre et de maintenir comme "partenaire presse" (donc avec une exposition et un onglet dédié) des sites comme Breitbart News, plusieurs fois éditeurs de vidéos complotistes ou de désinformation, et reconnus comme tels mais qui n'ont jamais reçu deux "strike" (signalement massif) à moins de 90 jours d'intervalle et qui peuvent donc, selon les CGU de la plateforme, continuer de jouir de leur profil de "partenaire presse sérieux" ("trusted source") et de l'exposition idoine : </p>
<blockquote>
<p>"<em>This was certainly one strike against them for misinformation, but they don't have others in the last 90 days,"</em> <a href="https://www.buzzfeednews.com/article/craigsilverman/facebook-zuckerberg-what-if-trump-disputes-election-results?origin=tuh" rel="noopener" target="_blank">Zuckerberg said</a>. "<em>So by the policies that we have, which by the way I think are generally pretty reasonable on this, it doesn't make sense to remove them."</em></p>
</blockquote>
<p>En termes de désinformation ou de lutte contre la haine, la modération sur Facebook c'est Sisyphe expliquant à Procuste comment il doit vider le tonneau des Danaïdes avant de le faire rouler en haut de la montagne. Ou pour le dire moins mythologiquement : c'est perdu d'avance. </p>
<h2>Enfants immunisés et fin de l'immunité algorithmique.</h2>
<p>Comme une première mondiale dans l'histoire de la modération depuis que la plateforme existe, le 5 août 2020, et peut-être en écho à la dernière question posée par ses employés, <a href="https://www.courrierinternational.com/article/fake-news-desinformation-sur-le-covid-19-trump-censure-par-facebook-et-twitter" rel="noopener" target="_blank">Facebook s'est décidé à censurer une publication du président américain</a>. Publication concernant le fait que les enfants seraient "<a href="https://www.lemonde.fr/pixels/article/2020/08/06/facebook-retire-une-video-de-trump-jugee-mensongere-sur-la-pandemie-de-covid-19_6048249_4408996.html" rel="noopener" target="_blank">presque totalement immunisés</a>" contre le coronavirus et que cela permettrait donc à toutes les écoles d'ouvrir normalement. En censurant cette publication, Facebook rompt l'immunité algorithmique jusqu'ici dévolue au président américain (<a href="https://www.affordance.info/mon_weblog/2019/09/on-ne-peut-pas-moderer-moderement.html" rel="noopener" target="_blank">mais aussi à l'ensemble des hommes et femmes politiques</a>).</p>
<p>Motif officiel donc : </p>
<blockquote>
<p>"<em>Cette vidéo inclut des fausses affirmations, selon lesquelles un certain groupe de personnes ne sont pas susceptibles d’attraper le Covid-19, ce qui enfreint notre règlement sur la désinformation dangereuse autour de la maladie.</em>" (source <a href="https://www.lemonde.fr/pixels/article/2020/08/06/facebook-retire-une-video-de-trump-jugee-mensongere-sur-la-pandemie-de-covid-19_6048249_4408996.html" rel="noopener" target="_blank">Le Monde / AFP</a>)</p>
</blockquote>
<p>Pour rappel, la doctrine de Facebook en termes de modération était jusque là parfaitement stable et n'évoluait que sous l'effet d'une pression de l'opinion trop forte pour ne pas avoir des conséquences négatives sur l'image de l'entreprise (et si "<em>la vie privée est une affaire de négociation collective</em>" <a href="https://journals.openedition.org/rfsic/630" rel="noopener" target="_blank">comme l'explique Antonio Casilli</a> depuis longtemps, la légitimité des prises de parole de personnalités publiques dans un réseau privé l'est également comme cette affaire va, en partie, le démontrer).</p>
<p><em> Cette doctrine</em> c'est celle qui consiste à sous-traiter économiquement dans des conditions humaines absolument indignes des processus de modération pourtant fondamentaux et qui du fait de leur extrême dureté psychologique devraient garantir aux travailleurs les opérant une prise en charge, un suivi, une formation et un salaire décents (si vous ne l'avez pas vu, précipitez-vous, mais vraiment, sur <a href="https://www.youtube.com/watch?v=sLqguHf6eF0" rel="noopener" target="_blank">le documentaire "The Cleaners"</a>).</p>
<p><em>Cette doctrine</em> c'est celle qui a autorisé la firme à ne presque jamais intervenir au motif de la "liberté d'expression" et pour ne pas se poser "<em>en arbitre de la vérité</em>" comme le répète piteusement Zuckerberg à chaque fois qu'il est auditionné devant des représentations politiques aux USA ou ailleurs.</p>
<p><em>Cette doctrine</em> c'est aussi <a href="https://www.affordance.info/mon_weblog/2019/09/on-ne-peut-pas-moderer-moderement.html" rel="noopener" target="_blank">celle qui a sorti du champ de la modération et du fact-checking, la parole politique du seul fait qu'elle est une parole politique</a>. Offrant ainsi un blanc-seing tout à fait inédit au statut de cette parole politique, non pas seulement quand elle s'exprime dans le réseau social (les politiques n'ont pas attendu Facebook pour mentir et raconter tout et son contraire) mais telle qu'elle vient nourrir (et pourrir) les mécanismes d'accréditation affluents et effluents de sa propre énonciation, et corrélativement la construction sociale d'une vérité collective (véracité) qui ne tient souvent plus à rien d'autre qu'à l'aune de sa propre conviction au miroir de ceux qui la partagent déjà et la propagent ensuite.  </p>
<p>S'il s'agit bien d'une énormité dissimulant mal son arrière-pensée politique, l'affirmation de Trump sur l'immunité des enfants face au coronavirus n'est hélas pas la pire de ses prises de parole sur Facebook. <strong>Alors pourquoi censurer celle-là et pourquoi le faire maintenant ? </strong></p>
<p>Si Zuckerberg a fait le choix de censurer la publication de Trump expliquant que les enfants seraient immunisés contre le Covid, et si ce faisant il contrevient exceptionnellement à la règle qu'il avait pourtant lui-même énoncé d'extraire les paroles politiques (y compris clivantes, y compris extrêmes, y compris explicitement mensongères) du champ du fact-checking, c'est parce que les USA sont dans une situation pandémique absolument catastrophique et que le clivage sociétal autour des questions de confinement et de port du masque (entre autres) atteint des proportions qui sont à la limite de la guerre civile. Le port du masque (ou son refus) est en effet devenu <a href="https://www.liberation.fr/planete/2020/07/05/aux-etats-unis-l-epidemie-de-coronavirus-aggravee-par-les-anti-masques_1793366" rel="noopener" target="_blank">un marqueur idéologique</a> qui renvoie aux spécificités culturelles de la conception des libertés individuelles où, en plus d'un <a href="https://www.vox.com/the-goods/21356150/american-men-wont-wear-masks-covid-19" rel="noopener" target="_blank">virilisme mortifère</a>, toute contrainte ou astreinte est perçue par certains comme une insupportable aliénation communiste (en gros).</p>
<p>Or, et c'est probablement un autre élément de contexte qui a poussé Zuckerberg à prendre cette inédite décision de censure, <a href="https://www.presse-citron.net/usa-sur-facebook-les-militants-anti-masques-prosperent-tandis-que-la-pandemie-progresse/" rel="noopener" target="_blank">les opposants au port du masque sont très présents sur Facebook</a>. Très présents, très efficaces et très surexposés et partagés puisque les discours qu'ils tiennent satisfont à tous les critères de ces ingénieries de la viralité qui se nourrissent et entretiennent comme une braise permanente <a href="https://affordance.typepad.com/mon_weblog/2018/10/lutter-contre-la-haine-sur-le-web.html" rel="noopener" target="_blank">la dimension spéculative des discours clivants et victimaires en général et des discours de haine en particulier</a>. Et tous les efforts - <a href="https://www.lemonde.fr/pixels/article/2020/04/16/facebook-va-avertir-les-utilisateurs-qui-ont-reagi-a-des-messages-dangereux-lies-au-covid-19_6036820_4408996.html?utm_term=Autofeed&amp;utm_medium=Social&amp;utm_source=Twitter#Echobox=1587053777" rel="noopener" target="_blank">objectifs</a> - de la firme pour sur-pondérer ou en tout cas pour sur-exposer les informations "fiables" ou "fact-checker" les fausses sur la pandémie n'y changent rien ; Zuckerberg est pris à son propre piège : s'il ne dit rien et n'intervient pas il favorise objectivement les discours les plus clivants (qui sont aussi hélas souvent les plus éloignés de formes raisonnables de véracité), et s'il intervient les informations qu'il choisit d'exposer sont traitées comme celle d'un média interventionniste et donc immédiatement autant suspectes que fondamentalement et "ontologiquement" discréditées dans l'écosystème qui est celui de sa plateforme.</p>
<p>C'est cela l'expérience que Zuckerberg est en train de vivre avec la suppression du post de Trump sur l'immunité des enfants face au Covid. Il "cède" face à une partie de l'opinion et face à ses propres règles de modération au nom de principes, d'intérêts et d'enjeux de santé publique, et c'est bien sûr, en un sens, heureux. Il s'agit également d'une guerre d'image dans laquelle il cherche à "blinder" le discours d'après crise pour ne pas être accusé d'avoir favorisé la propagation du virus en laissant dire n'importe quoi. Mais ce faisant, et c'est inévitable, il renforce mécaniquement les accusations de biais d'objectivité ou de manipulation qui sont <em>précisément</em> celles qui lui sont adressées par Donald Trump et ses soutiens. Enfin et surtout il fait une nouvelle fois la preuve qu'en voulant tout à la fois "<em>ne pas être l'arbitre de la vérité</em>" mais en se gardant la possibilité d'être toujours "celui des élégances" (ici en termes de santé publique), <strong>il dessine un espace et un horizon de la parole et des discours publics qui est celui d'une schizophrénie au sein de laquelle l'ensemble des heuristiques de vérité ou de véracité (la fonction de preuve notamment, celle d'acceptabilité sociale également) ne sont plus démontrées mais en quelque sorte héritées</strong>.  </p>
<p>Chez Zuckerberg il semble exister une incapacité de penser cette schizophrénie qui relève davantage une forme d'<a href="https://fr.wikipedia.org/wiki/Anosognosie" rel="noopener" target="_blank">anosognosie</a> que de simple déni. Dans tous les cas, l'admettre et proposer une alternative équivaudrait à accepter de rompre définitivement avec le modèle économique de sa plateforme (à l'image, souvenez-vous, de <a href="https://affordance.typepad.com/mon_weblog/2016/04/google-appendice-8.html" rel="noopener" target="_blank">l'idéal technique défendu par les fondateurs de Google avant d'en prendre l'exact contrepied</a>). </p>
<h2>Artificiers de l'artificialisation.</h2>
<p>Facebook est-il l'allié objectif de Trump et/ou des discours Trumpistes** ? Ou Trump n'est-il devenu ce qu'il est et parvenu là où il est que grâce à son utilisation de Facebook et des réseaux sociaux en général ? La poule et l'oeuf. Une vieille question. Qui porte ici sur le statut de la parole et de l'énonciation politique (de citoyen.ne.s ou d'élu.e.s) au sein d'architectures techniques ne fonctionnant pas, ni en intention ni en projection, comme les architectures médiatiques traditionnelles (radio, presse et télévision). </p>
<p>=================<br/>** Sur ce point spécifique on pourra relire <a href="https://www.liberation.fr/debats/2020/06/03/si-je-devais-structurer-un-mouvement-social-pendant-une-pandemie_1790225" rel="noopener" target="_blank">les travaux et l'interview de Jen Schradie dans Libération qui explique</a> :</p>
<blockquote>
<p>"<em>J’ai étudié l’activisme en ligne d’une trentaine de groupes, de tous bords politiques, qui militaient à propos d’une question locale en Caroline du Nord, et j’ai découvert que les groupes les plus à droite étaient les plus actifs en ligne. Il y a trois raisons à cela : les différences sociales, le niveau d’organisation des groupes et l’idéologie. D’abord, les classes plus aisées sont plus présentes en ligne que les classes populaires. Elles disposent de meilleures organisations, plus accoutumées à la bureaucratie. Enfin, les conservateurs, comme les membres du Tea Party, ont un message plus simple et abordent moins de sujets que les groupes de gauche. Ils ont l’impression que les médias mainstream ne relaient pas assez leur parole, ce qui les incite d’autant plus à se doter de leurs propres instruments de communication. L’idéal de liberté se partage plus facilement sur les réseaux sociaux que celui d’égalité. Au vu du contexte actuel, je pense donc que le discours de droite sera d’autant plus dominant sur les réseaux pendant la pandémie.</em>"</p>
</blockquote>
<p>=================</p>
<p>Trump, Facebook, les Fake News, le Fact-Checking, la polarisation de l'opinion, l'ère du clash ... La mauvaise manière d'aborder ces sujets serait de postuler une antériorité causale dans l'un ou l'autre sens : Facebook n'a pas davantage "créé" Trump ou "fait l'élection" de Trump que Trump n'a "créé" la puissance et les questionnements politiques autour du rôle joué par Facebook dans les systèmes politiques en général et dans ces moments particuliers de cristallisation que constituent les élections et les campagnes qui les précèdent.</p>
<p><strong>Ce qu'il faut interroger et ce qu'il faut tenter de comprendre ce sont les conditions d'effondrement de la parole publique et de l'engagement politique qui ont conduit à ce qu'une architecture technologique donnée puisse cristalliser et féconder avec autant d'opportunisme ce qui est la forme la plus grave d'un déficit de confiance dans toute autre forme de représentation que celle n'étant pas immédiatement alignée sur nos pulsions</strong> ; pulsions elles-mêmes organisées dans le seul but de pouvoir répondre au modèle économique qui justifie et garantit le maintient et la survie des architectures techniques qui les exacerbent.      </p>
<p>L'autre point c'est que s'interroger sur la construction sociale (et médiatique) d'une information ou d'un fait social (qui deviendra vérité pour les uns et mensonge pour les autres) n'est plus suffisant. Il faut penser, réfléchir et agir sur la construction technique d'une information, sur ce qu'est un construit informationnel médié par la technique à l'ère du numérique. Naturellement des travaux existent et des invariants ont déjà été isolés et démontrés. On sait, pour ne prendre qu'un seul exemple, que l'affichage de métriques d'engagements (nombre de likes, de partages, etc.) agit et influence la capacité d'une information à être partagée (notamment du fait d'un biais de conformité sociale mais pas uniquement) et l'on sait également <a href="https://www.niemanlab.org/2020/08/lots-of-visible-likes-and-shares-on-social-lead-people-to-spread-more-misinformation/" rel="noopener" target="_blank">comme vient encore de le démontrer une étude récente</a>, que : </p>
<blockquote>
<p>"<em>Les mesures de l'engagement social amplifient la vulnérabilité des gens face à un contenu à faible crédibilité en rendant moins probable que les gens examinent minutieusement une éventuelle désinformation tout en rendant plus probable le fait qu'ils l'aiment ou la partagent.".</em></p>
</blockquote>
<p>Il faut donc continuer d'interroger ce que sont ces construits informationnels médiés par la technique <strong>mais il faut le faire dans le cadre de la logique d'artificialisation permise par "les réseaux sociaux"</strong>.</p>
<p>Ce que l'on appelle l'artificialisation du sol ou d'un milieu c'est, nous dit Wikipédia : </p>
<blockquote>
<p>"<em>la perte des qualités qui sont celles d'un milieu naturel : sa naturalité, qualité qui inclut une capacité autoentretenue à abriter une certaine biodiversité, des cycles naturels et ses qualités biogéochimiques.</em>"</p>
</blockquote>
<p>Voilà précisément ce que les discours (éventuellement politiques) du type de ceux portée par Trump et voilà précisément ce que les architectures techniques du type de celle de Facebook, voilà précisément ce qu'ils font aux opinions, aux systèmes politiques et aux interactions sociales, c'est à dire aux trois éléments premiers de l'équilibre métastable de toute société humaine : <strong>ils les artificialisent</strong>.</p>
<p>Ils les articicialisent. Ils les privent de leur naturalité c'est à dire de leur capacité autoentretenue à abriter une certaine diversité, ou en tout cas à ne pas contenir cette diversité dans des silos étanches les uns aux autres ou dont la perméabilité est contrôlée et soumise à des injonctions économiques inobservables pour celles et ceux qui en sont les objets.</p>
<p><strong><em>(Bio)diversité ?</em> </strong>De fait, "<em>dans</em>" Facebook comme "<em>dans</em>" d'autres réseaux sociaux, la "naturalité" de la socialisation est fonctionnellement altérée dans le sens où elle ne dispose plus de la capacité auto-entretenue à maintenir des formes de diversité, ou qu'en tout cas cette capacité est fondamentalement arbitrée et conditionnée par une série de déterminismes techniques (algorithmiques) qui, s'ils ne nous "privent" pas entièrement de notre libre arbitre et de nos habitus classiques, n'en sont pas non plus simplement ou uniquement le reflet conjoncturel et innocent. <a href="https://affordance.typepad.com/mon_weblog/2015/06/poule-bulle-de-filtre-oeuf-editorialisation-algorithmique.html" rel="noopener" target="_blank">C'est tout l'enjeu du débat sur la "bulle de filtre" et ce que je préfère nommer les "déterminismes algorithmiques" comme je l'expliquais looooonguement par ici</a> ou bien encore <a href="https://affordance.typepad.com/mon_weblog/2016/11/peur-sur-les-internets.html" rel="noopener" target="_blank">par là</a> (Spoiler pour vous éviter de tout relire ma conclusion c'est que : "<em>Qu'il y ait ou qu'il n'y ait pas de bulle de filtre importe peu, la seule vraie question est celle d'un déterminisme algorithmique (et de comment on l'évite et comment on le contrôle).</em>"</p>
<p><strong><em>Cycles naturels ? </em></strong>De fait également, "<em>dans</em>" Facebook comme "<em>dans</em>" d'autres réseaux sociaux un certain nombre de "cycles naturels", qu'ils soient culturels ou biologiques, sont escamotés ou réagencés, là encore pour répondre à des exigences économiques de rentabilité attentionnelle. On pourra ici mentionner, au titre de cycle culturel, <a href="https://affordance.typepad.com/mon_weblog/2015/12/les-paques-algorithmiques.html" rel="noopener" target="_blank">la manière dont Facebook a tué les anniversaires</a>, et au titre de cycle biologique, <a href="https://www.affordance.info/mon_weblog/2015/03/vous-nemporterez-pas-vos-likes-dans-votre-tombe.html" rel="noopener" target="_blank">la manière dont il transforme notre rapport à la mort</a> (même si c'est aussi bien sûr culturel ; l'expression strictement <em>naturelle</em> de cette altération pouvant alors être vue du côté de l'idéologie transhumaniste qui croît sur les bases libertariennes).</p>
<p><em><strong>Qualités biogéochimiques ?</strong></em> Un <a href="https://fertilisation-edu.fr/cycles-bio-geo-chimiques.html" rel="noopener" target="_blank">cycle biogéochimique</a> désigne la manière dont les éléments nécessaires à la subsistance des êtres vivants "<em>circulent continuellement entre la biosphère (le monde vivant), la géosphère (le sol), l'atmosphère (air) et l'hydrosphère (eau).</em>" Pour aller au bout de la métaphore - opératoire et non simplement illustrative - de l'artificialisation, ces cycles sont les artefacts et stimuli comportementaux qui "font" les qualités de notre présence en ligne dans le cadre de ces architectures techniques, et qui là encore sont bien sûr différents de celles de notre présence au monde hors-ligne. En un mot nos comportements. Ou pour le dire encore différemment, de quoi avons-nous réellement besoin (dans notre cycle comportemental, conversationnel et interactionnel) ? De quelle manière ces besoins sont-ils altérés par ces plateformes dans le souci d'un contrôle pulsionnel au service de leur seul modèle économique ? Et de quelle manière ce modèle économmique et l'ensemble dces altérations qu'il produit et organise peuvent-ils à leur tour être instrumentalisés dans le cadre de stratégies d'influence globales ou locales ?</p>
<p>Le produit de cette artificialisation aux ordres d'impératifs consuméristes et capitalistes, c'est un nouveau travestissement de la capacité de douter, capacité qui n'est plus qu'une subordination émotionnelle. Dans la plupart de nos interactions sociales telles que médiées par les architectures techniques des réseaux sociaux, nous faisons principalement l'expérience du doute dans le cadre de situations émotionnelles soit très conflictuelles (parce qu'elles vont à l'encontre de nos représentations et principes), soit très unanimistes (parce qu'elles vont à l'encontre d'un ensemble de valeurs fondamentales). Ce faisant nous "apprenons" à mettre en place des mécanismes de doute à chaque fois que l'on nous expose à un stimulus émotionnel fort ou allant à l'encontre de nos opinions. Le doute cartésien, rationnel, construit et intellectualisé n'est pas, bien sûr et heureusement, pour autant éradiqué ou systématiquement empêché et lui même d'ailleurs peut naître d'une émotion, mais, dans ces architectures techniques là, il devient systématiquement et programmatiquement inféodé à des formes construites, artefactuelles, d'instabilité (ou de stabilité) émotionnelles. Et sur ces arbres là, les seuls fruits étranges à cueillir sont ceux de formes renouvelées de crédulités et de détestations vaines qui font le lit des haines et des renoncements**.</p>
<p>Voilà pourquoi combattre ces logiques d'artificialisation est une urgence. Car lorsqu'elles sont en place, elles font alors place à tous les artificiers pour qui nous sommes autant de mèches allumées à qui l'on peut expliquer où, pourquoi et comment exploser. Trump, Bolsonaro et les autres sont la catégorie politique de ces artificiers. La plus visible. S'exprimant en priorité là où ils se savent simplement les plus efficaces, les plus inexpugnables à la contradiction, à l'explication et à la rationalité, c'est à dire aux trois conditions de la véracité.  </p>
<p>==============<br/>** la capacité de douter et avec elle de la capacité d'agir. Etant acquis depuis longtemps et par diverses études chaque fois concordantes que <a href="https://affordance.typepad.com/mon_weblog/2013/09/combien-like-retablir-peine-de-mort.html" rel="noopener" target="_blank">les sentiments de colère et d'injustice sont ceux qui se propagent le mieux sur les réseaux sociaux</a>, on peut alors questionner le fait que ce qui devrait être le principal moteur de notre action collective et de notre engagement individuel - et réciproquement - se trouve non pas exacerbé mais plutôt inhibé. L'un des éléments de réponse se trouve (en plus de tout ce que je viens d'essayer de vous expliquer dans cet article) dans l'analyse de Baptiste Morizot elle-même issue de la théorie des affects chez Spinoza. Ce billet étant déjà assez long et étant tout à fait incapable d'articuler la pensée Spinoziste autrement qu'en parfait imposteur, je vous livre "simplement" cet extrait d'une <a href="https://www.lemonde.fr/series-d-ete/article/2020/08/04/baptiste-morizot-il-faut-politiser-l-emerveillement_6048133_3451060.html" rel="noopener" target="_blank">interview récente de Baptiste Morizot dans Le Monde</a> qui me semble remarquablement éclairante :</p>
<blockquote>
<p>"<em>L’engagement, traditionnellement, repose avant tout sur l’affect très puissant du sentiment d’injustice. Il est intéressant d’interpréter ce phénomène en termes spinozistes. Le sentiment d’injustice et l’indignation qu’il suscite correspondent à ce que Baruch Spinoza appelle « la haine ». Il ne faut pas l’entendre littéralement ici : il redéfinit la haine comme un sentiment de tristesse à l’idée de l’existence de quelque chose. C’est cela, au fond, l’indignation. Précisément : on est attristé, atterré, dévasté par l’existence du néolibéralisme, de l’extractivisme, du capitalisme financiarisé, des forces économiques qui produisent le réchauffement climatique, etc.</em></p>
<p><em>C’est là un carburant pour les luttes qui est extrêmement puissant, qui permet à l’engagement de prendre des formes critiques, combatives à l’égard de ce qui détruit le tissu du vivant. Toutefois, dès lors qu’on interprète ce problème à la lumière de la pensée spinoziste des affects, une sorte de point aveugle émerge. C’est que la tristesse et la colère seules diminuent notre puissance d’agir. Si on envisage la crise et qu’on s’engage simplement avec le moteur de l’indignation, il arrive ce que l’on sait : on est submergé de nouvelles désespérantes, et cela aboutit au sentiment d’impuissance. Ou bien on renonce et on pense à autre chose, ou bien on se durcit dans le ressentiment et on entre dans le radicalisme rigide, typique du militantisme rageur d’écran d’ordinateur</em>."</p>
</blockquote>
<p>==============</p>
<h2>Sisyphe Is Scrolling.</h2>
<p>J'écrivais au commencement de cet article qu'entre la question posée à Facebook avant l'élection de Trump et celle posée aujourd'hui à la veille de sa possible réélection, rien n'avait véritablement changé malgré les preuves et les démonstrations tangibles, manifestes, observables, de la toxicité de la plateforme dans un cadre démocratique. L'impression que malgré l'ensemble des travaux sur - notamment - la transparence et autres responsabilités algorithmiques ("<em>algorithmic accountability</em>") nous restions pour l'essentiel avec les mêmes questionnements et face aux mêmes impasses. Qu'il y avait un côté Sysiphéen et absurde devant l'incapacité d'infléchir efficacement notre servitude volontaire même en étant capable de la théoriser, de l'expliciter ou de la démontrer.</p>
<p>Réécoutant nombre d'entrevues de Bernard Stiegler à l'occasion de sa disparition récente, je suis notamment retombé sur un dialogue avec Michel Serres où ce dernier expliquait - en gros - que la lumière disposait de deux caractéristiques : sa capacité à éclairer, sa clarté, et bien sûr sa vitesse. Et que pour penser les techniques, le 18ème siècle (celui "des Lumières") avait opéré par clarté et clarification alors que la difficulté à penser la technique aujourd'hui vient de ce que l'analyse doit porter avant tout sur sa vitesse (<a href="https://www.youtube.com/watch?v=iREkxNVetbQ&amp;feature=youtu.be" rel="noopener" target="_blank">la vidéo est ici</a>, et offrez-vous le petit plaisir du haussement de sourcil de Michel Serres lorsque Stiegler va convoquer Kant à partir de 37'03 ;-). Peut-être que cette vitesse est une partie de l'explication de notre si lente et improbable résilience à l'aliénation quand elle est à ce point consentie et confortable. </p>
<p><strong>La vitesse.</strong> Propriété déterminante et déterministe des systèmes techniques qui organisent aujourd'hui nos vies, la vitesse est autant une dynamique, un mouvement, qu'elle est une inertie.</p>
<p>Sisyphe donc. Poussant son rocher avant que celui-ci ne dévale la montagne et qu'il ne lui faille, éternellement, recommencer.  </p>
<p>Reste l'expérience. Celle de Facebook en particulier mais de la plupart des réseaux sociaux en général. Où chaque clic, chaque partage, chaque like est une poussée sur le rocher d'un autre en attente d'une réciprocité ; réciprocité qui nous délivrerait de l'effort de pousser le notre tout en supportant l'angoisse du dévalement en l'organisant, en la marquant, comme une halte éphémère, marcescible et soluble, mais seule qui vaille ici, seule <em>possible</em> ici. Un ralentissement, une étape, un pallier, un seuil. Autant de poussées donc, immédiatement ensevelies par l'avalanche de la redescente que les systèmes techniques organisent en permanence et qu'ils nomment "défilement", "scrolling". <a href="https://affordance.typepad.com/mon_weblog/2012/11/agenda-pecha-kucha-a-la-bnf.html" rel="noopener" target="_blank">Défilement infini</a>. </p>
<p>On appelle parfois cela un "hashtag", on appelle souvent cela "la viralité" ou des "trending topics" mais il ne s'agit que de rochers, de poussées et de haltes à pleine vitesse.</p>
<p>Ou comme l'écrivait aussi <a href="https://twitter.com/Benavent/status/1271879036789235713" rel="noopener" target="_blank">Christophe Benavent sur Twitter</a> : "<em>Le trend c'est un niveau, une vitesse et une accélération.</em>"</p>
<p>Trois paramètres (vitesse, niveau, accélération) qui dépassent parfois les plateformes elles-mêmes comme <a href="https://www.presse-citron.net/instagram-desactive-une-fonctionnalite-par-crainte-de-favoriser-la-reelection-de-donald-trump/" rel="noopener" target="_blank">lorsqu'Instagram choisit de désactiver la fonctionnalité de "suggested hashtags" parce qu'ils renvoient systématiquement des hashtags désobligeants ou insultants pour Joe Biden</a> et masquent de fait un certain nombre de contenus ou surexposent ceux favorables à Trump (qui lui ne voit aucun hashtag hostile suggéré associé à son nom). L'histoire n'est pas neuve, c'est celle du "<a href="https://www.wired.com/story/its-not-a-bug-its-a-feature/" rel="noopener" target="_blank">It's not a bug, it's a feature</a>". Nous n'aurons réellement avancé que lorsque nous serons capables de penser chaque fonctionnalité avant tout comme la somme de la possibilité des entraves et des erreurs qu'elle autorise.   </p>
<p><a class="asset-img-link" href="https://www.affordance.info/.a/6a00d8341c622e53ef026be407fa3c200d-pi"><img alt="Sisyphe" class="asset  asset-image at-xid-6a00d8341c622e53ef026be407fa3c200d img-responsive" src="https://www.affordance.info/.a/6a00d8341c622e53ef026be407fa3c200d-500wi" title="Sisyphe"/></a></p>
<p><em>(image trouvée sur Google images qui l'avait trouvée non-sourcée sur Pinterest, si vous avez une vraie source ...)</em></p>
<p>Alors peut-être comme l'écrivait Camus : </p>
<blockquote>
<p><em>"Sisyphe, prolétaire des dieux, impuissant et révolté, connaît toute l'étendue de sa misérable condition. C'est à elle qu'il pense pendant la descente, la clairvoyance qui devait faire son tourment, consomme du même coup sa victoire. C'est parce qu'il y a de la révolte que la vie de Sisyphe mérite d'être vécue, la raison seule ne lui permet pas de conférer un sens à l'absurdité du monde". </em></p>
</blockquote>
<p>Tant qu'il y aura de la révolte. Et que nous prendrons garde de n'être pas le rocher. Nous pourrons continuer d'imaginer Sisyphe heureux.</p>
