title: How Silicon Valley, in a Show of Monopolistic Force, Destroyed Parler
url: https://greenwald.substack.com/p/how-silicon-valley-in-a-show-of-monopolistic
hash_url: 765e28efb1fa6aa0dc9c15166f66cdf3

<div class="captioned-image-container"><figure><a class="image-link image2 image2-1092-1456" target="_blank" href="https://cdn.substack.com/image/fetch/f_auto,q_auto:good,fl_progressive:steep/https%3A%2F%2Fbucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com%2Fpublic%2Fimages%2F5bf83518-22df-4333-a423-63fbb59cb9a2_4032x3024.jpeg"><img src="https://cdn.substack.com/image/fetch/w_1456,c_limit,f_auto,q_auto:good,fl_progressive:steep/https%3A%2F%2Fbucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com%2Fpublic%2Fimages%2F5bf83518-22df-4333-a423-63fbb59cb9a2_4032x3024.jpeg" data-attrs='{"src":"https://bucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com/public/images/5bf83518-22df-4333-a423-63fbb59cb9a2_4032x3024.jpeg","height":1092,"width":1456,"resizeWidth":null,"bytes":4735534,"alt":null,"title":null,"type":"image/jpeg","href":null}' alt=""></a><figcaption class="image-caption">Users of the social media platform Parler encountered this error message as of Jan. 11, 2021, after Apple, Google and Amazon united to remove them from app stores and hosting services (Photo by Lorenzo Di Cola/NurPhoto via Getty Images). </figcaption></figure></div>
<p><strong>Critics of Silicon Valley</strong> censorship for years heard the same refrain: tech platforms like Facebook, Google and Twitter are private corporations and can host or ban whoever they want. If you don’t like what they are doing, the solution is not to complain or to regulate them. Instead, go create your own social media platform that operates the way you think it should.</p>
<p>The founders of Parler heard that suggestion and tried. In August, 2018, they created a social media platform similar to Twitter but which promised far greater privacy protections, including a refusal to aggregate user data in order to monetize them to advertisers or algorithmically evaluate their interests in order to promote content or products to them. They also promised far greater free speech rights, rejecting the increasingly repressive content policing of Silicon Valley giants. </p>
<p>Over the last year, Parler encountered immense success. Millions of people who objected to increasing repression of speech on the largest platforms or who had themselves been banned signed up for the new social media company. </p>
<p>As Silicon Valley censorship radically escalated over the past several months — <a href="https://theintercept.com/2020/10/15/facebook-and-twitter-cross-a-line-far-more-dangerous-than-what-they-censor/">banning pre-election reporting</a> by <em>The New York Post </em>about the Biden family, denouncing and deleting multiple posts from the U.S. President and then terminating his access altogether, mass-removal of right-wing accounts — so many people migrated to Parler that it was catapulted to the <a href="https://techcrunch.com/2021/01/09/parler-jumps-to-no-1-on-app-store-after-facebook-and-twitter-bans/?guccounter=1">number one spot</a> on the list of most-downloaded apps on the Apple Play Store, the sole and exclusive means which iPhone users have to download apps. “Overall, the app was the 10th most downloaded social media app in 2020 with 8.1 million new installs,” <a href="https://techcrunch.com/2021/01/09/parler-jumps-to-no-1-on-app-store-after-facebook-and-twitter-bans/?guccounter=1">reported TechCrunch</a>.</p>
<p>It looked as if Parler had proven critics of Silicon Valley monopolistic power wrong. Their success showed that it was possible after all to create a new social media platform to compete with Facebook, Instagram and Twitter. And they did so by doing exactly what Silicon Valley defenders long insisted should be done: <em>if you don’t like the rules imposed by tech giants, go create your own platform with different rules</em>.</p><div class="captioned-image-container"><figure><a class="image-link image2 image2-849-560" target="_blank" href="https://cdn.substack.com/image/fetch/f_auto,q_auto:good,fl_progressive:steep/https%3A%2F%2Fbucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com%2Fpublic%2Fimages%2F4cf23313-31c9-4de7-b0e9-d17361fa3dc0_560x849.png"><img src="https://cdn.substack.com/image/fetch/w_1456,c_limit,f_auto,q_auto:good,fl_progressive:steep/https%3A%2F%2Fbucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com%2Fpublic%2Fimages%2F4cf23313-31c9-4de7-b0e9-d17361fa3dc0_560x849.png" data-attrs='{"src":"https://bucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com/public/images/4cf23313-31c9-4de7-b0e9-d17361fa3dc0_560x849.png","height":849,"width":560,"resizeWidth":null,"bytes":216629,"alt":null,"title":null,"type":"image/png","href":null}' alt=""></a><figcaption class="image-caption">List of most-downloaded apps on Apple Store, Jan. 8, 2021</figcaption></figure></div>
<p>But today, if you want to download, sign up for, or use Parler, you will be unable to do so. That is because three Silicon Valley monopolies — Amazon, Google and Apple — abruptly united to remove Parler from the internet, exactly at the moment when it became the most-downloaded app in the country. </p>
<p>If one were looking for evidence to demonstrate that these tech behemoths are, in fact, monopolies that engage in anti-competitive behavior in violation of antitrust laws, and will obliterate any attempt to compete with them in the marketplace, it would be difficult to imagine anything more compelling than how they just used their unconstrained power to utterly destroy a rising competitor.</p>
<p><hr></p>
<p><strong>The united Silicon Valley attack</strong> began on January 8, when Apple emailed Parler and gave them 24 hours to prove they had changed their moderation practices or else face removal from their App Store. The letter claimed: “We have received numerous complaints regarding objectionable content in your Parler service, accusations that the Parler app was used to plan, coordinate, and facilitate the illegal activities in Washington D.C. on January 6, 2021 that led (among other things) to loss of life, numerous injuries, and the destruction of property.” It ended with this warning:</p><blockquote><p>To ensure there is no interruption of the availability of your app on the App Store, please submit an update and the requested moderation improvement plan within 24 hours of the date of this message. If we do not receive an update compliant with the App Store Review Guidelines and the requested moderation improvement plan in writing within 24 hours, your app will be removed from the App Store.</p></blockquote><p>The 24-hour letter was an obvious pretext and purely performative. Removal was a <em>fait accompli </em>no matter what Parler did. To begin with, the letter was immediately leaked to <em>Buzzfeed</em>, which <a href="https://www.buzzfeednews.com/article/ryanmac/apple-threatens-ban-parler">published it in full</a>. A Parler executive detailed the company’s unsuccessful attempts to communicate with Apple. “They basically ghosted us,” he told me. The next day, Apple notified Parler of its removal from App Store. “We won’t distribute apps that present dangerous and harmful content,” said the <a href="https://www.nbcnews.com/business/business-news/apple-now-worth-2-trillion-making-it-most-valuable-company-n1237287">world’s richest company</a>, and thus: “We have now rejected your app for the App Store.”</p>
<p>It is hard to overstate the harm to a platform from being removed from the App Store. Users of iPhones are barred from downloading apps onto their devices from the internet. If an app is not on the App Store, it cannot be used on the iPhone. Even iPhone users who have already downloaded Parler will lose the ability to receive updates, which will shortly render the platform both unmanageable and unsafe.</p><p class="button-wrapper" data-attrs='{"url":"https://greenwald.substack.com/p/how-silicon-valley-in-a-show-of-monopolistic?&amp;utm_source=substack&amp;utm_medium=email&amp;utm_content=share&amp;action=share","text":"Share","class":null}'><a class="button primary" href="https://greenwald.substack.com/p/how-silicon-valley-in-a-show-of-monopolistic?&amp;utm_source=substack&amp;utm_medium=email&amp;utm_content=share&amp;action=share"><span>Share</span></a></p>
<p>In October, the House Judiciary Subcommittee on Antitrust, Commercial, and Administrative Law issued a 425-page <a href="https://judiciary.house.gov/uploadedfiles/competition_in_digital_markets.pdf">report</a> concluding that Amazon, Apple, Facebook and Google all possess monopoly power and are using that power anti-competitively. For Apple, they emphasized the company’s control over iPhones through its control of access to the App Store. As <em>Ars Technica </em><a href="https://arstechnica.com/tech-policy/2020/10/house-amazon-facebook-apple-google-have-monopoly-power-should-be-split/">put it</a> when highlighting the report’s key findings:</p><blockquote><p>Apple controls about 45 percent of the US smartphone market and 20 percent of the global smartphone market, the committee found, and is projected to sell its 2 billionth iPhone in 2021. It is correct that, in the smartphone handset market, Apple is <em>not</em> a monopoly. Instead, iOS and Android hold an effective duopoly in mobile operating systems.</p>
    <p>However, the report concludes, Apple <em>does</em> have a monopolistic hold over what you can <em>do</em> with an iPhone. You can only put apps on your phone through the Apple App Store, and Apple has total gatekeeper control over that App Store—that's what <a href="https://arstechnica.com/gaming/2020/09/apple-vs-epic-hearing-previews-a-long-hard-fought-trial-to-come/">Epic is suing the company over</a>. . . . </p>
<p>The committee found internal documents showing that company leadership, including former CEO Steve Jobs, "acknowledged that IAP requirement would stifle competition and limit the apps available to Apple's customers." The report concludes that Apple has also unfairly used its control over APIs, search rankings, and default apps to limit competitors' access to iPhone users.</p></blockquote><p>Shortly thereafter, Parler learned that Google, without warning, had <a href="https://www.bbc.com/news/technology-55598887">also “suspended”</a> it from its Play Store, severely limiting the ability of users to download Parler onto Android phones. Google’s actions also meant that those using Parler on their Android phones would no longer receive necessary functionality and security updates. </p>
<p>It was precisely Google’s abuse of its power to control its app device that was <a href="http://competitionlawblog.kluwercompetitionlaw.com/2019/10/15/competition-authorities-to-investigate-mobile-application-store-dominance/">at issue</a> “when the European Commission deemed Google LLC as the dominant undertaking in the app stores for the Android mobile operating system (i.e. Google Play Store) and hit the online search and advertisement giant with €4.34 billion for its anti-competitive practices to strengthen its position in various of other markets through its dominance in the app store market.”</p>
<p>The day after a united Apple and Google acted against Parler, Amazon delivered the fatal blow. The company founded and run by the world’s richest man, Jeff Bezos, used virtually identical language as Apple to inform Parler that its web hosting service (AWS) was terminating Parler’s ability to have AWS host its site: “Because Parler cannot comply with our terms of service and poses a very real risk to public safety, we plan to suspend Parler’s account effective Sunday, January 10th, at 11:59PM PST.” Because Amazon is such a dominant force in web hosting, Parler has thus far not found a hosting service for its platform, which is why it has disappeared not only from app stores and phones but also from the internet.</p>
<p>On Thursday, Parler was the most popular app in the United States. By Monday, three of the four Silicon Valley monopolies united to destroy it.</p>
<p><hr></p>
<p><strong>With virtual unanimity, </strong>leading U.S. liberals celebrated this use of Silicon Valley monopoly power to shut down Parler, just as they overwhelmingly cheered the prior two extraordinary assertions of tech power to control U.S. political discourse: censorship of <em>The New York Post</em>’s reporting on the contents of Hunter Biden’s laptop, and the banning of the U.S. President from major platforms. Indeed, one would be hard-pressed to find a single national liberal-left politician even expressing concerns about any of this, let alone opposing it.</p>
<p>Not only did leading left-wing politicians not object but some of them were the ones who pleaded with Silicon Valley to use their power this way. After the internet-policing site Sleeping Giants flagged several Parler posts that called for violence, Rep. Alexandria Ocasio-Cortez <a href="https://twitter.com/AOC/status/1347679332014161920">asked</a>: “What are <a href="https://twitter.com/Apple">@Apple</a> and <a href="https://twitter.com/GooglePlay">@GooglePlay</a> doing about this?” Once Apple responded by removing Parler from its App Store — a move that House Democrats just three months earlier warned was dangerous anti-trust behavior — she praised Apple and then demanded to know: “Good to see this development from <a href="https://twitter.com/Apple">@Apple</a>. <a href="https://twitter.com/GooglePlay">@GooglePlay</a> what are you going to do about apps being used to organize violence on your platform?”</p>
<p>The liberal <em>New York Times</em> columnist Michelle Goldberg <a href="https://www.nytimes.com/2021/01/11/opinion/twitter-facebook-trump-ban.html">pronounced herself</a> “disturbed by just how awesome [tech giants’] power is” and added that “it’s dangerous to have a handful of callow young tech titans in charge of who has a megaphone and who does not.” She nonetheless praised these “young tech titans” for using their “dangerous” power to ban Trump and destroy Parler. In other words, liberals like Goldberg are concerned only that Silicon Valley censorship powers might one day be used against people like them, but are perfectly happy as long as it is their adversaries being deplatformed and silenced (Facebook and other platforms have for years banned marginalized people like <a href="https://theintercept.com/2017/12/30/facebook-says-it-is-deleting-accounts-at-the-direction-of-the-u-s-and-israeli-governments/">Palestinians at Israel’s behest</a>, but that is of no concern to U.S. liberals).</p>
<p>That is because the dominant strain of American liberalism is not economic socialism but political authoritarianism. Liberals now want to use the force of corporate power to silence those with different ideologies. They are eager for tech monopolies not just to ban accounts they dislike but to remove entire platforms from the internet. They want to imprison people they believe helped their party lose elections, such as Julian Assange, even if it means creating precedents to criminalize journalism. </p>
<p>World leaders have vocally condemned the power Silicon Valley has amassed to police political discourse, and were particularly indignant over the banning of the U.S. President. German Chancellor Angela Merkel, various French ministers, and especially Mexican President Andrés Manuel López Obrador all denounced the banning of Trump and other acts of censorship by tech monopolies on the ground that they were anointing themselves “a world media power.” The warnings from López Obrador were particularly eloquent:</p><p id="youtube2-URUNyt_bGT8" class="youtube-wrap" data-attrs='{"videoId":"URUNyt_bGT8","startTime":null,"endTime":null}'></p>
<p>Even the ACLU — which has rapidly transformed from a civil liberties organization into a liberal activist group since Trump’s election — found the assertion of Silicon Valley’s power to destroy Parler deeply alarming. One of that organization’s most stalwart defenders of civil liberties, lawyer Ben Wizner, <a href="https://judiciary.house.gov/uploadedfiles/competition_in_digital_markets.pdf">told </a><em><a href="https://judiciary.house.gov/uploadedfiles/competition_in_digital_markets.pdf">The New York Times</a> </em>that the destruction of Parler was more “troubling” than the deletion of posts or whole accounts: “I think we should recognize the importance of neutrality when we’re talking about the infrastructure of the internet.”</p>
<p>Yet American liberals swoon for this authoritarianism. And they are now calling for the use of the most repressive War on Terror measures against their domestic opponents. On Tuesday, House Homeland Security Chair Bennie Thompson (D-MS) <a href="https://lawandcrime.com/2020-election/a-terrorist-is-a-terrorist-house-homeland-security-chair-wants-ted-cruz-and-josh-hawley-on-the-no-fly-list/">urged</a> that GOP Sens. Ted Cruz and Josh Hawley “be put on the no-fly list,” while <em>The Wall Street Journal</em> reported that “Biden has said he plans to make a priority of <a href="https://www.wsj.com/articles/biden-administration-urged-to-take-fresh-look-at-domestic-terrorism-11605279834">passing a law against domestic terrorism</a>, and he has been urged to create a White House post overseeing the fight against ideologically inspired violent extremists and increasing funding to combat them.”</p>
<p>So much of this liberal support for the attempted destruction of Parler is based in utter ignorance about that platform, and about basic principles of free speech. I’d be very surprised if more than a tiny fraction of liberals cheering Parler’s removal from the internet have ever used the platform or know anything about it other than the snippets they have been shown by those seeking to justify its destruction and to depict it as some neo-Nazi stronghold.</p>
<p>Parler was not founded, nor is it run, by pro-Trump, MAGA supporters. The platform was created based in libertarian values of privacy, anti-surveillance, anti-data collection, and free speech. Most of the key executives are more associated with the politics of Ron Paul and the CATO Institute than Steve Bannon or the Trump family. One is a Never Trump Republican, while another is the former campaign manager of Ron Paul and Rand Paul. Among the few MAGA-affiliated figures is Dan Bongino, an investor. One of the key original investors was Rebekah Mercer.</p>
<p>The platform’s design is intended to foster privacy and free speech, not a particular ideology. They minimize the amount of data they collect on users to prevent advertiser monetization or algorithmic targeting. Unlike Facebook and Twitter, they do not assess a user’s preferences in order to decide what they should see. And they were principally borne out of a reaction to increasingly restrictive rules on the major Silicon Valley platforms regarding what could and could not be said.</p>
<p>Of course large numbers of Trump supporters ended up on Parler. That’s not because Parler is a pro-Trump outlet, but because those are among the people who were censored by the tech monopolies or who were angered enough by that censorship to seek refuge elsewhere. </p>
<p>It is true that one can find postings on Parler that explicitly advocate violence or are otherwise grotesque. But that is even more true of Facebook, Google-owned YouTube, and Twitter. And contrary to what many have been led to believe, Parler’s Terms of Service includes a ban on explicit advocacy of violence, and they employ a team of paid, trained moderators who delete such postings. Those deletions do not happen perfectly or instantaneously — which is why one can find postings that violate those rules — but the same is true of every major Silicon Valley platform.</p>
<p>Indeed, a Parler executive told me that of the thirteen people arrested as of Monday for the breach at the Capitol, none appear to be active users of Parler. The Capitol breach was planned far more on Facebook and YouTube. As <em>Recode</em> <a href="https://www.vox.com/recode/22221285/trump-online-capitol-riot-far-right-parler-twitter-facebook">reported</a>, while some protesters participated in both Parler and Gab, many of the calls to attend the Capitol were from YouTube videos, while many of the key planners “have continued to use mainstream platforms like Twitter, Facebook, and YouTube.” The article quoted Fadi Quran, campaign director at the human rights group Avaaz, as saying: “In DC, we saw QAnon conspiracists and other militias that would never have grown to this size <em>without being turbo-charged by Facebook and Twitter</em>.” </p>
<p>And that’s to say nothing of the endless number of hypocrisies with Silicon Valley giants feigning opposition to violent rhetoric or political extremism. Amazon, for instance, is one of the <a href="https://www.latimes.com/business/technology/la-fi-cia-amazon-cloud-computing-20190403-story.html#:~:text=Amazon%20already%20has%20a%20%24600,it%20says%20would%20favor%20Amazon.">CIA’s most profitable partners</a>, with a $600 million contract to provide services to the agency, and it is constantly bidding for more. On Facebook and Twitter, one finds <a href="https://www.facebook.com/MojKsaEn/">official accounts</a> from the <a href="https://twitter.com/mojksa_en?lang=en">most repressive and violent regimes</a> on earth, including Saudi Arabia, and <a href="https://www.facebook.com/General-Abdel-Fattah-el-Sisi-of-Egypt-437247223039646/">pages devoted to propaganda</a> on behalf of the Egyptian regime. Does anyone think these tech giants have a genuine concern about violence and extremism?</p><div class="captioned-image-container"><figure><a class="image-link image2 image2-681-942" target="_blank" href="https://cdn.substack.com/image/fetch/f_auto,q_auto:good,fl_progressive:steep/https%3A%2F%2Fbucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com%2Fpublic%2Fimages%2F2933ecee-d1a9-4c47-b93f-d28a08cade30_942x681.png"><img src="https://cdn.substack.com/image/fetch/w_1456,c_limit,f_auto,q_auto:good,fl_progressive:steep/https%3A%2F%2Fbucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com%2Fpublic%2Fimages%2F2933ecee-d1a9-4c47-b93f-d28a08cade30_942x681.png" data-attrs='{"src":"https://bucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com/public/images/2933ecee-d1a9-4c47-b93f-d28a08cade30_942x681.png","height":681,"width":942,"resizeWidth":null,"bytes":259257,"alt":null,"title":null,"type":"image/png","href":null}' alt=""></a><figcaption class="image-caption">Official Facebook page of the Saudi Justice Ministry</figcaption></figure></div>
<p>So why did Democratic politicians and journalists focus on Parler rather than Facebook and YouTube? Why did Amazon, Google and Apple make a flamboyant showing of removing Parler from the internet while leaving much larger platforms with far more extremism and advocacy of violence flowing on a daily basis?</p>
<p>In part it is because these Silicon Valley giants — Google, Facebook, Amazon, Apple — donate <a href="https://www.wired.com/story/silicon-valley-opens-wallet-joe-biden/">enormous sums of money</a> to the Democratic Party and their leaders, so of course Democrats will cheer them rather than call for punishment or their removal from the internet. Part of it is because Parler is an upstart, a much easier target to try to destroy than Facebook or Google. And in part it is because the Democrats are about to control the Executive Branch and both houses of Congress, leaving Silicon Valley giants eager to please them by silencing their adversaries. This corrupt motive was made expressly clear by long-time Clinton operative Jennifer Palmieri:</p>
<p>The nature of monopolistic power is that anti-competitive entities engage in anti-trust illegalities to destroy rising competitors. Parler is associated with the wrong political ideology. It is a small and new enough platform such that it can be made an example of. Its head can be placed on a pike to make clear that no attempt to compete with existing Silicon Valley monopolies is possible. And its destruction preserves the unchallengeable power of a tiny handful of tech oligarchs over the political discourse not just of the United States but democracies worldwide (which is why Germany, France and Mexico are raising their voices in protest).</p>
<p>No authoritarians believe they are authoritarians. No matter how repressive are the measures they support — censorship, monopoly power, no-fly lists for American citizens without due process — they tell themselves that those they are silencing and attacking are so evil, are <em>terrorists</em>, that anything done against them is noble and benevolent, not despotic and repressive. That is how American liberals currently think, as they fortify the control of Silicon Valley monopolies over our political lives, exemplified by the overnight destruction of a new and popular competitor.</p>
