title: NFT : l’original et l’acopie
url: https://www.affordance.info/mon_weblog/2021/03/nft-loriginal-et-lacopie.html
hash_url: fe8d34354b3f82a0f5eb2158e314b8f6

<p>C'est le nouvel acronyme à la mode. NFT. Non-Fungible Token. En français dans le texte : "Jetons non-fongibles". NFT donc.</p>
<h2>NFT ? WTF.</h2>
<p>L'idée est la suivante : ces "jetons" permettent d'acheter la version certifiée et garantie "originale" de tout un éventail de "biens" numériques allant de créations artistiques à de simple "moments" d'oeuvres d'art (numériques toujours) à des cartes à jouer à collectionner, des séquences musicales ou vidéo, des personnages de jeux vidéo, ou bien encore des Tweets. Bref, à peu près tout ce qui est "numérique" y compris les lignes que vous êtes en train de lire peut donc désormais se vendre et s'acheter sous forme de ces NFT. </p>
<blockquote>
<p>"<em>Les NFT sont une catégorie spéciale de biens numériques qui ne peuvent pas être échangés entre eux pour une valeur égale ou décomposés en valeurs plus petites comme la plupart des devises numériques. Aucun NFT n'est identique à un autre, ils se caractérisent par leurs qualités uniques, ainsi que par leur authenticité. Ils fonctionnent souvent comme une sorte d'objet de collection et ne peuvent pas être dupliqués.</em>" (<a href="https://www.businessinsider.fr/tout-savoir-sur-les-jetons-nft-ces-objets-virtuels-a-collectionner-qui-se-vendent-des-millions-186760" rel="noopener" target="_blank">Business Insider</a>)</p>
</blockquote>
<p>Ou, comme le précise Le Monde : </p>
<blockquote>
<p>"<em>NFT : un sigle qui recouvre toutes les métadonnées associées aux fichiers vidéo concernés. Ces informations établissent avec certitude que chaque vidéo est bien l’originale : l’acheteur du moment a la garantie qu’il acquiert la vidéo d’un joueur de basket directement créée pour cette occasion, et non une copie. Une telle certification est rendue possible par une blockchain (...)"</em></p>
</blockquote>
<p>[Note : la <a href="https://fr.wikipedia.org/wiki/Blockchain" rel="noopener" target="_blank">Blockchain</a> est, de manière très simple, une base de donnée distribuée et cryptée ne nécessitant aucun "tiers de confiance" extérieur, dans lequel chaque élément d'information dispose d'<a href="https://fr.wikipedia.org/wiki/Fonction_de_hachage" rel="noopener" target="_blank">une empreinte numérique unique</a>. La blockchain est réputée très fiable - d'où son utilisation pour certifier les processus de circulation et de fixation de prix des monnaies virtuelles, et elle est certes robuste mais, mais au même titre que toute technologie, elle n'est ni ne sera jamais entièrement infalsifiable ou <a href="https://www.zdnet.fr/actualites/le-piratage-de-la-blockchain-a-rapporte-environ-trois-milliards-de-dollars-l-an-dernier-39916071.htm" rel="noopener" target="_blank">inattaquable</a>.]</p>
<p>Comme le précisent aussi à <a href="https://www.ladn.eu/mondes-creatifs/folie-des-nft-pourquoi-certains-depensent-des-millions-pour-en-avoir/" rel="noopener" target="_blank">Ladn.eu les membres du collectif Obvious</a> : </p>
<blockquote>
<p><em>"Les NFT, comme les cryptomonnaies, sont des transactions stockées sur la blockchain. Mais la différence, c'est qu'un NFT, un « non fungible token », n'est pas fongible, contrairement aux crypto-monnaies. Un bitcoin sera toujours égal à un autre bitcoin, on peut les échanger entre eux, ils ont tous la même valeur. C'est la même chose pour les dollars : c'est ce qu'on appelle la propriété fongible de la monnaie. Les créateurs de NFT ont voulu faire exactement l'inverse : une transaction stockée sur la blockchain qui soit non fongible, donc complètement unique. L'idée, c'est de pouvoir s'en servir comme d'un certificat d'authenticité associé à un objet digital ou physique. Si je fais un dessin, je peux créer un NFT qui représente le certificat d'authenticité de mon dessin. Donc si quelqu'un possède le NFT, il possède vraiment mon dessin. C'est donc très pratique pour tous les objets digitaux : images png, GIFs, vidéos... Parce qu'il devient possible de devenir propriétaire de ces créations digitales. C'est un moyen de créer de la rareté pour des éléments numériques."</em></p>
<p> </p>
</blockquote>
<p><em> <a class="asset-img-link" href="https://www.affordance.info/.a/6a00d8341c622e53ef026bdec41a46200c-pi"><img alt="Ef8" class="asset  asset-image at-xid-6a00d8341c622e53ef026bdec41a46200c img-responsive" src="https://www.affordance.info/.a/6a00d8341c622e53ef026bdec41a46200c-500wi" title="Ef8"></a>Ce collage numérique (chaque pixel représente quelque chose de différent) de l'artiste Beeple vient de <br>se vendre <a href="https://www.numerama.com/tech/696227-69-millions-de-dollars-pour-une-image-et-un-certificat-dauthenticite-nft.html" rel="noopener" target="_blank">plus de 69 millions de dollars chez Christie's</a> grâce à son certificat d'authenticité NFT.</em></p>
<p>La particularité des NFT est donc double, en tout cas elle apparaît comme telle :</p>
<ul>
<li>on peut acheter et payer aussi bien en monnaie virtuelle (Bitcoin ou Ether notamment) qu'en monnaie réelle (c'est notamment le cas sur le site - <a href="https://www.nbatopshot.com/" rel="noopener" target="_blank">NBA Top Shot</a>). Et puis comme d'habitude sur les internets, tout ça peut ensuite aller <a href="https://fr.cryptonews.com/news/second-hand-nft-market-for-nba-top-shot-packs-appears-on-eba-9656.htm" rel="noopener" target="_blank">se refourguer en loucedé sur le second marché qu'est Ebay</a>, Le Bon Coin et autres équivalents :-)</li>
<li>et ce que vous achetez avec ces "jetons" est un bien numérique "certifié" comme original dont il n'est pas possible de faire une ou des copies, ou plus exactement dont il ne sera pas possible de faire une ou des copies de "la" version authentifiée que vous possédez. </li>
</ul>
<h2><strong>Je vais prendre un exemple.</strong></h2>
<p>Le premier Tweet de Jack Dorsey, sur la plateforme qu'il venait de créer, a été mis aux enchères par Jack Dorsey lui-même, et <a href="https://www.lemonde.fr/pixels/article/2021/03/10/vendre-un-tweet-2-1-millions-d-euros-des-videos-pour-5-millions-les-nft-nouvel-eldorado-numerique_6072620_4408996.html" rel="noopener" target="_blank">atteint le prix de plus de 2 millions d'euros</a>. Quelqu'un va donc acheter en jetons non-fongibles ce tweet, dont l'originalité sera garantie par la signature (numérique) que Jack Dorsey y apposera. </p>
<p>Ce qu'il faut bien comprendre c'est qu'en termes de métadonnées, dans un tweet comme dans plein d'autres items numériques, il y a bien plus que 240 caractères lisibles. Je vous en avais déjà parlé en 2010 au travers de cette formidable et toujours actuelle <a href="https://affordance.typepad.com/mon_weblog/2010/05/anatomie-dun-tweet-.html" rel="noopener" target="_blank">infographie de l'anatomie d'un Tweet</a>. </p>
<p><a class="asset-img-link" href="https://www.affordance.info/.a/6a00d8341c622e53ef0263e9963311200b-pi"><img alt="30146338-map-of-a-tweet" class="asset  asset-image at-xid-6a00d8341c622e53ef0263e9963311200b img-responsive" src="https://www.affordance.info/.a/6a00d8341c622e53ef0263e9963311200b-500wi" title="30146338-map-of-a-tweet"></a><em>(Cliquez pour agrandir)</em></p>
<p>Si je reprends l'exemple du Tweet vendu par Jack Dorsey, on va donc lui ajouter (au tweet) une métadonnée (qu'il sera le seul à posséder), laquelle métadonnée contiendra la "signature" de Jack Dorsey, et qui, via la blockchain, sera ainsi rendu "infalsifiable", ou en tout cas dont l'originalité sera "garantie" (je mets des guillemets car nous verrons plus bas que tout cela est un peu plus complexe qu'il n'y paraît). </p>
<p>Chacun pourra continuer de lire, de copier, d'imprimer, <a href="https://twitter.com/jack/status/20" rel="noopener" target="_blank">le tweet "original"</a> mais seul l'acheteur du Tweet version NFT possèdera l'original "signé" par Jack Dorsey et grâce à ce certificat d'authenticité contenu "dans" le Tweet et garanti "par" la blockchain, chacun pourra aussi vérifier qu'il est le seul propriétaire de la version originale authentifiée, version originale qu'il pourra bien sûr à son tour revendre en NFT comme se vendent sur le marché de l'art, des oeuvres accompagnées de leurs expertises et certificats d'authenticité. </p>
<p><a class="asset-img-link" href="https://www.affordance.info/.a/6a00d8341c622e53ef0278801b6fde200d-pi"><img alt="Capture d’écran 2021-03-12 à 18.43.13" class="asset  asset-image at-xid-6a00d8341c622e53ef0278801b6fde200d img-responsive" src="https://www.affordance.info/.a/6a00d8341c622e53ef0278801b6fde200d-500wi" title="Capture d’écran 2021-03-12 à 18.43.13"></a><em>Premier tweet de la plateforme Twitter, "vendu" en NFT pour plus de 2 millions de dollars.</em></p>
<h2>Authentique ? Vous avez dit authentique ?</h2>
<p>Il faut ici revenir un instant sur cette question essentielle de la <em>garantie</em> d'une <em>authenticité</em>. Et faire un écart par l'absolument indispensable <a href="https://www.bortzmeyer.org/nft.html" rel="noopener" target="_blank">blog de Stéphane Bortzmeyer sur ces questions</a> : </p>
<blockquote>
<p>"<em>Mais comment peut-on transformer un fichier numérique en un truc unique et non copiable ? Je vous le dis tout de suite, on ne peut pas. C'est en fait le NFT dont on peut « prouver » le propriétaire (et l'unicité), pas l'œuvre d'art elle-même. (...) On le voit, le NFT est une idée simple mais qui ne garantit pas grand'chose : si la place de marché est sérieuse, et que le contrat automatique est correct, le NFT garantit uniquement :</em></p>
<ul>
<li><em>que la place de marché a certifié l'œuvre d'art,</em></li>
<li><em>qu'il n'y a à un moment donné, qu'un seul propriétaire (la traçabilité est le point fort des chaînes de blocs).</em></li>
</ul>
<p><em>C'est tout. Les places de marché peuvent générer n'importe quel NFT (il faut leur faire une confiance aveugle), le fichier original peut toujours être copié. Le cours d'un NFT, comme celui de toute monnaie ou bien, dépend uniquement de la valeur qu'on lui accorde. Comme l'argent, le NFT est « une illusion partagée ».</em>"</p>
</blockquote>
<div class="para">
<p>Plus loin il poursuit en rappelant que les auteurs (des oeuvres) doivent également <em>payer</em> pour publier leur NFT sur une blockchain, "<em>sous le contrôle d'un contrat automatique qui se chargera entre autres des achats successifs.</em>" Et <a href="https://www.bortzmeyer.org/nft.html" rel="noopener" target="_blank">il ajoute</a> : </p>
<blockquote>
<p>"<em>Il est tout à fait mensonger, comme on le lit souvent, de prétendre que le NFT garantit « l’authenticité ». N'importe qui, pas seulement l'auteur de l'œuvre, peut générer un NFT, et cela s'est déjà produit sans l'autorisation de l'auteur. (...) Quelle confiance faire à un NFT ? Pour la première étape, la génération du NFT, il faut faire confiance à la place de marché. Pour la seconde, les opérations de vente et de revente successives, on a les garanties qu'offre la chaine de blocs et le contrat automatique.</em>"</p>
</blockquote>
</div>
<h2>Retour vers le NFT (No Futur Technologique).</h2>
<p>Permettez-moi un pas de côté. Je me souviens de la première fois où j'ai effectué une copie. De la première fois où j'ai compris et ressenti ce que "s'approprier", ce que "faire devenir soi et à soi" par ce moyen voulait dire et ce que cela pouvait aussi permettre et promettre. C'était vers la fin du collège et le début du lycée, j'avais la chance d'avoir chez mes parents un de ces postes "double-cassette" type Ghetto-Blaster et je récupérais alors auprès de mes camarades différents albums souvent eux-mêmes déjà copiés et que je copiais sur des cassettes vierges. J'ai d'ailleurs une petite pensée pour <a href="https://www.lemonde.fr/disparitions/article/2021/03/11/lou-ottens-le-pere-de-la-cassette-audio-est-mort_6072744_3382.html" rel="noopener" target="_blank">Lou Ottens, l'inventeur de la cassette audio qui vient de décéder</a>.</p>
<p><a class="asset-img-link" href="https://www.affordance.info/.a/6a00d8341c622e53ef026bdec54887200c-pi"><img alt="Capture d’écran 2021-03-20 à 14.35.27" class="asset  asset-image at-xid-6a00d8341c622e53ef026bdec54887200c img-responsive" src="https://www.affordance.info/.a/6a00d8341c622e53ef026bdec54887200c-500wi" title="Capture d’écran 2021-03-20 à 14.35.27"></a></p>
<p>Faire une copie, puis posséder cette copie d'une oeuvre culturelle, d'un morceau, d'un album, c'était à la fois ouvrir un monde de possibles et de découvertes, c'était aussi l'essentiel primordial de la socialisation de groupe. On était reconnu par les copies que l'on demandait autant que par celles que l'on possédait (ou que l'on disait posséder pour ne pas trop perdre la face :-). La copie, l'échange, sont des invariants structurants fondamentaux de toutes nos premières socialisations de cour d'école. Par parenthèse si le numérique est aujourd'hui à ce point structurant pour les jeunes adolescent.e.s, c'est aussi parce qu'il mobilise en permanence ce rapport à la copie, à la possibilité de copier, de dupliquer, et en copiant et en dupliquant de faire groupe et communauté. </p>
<p>Ce rapport à la copie s'étendit avec les technologies des âges que je traversais. Avec les CD et DVD-ROM et l'entrée dans l'âge adulte je me mis à copier davantage de musique, autant que le support en permettait, puis des films pour moi, puis pour mes enfants. Puis à graver des clés USB et des disques durs externes de photos, musiques et films dans des quantités toujours plus extravagantes, sans plus jamais me soucier de la nécessité de les écouter, de les voir ou de les revoir. Simplement par la possibilité offerte de la copie et de ces <a href="http://www.zeroseconde.com/2012/07/le-cul-de-sac-des-etageres-infinies/" rel="noopener" target="_blank">étagères infinies</a>. La multiplication et l'automatisation de la copie dans sa dimension essentiellement processuelle (= je copie parce que j'ai la possibilité de le faire et non pas l'envie de m'approprier ce que je copie) ayant un impact causal sur le soin accordé aux contenus copiés qui sont traités et appropriés en tant que "masse" davantage qu'en tant qu'éléments signifiants et désirables individuellement. </p>
<p>Dit trivialement : on "<em>fait</em>" 10 000 photos de vacances alors que 50 suffiraient puisque de toute façon on n'a pas à payer le développement de la pellicule et on "<em>prend</em>" la totalité d'un disque dur prêté et puis "<em>on verra plus tard</em>" plutôt de de prendre le temps de choisir ce qu'il nous est réellement nécessaire et désirable de copier. Il y a ainsi en quelque sorte une dilution, presque au sens chimique du terme, de l'appétence à la copie.</p>
<p>Copier devient un acte trivial, grégaire, qui n'est plus une <a href="https://fr.wikipedia.org/wiki/La_Distinction" rel="noopener" target="_blank">"distinction" au sens de Bourdieu</a>, qui ne nous discrimine plus positivement. La valeur sociale distinctive de la copie se déplace dans une autre sphère : celle, précisément, de l'accès ne nécessitant plus d'effectuer des copies. La distinction Bourdieusienne, celle qui nous (re)place dans un espace social défini par notre capital économique et culturel (en gros hein ...) c'est aujourd'hui principalement l'abonnement à des services de streaming liés aux grandes (et aux petites) industries culturelles ; mais ce sont aussi les logiques d'assignation attentionnelle où, chez les jeunes notamment, il faut avoir "consommé" du temps d'attention en ligne avant de pouvoir être autorisé à commenter telle ou telle session live (sur Twitch par exemple). </p>
<p>Pour le dire - encore - différemment, ce qui compte ce n'est plus de nous fabriquer notre collection de copies exploitables et désirables parce que - une fois au moins - désirées ; <strong>ce qui compte c'est d'avoir accès illimité à des pan-catalogues qui justement ne nécessitent ni n'autorisent de notre part une quelconque forme de copie, et la capacité d'y circuler pour y produire du même, de l'appartenance, des routines, des "ritournelles" au sens de Guattari et Deleuze</strong>. C'est cela qui nous distingue. C'est cela (l'une des formes dominantes de) notre assignation culturelle distinctive.</p>
<p>Pour le dire de manière un peu ramassée et en prenant le risque d'une forme de caricature, à l'échelle de l'adolescence, l'élément désirable du groupe était il y a 30 ans celui ou celle qui disposait de biens culturels copiables ; il est aujourd'hui celui ou celle qui dispose de codes Netflix partageables. </p>
<h2>De la copie à l'acopie.</h2>
<p>Presque 30 ans, donc, après mes premières cassettes copiées, je rédigeais un <a href="https://affordance.typepad.com/mon_weblog/2012/09/lacopie.html" rel="noopener" target="_blank">article définissant le concept "d'acopie"</a> : </p>
<blockquote>
<p>"<em>L'acopie ce serait alors l'antonyme de la copie. Un terme désignant la mystification visant à abolir, au travers d'un transfert des opérations de stockage et d'hébergement liées à la dématérialisation d'un bien, la possibilité de la jouissance dudit bien et ce dans son caractère transmissible, en en abolissant toute possibilité d'utilisation ou de réutilisation réellement privative.</em>"</p>
</blockquote>
<p>La fin d'un cycle. <a href="https://affordance.typepad.com/mon_weblog/2012/09/lacopie.html" rel="noopener" target="_blank">L'acopie</a>. Fin du cycle du partage et de l'appropriation tel que nous l'avions connu, c'est à dire <em>a minima</em> supposant jouissance d'une forme de matérialité, y compris numérique, du bien possédé. Le streaming s'était imposé dans l'ensemble des secteurs, de la musique à la vidéo, même le livre s'y dissolvait en partie. Les offres par abonnement. Et les DRM, verrous numériques supposés protéger les auteurs des copies illégales mais essentiellement entraves faites aux lecteurs et à la confidentialité de l'acte de lecture, pourtant ciment de nos démocraties. </p>
<p>En Mars 2012, nous avions organisé avec Lionel Maurel et Silvère Mercier, <a href="https://www.liberation.fr/ecrans/2012/03/07/copy-party-c-est-la-fete-a-la-bibliotheque_952075/" rel="noopener" target="_blank">la première copy-party</a> dans la bibliothèque universitaire du campus de La Roche sur Yon. L'occasion de dénoncer à la fois la criminalisation contre-productive et mortifère de l'activité de copier, et de rappeler à chacun son droit fondamental à la copie privée (1). </p>
<p>Et voici donc qu'arrivent les NFT, qui permettent de reposer différemment, de déplacer, ce qui fut et reste l'une des questions fondamentales de l'internet, du web, de l'hypertexte, la question de la copie et celle de l'original. Et toutes les questions induites qui sont celles des circulations et des agencements socio-économiques entre ces deux attracteurs étranges (l'original et la copie) et l'ensemble de la chaîne des acteurs qu'ils agrègent. </p>
<p>______________________<br>(1) on pourra sur le sujet relire :</p>
<ul>
<li>Olivier Ertzscheid. Une "copy-party" en bibliothèque. <em>Médium : Transmettre pour Innover</em>, Ed. Babylone, 2012, pp.397-411. <a href="https://archivesic.ccsd.cnrs.fr/sic_00736263" rel="noopener" target="_blank">⟨sic_00736263⟩</a></li>
<li><span class="UpperCase">Maurel</span>, Lionel, Silvère <span class="UpperCase">Mercier</span>, et Olivier <span class="UpperCase">Ertzscheid</span>. « Une « copy-party » en bibliothèque », <em>Médium</em>, vol. 32 - 33, no. 3-4, 2012, pp. 397-411. <a href="https://doi.org/10.3917/mediu.032.0397">https://doi.org/10.3917/mediu.032.0397</a></li>
</ul>
<h2>La transclusion et les NFT.</h2>
<p><strong>Petit retour vers le futur.</strong> L'histoire de la copie, sur le web, commence d'abord avec l'architecture dite "client-serveur" de l'internet, qui permet à plusieurs personnes d'avoir accès en même temps à un même document, sans avoir besoin d'en faire autant de copies qu'il peut y avoir de lecteurs. Cela marque une rupture avec le modèle attentionnel de la presse où il fallait disposer d'à peu près autant de copies de que lecteurs visés par la distribution de l'information.</p>
<p>Le web, que l'on présente - en partie légitimement - comme un média qui a rendu possible la multiplication de la copie (notamment dans le domaine des industries culturelles) est en fait à l'origine un média qui s'est construit techniquement et architecturalement sur l'absence de la nécessité de copier : l'information "originale" est disponible une seule fois sur un serveur, et chacun peut y accéder via son navigateur (et en faire ensuite autant de copies qu'il le souhaite, s'il le souhaite). Il n'est plus besoin de faire des copies puisque tout le monde peut accéder à l'original en même temps. C'est en quelque sorte la logique diamétralement inverse à la révolution de l'imprimerie. </p>
<p>L'histoire se poursuit avec un autre mot étrange : la "transclusion". Un mot inventé par l'inventeur du mot "hypertexte", Ted Nelson (auquel j'avais consacré une grosse partie de <a href="https://hal.archives-ouvertes.fr/tel-00006260" rel="noopener" target="_blank">ma thèse</a>). La transclusion pour Ted Nelson (<a href="https://affordance.typepad.com/mon_weblog/2013/06/spinning-the-web.html" rel="noopener" target="_blank">je vous le rappelais déjà par ici sur un autre sujet</a>) c'est  : </p>
<blockquote>
<p>"<em>un mécanisme qui permet à un document d’être à plusieurs endroits simultanément.(...) Le document ne sera pas dupliqué mais transclus, c’est à dire inclus simultanément dans divers environnements.</em>"</p>
</blockquote>
<p>Dit autrement, c'est en quelque sorte la première fois que l'on s'assure ainsi au niveau architectural, notamment grâce aux métadonnées, que l'on pourra toujours distinguer l'original d'un document de ses copies, puisqu'il sera donc possible de l'inclure dans différents endroits, toujours sans avoir à le copier.</p>
<p>Autant l'architecture client-serveur postulait l'existence d'un exemplaire unique autorisant une multitude d'accès simultanés, autant la transclusion postule que le document soit déplaçable et lisible dans d'autres environnements, en étant copié mais sans se départir de son ancrage initial ou en tout cas en maintenant toujours possible le retour à la version "initiale" et "de référence". </p>
<p>La transclusion chez Ted Nelson fait partie d'un ensemble conceptuel plus vaste qu'il désigne sous le nom de "versioning" (là aussi si vous êtes un.e fidèle lecteur.trice <a href="https://affordance.typepad.com/mon_weblog/2013/06/spinning-the-web.html" rel="noopener" target="_blank">cela doit  vous rappeler quelque chose</a>). </p>
<blockquote>
<p>"Définition courte : "<em>Le versioning désigne l’ensemble des manières de gérer, indépendamment de tout niveau d’échelle, les procédures permettant de rattacher différentes versions d’un même document à un (des) auteur(s), tout en permettant à chacun de s’approprier tout ou partie des documents produits par d’autres ou par eux-mêmes, et en assurant un suivi des différentes modifications apportées.</em>" (définition extraite du chapitre de ma thèse consacré au sujet, <a href="https://hal.archives-ouvertes.fr/tel-00006260" rel="noopener" target="_blank">thèse disponible ici</a>).</p>
<p>Définition un peu plus longue : "<em>Le versioning désigne l’ensemble des manières de gérer, à l’échelle de l’hypertexte planétaire, les procédures permettant de rattacher un texte à un auteur (ou à un collectif d’auteurs), tout en permettant à chacun de s’approprier – de se ré-approprier – tout ou partie de documents produits par d’autres ou par eux-mêmes afin, premièrement, de limiter la prolifération « bruyante » des versions différentes d’une même information sur le réseau et deuxièmement, d’identifier la nature et les origines de ces modifications dans l’optique d’une gestion cohérente de l’ensemble des documents électroniques actuellement disponibles, indépendamment de leur format, de leur statut et en dehors de tout institution centralisée. Autant dire que plus qu’une problématique, il s’agit là d’un véritable « idéal ».</em>" (définition toujours extraite du chapitre de ma thèse, <a href="https://hal.archives-ouvertes.fr/tel-00006260" rel="noopener" target="_blank">toujours disponible ici</a>).</p>
<p>Définition à rapprocher de celle qu’il [Ted Nelson] <a href="https://xanadu.com.au/mail/xanadu/msg00098.html" rel="noopener" target="_blank">propose pour le terme document</a> : "<em>Un document est une collection arbitraire de versions disposant d’un nom propriétaire et de limites.</em>"</p>
</blockquote>
<p>Le versioning c'est donc, dès l'origine et dans l'esprit de Ted Nelson, la capacité et la nécessité de pouvoir isoler, identifier, mentionner et retrouver une version originale donnée d'un document à un moment donné, en conservant un historique des modifications (comme dans Wikipédia) et avec la possibilité de l'inclure dans d'autres environnements de navigation. On voit que l'on n'est pas très loin de nos NFT, de nos jetons non-fongibles, dans l'idée de permettre là aussi une certification et une authentification d'items numériques variants et variables, assignables à une version donnée sans pour autant limiter ou interdire la possibilité de les copier et d'en garder des copies en circulation.</p>
<p>Davantage que la question d'un "original" au sens posé par les NFT, c'est à dire dépendant d'une autorité ou d'une "<a href="https://archivesic.ccsd.cnrs.fr/sic_00120699" rel="noopener" target="_blank">auctorialité</a>", davantage que la question d'une mise en commerce de la rareté issue de cette assignation auctoriale, il s'agit plutôt dans l'esprit de Ted Nelson et des travaux des précurseurs du web d'<strong>une forme d'originalité "située"</strong> qui n'a pas vocation à produire de la rareté mais à gérer des effets de singularité, de traçabilité mais aussi de transposabilité nécessaires à l'économie initiale des documents, puis à celle des profils sur le web.  </p>
<h2>Où sont les <span>femmes</span> copies ?</h2>
<p>L'une des clés de l'histoire de l'évolution de la copie sur le web, <a href="https://affordance.typepad.com/mon_weblog/2012/04/google-drive-me-crazy.html" rel="noopener" target="_blank">je la découvre en 2012 mais elle date de 2006</a>. Et elle figure dans un diaporama de Google présenté lors d'un des événements d'entreprise organisé par la firme, le Google Analyst Day. Sur la diapositive 19 de l'un des diaporamas présentés ce jour-là on peut lire : </p>
<blockquote>
<p>"<em>En nous rapprochant de la réalité d'un "stockage à 100%", la copie en ligne de vos données deviendra votre copie dorée et les copies sur vos machines locales feront davantage fonction de cache. L'une des implications importantes de ce changement est que nous devons rendre votre copie en ligne encore plus sûre que si elle était sur votre propre machine.</em>"</p>
</blockquote>
<p>Tout stocker en ligne. Et faire de ce stockage en ligne une copie dorée. Une "golden copy". C'est à dire, finalement, un original. Voilà le (nouveau) grand changement. Ce n'est plus simplement "de l'information" qui est stockée une seule fois sur un serveur auquel chacun peut accéder sans qu'il soit besoin de créer autant de copies, ce sont cette fois "nos" informations, nos fichiers, nos documents, nos photos, nos films, nos souvenirs, nos mémoires, qui seront ainsi les seuls originaux en ligne, laissant à notre disposition, sur nos disques durs, une simple "fonction de cache". Même plus un document, même plus une photo, même plus un souvenir : une fonction. </p>
<p>Un an avant le Google Analyst Day de 2006, je publiais à la Une du journal Le Monde un article intitulé "<a href="https://affordance.typepad.com/mon_weblog/2017/06/le-jour-ou-notre-disque-dur-aura-disparu-21-avril-2005.html" rel="noopener" target="_blank">Le jour où notre disque dur aura disparu</a>". Notre disque dur n'a (bien sûr) pas disparu, mais l'essentiel de nos originaux sont désormais en ligne, et notre disque dur ne fait, en effet, le plus souvent fonction que de cache.</p>
<p>Et donc les NFT. Jetons non-fongibles. Qui remettent en perspective toute cette courte mais dense histoire de la copie sur les internets. Les NFT c'est une étape supplémentaire dans cette gradation qui nous mena, en quelques dizaines d'années (1990-2020), d'un monde numérique où tout était copiable mais où plus rien n'avait besoin d'être copié pour être lu ou partagé (un lien suffisait), jusqu'à un monde numérique dans lequel la tendance est de trouver toujours davantage de moyens pour d'une part empêcher, limiter et entraver les copies à usage privé, et d'autre part, projeter sur la part commune de chaque bien la possibilité d'une appropriation marchande exclusive. </p>
<h2>Le (non) fongible et le (non) rival.</h2>
<p>Cette histoire, cette dynamique, c'est celle qui oppose la nature "non-fongible" de ces nouvelles approches propriétaires, renvoyant à une unicité et à une authenticité fantasmée (ou à celle "<em>illusion partagée</em>" <a href="https://www.bortzmeyer.org/nft.html" rel="noopener" target="_blank">qu'évoquait Stéphane Bortzmeyer</a>), à la nature non-rivale des biens numériques authentiquement appropriables.  </p>
<p>Lorsque <a href="https://www.affordance.info/mon_weblog/2016/05/internet-et-le-web-en-classe-de-6eme.html" rel="noopener" target="_blank">j'explique la magie des internets à des jeunes élèves de 6ème abasourdis par tant de féérie</a>, j'insiste (<a href="https://www.slideshare.net/olivier/internet-et-le-web" rel="noopener" target="_blank">diapos 45 et 46</a>) sur la nature de l'information comme <a href="https://fr.wikipedia.org/wiki/Rivalit%C3%A9_(%C3%A9conomie)" rel="noopener" target="_blank">bien non-rival</a>, c'est à dire d'un bien dont "<em>la consommation par un agent ne diminue pas la quantité de bien disponible pour les autres agents.</em>"</p>
<p>Le jetons non-fongibles, on l'aura compris (je l'espère en tout cas) participent de cette non-rivalité mais uniquement en façade. Concrètement rien ne vous empêche en effet de "copier" puis de partager le tweet initial de Jack Dorsey vendu plus de 2 millions de dollars ou bien l'oeuvre numérique de Beeple vendue pour plus de 69 millions de dollars. Mais ils créent, à une autre échelle, pour les mêmes contenus et les mêmes biens, un circulation rivale des logiques d'appropriation. La personne "possédant" le NFT du Tweet de Dorsey ou du tableau de Beeple (non-fongible car ne pouvant s'échanger contre un autre bien équivalent) peut s'en défaire et le vendre à quelqu'un d'autre contre monnaie, mais en s'en défaisant, elle n'en dispose plus pour elle-même (cela devient donc un bien rival). </p>
<p><strong>Fondamentalement, si un bien est non-fongible, il devient aussi un bien rival</strong>. Et si cela peut apparaître comme une bonne nouvelle dans le domaine très particulier du marché de l'art numérique, l'extension possible de cette non-fongibilité à un ensemble de ressources et d'environnements numériques dès lors redevenus rivaux, est en revanche (relativement) inquiétante.</p>
<h2>Copytalism.</h2>
<p>Voilà pourquoi les NFT affolent et agitent autant les internets en ce moment. Parce que chacun voit bien qu'il ne vont rien changer en surface, tout en changeant possiblement plein de choses en profondeur. Parce que de la même manière que le <a href="https://www.monde-diplomatique.fr/2011/11/KAPLAN/46925" rel="noopener" target="_blank">capitalisme linguistique s'était attaqué à la langue en tant que bien commun</a>, cette nouvelle forme de capitalisme de la copie  ("copytalism" diraient nos amis anglo-saxons s'ils avaient inventé ce terme avant moi) s'attaque aux biens numériques en tant que possibles appropriations communes. </p>
<p>Mettre des mots aux enchères (<a href="https://www.monde-diplomatique.fr/2011/11/KAPLAN/46925" rel="noopener" target="_blank">relire Frédéric Kaplan sur le capitalisme linguistique</a>) n'a pas empêché que les mots circulent. Mais dans l'espace public et sociétal qui est celui des moteurs de recherche, ces circulations marchandes ont un effet de réel, elles sont des éditorialisations, elles organisent des visions du monde, et ce faisant elles sont aussi nos mondes. La définition d'une valeur non-fongible pour un ensemble de biens et de ressources numériques n'empêchera pas que des copies circulent. Mais elle pourrait introduire de nouvelles enclosures dans les dynamiques d'appropriation collectives. Voilà pourquoi cette forme de "copitalisme" (copytalism) peut apparaître inquiétante au-delà de son seul effet de mode.  </p>
<p>En droit, le contraire d'un bien fongible, c'est à dire pouvant être remplacé par n'importe quelle chose du même genre, un bien que l'on ne peut pas individualiser, s'appelle un bien ou un corps "certain". Un appartement dans un immeuble ou une oeuvre d'art sont des corps certains. Non-fongibles. Totalement individualisés. </p>
<p>Le web s'est construit sur un idéal, une doctrine et une infrastructure concourant conjointement à changer le sens de ce que l'on appelait un "original" ainsi que des logiques sociales de (dé)possession l'accompagnant. Ce qui comptait c'était tout le temps la capacité d'être à l'origine de partages possibles, c'était moins souvent la capacité de l'être en étant le producteur du contenu original, et ce n'était jamais d'afficher la possession d'un "original" qui, en soi, n'avait alors aucun sens. <strong>Chaque copie faisait oeuvre collective, ressource partageable, imaginaire possiblement commun</strong>. Certes le contraire d'un bien ou d'un corps "certain" autrement que dans l'appréhension globale de l'activité de publication en ligne, mais toute la promesse d'un incertain sans cesse renouvelé et tant de fois stabilisé par ce renouvellement même,  par cette dynamique du web (comme l'exemplifie et la résume la dynamique propre de Wikipédia). </p>
<p>L'incertitude de la copie partageable contre la certitude du capital non-copiable. Voilà aussi l'histoire de l'avènement des NFT. </p>
<p>Alors bien sûr "jusqu'ici ... tout va bien." Mais le risque, l'un des risques en tout cas, c'est d'ajouter une nouvelle couche d'enclosures, de "propriétarisation" sur des contenus déjà souvent enclos, déjà souvent <a href="https://affordance.typepad.com/mon_weblog/2013/11/dun-f-qui-veut-dire-forclos.html" rel="noopener" target="_blank">forclos</a> : derrière les enceintes des plateformes, derrière des DRM, derrière des écosystèmes privatifs et à chaque fois déjà bien loin de l'idéal nécessaire d'un web ouvert.</p>
<p>L'inquiétude - mon inquiétude en tout cas - ne vient pas tant de cette nouvelle ressource de monétisation possible, mais de la possibilité qu'elle soit utilisée, dans les plateformes par exemples, pour déployer de nouvelles stratégies "freemium" qui conditionneraient l'accès à certaines versions de certains contenus, pour certaines personnes ou communautés et à certaines conditions en rendant d'autres partages impossibles. Mon inquiétude vient de l'effet d'opportunité ou d'appel d'air que ces NFT rendent possible.</p>
<p>L'idée qu'il existe une version "premium", rivale et non-fongible d'un contenu pourrait en effet ouvrir ... <a href="https://cfeditions.com/geants/" rel="noopener" target="_blank">des appétits de géants</a>. </p>
