title: Deux ans plus tard
url: https://marieguillaumet.com/deux-ans-plus-tard/
hash_url: 28bb7ac13990ecb381b2256fcf7d96ae

<p>J’ai souvent imaginé revenir par ici, attraper ma plume au vol et me remettre à écrire comme si de rien n’était.</p><p>J’aimais tellement venir sur ce blog pour vous raconter mes petites histoires et mes grandes découvertes, partager mes photos et mes bonnes adresses, et échanger avec vous pendant des heures…</p><p>Après deux ans de silence relatif, l’envie de me remettre à publier ici des billets liés à mon métier me démange.</p><p>Mais avant de pouvoir le faire, j’ai besoin de vous parler d’une <strong>période fort désagréable de ma vie numérique</strong>, qui a failli avoir raison de ce blog et de mes autres prises de parole sur le net.</p><h2>Il était une fois un harcèlement ordinaire</h2><p>Flashback : fin 2015, alors que je bloguais régulièrement depuis des années, un changement durable s’est produit dans la façon dont j’envisageais non seulement le fait de bloguer, mais aussi le fait de publier des trucs sur Internet au sens large.</p><p>Nul doute que la <strong>visibilité aussi soudaine qu’écrasante</strong> que m’a apportée <a href="http://marieguillaumet.com/design-de-soi-paris-web-2015/">la conférence sur le design de soi que j’ai donnée à Paris Web en octobre 2015</a> y a été pour beaucoup.</p><p>Du jour au lendemain, le nombre de mes followers sur <a href="https://twitter.com/kreestal">Twitter</a> a explosé. Le nombre des personnes me détestant juste parce que mes billets et ma conférence étaient très partagés, aussi.</p><p>La <strong>violence verbale et symbolique</strong> à l’œuvre sur les réseaux sociaux, dont j’étais témoin depuis des années, était en train de me prendre pour cible.</p><p>Mon expérience numérique s’est vite dégradée.</p><p>Il y a d’abord eu un augmentation de sarcasmes lancés dans ma direction. Puis des <a href="http://www.konbini.com/fr/tendances-2/le-subtweet-cest-quoi/" lang="en">subtweets</a> plus ou moins agressifs ont commencé à s’accumuler. Certaines choses lues par ce biais pouvaient me trotter dans la tête pendant des jours. (Subtweeter relève-t-il d’une réelle ignorance de l’entêtement des algorithmes à déterrer la merde et à l’agiter sous le nez de la personne visée, ou bien d’une malveillance lâche ?)</p><p>Un jour, je suis même tombée sur un long billet de blog où un confrère disait tout le mal qu’il pensait de moi. <span role="img" aria-label="visage avec un sourcil levé">🤨</span></p><p>Cela m’a autant peinée que déçue, d’autant que ce n’était pas un rageux anonyme qui déblatérait dans son coin, non : c’était un confrère que j’estimais (<em>notez bien l’utilisation de l’imparfait ici</em>).</p><p>Outre le choc de lire toutes ces choses étranges à mon sujet, il y a aussi eu <strong>beaucoup d’incompréhension</strong> : que me valait cette soudaine recherche de poux dans la tête ?</p><p>Cela fait plus de 10 ans que je blogue, tweete et partage des trucs à titre professionnel, et je l’ai toujours fait avec honnêteté, enthousiasme et non-violence. Je n’ai donc jamais réussi à déterminer clairement ce qui m’a valu d’être prise pour cible malgré tout.</p><p>D’autant que les personnes à l’origine de ces attaques passives-agressives ne sont jamais venues me parler directement de leurs griefs (par email ou en discutant face-à-face par exemple).</p><p>Le temps passait, mais je sentais bien que quelque chose avait changé. Twitter était devenu peu à peu une <strong>source d’anxiété</strong>, et je supportais de moins en moins non seulement les provocations successives envoyées dans ma direction, mais aussi, de manière générale, la violence qui émanait (et émane toujours) des échanges sur cette plateforme.</p><p>Les choses se sont envenimées début 2016, lorsque j’ai été victime de <strong>harcèlement numérique</strong> de la part d’une frange infime – mais néanmoins infecte – de la communauté liée à un CMS très populaire. (Inutile de préciser que cette communauté regroupe également plein de personnes chouettes – je sais faire la part des choses.)</p><p>Je ne rentrerai pas dans les détails de ce qui s’est passé ; disons simplement que cela a été aussi court qu’ordurier.</p><p>Beaucoup de masques sont tombés à ce moment-là, et les personnes qui m’ont défendue se sont comptées sur les doigts d’une main. Avoir des milliers de followers n’a évidemment rien changé – ça a même été un facteur aggravant.</p><p>Les rares personnes à qui j’ai pu parler de tout ça se sont contentées de me dire : <em>c’est normal, il y a des cons partout, ce genre de com­por­te­ments est inévitable, <strong>tu n’as qu’à les ignorer</strong></em>.</p><p>À les écouter, le harcèlement serait une contrepartie désagréable mais « normale » au fait de prendre la parole en public et d’avoir une audience de plus en plus importante.</p><p>Mais je ne suis pas d’accord : <strong>il n’y a rien de normal dans le fait de se faire harceler, quelle qu’en soit la raison</strong>.</p><p>L’agressivité et la violence sont une plaie, et ce n’est pas en se contentant de dire « C’est inévitable » ou « T’as qu’à les ignorer » qu’on lutte contre.</p><p>Au contraire : ce discours <strong>dédouane les harceleurs</strong> et <strong>culpabilise les personnes harcelées</strong>, qui n’arrivent justement pas à ignorer les attaques parfois humiliantes qu’elles subissent, plusieurs fois par jour, pendant toute une période donnée.</p><blockquote><p>Il n’y a pas d’un côté les gens qui harcèlent, au milieu les témoins, et de l’autre les gens qui soutiennent. Non. Il y a ceux qui font partie du problème, et ceux qui font partie de la solution.<br/> <cite>Marion Seclin, <a href="https://www.youtube.com/watch?v=sphZS8JVwNc">Championne de France de cyber-harcèlement</a></cite></p></blockquote><p>Bref, suite à tout ça, je me suis <strong>éclipsée du web quasiment du jour au lendemain</strong>.</p><p>C’était la seule solution que je voyais à l’époque pour qu’on me laisse tranquille. J’ai même très sérieusement songé à supprimer mon compte Twitter.</p><p>En juillet 2016, j’ai néanmoins annoncé, en filigrane, que je mettais mon blog en pause pour une durée indéterminée.</p><p>Le prétexte officiel était mon <a href="https://marieguillaumet.com/wake-up-from-the-illusion/">mal-être vis-à-vis des réseaux sociaux</a> – mal-être qui était tout à fait réel et profond.</p><p>Mais, à ce moment-là, je n’avais pas encore le <strong>courage</strong> de parler également des turbulences que je vivais depuis six mois, craignant une nouvelle vague d’attaques.</p><p><strong>J’avais peur du regard des autres</strong>, peur de passer pour quelqu’un qui se plaint, et honte de me sentir si mal alors qu’on me répétait sans arrêt que « c’est normal maintenant que t’es connue, t’as qu’à les ignorer, <abbr title="on s’en fout">osef</abbr> des rageux ».</p><h2>Défendre une cause sociale, un facteur aggravant</h2><p>J’ai ainsi passé une année <strong>loin de l’arène</strong>, renouant avec des activités que j’avais délaissées depuis bien trop longtemps : dessin, peinture, <a href="https://fr.wikipedia.org/wiki/Qi_gong">qi gong</a>, yoga, méditation, voyages, écriture… Cela m’a fait un bien fou.</p><p>Et puis, en juin 2017, j’ai rejoint Access42, une coopérative spécialisée en accessibilité numérique. Cela fait maintenant un an que j’y travaille, et ce nouveau métier est très épanouissant.</p><p>Mais, à ma grande surprise, je me suis aperçue au fil des mois que le sujet de l’accessibilité numérique, en France, peut lui aussi donner lieu à des <strong>com­por­tements toxiques</strong>.</p><p>Je ne compte plus les <strong><span lang="en">tweets</span> malveillants</strong> envoyés dans ma direction ou dans celle de mes collègues par des confrères* cherchant à remettre systématiquement en cause notre travail (* ces tweets émanent la plupart du temps de personnes identifiées publiquement comme hommes).</p><p>De temps en temps, certains d’entre eux <strong>m’alpaguent publiquement</strong>, en toute décontraction, pour me dire que mes articles et mes conférences ne servent à rien, et que le sujet de l’accessibilité numérique est obsolète. <span role="img" aria-label="visage dubtitatif">🤔</span></p><div class="post-img-container clearfix aligncenter full"><figure role="group" id="attachment_9886" class="post-img-figure"><span class="thumb custom-thumb"><img class="colorbox-9880" src="" data-lazy-src="https://marieguillaumet.com/wp-content/uploads/2018/07/201807_willy-wonka-a11y.jpg" alt="Condescending Wonka"/><noscript><img class="colorbox-9880" src="https://marieguillaumet.com/wp-content/uploads/2018/07/201807_willy-wonka-a11y.jpg" alt="Condescending Wonka"/></noscript></span><figcaption id="figcaption_attachment_9886" class="wp-caption font-2"><div class="toggle-gp-article toggle-gp mg-toggle-box"> <button class="mg-btn mg-btn-toggle" aria-expanded="false" aria-controls="mg-figcaption-9886">Consulter la description de l’image<span class="screen-hide"> “Condescending Wonka”</span></button><div id="mg-figcaption-9886" class="mg-content-toggle is-hidden"> <a href="https://knowyourmeme.com/memes/condescending-wonka-creepy-wonka" title="Meme « Condescending Wonka » (en anglais)" hreflang="en">Meme « <span lang="en">Condescending Wonka</span> »</a><p> avec le texte « J’ai hâte de te voir expliquer aux personnes handicapées que l’accessibilité numérique n’est plus un sujet d’actualité ».</p></div></div></figcaption></figure></div><p>Il y a 10 ans, alors que j’écrivais mon mémoire consacré à l’accessibilité web et que la situation était encore plus mauvaise qu’aujourd’hui, on me tenait déjà <strong>mot pour mot</strong> le même discours.</p><p>Cette ignorance de l’urgence du sujet relève-t-elle d’une simple <strong>naïveté de personnes privilégiées</strong> qui, parce qu’elles-mêmes ne rencontrent pas d’obstacle particulier lorsqu’elles consultent le net, se disent sincèrement que tout va bien pour tout le monde ?</p><p>Ou alors, s’agit-il d’une question d’<strong>éducation</strong> et de <strong>culture sociétale</strong>, et/ou d’un <strong>manque d’empathie</strong> de la part d’individus incapables d’envisager le monde à travers un autre prisme que le leur ?</p><p>Enfin, cette affirmation ne serait-elle pas une façon de sous-entendre que les personnes handicapées et leurs allié·es <strong>font des histoires</strong> qui n’ont pas lieu d’être et qu’elles <strong>se trompent de combat</strong> ?</p><p>J’hésite.</p><p><strong>Toujours est-il que nous sommes en juillet 2018, et que les obstacles parfois immenses auxquels se heurtent les personnes handicapées pour accéder à Internet et au numérique n’ont PAS disparu.</strong> Réveillez-vous !</p><p>Outre la violence des propos critiquant le bien-fondé du combat en faveur de l’accessibilité numérique, ce qui me sidère encore plus c’est le <strong>sentiment de toute puissance</strong> qui en émane.</p><p>Est-ce que, moi, je viens débiner le boulot des autres en public ?</p><p>Non ! Bon.</p><p>Parfois, je me dis que les réactions agressives sont le lot de <strong>toute personne qui se consacre à une cause à portée politique et sociale</strong>.</p><p>Mais rien ne m’avait préparée à ça.</p><p>Alors, d’un côté, tout cela m’a endurcie (mais est-ce réellement une bonne chose ?).</p><p>De l’autre, il y a des jours où cette agressivité latente me décourage presque.</p><p>Le seul point positif que je vois, c'est de savoir ce que cachent réellement certains avatars aux sourires figés.</p><h2>Oser en parler</h2><p>Donc : beaucoup d’<strong>agressivité</strong>, mon <strong>désarroi</strong> face à ça, et une relative <strong>solitude</strong>.</p><p>Et deux problèmes :</p><p>Il m’a d’ailleurs fallu deux ans avant de trouver le courage de parler de tout cela ici.</p><p>Je me taisais, je me suis tue, et puis, un jour, j’ai réalisé que me taire était <strong>injuste</strong>.</p><p>Pourquoi les personnes déjà minoritaires (et souvent invisibilisées) au sein de notre « communauté » devraient-elles continuer à faire profil bas, au profit de tous ces confrères omniprésents et surreprésentés ?</p><p>De plus, pourquoi permettons-nous aux personnes les plus agressives de notre entourage, aux empêcheurs de tourner en rond et autres Jean-Michel Pénible de s’en sortir à bon compte en ne disant rien lorsque nous les voyons s’en prendre à une consœur ou à un confrère ?</p><p><strong>Non, cela a assez duré : je ne vois aucune raison pour laquelle nous devrions continuer à nous taire.</strong></p><p>Prendre la parole en public alors qu’on fait partie d’un groupe minoritaire (dans mon cas : les femmes dans le domaine tech, a fortiori les femmes féministes), ce n’est pas seulement défendre des valeurs auxquelles on croit ; c’est aussi montrer l’exemple, et <strong>lutter contre le manque de diversité de notre milieu</strong>.</p><p>Mais il faut garder à l’esprit que prendre publiquement la parole coûte beaucoup plus aux personnes minorisées à cause de leur genre, leur classe, leur(s) handicap(s), leurs origines, leur couleur de peau, leur mode de vie, etc., qu’aux personnes privilégiées, notamment en terme de <a href="https://www.cairn.info/revue-travailler-2003-1-page-19.html">travail émotionnel</a>.</p><p>C’est pourquoi je suis <strong>partiellement revenue</strong> sur ce que je défendais à l’époque à propos du design de soi.</p><p>En effet, à l’époque, j’ai totalement occulté l’aspect « minorités » de cette problématique, car je n’étais pas encore assez déconstruite à ce propos.</p><p>Malgré cela, depuis ma première conférence à Paris Web en 2015, jusqu‘à mon article <a href="https://www.24joursdeweb.fr/2017/on-ne-nait-pas-expert-e-on-le-devient/">On ne naît pas expert·e, on le devient</a> publié fin 2017, j’ai reçu de <strong>nombreux témoignages</strong> de personnes (surtout de jeunes-femmes) qui m’ont dit que mes prises de parole en public les avait poussées à oser écrire un article ou donner une conférence à leur tour.</p><p>C’est encourageant, bien sûr, et j’espère que toutes les nouvelles voix permettront d’<strong>enrichir</strong> et de <strong>désenclaver</strong> la communauté des artisan·es du web.</p><p>Mais aujourd’hui, j’écris aussi pour prévenir ces nouvelles voix des <strong>risques</strong> qui existent quand on prend la parole publiquement sur Internet. Cela requiert d’être déterminé·e, de tenir corps et âme à son sujet, et d’<strong>être bien entouré·e</strong>, pour trouver conseils et réconfort en cas de crise.</p><blockquote class="twitter-tweet" data-width="500" data-dnt="true"><p lang="en" dir="ltr">Women on here: Can I say this? Will I be misunderstood and then harassed? Will I be understood and then harassed? Do I have enough knowledge and context? Am I saying something appropriately valuable enough to merit it being said?<br/>Men on here: *Farts out every thought they have*</p><p>— Laura 'Ban the Nazis' Shortridge (@DiscordianKitty) <a href="https://twitter.com/DiscordianKitty/status/1015473431570206720?ref_src=twsrc%5Etfw">July 7, 2018</a></p></blockquote><p/><h2>Prendre de la distance</h2><p>Quant à moi, j’ai décidé de <strong>me préserver</strong> et de <strong>prendre beaucoup de distance</strong> vis-à-vis des réseaux sociaux et des autres groupes numériques dont je faisais partie.</p><p>Aujourd’hui, il se passe des jours, voire des semaines, sans que je ne consulte mon compte Twitter professionnel : devoir me farcir régulièrement des tweets déplaisants me demande un effort cognitif et émotionnel trop grand.</p><p>Je n’y vais que <strong>lorsque je n’ai rien d’autre à faire</strong> et que je suis <strong>moralement prête</strong> à affronter l’anxiété que cela déclenche chez moi – celle-ci étant amplifiée lorsque je donne une conférence ou que je publie un article.</p><p>J’ai donc décidé de me simplifier la vie et de <strong>ne plus laisser Internet s’ajouter à ma charge mentale</strong>.</p><blockquote lang="en"><p>And then, one day, I think in 2013, Twitter and Facebook were not really very fun anymore. And worse, the fun things they had supplanted were never coming back. Forums were depopulated; blogs were shut down. Twitter, one agent of their death, became completely worthless: <strong>a water-drop-torture feed of performative outrage</strong>, self-promotion, and discussion of Twitter itself.<br/> <cite>Dan Nosowitz, <a href="http://nymag.com/selectall/2018/05/i-dont-know-how-to-waste-time-on-the-internet-anymore.html" hreflang="en" lang="en">I Don’t Know How to Waste Time on the Internet Anymore</a></cite></p></blockquote><p><strong>Je rejette :</strong></p><ul><li>le copinage, les simagrées, les boucs-émissaires, les curées et les humiliations publiques ;</li><li>les faux selfs, les postures, et les grandes gueules qui ne manquent jamais une occasion de la ramener et de pourrir l’ambiance ;</li><li>le cirage de pompes, l’« entre-couillisme » et les « <span lang="en">bros clubs</span> » anxiogènes où circulent, à peine masquées, des blagues gauloises-oh-ça-va-on-peut-plus-rigoler, parallèlement à de grands discours tenus la bouche en cœur sur l’inclusivité. (Ça se voit et c'est ridicule, sachez-le.)</li></ul><blockquote lang="en"><p>You don’t have to live in public on the internet if you don’t want to. Even if you’re a public figure, or micro-famous like me. I don’t follow anyone on my public Instagram account. No shade on those who follow me there, I’m glad you give me your time - but <strong>I need to be in my own space to get my shit done</strong>. You want a “hack” for handling the internet? Create private social media accounts, follow who you want and sit back and let your bespoke media channels flow to you. These are tools, not requirements. Don’t let them make you miserable. Tune them until they bring you pleasure.<br/> <cite><a href="http://tumblr.austinkleon.com/post/175481624946" hreflang="en">Warren Ellis</a></cite></p></blockquote><h2>Continuer à écrire</h2><p>Cette prise de distance a été nécessaire, et m’a permis de <strong>retrouver l’envie d’écrire</strong>.</p><p>Mais je publierai moins, et de manière plus ciblée.</p><p>Aujourd'hui, je distingue clairement d’une part <strong>mon moi profond</strong> (qui n’est pas défini par mon travail), et d’autre part <strong>ma persona professionnelle</strong>.</p><p>Cela me permet :</p><ul><li><strong>d’être moins impliquée émotionnellement sur Internet</strong>, notamment dans les discussions liées à mon métier. Je peux donc travailler dans les meilleures conditions possibles sans être (trop) parasitée par les réflexions parfois désobligeantes que l’on m’adresse. Publier moins de choses personnelles = susciter moins de jugement = alléger ma charge mentale ;</li><li><strong>de bénéficier d’échanges plus sélectifs, et donc plus qualitatifs</strong>. En deux ans, mon activité numérique s’est métamorphosée, et cela m’a libérée d’un poids. Je me sens plus en phase avec qui je suis. Je n’ai plus à me demander à chaque instant si j’ai raison de publier tel ou tel contenu, ni à vivre dans la peur d’un éventuel bashing public parce que j’ai « osé » publier une photo de mon chat sur mon blog pro (je caricature à peine : c'est un reproche que l’on m’a réellement adressé <span role="img" aria-label="visage qui roule les yeux au ciel">🙄</span> #<span lang="en">First­World­Problems</span>).</li></ul><p>Les réseaux sociaux, leur flux continu et leurs notifications incessantes sont une drogue (lire à ce sujet l’article <a href="https://www.telegraph.co.uk/news/12161461/Facebook-addiction-activates-same-part-of-the-brain-as-cocaine.html" lang="en" hreflang="en">Facebook addiction ‘activates same part of the brain as cocaine’</a> – en anglais), et cela m’a pris deux ans pour réussir à m’en sevrer.</p><p>Le plus grand enseignement que je tire de cette période d’expérimentations et de sevrage numériques, c’est le fait que <strong>moins on consulte toutes ces interfaces, plus on se détache</strong> de la peur de passer à côté d’informations ou d’opportunités, et d’être jugé·e.</p><p>Ce qui m’importe désormais, c’est de <strong>continuer à écrire</strong>, faire ce qui me semble juste, et ne plus sacrifier ma créativité et mon envie de partager des trucs sur l’autel de l’anxiété numérique.</p><p>J’ai envie de me remettre à parler de mon métier et des problématiques qui en découlent.</p><p>Mais j’ai aussi envie de partager mes <strong>découvertes</strong> techniques et mes <strong>coups de cœur</strong> graphiques, les lectures qui m’inspirent, les évènements auxquels je participe, les conférences que je donne, mes réflexions sur le télétravail et sur le travail en général, et tout un tas d’autres choses liées à ma passion pour le web, le design et l’accessibilité.</p><p>Il me semble d’autant plus crucial de le faire alors que les blogs et les comptes Twitter tenus par des personnes sous-représentées dans notre milieu professionnel tendent à disparaître ou à être abandonnés, précisément à cause du climat anxiogène et des menaces de harcèlement qui planent au-dessus de leurs têtes.</p><p>J’ai aussi pour projet de faire un <strong>grand ménage technique et visuel</strong> sur ce site, qui ne me correspond plus et vieillit assez mal (il date de 2012, tout de même).</p><p>D’ailleurs, si c’est trop pénible à lire, abonnez-vous à <a href="http://marieguillaumet.com/feed/">mon flux RSS</a>, qui est complet, et qui s’affichera proprement dans tout lecteur RSS digne de ce nom.</p><p>Bon, par contre, je ne promets <strong>pas</strong> de ne plus jamais poster de photo de mon chat. <span role="img" aria-label="visage souriant avec des cornes">😈</span></p><p>Deux <strong>ressources sur le cyber-harcèlement</strong> pour terminer, si ça peut servir :</p><p>Et un livre de Brené Brown qui m’a aidée à remonter en selle : <strong><i lang="en">Rising Strong: How the Ability to Reset Transforms the Way We Live, Love, Parent, and Lead</i></strong>.</p><h2>Remerciements</h2><p>Un grand merci aux personnes qui m’ont aidée à donner corps à ces réflexions au fil des mois, en particulier à celles qui se sont coltiné la tâche ingrate de relire et d’éditer cette tartine !</p>
