title: The Vibes Theory of Organisational Design
url: https://medium.com/the-tuning-fork/the-vibes-theory-of-organisational-design-937a73f791cd
hash_url: 32a683b164cc4bed15fa506b046acbfb

<section name="1cb7" class="section section--body section--first"><div class="section-divider"><hr class="section-divider"></div><div class="section-content"><div class="section-inner sectionLayout--outsetColumn"><figure name="994e" id="994e" class="graf graf--figure graf--layoutOutsetCenter graf--leading"><div class="aspectRatioPlaceholder is-locked" style="max-width: 1000px; max-height: 563px;"><div class="aspectRatioPlaceholder-fill" style="padding-bottom: 56.3%;"></div><div class="progressiveMedia js-progressiveMedia graf-image" data-image-id="1*xREkrDdJK3PSDwV0c3qQtA.png" data-width="1600" data-height="900" data-action="zoom" data-action-value="1*xREkrDdJK3PSDwV0c3qQtA.png"><img src="https://cdn-images-1.medium.com/freeze/max/60/1*xREkrDdJK3PSDwV0c3qQtA.png?q=20" crossorigin="anonymous" class="progressiveMedia-thumbnail js-progressiveMedia-thumbnail"><canvas class="progressiveMedia-canvas js-progressiveMedia-canvas"></canvas><img class="progressiveMedia-image js-progressiveMedia-image" data-src="https://cdn-images-1.medium.com/max/2000/1*xREkrDdJK3PSDwV0c3qQtA.png"><noscript class="js-progressiveMedia-inner"><img class="progressiveMedia-noscript js-progressiveMedia-inner" src="https://cdn-images-1.medium.com/max/2000/1*xREkrDdJK3PSDwV0c3qQtA.png"></noscript></div></div></figure></div><div class="section-inner sectionLayout--insetColumn"><h1 name="4bc7" id="4bc7" class="graf graf--h3 graf-after--figure graf--title">The Vibes Theory of Organisational Design</h1><h2 name="03b6" id="03b6" class="graf graf--h4 graf-after--h3 graf--subtitle">The bigger the group, the more rules they need. Can we do better than written agreements?</h2><p name="73ff" id="73ff" class="graf graf--p graf-after--h4"><em class="markup--em markup--p-em">In this article I’m going to bite off some big ideas, musing on the limitations of encoding agreements in text. To keep it grounded, I’ll illustrate the ideas with real-world stories. I’ll include a couple of practical tools you can try right away. But mostly, this is a reflection from the frontiers of decentralised organising: the ideas here probably only reflect the reality of a tiny number of organisations. It’s highly speculative, subjective, exploratory. I’m not educated in social psychology so I haven’t quoted any sources and I’ve probably mangled the science. In other words: don’t try this at home. The invitation is to put on your safety gear and come exploring with me…</em></p><p name="c4fd" id="c4fd" class="graf graf--p graf-after--p">First I’ll set some context, exploring why groups create written rules as they grow. Then, I’ll name some of the dysfunctions that emerge from the rule-setting process. Then I speculate that we might get different outcomes if we used something other than a written rule book. Here goes!</p><h4 name="4a30" id="4a30" class="graf graf--h4 graf-after--p">Where does togetherness come from?</h4><p name="6923" id="6923" class="graf graf--p graf-after--h4">Lately I’ve been reflecting deeply on this question: <em class="markup--em markup--p-em">what holds a group together?</em></p><p name="4fd9" id="4fd9" class="graf graf--p graf-after--p">Small groups can maintain a lot of <strong class="markup--strong markup--p-strong">togetherness</strong> without much explicit structure. We can hold shared context <em class="markup--em markup--p-em">without needing to agree precisely on the words that describe that context.</em></p><p name="aa7e" id="aa7e" class="graf graf--p graf-after--p">When the group is small, everyone can build peer-to-peer trust bonds with everyone else. It is pretty easy to trust someone once you’ve shared food with them a couple of times, or done some engaging work together, or supported them through a hard day. With a small number of members, it doesn’t take long for everyone to have a coffee date with everyone else. If you have a team of 5, it only takes 10 coffee dates for everyone to get some time together.</p><figure name="30f1" id="30f1" class="graf graf--figure graf-after--p"><div class="aspectRatioPlaceholder"><img class="graf-image" data-image-id="1*V8DsUF2D5nFmjnEvSQf-pg.png" alt="The number of relationships R in a group of N members: R = (N x N-1) ÷ 2" src="https://cdn-images-1.medium.com/max/1600/1*V8DsUF2D5nFmjnEvSQf-pg.png"></div><figcaption class="imageCaption">The number of relationships R in a group of N members: R = (N x N-1) ÷ 2</figcaption></figure><p name="d927" id="d927" class="graf graf--p graf-after--figure">Arriving into this high-trust environment, newcomers can accelerate their own trust-building process. If I’m the 6th person to join, and I spend some time with three of the original members and decide I like them, then I can skip ahead to trusting the other two without having much direct interaction with them, because <em class="markup--em markup--p-em">any friend of yours is a friend of mine!</em></p><p name="f6c8" id="f6c8" class="graf graf--p graf-after--p">You can have all of this lovely trust and belonging and harmony <em class="markup--em markup--p-em">without having to talk about it</em>. Bonding operates down at the level of your emotions and psychology: we stay together because it <em class="markup--em markup--p-em">feels good to be together</em>. We have a sense of each person’s unique skills and interests. We like each other. We have a shared sense of direction. Notice none of that needs to be written down.</p><p name="40df" id="40df" class="graf graf--p graf-after--p">When there’s some tension between people, it’s easy to spot. If the team is made up of emotionally responsive adults, somebody will notice that Tina and Sam are not talking to each other, and will support them to repair the relationship. Everyone can see everyone else. Everyone can know everyone else. <strong class="markup--strong markup--p-strong">Everyone can fit around a dinner table</strong> and have a conversation. So you don’t need to formalise a lot of processes or make explicit agreements.</p><p name="4d60" id="4d60" class="graf graf--p graf-after--p">But this lovely easy harmony is impossible to maintain with many more people. Once your group grows bigger than a dinner table, you need to introduce some scaffolding to maintain the <strong class="markup--strong markup--p-strong">togetherness</strong>. If you have a team of 5, everyone could have a 1-on-1 conversation with each other member, and it would only take 10 meetings for everyone to see everyone. You can do this over a weekend retreat or a roadtrip. For 30 people that leaps to 429 meetings. 150 people: 11,175 coffee dates. This unavoidable algebra makes big groups much more challenging than small groups.</p><h4 name="af75" id="af75" class="graf graf--h4 graf-after--p">Bigger groups require more structure to keep them together</h4><p name="80e5" id="80e5" class="graf graf--p graf-after--h4">At a certain size we start making explicit structures to keep the group together, because it’s cognitively impossible for everyone to maintain a lot of context about everyone else.</p><p name="b178" id="b178" class="graf graf--p graf-after--p">Usually, this “explicit structure” comes in the form of written agreements, contracts, policies, rules, roles, guidelines, and best practices. In this article I’m going to take a closer look at this legislative approach to creating structure, and ask if “writing things down” is the best we can do.</p><p name="dc2f" id="dc2f" class="graf graf--p graf-after--p">If you review the <a href="http://handbook.enspiral.com" data-href="http://handbook.enspiral.com" class="markup--anchor markup--p-anchor" rel="noopener nofollow" target="_blank">Enspiral Handbook</a>, or the <a href="http://handbook.gini.net" data-href="http://handbook.gini.net" class="markup--anchor markup--p-anchor" rel="noopener nofollow" target="_blank">Gini Handbook</a> or the handbook for any of these hip “future of work” organisations, you’ll see a bunch of roles and rules. These written agreements are the artefacts of deliberations. The deliberations follow a general pattern, something like:</p><ol class="postList"><li name="9d8a" id="9d8a" class="graf graf--li graf-after--p">something harmful or frustrating happens</li><li name="9f89" id="9f89" class="graf graf--li graf-after--li">people in the group talk about it</li><li name="e411" id="e411" class="graf graf--li graf-after--li">they grow a shared understanding of the problem</li><li name="1e6e" id="1e6e" class="graf graf--li graf-after--li">people suggest different possible responses</li><li name="3d97" id="3d97" class="graf graf--li graf-after--li">we evaluate the possibilities, collectively running a complex simulation (<em class="markup--em markup--li-em">if we agree to this, what might happen next?</em>)</li><li name="b123" id="b123" class="graf graf--li graf-after--li">then finally, we decide on a response</li></ol><p name="6d21" id="6d21" class="graf graf--p graf-after--li">When we talk through a problem, sometimes the response requires no action, like “that restaurant was crap, let’s not go there again”. Most of the time though, <strong class="markup--strong markup--p-strong">the response is a new piece of structure</strong>: you agree to a set of Restaurant Selection Criteria (rules), or appoint the Restaurant Selection Working Group (roles). I’ll jump to a real example to give you the flavour:</p><blockquote name="dceb" id="dceb" class="graf graf--blockquote graf-after--p"><strong class="markup--strong markup--blockquote-strong"><em class="markup--em markup--blockquote-em">Story 1: Don’t feed the trolls</em></strong></blockquote><blockquote name="79f6" id="79f6" class="graf graf--blockquote graf-after--blockquote"><em class="markup--em markup--blockquote-em">Right now I’m involved in a deliberation about a software project called </em><a href="http://scuttlebutt.nz" data-href="http://scuttlebutt.nz" class="markup--anchor markup--blockquote-anchor" rel="noopener nofollow" target="_blank"><em class="markup--em markup--blockquote-em">Scuttlebutt</em></a><em class="markup--em markup--blockquote-em">. The founder Dominic Tarr was gifted $200,000 (thanks </em><a href="https://www.dfinity.org" data-href="https://www.dfinity.org" class="markup--anchor markup--blockquote-anchor" rel="noopener nofollow" target="_blank"><em class="markup--em markup--blockquote-em">Dfinity</em></a><em class="markup--em markup--blockquote-em">!) to work on this ambitious community-driven project. Dominic decided to break up that big dose of money and distribute it in a series of $5k grants, available to anyone who wants to help grow the ecosystem. Grant-making decisions are made with community input, up to 4 grants per month.</em></blockquote><blockquote name="86b6" id="86b6" class="graf graf--blockquote graf-after--blockquote"><em class="markup--em markup--blockquote-em">A few months in, after allocating 10 or 15 grants, one of the community members suggests a “pause and review” to check how well the process is working. There’s a big discussion, lots of people taking lots of time to write out their thoughts and consider the ideas of others.</em></blockquote><blockquote name="f856" id="f856" class="graf graf--blockquote graf-after--blockquote"><em class="markup--em markup--blockquote-em">Here’s my summary of the conversation so far: essentially everyone is saying “this is the best grants process I’ve ever participated in”, with a bit of “we could improve this or that detail”. Everyone that is, apart from one person, who alternates between trolling, insulting people, making incoherent arguments, demanding attention, and not listening.</em></blockquote><blockquote name="035d" id="035d" class="graf graf--blockquote graf-after--blockquote graf--trailing"><em class="markup--em markup--blockquote-em">So now we’re at a crucial point in the development of the community. Can we collectively agree that “don’t be a dick” is a good enough principle to keep the grant-making process running smoothly? Or do we need to make an explicit written agreement about what behaviour is appropriate? — </em><a href="https://medium.com/swlh/im-sick-of-facebook-8e7c7fa03b0a" data-href="https://medium.com/swlh/im-sick-of-facebook-8e7c7fa03b0a" class="markup--anchor markup--blockquote-anchor" target="_blank"><em class="markup--em markup--blockquote-em">Join me on Scuttlebutt if you want to see how this plays out!</em></a></blockquote></div></div></section>
<section name="8ba8" class="section section--body"><div class="section-divider"><hr class="section-divider"></div><div class="section-content"><div class="section-inner sectionLayout--insetColumn"><h4 name="54f6" id="54f6" class="graf graf--h4 graf--leading">Problem &gt; Deliberation &gt; Agreement</h4><p name="3ee8" id="3ee8" class="graf graf--p graf-after--h4">This is a common pattern right? There’s a problem, we talk about it, and then we decide to add a bit of structure to prevent the problem from recurring. You deliberate together, aiming to get to a new agreement: <em class="markup--em markup--p-em">we expect to handle that problem in future with this new rule.</em></p><p name="a046" id="a046" class="graf graf--p graf-after--p">These conversations are a good way to get to know each other, and discover what the community values. Deliberation takes up hours of time that could have been spent on more obviously productive activities. Sometimes that is a good investment in bonding, but it can get a bit tiring if you over-do it.</p><p name="96b5" id="96b5" class="graf graf--p graf-after--p">I’m interested in what happens when you run the problem-deliberation-agreement loop over a number of years. I’ve been experimenting with self-governing groups since 2011 so I have a bit of firsthand experience to reflect on. I’ve noticed a few side-effects of this loop. I’ll name three of them: attention drift, constitutional accretion, and delusional mythology.</p><h4 name="ae11" id="ae11" class="graf graf--h4 graf-after--p">A. Attention drift</h4><p name="ef42" id="ef42" class="graf graf--p graf-after--h4">If you govern your network/community/organisation with a lot of deliberation, eventually some people tune out and learn, hey, nothing falls to pieces when I withhold my opinion — I’ll stay out of it and just focus on my little corner. You’ll see some of your most experienced people stepping out of the way.</p><p name="00ed" id="00ed" class="graf graf--p graf-after--p">So the decision-making population narrows down to a) the people with the biggest investment (e.g. your personal identity is closely tied to the collective identity) and b) the people who most enjoy sharing their opinions on governance questions. That’s not a <em class="markup--em markup--p-em">bad</em> way to make decisions, exactly, but it leaves a lot of collective intelligence un-engaged. It also leads to a gradual decrease in legitimacy of these decreasingly shared decisions, opening room for a fork or a decay of the “togetherness”.</p><h4 name="de35" id="de35" class="graf graf--h4 graf-after--p">B. Constitutional accretion</h4><p name="13c2" id="13c2" class="graf graf--p graf-after--h4">If you keep running the problem-deliberation-agreement routine, you’ll start to experience constitutional accretion: over time, these agreements start to build up.</p><p name="12e3" id="12e3" class="graf graf--p graf-after--p">I’ll illustrate the accretion process with another story. This one comes from Enspiral, which is a network of 100–300 people forming social-impact companies. It’s a group with strong boundaries and a lot of engagement in governance.</p><blockquote name="8f2b" id="8f2b" class="graf graf--blockquote graf-after--p"><strong class="markup--strong markup--blockquote-strong"><em class="markup--em markup--blockquote-em">Story 2: Digging Through the Sedimentary Layers of Enspiral’s Agreements</em></strong></blockquote><blockquote name="4ffa" id="4ffa" class="graf graf--blockquote graf-after--blockquote"><em class="markup--em markup--blockquote-em">When I joined Enspiral in 2012, we had </em><a href="https://github.com/enspiral/agreements/tree/master/agreements-old" data-href="https://github.com/enspiral/agreements/tree/master/agreements-old" class="markup--anchor markup--blockquote-anchor" rel="noopener nofollow" target="_blank"><em class="markup--em markup--blockquote-em">4 agreements</em></a><em class="markup--em markup--blockquote-em"> (People, Ventures, Decisions, Diversity). In 2016 there was </em><a href="https://medium.com/enspiral-tales/breathe-in-leadership-breathe-out-leadership-enspirals-organisational-refactor-884d0babf6b7" data-href="https://medium.com/enspiral-tales/breathe-in-leadership-breathe-out-leadership-enspirals-organisational-refactor-884d0babf6b7" class="markup--anchor markup--blockquote-anchor" target="_blank"><em class="markup--em markup--blockquote-em">a major renovation of the network</em></a><em class="markup--em markup--blockquote-em"> which brought us up to 8 agreements. Within a year, that number has grown to our present </em><a href="https://handbook.enspiral.com/agreements.html" data-href="https://handbook.enspiral.com/agreements.html" class="markup--anchor markup--blockquote-anchor" rel="noopener nofollow" target="_blank"><em class="markup--em markup--blockquote-em">set of 11 agreements</em></a><em class="markup--em markup--blockquote-em">.</em></blockquote><blockquote name="b498" id="b498" class="graf graf--blockquote graf-after--blockquote"><em class="markup--em markup--blockquote-em">These agreements are expensive to produce. Each of those is the result of a long deliberation, involving anywhere between 100 and 300 people. They are designed to symbolise our most important shared values and commitments. A new agreement is A Big Deal™, signifying some new shared understanding.</em></blockquote><blockquote name="afee" id="afee" class="graf graf--blockquote graf-after--blockquote"><em class="markup--em markup--blockquote-em">This is highly subjective, but I’ll sort them into three categories:</em></blockquote><blockquote name="ad26" id="ad26" class="graf graf--blockquote graf-after--blockquote"><em class="markup--em markup--blockquote-em">First are what I call “</em><strong class="markup--strong markup--blockquote-strong"><em class="markup--em markup--blockquote-em">structural agreements</em></strong><em class="markup--em markup--blockquote-em">”. We have six of them that to me are crucial to the day-to-day operation of the organisation (Board, Brand, Decisions, Financial, People, Ventures).</em></blockquote><blockquote name="9c45" id="9c45" class="graf graf--blockquote graf-after--blockquote"><em class="markup--em markup--blockquote-em">The next category I call “</em><strong class="markup--strong markup--blockquote-strong"><em class="markup--em markup--blockquote-em">boundary agreements</em></strong><em class="markup--em markup--blockquote-em">”. They set expectations for what behaviour is appropriate and what can be excluded. I count three of them (Diversity, Harassment &amp; Abuse, Personal Conduct). I’ve seen other communities get by with just one boundary agreement: “don’t be a dick”. The extra detail at Enspiral is probably a result of spending a lot of time together and doing high-stakes collaboration.</em></blockquote><blockquote name="d782" id="d782" class="graf graf--blockquote graf-after--blockquote"><em class="markup--em markup--blockquote-em">The third category I call “</em><strong class="markup--strong markup--blockquote-strong"><em class="markup--em markup--blockquote-em">Nice idea, but</em></strong><em class="markup--em markup--blockquote-em">”. We currently have two of them (Catalyst and Stewardship). They were the best solution we could design at the time, but we’ve never had the resources to implement them well.</em></blockquote><blockquote name="76d0" id="76d0" class="graf graf--blockquote graf-after--blockquote"><em class="markup--em markup--blockquote-em">So of our 11 agreements:</em></blockquote><blockquote name="8bc1" id="8bc1" class="graf graf--blockquote graf-after--blockquote"><strong class="markup--strong markup--blockquote-strong"><em class="markup--em markup--blockquote-em">6 Structural Agreements</em></strong><em class="markup--em markup--blockquote-em"> govern the day to day interactions of people and companies in the network.<br></em><strong class="markup--strong markup--blockquote-strong"><em class="markup--em markup--blockquote-em">3 Boundary Agreements</em></strong><em class="markup--em markup--blockquote-em"> don’t make any difference to my day-to-day interactions (note I’m speaking as a high-privilege, high-status community member). I hope they contribute to the safety and wellbeing of other folks, but personally they do nothing for me.<br></em><strong class="markup--strong markup--blockquote-strong"><em class="markup--em markup--blockquote-em">2 “Nice Idea, But” Agreements</em></strong><em class="markup--em markup--blockquote-em">: they exist on paper, officially carrying as much weight as the rest of them, but they just don’t match reality.</em></blockquote><figure name="9813" id="9813" class="graf graf--figure graf-after--blockquote"><div class="aspectRatioPlaceholder"><img class="graf-image" data-image-id="1*XM42QmgZuu71ZSduraUFPA.png" src="https://cdn-images-1.medium.com/max/1600/1*XM42QmgZuu71ZSduraUFPA.png"></div></figure><p name="ded4" id="ded4" class="graf graf--p graf-after--figure">Right now we’re in a pleasant limbo where people haven’t really noticed that the Stewardship Agreement and the Catalyst Agreement are not being implemented in the way they were intended. <em class="markup--em markup--p-em">(I’ve probably collapsed that liminal space by publishing this article, whoops.)</em> As far as I can tell, nobody is overly concerned just yet. But it would be nice if our theory matched our practice: it seems sub-optimal to have divergence between our explicit structure (what we say holds us together) and our implicit structure (what actually holds us together).</p><p name="5ad2" id="5ad2" class="graf graf--p graf-after--p">In a sense, if you can’t trust <em class="markup--em markup--p-em">one</em> of the agreements, you can’t really trust <em class="markup--em markup--p-em">any</em> of them. They’re either a set of highly significant guiding documents, <strong class="markup--strong markup--p-strong">or they’re not</strong>. How is a newcomer supposed to make sense of the discrepancy? We have agreements that are not up to date with our practices, and we have practices that are not up to date with our agreements. So what do we do?</p><h4 name="2c14" id="2c14" class="graf graf--h4 graf-after--p">C. Delusional Mythology</h4><p name="51f3" id="51f3" class="graf graf--p graf-after--h4">Full disclosure: I believe that groups are mostly held together by good feelings, and the explicit structure is just an artificial scaffold. Enspiral’s written agreements are important because of what they symbolise, not necessarily because of the precise words they say. I think a group is held together by history and relationships and collaborative meaning-making and amorous feelings and psychological responses and co-imagined futures and shared identity, and yes some written agreements and explicit roles too, but I’m convinced the explicit stuff is just the tip of the iceberg.</p><p name="e255" id="e255" class="graf graf--p graf-after--p">The explicit stuff is a lot easier to talk about, because we have shared language for it. So it’s easy for us to get distracted and focus on the agreements and lose sight of the underlying meaning that they signify. It’s easy to confuse <em class="markup--em markup--p-em">what we say</em> for <em class="markup--em markup--p-em">what we mean</em>. At times during the Enspiral journey, I’ve felt like we’ve given more attention to the abstract structure of our organisation and lost sight of the <em class="markup--em markup--p-em">tangible things that people are doing</em>. We mistake the symbols for what they symbolise.</p><p name="b700" id="b700" class="graf graf--p graf-after--p graf--trailing">Okay I’m getting pretty far-out now, time for another story:</p></div></div></section>
<section name="a7f3" class="section section--body"><div class="section-divider"><hr class="section-divider"></div><div class="section-content"><div class="section-inner sectionLayout--insetColumn"><blockquote name="f951" id="f951" class="graf graf--blockquote graf--leading"><strong class="markup--strong markup--blockquote-strong"><em class="markup--em markup--blockquote-em">Story 3: Hallucinating together</em></strong></blockquote><blockquote name="4b08" id="4b08" class="graf graf--blockquote graf-after--blockquote"><em class="markup--em markup--blockquote-em">Let’s say the group is a tree, and we’re all little kids playing in the branches. </em>(Please use a little kid voice as you read this story.)</blockquote><blockquote name="eefe" id="eefe" class="graf graf--blockquote graf-after--blockquote"><em class="markup--em markup--blockquote-em">I’m climbing in this huge tree telling you </em>I’m Jack and this is a beanstalk <em class="markup--em markup--blockquote-em">🌱 </em>and we’re going up to see the giant.<em class="markup--em markup--blockquote-em"> You’re happy to play along with my fantasy, so long as you can count on me to play along when you say</em> this is a spaceship<em class="markup--em markup--blockquote-em"> 🚀 </em>and we’re astronauts and we’re going up to space to camp on the moon<em class="markup--em markup--blockquote-em"> 🌛</em>.</blockquote><blockquote name="8c07" id="8c07" class="graf graf--blockquote graf-after--blockquote"><em class="markup--em markup--blockquote-em">The kids know the tree is a tree, but it’s fun to tell stories instead. Well, it’s fun when we all get to take turns inventing the story, and nobody is confused between fantasy and reality.</em></blockquote><blockquote name="19a4" id="19a4" class="graf graf--blockquote graf-after--blockquote graf--trailing"><em class="markup--em markup--blockquote-em">In organisations we make up some imaginary stories called “roles” and “rules” and suddenly everyone stops playing. We all have to agree on the One True Fantasy. Even though most of us know the group is held together with good vibes, it’s easier to explain “</em>well we have the People Agreement, and the Ventures Agreement and if you look here in the handbook you’ll see…<em class="markup--em markup--blockquote-em">”</em></blockquote></div></div></section>
<section name="bdd9" class="section section--body"><div class="section-divider"><hr class="section-divider"></div><div class="section-content"><div class="section-inner sectionLayout--insetColumn"><h4 name="c081" id="c081" class="graf graf--h4 graf--leading">No gods, no masters, no books?</h4><p name="62d7" id="62d7" class="graf graf--p graf-after--h4">We make a rule-book, elevate it onto a pedestal, and then put ever-increasing effort into keeping it relevant, accessible and engaging. Meanwhile, the bigger the group, the less this book can describe the lived experience of any of the members.</p><p name="4eb8" id="4eb8" class="graf graf--p graf-after--p">The obvious solution is to try harder. Find more volunteer hours, or pay someone to put more energy into keeping the agreements up to date. But I’m never satisfied with “try harder”; I think sustainable solutions usually look more like “try different”.</p><p name="14c7" id="14c7" class="graf graf--p graf-after--p">Some of us have a sense that there are negative side effects from the problem &gt; deliberation &gt; agreement loop (I’ve named three of them, I’m sure there are more). So when I reflect on these dynamics, I can’t help but blame <strong class="markup--strong markup--p-strong">the written form</strong> itself.</p><p name="e4cc" id="e4cc" class="graf graf--p graf-after--p">When I get together in community and deliberate about a problem, what’s important to me is that I feel heard, that I feel we are responding intelligently and compassionately, that what we’re working on is meaningful, that we are adaptable and efficient, that I’m a valued member of the community, that I’m seen, that I can count on the community to respond to my needs, that I can be proud to overlap my personal identity with our collective identity. A good deliberation can meet all those needs. The written agreement we produce at the conclusion of that deliberation <strong class="markup--strong markup--p-strong">is a symbol</strong>, a placeholder that represents my needs and feelings and experiences. The actual written words can’t capture a fraction of the meaning.</p><blockquote name="4b40" id="4b40" class="graf graf--blockquote graf--startsWithDoubleQuote graf-after--p">“Forgive me for this introduction to computing, but I need to be clear: computers really do operate on <em class="markup--em markup--blockquote-em">symbolic representations</em> of the world. They really <em class="markup--em markup--blockquote-em">store</em> and <em class="markup--em markup--blockquote-em">retrieve</em>. They really <em class="markup--em markup--blockquote-em">process</em>. They really have physical <em class="markup--em markup--blockquote-em">memories</em>. They really are guided in everything they do, without exception, by <em class="markup--em markup--blockquote-em">algorithms</em>. Humans, on the other hand, do not — never did, never will.”</blockquote><blockquote name="cff9" id="cff9" class="graf graf--blockquote graf-after--blockquote graf--trailing">— <a href="https://aeon.co/essays/your-brain-does-not-process-information-and-it-is-not-a-computer" data-href="https://aeon.co/essays/your-brain-does-not-process-information-and-it-is-not-a-computer" class="markup--anchor markup--blockquote-anchor" rel="noopener nofollow" target="_blank">Your Brain Does Not Process Information and It’s Not a Computer</a>, by Robert Epstein</blockquote></div></div></section>
<section name="f298" class="section section--body"><div class="section-divider"><hr class="section-divider"></div><div class="section-content"><div class="section-inner sectionLayout--insetColumn"><h3 name="56bd" id="56bd" class="graf graf--h3 graf--leading">Can we do better than written agreements?</h3><p name="cb2f" id="cb2f" class="graf graf--p graf-after--h3">So this is my big inquiry at the moment: <em class="markup--em markup--p-em">assuming we need some explicit structures to hold our groups together, can we do better than written agreements?</em></p><p name="935b" id="935b" class="graf graf--p graf-after--p">I don’t have a great answer yet — it’s taken me weeks just to articulate the question! While I’ve been exploring, I’ve picked up some interesting leads to follow:</p><h4 name="60c0" id="60c0" class="graf graf--h4 graf-after--p">1. Community Mastery Board</h4></div><div class="section-inner sectionLayout--fullWidth"><figure name="0832" id="0832" class="graf graf--figure graf--layoutFillWidth graf-after--h4"><div class="aspectRatioPlaceholder is-locked"><div class="aspectRatioPlaceholder-fill" style="padding-bottom: 52.800000000000004%;"></div><div class="progressiveMedia js-progressiveMedia graf-image" data-image-id="1*ALhnqDl2WD_7J9xQ5UK5Ww.jpeg" data-width="1245" data-height="657"><img src="https://cdn-images-1.medium.com/freeze/max/60/1*ALhnqDl2WD_7J9xQ5UK5Ww.jpeg?q=20" crossorigin="anonymous" class="progressiveMedia-thumbnail js-progressiveMedia-thumbnail"><canvas class="progressiveMedia-canvas js-progressiveMedia-canvas"></canvas><img class="progressiveMedia-image js-progressiveMedia-image" data-src="https://cdn-images-1.medium.com/max/2000/1*ALhnqDl2WD_7J9xQ5UK5Ww.jpeg"><noscript class="js-progressiveMedia-inner"><img class="progressiveMedia-noscript js-progressiveMedia-inner" src="https://cdn-images-1.medium.com/max/2000/1*ALhnqDl2WD_7J9xQ5UK5Ww.jpeg"></noscript></div></div><figcaption class="imageCaption">Illustration of the Change-Up Process facilitated by the Community Mastery Board</figcaption></figure></div><div class="section-inner sectionLayout--insetColumn"><p name="5ecd" id="5ecd" class="graf graf--p graf-after--figure">Drew Hornbein from <a href="http://agilelearningcenters.org/" data-href="http://agilelearningcenters.org/" class="markup--anchor markup--p-anchor" rel="noopener nofollow" target="_blank">Agile Learning Centres</a> introduced me to the Community Mastery Board (CMB). Working with self-governing groups of young children, they use CMB as a tool for “creating sustainable culture within a community through iterative trial and error”. Documentation is sparse, but you can <a href="http://drew.agilelearningcenters.org/the-new-group-kanban-board/" data-href="http://drew.agilelearningcenters.org/the-new-group-kanban-board/" class="markup--anchor markup--p-anchor" rel="noopener nofollow" target="_blank">start to learn about it in Drew’s blog here</a>, <a href="http://dru2.com/change-up-meeting/" data-href="http://dru2.com/change-up-meeting/" class="markup--anchor markup--p-anchor" rel="noopener nofollow" target="_blank">another blog here</a>, and <a href="https://drive.google.com/file/d/0BxX8hMn15JGNQUVHa2pkeWhvRWM/view" data-href="https://drive.google.com/file/d/0BxX8hMn15JGNQUVHa2pkeWhvRWM/view" class="markup--anchor markup--p-anchor" rel="noopener nofollow" target="_blank">this one-page PDF</a>. (Also my long distance crush Art Brock <a href="http://artbrock.com/blog/conscious-culture-creation-and-community-mastery-board" data-href="http://artbrock.com/blog/conscious-culture-creation-and-community-mastery-board" class="markup--anchor markup--p-anchor" rel="noopener nofollow" target="_blank">wrote a teaser way back in 2014</a>. <em class="markup--em markup--p-em">C’mon fam, write that sweet documentation!</em>)</p><blockquote name="ab96" id="ab96" class="graf graf--blockquote graf--startsWithDoubleQuote graf-after--p">“For instance, in our current space everyone is expected to clean up any dishes they use. We didn’t come to this decision by having a meeting and coming up with rules, rather by way of becoming aware of a problem and trying out a number of solutions and sticking with the one that stuck.” — <a href="http://drew.agilelearningcenters.org/the-new-group-kanban-board/" data-href="http://drew.agilelearningcenters.org/the-new-group-kanban-board/" class="markup--anchor markup--blockquote-anchor" rel="noopener nofollow" target="_blank">Drew Hornbein, Agile Learning Centres</a></blockquote><p name="038e" id="038e" class="graf graf--p graf-after--blockquote">Instead of the expensive “problem &gt; deliberation &gt; agreement” routine, the process is focussed on finding something safe to try, as quickly as possible. The process takes minutes, not hours. Rather than spending a lot of time designing the best possible guess and getting everyone to agree with it, with CMB you just focus on trying a solution and reviewing it quickly. What most interests me about CMB is that it seems to be less focussed on the rules, and more focussed on the “deltas”, i.e. what needs to be changed. I can imagine running a “change-up” meeting every week or every month and developing a shared sense of “this is our capacity for change.”</p><p name="0551" id="0551" class="graf graf--p graf-after--p">Compared to a rule book on a pedestal, CMB feels much better suited for the way our brains work, and the way our groups are actually held together. Over time, the good rules get embedded into the group culture: if you see everyone else cleaning up their own dishes, you don’t need a sign to tell you you’re expected to clean up yours.</p><p name="461a" id="461a" class="graf graf--p graf-after--p">I don’t think this process is ready to be dropped in to large self-governing groups as a replacement for deliberation and legislation. But it’s inspiring to see an approach to governance optimised for ongoing change, rather than trying to capture an ideal steady state.</p><h4 name="56c2" id="56c2" class="graf graf--h4 graf-after--p">2. Guide Board</h4><p name="6c79" id="6c79" class="graf graf--p graf-after--h4">When I told him about the Community Mastery Board, new Enspiral contributor <a href="http://mattischneider.fr/" data-href="http://mattischneider.fr/" class="markup--anchor markup--p-anchor" rel="noopener nofollow" target="_blank">Matti Schneider</a> introduced me to his Guide Board, which is <a href="http://mattischneider.fr/agile/guide-board.pdf" data-href="http://mattischneider.fr/agile/guide-board.pdf" class="markup--anchor markup--p-anchor" rel="noopener nofollow" target="_blank">thoroughly documented here</a> (<em class="markup--em markup--p-em">swoon!</em>).</p><blockquote name="de01" id="de01" class="graf graf--blockquote graf--startsWithDoubleQuote graf-after--p">“A guide is therefore the reification of a debate conclusion, <em class="markup--em markup--blockquote-em">a reminder that a discussion took place</em>. These keywords and drawings are here to recall the agreement to participants, as a tangible trace of the decision. […] it became clear that the illustrated guides were easier to memorise, and much easier to identify when glancing at the board. ”</blockquote><p name="856b" id="856b" class="graf graf--p graf-after--blockquote">Things I like:</p><ul class="postList"><li name="2862" id="2862" class="graf graf--li graf-after--p">Guides are primarily graphical icons, not written words. (The dynamics of creating, agreeing, and updating graphics is very different to what we’re used to with text. I don’t know if it is <em class="markup--em markup--li-em">better</em>, but <em class="markup--em markup--li-em">different</em> is worth exploring.)</li><li name="ebf5" id="ebf5" class="graf graf--li graf-after--li">Closing a guide (i.e. erasing a rule) is part of normal business. (I’ve never participated in a community that could undo old rules without a huge amount of effort and drama.)</li><li name="db5c" id="db5c" class="graf graf--li graf-after--li">The guide board (like CMB) is designed for flow: the passage of time is laid out intuitively from left to right. It’s more like a movie, less like a book. Each rule is contextualised in time: acknowledging it was relevant last year, without claiming that it will be eternally relevant.</li><li name="160d" id="160d" class="graf graf--li graf-after--li">A guide reminds us that we talked about something, it doesn’t pretend to capture the content of the conversation.</li><li name="71b7" id="71b7" class="graf graf--li graf-after--li">Both the Guide Board and Community Mastery Board are oriented towards <strong class="markup--strong markup--li-strong">continuous participatory change </strong>(to use <a href="https://medium.com/@aarondignan" data-href="https://medium.com/@aarondignan" data-anchor-type="2" data-user-id="a31f19c145a8" data-action-value="a31f19c145a8" data-action="show-user-card" data-action-type="hover" class="markup--user markup--li-user" target="_blank">Aaron Dignan</a>’s <a href="https://medium.com/the-ready/the-os-canvas-8253ac249f53" data-href="https://medium.com/the-ready/the-os-canvas-8253ac249f53" class="markup--anchor markup--li-anchor" target="_blank">phrase</a>). This is less “what are the rules around here”, more “how much capacity do we have for changing the rules here.”</li></ul><h3 name="4245" id="4245" class="graf graf--h3 graf-after--li">3. Team of Teams</h3><p name="5c36" id="5c36" class="graf graf--p graf-after--h3">As I’ve been contemplating these questions, trying to put my finger on my discomfort with written agreements, I’ve noticed a new trend at Enspiral. In conversation with the longest-standing members, I’m noticing a new consensus emerge: I believe Enspiral is evolving into what General Stanley McChrystal calls “<a href="https://medium.com/@beaugordon/key-takeaways-from-team-of-teams-by-general-stanley-mcchrystal-eac0b37520b9" data-href="https://medium.com/@beaugordon/key-takeaways-from-team-of-teams-by-general-stanley-mcchrystal-eac0b37520b9" class="markup--anchor markup--p-anchor" target="_blank">a team of teams</a>”:</p><figure name="d2ca" id="d2ca" class="graf graf--figure graf-after--p"><div class="aspectRatioPlaceholder is-locked" style="max-width: 700px; max-height: 541px;"><div class="aspectRatioPlaceholder-fill" style="padding-bottom: 77.3%;"></div><div class="progressiveMedia js-progressiveMedia graf-image" data-image-id="1*7i6KAwPGPIwclRS58RYY9A.png" data-width="800" data-height="618" data-action="zoom" data-action-value="1*7i6KAwPGPIwclRS58RYY9A.png"><img src="https://cdn-images-1.medium.com/freeze/max/60/1*7i6KAwPGPIwclRS58RYY9A.png?q=20" crossorigin="anonymous" class="progressiveMedia-thumbnail js-progressiveMedia-thumbnail"><canvas class="progressiveMedia-canvas js-progressiveMedia-canvas"></canvas><img class="progressiveMedia-image js-progressiveMedia-image" data-src="https://cdn-images-1.medium.com/max/1600/1*7i6KAwPGPIwclRS58RYY9A.png"><noscript class="js-progressiveMedia-inner"><img class="progressiveMedia-noscript js-progressiveMedia-inner" src="https://cdn-images-1.medium.com/max/1600/1*7i6KAwPGPIwclRS58RYY9A.png"></noscript></div></div></figure><p name="18bf" id="18bf" class="graf graf--p graf-after--figure">The invitation was “welcome to the community, jump in and contribute, find opportunities, get supported to do meaningful work” and I think it is maturing into “welcome to the community: find a dinner table you like, or start a new one”. The difference is subtle but represents a profound shift in expectations: the network does not provide support, you can only expect support once you’ve found your team.</p><p name="3b7e" id="3b7e" class="graf graf--p graf-after--p">I’m anticipating a future version of Enspiral which has the minimum set of agreements to govern the whole, and maximum autonomy, diversity, and subjectivity in the parts. If we all spend most of our time in one or two dinner-table sized groups, we can stay focussed on the squishy human-to-human kind of <strong class="markup--strong markup--p-strong">togetherness</strong>, and put much less effort into the explicit, written scaffolding that holds the whole together.</p><p name="29f8" id="29f8" class="graf graf--p graf-after--p graf--trailing">I don’t want us to spend a few hundred hours designing the Tables Agreement! I think it would be much more effective to have a few of the elders telling stories like “I thought I found purpose and connection when I joined Enspiral, but that was nothing compared to the depth of support I experienced once I found my table.”</p></div></div></section>
<section name="806d" class="section section--body section--last"><div class="section-divider"><hr class="section-divider"></div><div class="section-content"><div class="section-inner sectionLayout--insetColumn"><p name="c285" id="c285" class="graf graf--p graf--leading">So I’m publishing this as an open question, and I’d love to hear your contributions. <strong class="markup--strong markup--p-strong">Who do you know that is doing collaborative governance with something other than written agreements?</strong></p><p name="5dfb" id="5dfb" class="graf graf--p graf-after--p">Writing this highlighted the gaps in my education: I have tonnes of practice but very little theory. I’m open to your reading suggestions. I get the feeling that I’m bumping up against the artefacts of colonial/ patriarchal/ judeo-christian/ anglo-saxon/ greco-roman epistemology, so I’m most interested in learning from thinkers outside of the academy. Specifically I know I need to learn more about governance in oral cultures — if you have experiences to share, I’d love to chat with you. I also wonder if anyone can share stories from, e.g. collaborative governance with children, or with people who don’t read — there could be some interesting leads to follow there too.</p><p name="827f" id="827f" class="graf graf--p graf-after--p"><em class="markup--em markup--p-em">Thanks to </em><a href="https://medium.com/@MattiSG" data-href="https://medium.com/@MattiSG" data-anchor-type="2" data-user-id="166622c8ac77" data-action-value="166622c8ac77" data-action="show-user-card" data-action-type="hover" class="markup--user markup--p-user" target="_blank"><em class="markup--em markup--p-em">Matti Schneider</em></a><em class="markup--em markup--p-em">, </em><a href="https://medium.com/@imhaileycoop" data-href="https://medium.com/@imhaileycoop" data-anchor-type="2" data-user-id="a28605425bf3" data-action-value="a28605425bf3" data-action="show-user-card" data-action-type="hover" class="markup--user markup--p-user" target="_blank"><em class="markup--em markup--p-em">Hailey Cooperrider</em></a><em class="markup--em markup--p-em">, </em><a href="https://medium.com/@billy.matheson" data-href="https://medium.com/@billy.matheson" data-anchor-type="2" data-user-id="191478201899" data-action-value="191478201899" data-action="show-user-card" data-action-type="hover" class="markup--user markup--p-user" target="_blank"><em class="markup--em markup--p-em">Billy Matheson</em></a><em class="markup--em markup--p-em">, </em><a href="https://medium.com/@taptiklis" data-href="https://medium.com/@taptiklis" data-anchor-type="2" data-user-id="d692d077701a" data-action-value="d692d077701a" data-action="show-user-card" data-action-type="hover" class="markup--user markup--p-user" target="_blank"><em class="markup--em markup--p-em">Theodore Taptiklis</em></a><em class="markup--em markup--p-em">, and </em><a href="https://medium.com/@hornbein" data-href="https://medium.com/@hornbein" data-anchor-type="2" data-user-id="cc10c688ab4a" data-action-value="cc10c688ab4a" data-action="show-user-card" data-action-type="hover" class="markup--user markup--p-user" target="_blank"><em class="markup--em markup--p-em">drew hornbein</em></a><em class="markup--em markup--p-em"> for their thoughtful contributions to this piece.</em></p><p name="fa0e" id="fa0e" class="graf graf--p graf-after--p"><em class="markup--em markup--p-em">p.s. If you want to encourage me to keep writing: please share/ like/ recommend/ tweet or otherwise validate me quantifiably</em> 😍📈</p><p name="cf47" id="cf47" class="graf graf--p graf-after--p"><em class="markup--em markup--p-em">p.p.s You can </em><a href="http://patreon.com/richdecibels" data-href="http://patreon.com/richdecibels" class="markup--anchor markup--p-anchor" rel="noopener nofollow" target="_blank"><em class="markup--em markup--p-em">give me money on Patreon</em></a><em class="markup--em markup--p-em"> if you want me to hurry up and finish my first book.</em></p><p name="de87" id="de87" class="graf graf--p graf-after--p graf--trailing"><em class="markup--em markup--p-em">p.p.p.s. I waive copyright on all my writing: you may do anything you like with this text. You’ll find pdf, markdown, and html formats </em><a href="http://richdecibels.com/stories/vibes-theory" data-href="http://richdecibels.com/stories/vibes-theory" class="markup--anchor markup--p-anchor" rel="noopener nofollow" target="_blank"><em class="markup--em markup--p-em">on my website</em></a><em class="markup--em markup--p-em">.</em></p></div></div></section>
