title: Instructions for Autonomy
url: https://en.inhabit.global/
hash_url: 8b7efa6260f984ad7f3b4ad16d70f5f4

<div id="ourtime">  <h2> Our time is tumultuous and potent. </h2> <p> Upheaval, polarization, politics as bankrupt as the financial markets–yet under crisis lies <em>possibility</em>. This epoch forces us to consider how each of us forms a kernel of potential, how individuals can follow their wildest inclinations to gather with others who feel the call. People learn lost skills and warriors return fire to the world. Farmers and gardeners experiment with organic agriculture while makers and hackers reconfigure machines. Models escape the vacant limelight and break bread with Kurdish radicals and military veterans taking a stand for communal life. Those with no use for politics find each other at a dinner table in Zuccotti park, Oscar Grant Plaza, or Tahrir Square, and the barista who can barely feed himself <em>alone</em> learns to cook for a thousand <em>together</em>. A retired welder and a web designer learn they are neighbors at an airport occupation and commit to read <em>The Art of War</em> together. An Instagram star whose anxiety usually confines them to their apartment meets a battle-scarred elder in Ferguson, where they are baptized in tear gas and collective strength, and begin to feel the weight lifted from their soul. People everywhere, living through the greatest isolation, rise together and find new modes of life. But when these kernels grow to the surface, they are stomped out in a frenzy of banality and fear. Openings are forcefully shuttered by riot police, private security forces, and public relation firms. Or worse, by the lonely ones–politically right or left–who have nothing to gain but another like on their crappy Twitter. All this while smug politicians and CEOs hover. The revolutionary character of our epoch cannot be denied, but we’ve yet to overcome the hurdle between us and freedom. </p> <h2> We come from somewhere broken, yet we stand. </h2> <p> Our epoch’s nihilism is topological. Everywhere is without foundation. We search for the organizational power to repair the world, and find only institutions full of weakness and cynicism. Well-meaning activists get digested through the spineless body of conventional politics, leaving depressed militants or mini-politicians. Those who speak out against abuse end up bearing witness to sad games of power playing out on social media. Movements erupt and then implode, devoured internally by parasites. Cities become unlivable as waters rise and governments scramble to maintain their legitimacy. Each disaster feels more and more intimate, whether we scroll through it or receive the dreaded text <em>did you hear</em>? Accidents feel like massacres. The names of the dead, an index of a civilization in decline. We’ve lost family and friends to addiction, poverty, and despair. We watched the police exercise their freedom to murder, at a loss for how to quench our rage. We held each other through it all, and remain standing. We sense the present that has been stolen from us, imagine the future we are fated. No one is coming to save us. We have to give ourselves the ground on which a revolution will grow. </p> <h2> We have the power to make an irreversible break. </h2> <p> We wake up day after day, generation after generation, going to work in order to recalibrate the same nightmare that forces us to work. We hustle to get by, feel the stress of the commute and the sleepless night, live paycheck to paycheck or one precarious gig to the next, all just to keep the water on. Our labor made this world and keeps it running, but not one of us feels at home. It’s not surprising that so many people throw themselves into anything that promises it could be better–movements, health trends, subcultures, militias, gangs, whatever. We want a dignified life. We desire the freedom to turn our calloused hands toward experimentation, to become so much more than our jobs. If the potency of our time is any indication, it’s that we’re capable of more than mere survival. The very labor we give–our strength, creativity, and intelligence–can be our weapon. <em> The possibility to endure is in our capacity to strike, and in the seduction of our shared power. </em> Our strike will be the immediate practice of reconfiguring how we live, without respect to our bosses, the rich, or the robots intended to replace us. Together we have the know-how and the drive to build a better life, a life on our own terms, and it’s up to us to create and inhabit new worlds to replace this one. Our ingenuity, our passion, our determination–we are the hinge on which every future rests. </p> <h2> Nothing is missing, Look around you. Give it form. </h2> <p> Piece by piece, we are assembling the foundation of a revolutionary force. We are building a life in common, combating the material and spiritual poverty imposed on us by our epoch, and opening up ourselves to immediate experimentation with different ways of living. Our goal is to establish autonomous territories–expanding ungovernable zones that run from sea to shining sea. Faultlines crossing North America leading us to providence. These autonomous territories will give way to new flows for travel and resources, waypoints during ecological crisis, and the ground to reclaim techniques and technology of which we’ve been disposed. We envision our task with serenity and severity. We want territories with infrastructure flexible to catastrophe, born of collective joy, inhabited by a courageous and dignified way of life. Our time is different from the past, and we will not wait for a senile radical nostalgia to catch up. We don’t have every answer, but we share what we know to be true. Now is the time to exit this untenable way of life. <br/> <br/> <br/> We've begun. </p> </div> <div id="instructions">   <p class="white"> We’ve been raised in a culture of isolation and defeat, where our potential is reduced to meeting the economy’s demands. Buried beneath our own personal worries, our own bills, and our own fears, we are forced to look out only for ourselves. <em>But we are capable of a different life.</em> <br/> <br/> <em>To begin, eliminate isolation</em>. Cut through the bullshit. Turn to those closest to you and say you need a life in common. Ask what it would be like to face the world together. What do you have? What do you need? Take an inventory of your collective skills, capacities, and connections. Make decisions that will increase your strength. Establish the basis for a life in common. </p> <picture id="picture_middlefinger"> <source type="image/webp" srcset="/middlefinger.216c6f47.webp"> <source type="image/png" srcset="/middlefinger.76a7e8dd.png"> <img src="/middlefinger.76a7e8dd.png" alt="Middlefinger"/> </source></source></picture> <div class="vignette"> <p> Imagine a life that reaches past your individual borders. You change the way you move through your environment to intentionally come in contact with others. Fleeting encounters become real relationships. You wander through your neighborhood, stopping by friends’ houses on your way to the cafe. You meet up nightly at the park to work out. You walk each other home. You share each other’s cars. You go camping and learn how to start a fire together. You pool money for a collective rainy day. The concept of private property gets blurred. You begin to understand yourselves as something more <em>decisive</em> than a group of friends. </p> </div>  <p class="white"> Hubs are points of aggregation, centers of activity. Creating a hub is the logical next step to finding each other. We need dedicated spaces to get organized and to give ourselves time together. Hubs bring together the people, resources, and shared spirit necessary to create the foundation for a life in common. <br/> <br/> <em>Pool resources, target an area, and start a hub.</em> Rent a space in the neighborhood. Build a structure in the forest. Take over an abandoned building or a vacant piece of land. No space is too small, or too ambitious. Start with what’s at hand and then multiply. Use the hub to ground all of your initiatives. </p> <div class="picturebox"> <picture id="rose1"> <source type="image/webp" srcset="/hangingrose.7595c4b1.webp"> <source type="image/png" srcset="/hangingrose.7595c4b1.webp"> <img src="/hangingrose.203ee432.png" alt="Let Them Hang"/> </source></source></picture> <picture id="rose2"> <source type="image/webp" srcset="/hangingrose.7595c4b1.webp"> <source type="image/png" srcset="/hangingrose.7595c4b1.webp"> <img src="/hangingrose.203ee432.png" alt="Let Them Hang"/> </source></source></picture> </div> <div class="vignette"> <p> A repurposed storefront hosts weekly dinners that turn into planning sessions. A collectively-run cafe sets aside profits to incubate other spaces, like a woodshop where carpenters work together to build more than just bookshelves. In a forest outside town, a clearing serves as a gathering spot for weekly fires and martial arts training. Nearby, a permaculture farm slowly expands to feed those living in town. </p> </div>  <p class="white"> Our bodies are a mystery to us. Our health is out of our hands. If the lights went out, most of us would remain in the dark. We’ve been dispossessed of skills, passions, and knowledge. But we aren’t fragile. When we learn new skills or overcome harsh challenges, we wrest back the defining thresholds of our sense of possibility. We are capable of incredible and improbable feats. <br/> <br/> <em> Reclaim skills, master them through practice, and share their power. </em> Reach out to people who have capabilities you want everyone to have. Use hubs to experiment. Prepare for the new normal. Learn to hunt, to code, to heal: increase your collective strength. </p>  <div class="vignette"> <p> A hurricane tears through town–power’s out. FEMA is taking its sweet time. A group establishes a hub outside of the flood zone. Cooking large dinners together has given everyone the confidence to operate at scale. Teams move out to gather food in a lawless environment, fighting off racist opportunists who cling to an order of property which has been revoked. One gathers medical supplies from the hospitals and pharmacies while another opens up water tanks in apartment buildings. A park occupation brings even more people and resources together. Someone scales a building to place a router powered by kinetic energy. The router establishes a connection with a mesh network to call in reinforcements from other hubs across the territory. </p> </div>  <p class="white"> The time of isolated life is over. We all share the catastrophe; we all share the challenges our epoch poses. We can protest the uneven distribution of medical resources all we want, but care will only be universal and dignified once it is rendered autonomous. <br/> <br/> <em>Create collective forms of care.</em> Get organized with the next twenty years in mind. Ask each other how your needs will change as you age, have children, become disabled, begin to die. Make decisions based on desire. Imagine how spaces accommodate the dynamic nature of living and fighting. Address the most difficult questions: how to face madness, addiction, interpersonal violence, and traumatic loss. At all costs, protect each other from institutionalization. </p> <div class="vignette"> <p> An intergenerational network forms to address the whole of living. People think together about how to raise children, how to nurture their agency, how to help them cope with the world as it changes. Care for the aging is organized collectively and reverence for elders’ experiences affirms dignity at each stage of life. Health collectives learn ancestral methods of birth control and abortion to ensure autonomous choice. Shared emotional intelligence aids those needing a break from the fight and those returning to it. Partisan doctors, herbalists, and shaman make a pact to provide care for the network. Everyone rests easier knowing that the hospital does not have to be their first option. The need for the services of government lessens. With a new orientation to life and to death a historical weight is lifted. Without the anxieties and stress of this civilization, sicknesses begin to disappear. A new capacity for care becomes a common reservoir of strength to face the future together. </p> </div>  <p class="white"> Our society slanders people who stand up for what’s right. We are told nothing can change, to keep to ourselves, and, above all, to not push back. To cultivate a fighting spirit in our time, we must follow an ethical compass in addition to developing strategic thought and building physical capacity. <br/> <br/> <em>Become stronger.</em> Make yourself capable of force. Learn the art of striking, how anything can become a weapon. Learn to subvert the force of the enemy–how a single viral punch can check the egos of fascists everywhere, to how to collectively incapacitate the enemy by cutting off his communication system. What stands in the path of a new way of life? How can you overcome it, together? What strategic considerations will keep you out of the hands of the enemy? </p> <div class="picturebox"> <picture id="bringfight1"> <source type="image/webp" srcset="/bringthefightleftimage.08d93d50.webp"> <source type="image/png" srcset="/bringthefightleftimage.1df3b846.png"> <img src="/bringthefightleftimage.1df3b846.png" alt="Bring"/> </source></source></picture> <picture id="bringfight2"> <source type="image/webp" srcset="/bringthefightmiddleimage.2168053b.webp"> <source type="image/png" srcset="/bringthefightmiddleimage.cc11043f.png"> <img src="/bringthefightmiddleimage.cc11043f.png" alt="The"/> </source></source></picture> </div> <div class="vignette"> <p> A network of fight clubs connects every major city. Experienced members teach grappling and striking alongside basic fitness and stretching. Each club finds its space and builds ties with their community, especially those being cast off from this world. One chapter in the Midwest mobilizes with truckers to resist automation. Together they paralyze I-70 with the help of a geotracking app, block the self-driving trucks, and break open their cargo holds. What is useful is expropriated and the rest turned to ashes; smoke blinds police cruisers already lost amidst makeshift barricades. The cargo yields a batch of mini drones, which are sent into defensive flight patterns, controlled by a singular reconfigured app. The hacked drones infiltrate incoming police drones to transmit a virus that freezes their propellers, dropping them harmlessly to the ground. Acting with the chaos, the belligerent truckers and fight clubbers take the offensive and make their escape. </p> </div>  <p class="white"> We do not need another organization to bring us together to talk about problems, but ways to implement concrete practices to solve them. We need a network that amplifies the power of each project, widens the territory, and refuses to leave the future up to chance. <br/> <br/> <em>Find each other at an expanded scale</em>. Look for the other people who are also getting organized. Scout out nascent intensities and communal forms and make contact. Reach out, establish communication, visit and meet. Exchange stories and strategies, so our network’s cultural memory and operational intelligence grows, building a greater power between us. Create material connections, share or trade resources. Multiply this gesture by thousands. </p> <picture id="rhizome"> <source type="image/webp" srcset="/rhizome.17489dfa.webp"> <source type="image/png" srcset="/rhizome.082df613.png"> <img src="/rhizome.082df613.png" alt="Expansive"/> </source></source></picture> <div class="vignette"> <p> In one subversive territory, biohackers experimenting with new techniques make innovations in water purification, a group of indigenous families resists an energy company’s enclosure of their sacred land, and an autonomous hub redefines its neighborhood with a patchwork of urban farms. Regular communication between these three projects addresses their shared needs. Water treatment techniques spread between them while autonomous food infrastructure gives rise to abundance. The network is weaponized when the indigenous families call for reinforcements to defend their land. Using encrypted communication to coordinate logistics, thousands of people arrive with resources to aid the struggle. </p> </div>  <p class="white"> We have been made to rely on paychecks and stores for our basic existence. We’re dependent on the capitalist system which forces us to either submit or starve. There’s no way around this fact: the material organization of the present world is the problem we must overcome. <br/> <br/> <em>Deepen the reach of autonomous initiatives.</em> Build the infrastructure necessary to remove territory from the economy. Answer questions of collective, material power: how to feed each other, house each other, heal each other. Leverage data and design without falling into the trap that the internet will save us. Form collectives and cooperatives that achieve strategic goals without buying into a vacuous economy. Develop scalable solutions to the problems of energy, distribution, communication and logistics. </p> <picture id="timber"> <source type="image/webp" srcset="/timberimage.85ad0145.webp"> <source type="image/png" srcset="/timberimage.7d15cdfb.png"> <img src="/timberimage.7d15cdfb.png" alt="Autonomous Timber Frame"/> </source></source></picture> <div class="vignette"> <p> A local food distribution hub opens a cooperative grocery on the other side of town. Needing to expand capacity, the nearby farm that grows their vegetables integrates into a bioregional network looking to share a world as well as fresh food. A group of designers and engineers who hate their jobs team up to create an app that coordinates a flexible supply chain among the farms and distribution points. These efforts lead to an autonomous trade corridor. The growth of the network’s force, and the utter disregard for regulations leaves the authorities helpess, as food and people circulate freely along with the spirit of rebellion. </p> </div>  <p class="white"> We don’t want to improve life just for a select few–this is a mass exodus from this world. That means addressing the infrastructure that underpins this civilization and repurposing things as we see fit. Some systems will have to be dismantled, like oil pipelines and nuclear plants, while others can be broken open to serve autonomy. <br/> <br/> <em>Hack everything.</em> Go from solving problems the current infrastructure cannot address to requisitioning existing institutions and radically changing their use. Occupy deadening spaces–city halls, schools, shopping malls–breathe new life into them. Anticipate and intensify strategic fractures. Redirect communications systems. Commandeer supply lines. Seize power without governing. </p> <div class="picturebox"> <picture id="destitute1"> <source type="image/webp" srcset="/destituteimageleft.11370c15.webp"> <source type="image/png" srcset="/destituteimageleft.cc2a0624.png"> <img src="/destituteimageleft.cc2a0624.png" alt="Destitoot"/> </source></source></picture> <picture id="destitute2"> <source type="image/webp" srcset="/destituteimageright.5b1184f7.webp"> <source type="image/png" srcset="/destituteimageright.2847a32f.png"> <img src="/destituteimageright.2847a32f.png" alt="Destitoot Supply Chain"/> </source></source></picture> </div> <div class="vignette"> <p> The proliferation of autonomous health clinics begins to influence the world of medicine on all fronts. Nurses, doctors, and administrators work together to clandestinely siphon hospital supplies to these clinics. When veterans’ hospitals are federally defunded, the autonomous clinics join up with patients and health care providers to occupy VA offices around the country. Brutal repression at one occupation sends dozens to a nearby state-run hospital, but when the police attempt to enter urgent care to arrest the injured veterans, they are repelled by the surgeons and nurses. Autonomous groups are joined by forces overflowing from the occupations and the hospital, and vital resources are seized for the unfolding insurgency. </p> </div>  <p class="white"> Revolution is a line we trace in the present. It means building autonomy here and now, making government and the economy superfluous. Breaking out of <em>being governed</em> will mean more than winning battle after battle, outmaneuvering political foes. It will rest on our ability to create the lasting foundation for life in common. <br/> <br/> <em>Spread secession to all areas of life.</em> Go on permanent strike, slowly but surely, and take everyone with you. Refuse to be managed, or to manage anyone in turn. Drive a wedge down the center of society. Disavow a lifetime’s worth of cynicism and resentment. Believe that it is all possible. </p> <div class="picturebox"> <picture id="riotporn1"> <source type="image/webp" srcset="/ungovernableimageleft.f482198c.webp"> <source type="image/png" srcset="/ungovernableimageleft.72ac92e4.png"> <img src="/ungovernableimageleft.72ac92e4.png" alt="We Don't Understand"/> </source></source></picture> <picture id="riotporn2"> <source type="image/webp" srcset="/ungovernableimageright.c7a31fb3.webp"> <source type="image/png" srcset="/ungovernableimageright.456adda0.png"> <img src="/ungovernableimageright.456adda0.png" alt="Governance"/> </source></source></picture> </div> <div class="vignette"> <p> Strikes persist, and the dull weight of debt disintegrates as finance capital collapses under growing hostility. Neighborhood assemblies decide how to act in the state of emergency, rebellious soldiers refuse to fire on their own neighborhoods, and “crime” is now relegated to raids on the governed zones. In cities, everyday is like a block party. Confiscated cookouts on crowded streets herald a time soon beyond these remnants of economic life, when shops are primed for a new use in common. At night, bonfires illuminate the distance and the stars in their wisdom reappear to protect us. In the suburbs, a Walmart is now a hub for goods and getting organized. Truckers and first responders meet to coordinate aid to a flooded territory. In the West, technologists outfit weather balloons with transceivers to amplify the autonomous internet. Labor freed from the economy increases the yield of autonomous farms, and children again learn how to be loyal to the earth. </p> </div> </div>
