title: L’archive épidémique
url: http://affordance.typepad.com//mon_weblog/2018/01/memoire-et-oubli.html
hash_url: 8f38cdc48af8d8a2f8ff6ca5002224b3

<p>J'ai souvent sur ce blog écrit au sujet de la mémoire. Du rapport à la mémoire que modifie, structurellement et conjoncturellement le numérique (notamment "<a href="http://affordance.typepad.com/mon_weblog/2009/01/funes-ou-la-m%25C3%25A9moire-le-web-hypermn%25C3%25A9sique.html" rel="noopener noreferrer" target="_blank">Funès ou la mémoire : le web hypermnésique</a>" en Janvier 2009, "<a href="http://affordance.typepad.com/mon_weblog/2011/06/nos-memoires-ne-valent-pas-un-cloud.html" rel="noopener noreferrer" target="_blank">Nos mémoires ne valent pas un Cloud</a>" en Juin 2011, "<a href="http://affordance.typepad.com/mon_weblog/2011/09/total-recall.html" rel="noopener noreferrer" target="_blank">Total Recall : Silico Transit Memoria Mundi</a>" en Septembre 2011, "<a href="http://affordance.typepad.com/mon_weblog/2011/11/la-memoire-et-lamer.html" rel="noopener noreferrer" target="_blank">La mémoire et l'amer</a>" en Novembre 2011, "<a href="http://affordance.typepad.com/mon_weblog/2012/02/le-jour-ou-youtube-fermera.html" rel="noopener noreferrer" target="_blank">Le jour où Youtube fermera</a>" en Février 2012, "<a href="http://affordance.typepad.com/mon_weblog/2015/04/extended-memories-les-3-figures-du-memex.html" rel="noopener noreferrer" target="_blank">Extented Memories : l'avenir du Search</a>" en Avril 2015)</p>&#13;
<h2>Total Recall.</h2>&#13;
<p>Pour le dire rapidement, mon hypothèse était que le numérique changeait radicalement notre rapport à l'archive et au patrimonial (avec l'émergence de l'idée d'un "patrimoine du temporaire"). Comme il devenait impossible de "faire le tri" en amont pour savoir quoi archiver, comment le faire et pour combien de temps, il fallait changer de paradigme archivistique et tout prendre, tout capter, tout conserver, à charge ensuite pour les citoyens et les chercheurs, grâce aux outils numériques du Big Data et de la linguistique de corpus (notamment), de venir extraire de ces gigantesques archives ce dont ils avaient besoin pour comprendre les processus sociaux, politiques et historiques d'une période donnée et pouvoir leur (re)donner du sens. </p>&#13;
<p>L'un des exemples qui m'accompagnait souvent dans cette analyse et que je continuais de donner en exemple à mes étudiant(e)s était celui de la Bibliothèque du Congrès (LoC). Nous étions alors le 14 Avril 2010 et une dépêche AFP venait de tomber en indiquant que ladite bibliothèque du Congrès (LoC) "<em>accueillerait les milliards de messages postés sur le site de microblogs Twitter depuis son lancement en mars 2006.</em>" L'annonce était simultanément faite sur <a href="http://blogs.loc.gov/loc/2010/04/how-tweet-it-is-library-acquires-entire-twitter-archive/" rel="noopener noreferrer" target="_blank">le blog de la LoC</a>.</p>&#13;
<p>Annonce tonitruante dont on peine, 8 ans plus tard, à mesurer l'ampleur, et bouleversement que j'avais commenté dans l'article "<a href="http://affordance.typepad.com/mon_weblog/2010/05/twitter-le-patrimoine-du-superflux-.html" rel="noopener noreferrer" target="_blank">Twitter : un patrimoine superflu(x) ?</a>" et où je rappelais que nous nous rapprochions de la vision de l'archive telle que définie par Foucault :</p>&#13;
<blockquote>&#13;
<p>"<em>Par archive, j’entends d’abord la masse des choses dites dans une culture, conservées, valorisées, réutilisées, répétées et transformées. Bref toute cette masse verbale qui a été fabriquée par les hommes, investie dans leurs techniques et leurs institutions, et qui est tissée avec leur existence et leur histoire.</em>" Michel Foucault, Sur l’archéologie des sciences (1968)</p>&#13;
</blockquote>&#13;
<p>Et que ce rapprochement ouvrait beaucoup plus de problèmes qu'il ne permettait d'envisager de solutions.</p>&#13;
<h2>Archive au choix.</h2>&#13;
<p>Il y a un mois, le 26 décembre 2017 la Bibliothèque du Congrès <a href="https://blogs.loc.gov/loc/2017/12/update-on-the-twitter-archive-at-the-library-of-congress-2/?loclr=blogloc" rel="noopener noreferrer" target="_blank">annonçait sur son blog qu'elle allait revoir complètement cette logique d'archivage de Twitter</a>, pour en revenir à un mode plus "classique", c'est à dire sélectionner et choisir des Tweets en fonction d'événements historiques (élections par exemple) ou de personnalités reconnues. Le site Actualitté titrait en commentaire de cet événement : "<a href="https://www.actualitte.com/article/monde-edition/peut-etre-n-est-il-pas-necessaire-d-archiver-tous-les-tweets-du-monde/86491" rel="noopener noreferrer" target="_blank">Peut-être n'est-il pas nécessaire d'archiver tous les tweets du monde.</a>" Dont acte. </p>&#13;
<p>En l'état la bibliothèque du Congrès conservera donc l'archive "complète" des comptes publics constituée de 2006 à 2010 ainsi qu'une archive permettant de documenter les années 2010 à 2017, et pour le reste la nouvelle politique d'archivistique à l'échelle de ce patrimoine du temporaire <a href="https://blogs.loc.gov/loc/2017/12/update-on-the-twitter-archive-at-the-library-of-congress-2/?loclr=blogloc" rel="noopener noreferrer" target="_blank">sera sélective</a> ("<em>The Library will work with Twitter to acquire tweets on a selective basis.</em>") Le document de la LoC <a href="https://blogs.loc.gov/loc/files/2017/12/2017dec_twitter_white-paper.pdf" rel="noopener noreferrer" target="_blank">précise</a> :</p>&#13;
<blockquote>&#13;
<p>"<em>the tweets collected and archived will be thematic and event-based, including events such as elections, or themes of ongoing national interest, e.g. public policy.</em>"</p>&#13;
</blockquote>&#13;
<p>Et rappelle aussi qu'à la différence des archives mises publiquement à disposition par la LoC, <a href="https://www.loc.gov/websites/" rel="noopener noreferrer" target="_blank">y compris des archives du web</a>, l'archive Twitter reste pour l'instant "<em>sous embargo</em>" afin de régler différents problèmes d'accès et de respect de vie privée (mais aussi peut-être un peu de modèle économique). </p>&#13;
<blockquote>&#13;
<p>"<em>The Library will also engage with Twitter to resolve issues associated with managing transactions that generate deletions of tweets, and user access issues. The Twitter collection will remain embargoed until access issues can be resolved in a cost-effective and sustainable manner.</em>"</p>&#13;
</blockquote>&#13;
<p>La LoC adopte donc une logique de traitement et de constitution des archives plus "classique", à l'image de ce que fait, par exemple, le dépôt légal du web de la BnF en France : <a href="https://beta.arretsurimages.net/emissions/archives-cest-normal-de-conserver-skyblog" rel="noopener noreferrer" target="_blank">on choisit et on sélectionne des hashtags et des comptes en lien avec un événement donné</a> pour les verser dans une collection archivistique <em>ad hoc</em>.</p>&#13;
<h2>Archiver les erreurs des moteurs.</h2>&#13;
<p>Robert Epstein est un scientifique, <a href="https://en.wikipedia.org/wiki/Robert_Epstein" rel="noopener noreferrer" target="_blank">psychologue de Harvard</a>, notamment connu pour sa description et sa démonstration, en 2014, d'un effet de manipulation des moteurs de recherche, particulièrement problématique dans des périodes d'élection : <a href="http://www.pnas.org/content/112/33/E4512.long" rel="noopener noreferrer" target="_blank">le Search Engine Manipulation Effect</a>. Dans une <a href="https://theoutline.com/post/2600/meet-the-man-trying-to-catch-google-search-at-its-worst?zd=1" rel="noopener noreferrer" target="_blank">interview récente à The Outline</a>, reprise et chroniquée <a href="https://www.numerama.com/tech/316715-archiver-les-mots-cle-des-moteurs-de-recherche.html" rel="noopener noreferrer" target="_blank">par Numérama</a>, il explique que pour pouvoir établir et prouver la responsabilité des moteurs de recherche dans certains cas de résultats faux, faussés ou problématiques (notamment en période électorale <a href="http://affordance.typepad.com/mon_weblog/2016/12/algorithmes-tondus-liberation.html" rel="noopener noreferrer" target="_blank">mais pas uniquement</a>), et ces résultats étant en général corrigés après coup via différentes mises à jour algorithmiques faisant du même coup disparaître toute forme de "preuve", il faut construire une archive publique et consultable de - certaines - de ces pages de résultats. </p>&#13;
<p>Je reprends ici la conclusion de <a href="https://www.numerama.com/tech/316715-archiver-les-mots-cle-des-moteurs-de-recherche.html" rel="noopener noreferrer" target="_blank">l'article de Numérama</a> : </p>&#13;
<blockquote>&#13;
<p>"<em>Il faut que nous puissions voir et enregistrer ce que les algorithmes montrent aux gens. Regarder le code ne sert à rien : il faut qu’on puisse voir ce que chacun visualise sur son écran</em> » conclut Robert Epstein. L’équipe dédiée à ce projet a notamment <a href="http://aibrt.org/downloads/PROSPECTUS-The_Sunlight_Society-March_2017-EMBARGOED_until_March_14_2017.pdf" rel="noopener noreferrer" target="_blank">archivé plus de 13 000 recherches Yahoo, Google et Bing</a> liées à l’élection présidentielle américaine entre mai et novembre 2017, ainsi que les près de 100 000 pages de résultats liés. Elle espère convaincre de la viabilité de son système pour rendre les géants de la tech plus responsables."</p>&#13;
</blockquote>&#13;
<h2>Argent trop cher, archives aussi.</h2>&#13;
<p>Depuis Novembre 2017 c'est une annonce et un projet du gouvernement qui faisait réagir la communauté des archivistes et bibliothécaires. Le projet consistant à économiser de l'argent et donc à détruire et à ne plus collecter et conserver autant d'archives. Pour plus de détails on pourra se reporter à <a href="https://www.actualitte.com/article/tribunes/rn2a-la-republique-francaise-s-interesse-t-elle-encore-aux-archives/85996" rel="noopener noreferrer" target="_blank">cet article d'Actualitté</a> ou bien encore à l'excellente émission qu'<a href="https://beta.arretsurimages.net/emissions/archives-cest-normal-de-conserver-skyblog" rel="noopener noreferrer" target="_blank">Arrêt sur Images a consacré à ce sujet mi-janvier 2018</a>.  </p>&#13;
<p><a class="asset-img-link" href="http://www.affordance.info/.a/6a00d8341c622e53ef01b8d2d08045970c-pi"><img alt="Archiv" border="0" class="asset  asset-image at-xid-6a00d8341c622e53ef01b8d2d08045970c image-full img-responsive" src="http://www.affordance.info/.a/6a00d8341c622e53ef01b8d2d08045970c-800wi" title="Archiv"/></a></p>&#13;
<h2>Archiver tout Twitter, archiver les moteurs, archiver ... l'essentiel.</h2>&#13;
<p>Trois histoires donc. </p>&#13;
<p>Celle de l'archivage exhaustif de Twitter devenu impossible par la volonté de la puissance publique, fut-elle la Bibliothèque du Congrès.</p>&#13;
<p>Celle de l'archivage et de la conservation des résultats des moteurs de recherche afin de pouvoir documenter non seulement leurs erreurs (et donc d'établir leurs responsabilités) mais également l'évolution de notre propre rapport à l'information.</p>&#13;
<p>Et celle de la question des économies que la "puissance publique" souhaite réaliser autour de ce qu'elle nomme sans vraiment les définir comme étant des "archives essentielles". </p>&#13;
<p>Ces trois histoires posent en creux le cadre d'une réflexion urgente sur la manière dont ces espaces semi-publics et semi-privés que sont moteurs de recherche et réseaux sociaux peuvent ou doivent entrer dans le champ d'une conservation et d'une mise à disposition. Réflexion qui doit également porter sur la nature de cette conservation et ses modalités d'accès et de collecte : faut-il des archives complètes, partielles, sélectives (et sur la base de quels critères ?). </p>&#13;
<p>L'un des premiers axes de cette critériologie est bien sûr la question de l'articulation entre ce qui a vocation à devenir public (et donc archivé) et ce qui doit rester privé.</p>&#13;
<p>Sur l'épineuse question de "<em>la nature publique ou privée d'une source web</em>", la page du <a href="http://www.bnf.fr/fr/professionnels/archivage_web_bnf/a.dlweb_collecte_acces_libre.html#SHDC__Attribute_BlocArticle1BnF" rel="noopener noreferrer" target="_blank">dépôt légal du web de la BnF indique</a> (je souligne) :</p>&#13;
<blockquote>&#13;
<p>"Le dépôt légal s’applique à ce qui est considéré comme publié, c’est-à-dire mis à la disposition du public, en ligne ; les échanges à caractère privé ne sont pas concernés. Les sites, blogs, voire <strong>les parties publiques de réseaux sociaux, sont donc soumis au dépôt légal</strong>, <strong>à l’inverse</strong> des courriels, <strong>des espaces privés des réseaux sociaux</strong> ou des sites intranet qui en sont exclus. <strong>C’est la nature du destinataire qui indique le caractère public ou privé</strong> : dès que le destinataire doit être spécifiquement agréé par l’émetteur du site (par exemple par réception d’un mot de passe ou par acceptation comme membre d’un réseau), le document est d’ordre privé."</p>&#13;
</blockquote>&#13;
<p>Cette règle archivistique est claire - au premier degré - et chacun voit bien qu'elle permet de ne pas archiver, par exemple, les contenus circulant via Messenger. Mais même en se limitant aux deux plateformes que sont Facebook et Twitter, on pourrait avoir des heures de débat sur le fait que tel ou tel "post" ou "tweet" relève de la "<em>partie publique</em>" du réseau ou de son "<em>espace privé</em>", et <em>a fortiori</em> lorsque la même règle archivistique stipule que le document est d'ordre privé dès lors qu'il suppose "<em>l'acceptation comme membre du réseau"</em> ou "<em>la réception d'un mot de passe</em>". A ce titre et toujours au premier degré, la totalité des contenus des plateformes seraient donc hors-champ de toute forme d'archive publique.</p>&#13;
<h2>Archive épidémique ou épidémie d'archives.</h2>&#13;
<p>Il est naturellement impossible de "tout" conserver et de produire l'archive Foucaldienne évoquée plus haut. Tout comme il est impossible de laisser hors-champ de l'archive et du patrimoine la totalité des logiques de production et de réception d'information à l'oeuvre dans les grandes plateformes. Et il est vital que la puissance publique soit en capacité de constituer et de rendre accessible cette archive car en laisser le seul soin à des acteurs privés serait une <a href="http://affordance.typepad.com/mon_weblog/2012/02/le-jour-ou-youtube-fermera.html" rel="noopener noreferrer" target="_blank">pure folie culturelle et politique</a>.  </p>&#13;
<p>On pourrait imaginer qu'il existe en fait deux "situations", deux visions de l'archive à l'échelle d'une société : <strong>une perception endémique de l'archive, et une perception épidémique de l'archive</strong>.</p>&#13;
<p><strong>La perception endémique</strong> désigne la présence habituelle d'un <em>habitus</em> archivistique dans un secteur ou sur un volet patrimonial donné. On "sait faire" une archive et l'on sait "à quoi sert" la même archive (et pourquoi donc on la constitue de telle ou telle manière).</p>&#13;
<p><strong>La perception épidémique</strong> de l'archive désignant alors l'augmentation inhabituelle et subite du nombre d'information à archiver existant à l'état endémique dans un secteur ou sur un volet patrimonial donné. Cette perception épidémique de l'archive est consubstancielle de l'émergence de chaque nouvelle grande plateforme du web, <a href="https://www.slideshare.net/olivier/lavenir-des-collections-la-bibliothque-comme-mme" rel="noopener noreferrer" target="_blank">de chaque nouvelle "collection" ainsi rendue publique ou semi-publique</a>. Lorsqu'apparaissent YouTube, FlickR, Twitter, Facebook et tant d'autres, elles font simultanément basculer nombre de certitudes archivistiques, non pas tant par l'échelle industrielle à laquelle il est nécessaire de se placer pour traiter ces nouveaux contenus (cela les bibliothèques ont appris à le faire), mais du fait des incertitudes qui accompagnent et traversent à la fois les usages et la dimension pérenne de ces plateformes, et du fait également du statut des contenus qui y sont produits et accédés.</p>&#13;
<p>Quand YouTube s'est constitué (Février 2005), et qu'il n'était composé que de contenus piratés ou de films amateurs de mariages, la question de l'archive ne se posait pas. Treize ans plus tard, chacun voit bien <a href="http://affordance.typepad.com/mon_weblog/2012/02/le-jour-ou-youtube-fermera.html" rel="noopener noreferrer" target="_blank">la question que poserait un effacement total de l'archive ainsi constituée</a>. Et on pourrait dire la même chose de tant et tant d'autres services et plateformes. Or si rien ne prouve que ces plateformes disparaîtront prochainement, rien ne prouve davantage qu'elles seront éternelles, et surtout rien n'indique que les modalités de leur accès  - et donc de leur rendu - public n'évolueront pas vers des modes marchands ou bien plus privatifs que ce qu'ils sont actuellement.</p>&#13;
<h2><strong>Faire confiance à des archives publiques de la vie privée.</strong></h2>&#13;
<p>Le titre ci-dessus n'est là que pour le plaisir du trouble qu'il jettera - je l'espère - dans l'esprit de mes lecteurs. Mais la question qu'il pose me semble importante. Cette question c'est celle du rôle et de la place qu'entretient aujourd'hui la question de l'archive avec, d'une part la question de la "privacy" qui est probablement l'un des marqueurs les plus constants et signifiants des bouleversements numériques (<a href="http://www.casilli.fr/2018/01/22/la-vie-privee-et-les-travailleurs-de-la-donnee-le-monde-22-janv-2018/" rel="noopener noreferrer" target="_blank">lire attentivement la dernière tribune D'antonio Casilli et Paola Tubaro dans Le Monde</a>), et avec d'autre part la question de la "confiance" qui permet aux logiques d'archivage de contribuer à renforcer la valeur et la dimension de preuve des documents et items collectés. </p>&#13;
<p>Confiance et "privacy" donc.</p>&#13;
<h3><em><strong>Sur la question de la confiance.</strong></em></h3>&#13;
<p>Sur la question de la confiance, la réflexion sur les archives ne peut plus faire l'économie d'une réflexion croisée autour des <a href="http://affordance.typepad.com//mon_weblog/2017/12/gal-gadot-porno-politique-faux-document.html" rel="noopener noreferrer" target="_blank">technologies de l'artefact</a>. Réflexion qui pourrait démarrer par le questionnement suivant : dans une société où ces technologies de l'artefact occupent une place prépondérante, où les régimes de vérité sont en situation de concurrence faussée, et où les espaces médiatiques de circulation des idées sont pour l'essentiel des plateformes privées revêtant une valeur d'usage(s) public(s), comment garantir la constitution d'une archive permettant de construire une valeur de preuve collective et un indice de confiance stable ? </p>&#13;
<p>Je n'ai bien sûr pas la réponse mais je sais, comme d'autres avant moi l'ont démontré, <a href="http://affordance.typepad.com//mon_weblog/2017/12/gal-gadot-porno-politique-faux-document.html" rel="noopener noreferrer" target="_blank">que nous courrons à la catastrophe si nous n'y parvenons pas</a>. Et à ce titre, la question posée par Epstein sur l'archivage des <em>résultats</em> des moteurs de recherche me semble tout à fait pertinente. </p>&#13;
<h3><em>Sur la question de la "privacy".</em></h3>&#13;
<p>la formule est aussi fausse, dangereuse et démagogique que connue : "<a href="http://www.zdnet.fr/actualites/eric-schmidt-google-seuls-les-criminels-se-soucient-de-proteger-leurs-donnees-personnelles-39711378.htm" rel="noopener noreferrer" target="_blank"><em>Si vous n'avez rien à vous reprocher, vous n'avez rien à cacher.</em></a>" Mais si vous n'avez rien à cacher est-ce pour autant que vous avez tout à archiver ?  </p>&#13;
<p>Il faut nous préparer à une société du paradoxe de la dissimulation. Je parle d'un paradoxe mémoriel et donc de l'archive qui en découle. Un paradoxe mémoriel à l'échelle individuelle et collective. Et je m'explique. Enfin j'essaie :-)</p>&#13;
<h2>Les iPhones des poilus.</h2>&#13;
<p>D'un côté, toutes les informations que nous souhaitons garder secrètes pourront l'être mais, à la différence des lettres cachées ou volées que l'on pouvait toujours retrouver des dizaines d'années plus tard pour les verser "aux archives", ce secret ne pourra jamais être levé et ce quelle qu'en soit la valeur historique ou mémorielle. Je vais vous raconter une petite uchronie, mais avant souvenez-vous. </p>&#13;
<p>Souvenez-vous des nombreuses histoires qui ont opposé Apple (fabriquant d'iPhone) à la justice américaine autour du "secret" absolu et inviolable des informations contenus dans l'iPhone utilisé lors d'un attentat, inviolabilité que la requête dûment diligentée par un juge n'avait pas réussi à casser. Je vous avais raconté cette histoire dans une série de billets ("<a href="http://affordance.typepad.com/mon_weblog/2016/02/iphone-le-degre-zero-de-la-privacy.html">Un terroriste est un client Apple comme les autres</a>" =&gt; "<a href="http://affordance.typepad.com/mon_weblog/2016/02/pomme-pomme-pomme-suppr.html" rel="noopener noreferrer" target="_blank">Pomme Pomme Pomme Suppr</a>" =&gt; "<a href="http://affordance.typepad.com/mon_weblog/2016/04/la-transparence-des-cryptes.html" rel="noopener noreferrer" target="_blank">La transparence de cryptes</a>"), billets dont la conclusion était (en gros) la suivante :</p>&#13;
<blockquote>&#13;
<p>"La question à se poser est alors celle-ci : nous avons tous une vie privée, et nous avons tous le droit à une vie privée. Pour autant, dans le cadre d'un état de droit, et dans le cadre d'une procédure judiciaire, si nous sommes accusés ou reconnus coupables d'un acte délictueux, les éléments qui composent et documentent notre vie privée restent accessible via un mandat de perquisition (ordonné par un juge). <strong>La question que pose le cryptage par défaut incassable des iPhones et la lettre de Tim Cook aux clients d'Apple est celle de savoir si l'espace - physique ou numérique - alloué aux traces documentaires de notre vie privée doit être imperquisitionnable. S'il doit résister à toute forme de perquisition. (...)</strong></p>&#13;
<p><strong>En tant que citoyen et en tant que chercheur travaillant sur la question des traces numériques</strong>, <strong>je trouve inquiétant</strong> qu'il existe ainsi des "boîtes noires", des espaces non accessibles aux requêtes d'un juge dans le cadre d'une enquête criminelle, des espaces "imperquisitionnables". Jusqu'ici, à l'échelle de nos démocraties, aucun domicile, ni même aucun coffre bancaire d'aucune banque (sauf peut-être dans certaines îles des Caïmans, bon et en Suisse aussi d'accord ...) ne pouvait se soustraire à un mandat de perquisition en bonne et due forme."</p>&#13;
</blockquote>&#13;
<p>Bref, le droit à la vie privée dans un état de droit ne doit pas être assimilé à un droit au secret délivré et décrété par un fabriquant de Hardware. Je notais également à propos de cette affaire le renversement total opéré par les plateformes dans leur argumentaire autour de la vie privée : </p>&#13;
<blockquote>&#13;
<p>"Il y a peu, ces mêmes firmes qui nous vantent aujourd'hui l'importance d'offrir un niveau de cryptage absolu sur la moindre de nos communications étaient celles qui nous expliquaient que la vie privée n'existait pas (ou était <a href="http://rue89.nouvelobs.com/2013/11/21/vie-privee-anomalie-les-dogmes-flippants-google-247726" rel="noopener noreferrer" target="_blank">une anomalie</a>) et que <a href="http://www.zdnet.fr/actualites/eric-schmidt-google-seuls-les-criminels-se-soucient-de-proteger-leurs-donnees-personnelles-39711378.htm" rel="noopener noreferrer" target="_blank">si nous n'avions rien à nous reprocher alors nous n'avions rien à - leur - cacher</a>. Il y a peu, ce qui était suspect était la tentation de préserver un semblant de vie privée ; désormais, ce qui est suspect est de ne pas réclamer à hauts-cris un niveau de cryptage résistant à l'ensemble des agences de renseignement de la planète pour la moindre photo de vacances ou le moindre échange de SMS avec nos proches." </p>&#13;
</blockquote>&#13;
<p>Et maintenant donc comme promis laissez-moi vous compter une petite uchronie. Imaginez une guerre. Mondiale. L'une des deux dernières par exemple. Et prenez conscience de la masse d'informations dont nous avons pu disposer sur cette période et sur ces guerres grâce aux archives constituées à partir de lettres et de correspondances, privées donc, retrouvées parfois des - dizaines - années plus tard. Imaginez maintenant que lors de ces guerres, soldats et poilus aient eu à leur disposition des iPhones (j'ai dit que c'était une uchronie). Voilà. Nous n'aurions alors rien pu savoir de leur correspondance. Rien du ressenti adressé à leurs proches n'aurait pu nous permettre de faire mémoire.</p>&#13;
<p>Le droit à la vie privée ne doit pas être un droit au secret. La valeur et l'intérêt d'une archive ne se mesure souvent que longtemps après les événements qui la composent.   </p>&#13;
<h2>L'archive génétique.</h2>&#13;
<p>D'un côté donc, nous sommes aujourd'hui dans une société où chacun peut disposer d'une archive privée définitivement inviolable et imperquisitionnable. Certains s'en réjouissent, d'autres s'en inquiètent (dont moi). Et de l'autre côté, une autre révolution s'amorce avec le fait que les secrets pour le coup les plus intimement biologiques sur notre ascendance et notre héritage biologique, ces secrets inscrits dans la loi et garantis par l'état dans le cadre de la PMA par exemple (anonymat du don de gamètes), ne signifieront plus rien et ne tiendront pas deux minutes au regard des possibilités offertes par la dérégulation et la mondialisation effective du marché de la génomique personnelle. C'est en tout cas ce que vient de démontrer le cas d'Arthur Kermaleven, qui à l'aide du kit fourni par la société 23andMe (une <a href="https://www.google.fr/search?q=%2223andMe%22&amp;btnG=%C2%BB&amp;domains=http://affordance.typepad.com&amp;sitesearch=http://affordance.typepad.com&amp;gws_rd=cr&amp;dcr=0&amp;ei=T6ZnWoWHOOGEgAajoJoQ" rel="noopener noreferrer" target="_blank">vieille connaissance sur ce blog</a> ;-), d'un site de généalogie en ligne, d'une recherche sur LinkedIn (bon et quand même aussi d'un peu de chance) <a href="http://www.liberation.fr/france/2018/01/15/don-de-sperme-le-jour-ou-arthur-kermalvezen-a-retrouve-son-geniteur_1622583" rel="noopener noreferrer" target="_blank">a retrouvé en quelques jours son "donneur".</a></p>&#13;
<h2>Voilà probablement la bascule.</h2>&#13;
<p>Voilà sensiblement le changement de paradigme. Ce ne sont plus les États qui sont aptes à définir juridiquement et à garantir socialement les conditions du secret (y compris d'ailleurs, pour nombre de "secrets d'état" à l'ère post-wikileaks) mais des opérateurs et des plateformes privé(e)s. Ce sont également les mêmes plateformes et opérateurs privés qui sont chaque jour en capacité de faire archive de notre intimité et de notre vie privée. Et ce sont enfin une nouvelles fois les mêmes plateformes et opérateurs privés qui disposent aussi de la "<a href="http://affordance.typepad.com/mon_weblog/2012/04/google-drive-me-crazy.html" rel="noopener noreferrer" target="_blank">golden copy</a>", de la copie dorée et originale de nombre de documents à la valeur patrimoniale et publique incontestable.</p>&#13;
<p>Cette triple conjonction de faits doit, à tout le moins, nous amener à nous interroger sur notre capacité à faire mémoire en dehors du champ desdites plateformes. C'est à dire, puisqu'il ne peut y avoir de société sans mémoire, à nous interroger sur notre capacité à faire société en dehors de ces plateformes.   <a href="https://twitter.com/arouvroy/status/953707530454274049" rel="noopener noreferrer" target="_blank"/></p>
