title: Most of us are wrong about how the world has changed (especially those who are pessimistic about the future)
url: https://ourworldindata.org/wrong-about-the-world
hash_url: ac52ca153b9db8e358d301628d4b5ce6

<section><p>At Our World in Data we aim to bring together the empirical data and research to show how living conditions around the world are changing. Is that necessary?</p><p>The opinion research organization Ipsos MORI conducted a<a href="https://www.ipsos.com/en/global-perceptions-development-progress-perils-perceptions-research"> <span class="s3">detailed survey</span></a> of 26,489 people across 28 countries that gives us an answer.<a id="ref-1" class="ref" href="#note-1"><sup>1</sup></a></p><h3 id="most-people-think-global-poverty-is-rising-when-in-fact-the-opposite-is-happening"><a class="deep-link" href="#most-people-think-global-poverty-is-rising-when-in-fact-the-opposite-is-happening"/>Most people think global poverty is rising when in fact the opposite is happening</h3><p>The first chart shows how the surveyed people answered the following question: “In the last 20 years, the proportion of the world population living in extreme poverty has decreased, increased, or remained the same?”</p><p>The majority of people – 52% – believe that the share of people in extreme poverty is rising. The opposite is true. In fact, the share of people living in extreme poverty across the world has been declining for two centuries and in the last 20 years this positive development has been faster than ever before (see our<a href="https://ourworldindata.org/extreme-poverty"> <span class="s3">entry on global poverty</span></a>). For the recent era it doesn't even matter what poverty line you choose, the share of people below any poverty line has fallen (see<a href="https://ourworldindata.org/no-matter-what-global-poverty-line"> <span class="s3">here</span></a>).</p><p>There are some people who answered the question correctly: every fifth person knows that poverty is falling. But it’s interesting that the share of correct answers differs substantially across countries. The countries I marked with a star are those that were a low-income or lower-middle-income countries a generation ago (in 1990). In these poorer countries more people understand how global poverty has changed. People in richer countries on the other hand – in which the majority of the population escaped extreme poverty<a href="https://ourworldindata.org/extreme-poverty#historical-poverty-in-today-s-rich-countries"> <span class="s3">some generations ago</span></a> – have a very wrong perception about what is happening to global poverty.</p><p><a href="https://ourworldindata.org/wp-content/uploads/2018/07/Public-perception-of-Change-in-poverty.png" target="_blank"><img class="aligncenter size-large wp-image-19967" src="https://ourworldindata.org/wp-content/uploads/2018/07/Public-perception-of-Change-in-poverty-750x398.png" alt="" srcset="https://d33wubrfki0l68.cloudfront.net/05f74c17f6dd807fe0844d850ce620ab99967a52/d3069/wp-content/uploads/2018/07/public-perception-of-change-in-poverty-150x80.png 150w, https://d33wubrfki0l68.cloudfront.net/360b87a250439a58b2fdcd9c8dd09f32efd0c2c9/0fb39/wp-content/uploads/2018/07/public-perception-of-change-in-poverty-400x212.png 400w, https://d33wubrfki0l68.cloudfront.net/226194cc7d0d477764545eccbb0d7b4364e19c5b/ad708/wp-content/uploads/2018/07/public-perception-of-change-in-poverty-750x398.png 750w, https://d33wubrfki0l68.cloudfront.net/2be743d133d449deea75e721054e6f13ccfb3806/08959/wp-content/uploads/2018/07/public-perception-of-change-in-poverty-768x408.png 768w, https://d33wubrfki0l68.cloudfront.net/6d5ea4433e01750fba300070ef392853af5b94f9/ded00/wp-content/uploads/2018/07/public-perception-of-change-in-poverty.png 4500w" sizes="(min-width: 800px) 50vw, 100vw"/></a></p><h3 id="most-people-don-t-know-that-child-mortality-is-declining-in-poor-countries"><a class="deep-link" href="#most-people-don-t-know-that-child-mortality-is-declining-in-poor-countries"/>Most people don’t know that child mortality is declining in poor countries</h3><p>We are not just wrong about global poverty. In the same survey people were asked: “In the last 20 years, has the child mortality rate in developing regions increased, decreased or stayed about the same?”</p><p>Here again the data is very clear. The child mortality rate in both the less- and least-developed countries has<a href="https://ourworldindata.org/grapher/child-mortality-around-the-world?country=OWID_WRL+Less%20developed%20regions+Least%20developed%20countries+More%20developed%20regions"> <span class="s3">halved</span></a> in the last 20 years.<a id="ref-2" class="ref" href="#note-2"><sup>2</sup></a></p><p>The survey once more shows that most people are not aware of this. On average only 39% know that the mortality of children is falling. And what greater achievement has humanity ever achieved than making it more and more likely that children survive the first, vulnerable years of their lives and sparing parents the sadness of losing their babies? This has to be one of humanity’s greatest achievements.</p><p>And just as with knowledge about extreme poverty, the share of uninformed people is much higher in the rich countries of the world. So is our work at Our World in Data needed? This survey shows that few Senegalese or Kenyans will learn something new; but if you have some friends in the US or Japan you will probably help them if you<a href="https://www.facebook.com/OurWorldinData/"> <span class="s3">share our work</span></a>.</p><p><a href="https://ourworldindata.org/wp-content/uploads/2018/07/Public-perception-of-Change-in-u5mr.png" target="_blank"><img class="aligncenter size-large wp-image-19968" src="https://ourworldindata.org/wp-content/uploads/2018/07/Public-perception-of-Change-in-u5mr-750x403.png" alt="" srcset="https://d33wubrfki0l68.cloudfront.net/a3f90873f97c2ec0ec5ff9281a528edb58aec614/8a8c3/wp-content/uploads/2018/07/public-perception-of-change-in-u5mr-150x81.png 150w, https://d33wubrfki0l68.cloudfront.net/0ede402312adcc759655f243ceb9b9c6a8d1f584/d1e3d/wp-content/uploads/2018/07/public-perception-of-change-in-u5mr-400x215.png 400w, https://d33wubrfki0l68.cloudfront.net/cd760e3a946371df6384c2d6b159ad4bd77af9ed/f9090/wp-content/uploads/2018/07/public-perception-of-change-in-u5mr-750x403.png 750w, https://d33wubrfki0l68.cloudfront.net/5e7800ee2adbccad5a37462c3800378377c90993/b71a3/wp-content/uploads/2018/07/public-perception-of-change-in-u5mr-768x412.png 768w, https://d33wubrfki0l68.cloudfront.net/d11738738ce435e02bbd42fd746ce21a9019cbe7/66bbf/wp-content/uploads/2018/07/public-perception-of-change-in-u5mr.png 4500w" sizes="(min-width: 800px) 50vw, 100vw"/></a></p><h3 id="how-does-this-matter"><a class="deep-link" href="#how-does-this-matter"/>How does this matter?</h3><h4 id="1-misperceptions-about-specific-trends-reinforces-general-discontent-about-how-the-world-is-changing"><a class="deep-link" href="#1-misperceptions-about-specific-trends-reinforces-general-discontent-about-how-the-world-is-changing"/><span class="s1">1. Misperceptions about specific trends reinforces general discontent about how the world is changing
</span></h4><p>The widespread ignorance about these truly important changes in the world feeds into a general discontent about how the world is changing. When YouGov asked in a separate survey the more general question: “All things considered, do you think the world is getting better or worse?” there were very few who gave a positive answer. In France and Australia only 3%(!) think the world is getting better.</p><p>And again we see that in poorer countries the share of people who answer positively is higher.<a id="ref-3" class="ref" href="#note-3"><sup>3</sup></a></p><p><a href="https://ourworldindata.org/wp-content/uploads/2018/07/Optimistic-about-the-future.png" target="_blank"><img class="aligncenter size-large wp-image-19986" src="https://ourworldindata.org/wp-content/uploads/2018/07/Optimistic-about-the-future-750x525.png" alt="" srcset="https://d33wubrfki0l68.cloudfront.net/c6e639b9cd67a3da12c7da46c5d0db77c3fd40ea/f2f34/wp-content/uploads/2018/07/optimistic-about-the-future-150x105.png 150w, https://d33wubrfki0l68.cloudfront.net/d19786c2503fa8321d21b72041a23cb4864088e4/f3783/wp-content/uploads/2018/07/optimistic-about-the-future-400x280.png 400w, https://d33wubrfki0l68.cloudfront.net/89ed745fc8d5b3f76051094c299a91eaea6661c6/6bcd4/wp-content/uploads/2018/07/optimistic-about-the-future-750x525.png 750w, https://d33wubrfki0l68.cloudfront.net/c1a4ca097e65080fc25f9dacdc3d14911e15b8a7/172f8/wp-content/uploads/2018/07/optimistic-about-the-future-768x538.png 768w, https://d33wubrfki0l68.cloudfront.net/a26d450bb2bb00521859072be12f44ddabf2cfbe/6b925/wp-content/uploads/2018/07/optimistic-about-the-future.png 3000w" sizes="(min-width: 800px) 50vw, 100vw"/></a></p><p>What should we make of the fact that many perceive the world to be stagnating or even declining in global health or poverty while we are in fact achieving the most rapid improvements in our history in these very same aspects?</p><p>First, this is simply sad. It means that we think worse of the world than we should. We think more poorly than we should about the time we are living in, and we think more poorly than we should about what people around the world are achieving right now.</p><p>Second it makes clear that we are doing a terrible job at understanding and communicating what is happening in the world. Particularly in rich countries the education systems and media are failing to convey an accurate perspective on how the world is changing – arguably one of the main expectations we should have of them.<a id="ref-4" class="ref" href="#note-4"><sup>4</sup></a></p><h4 id="3-we-are-not-just-negative-about-the-past-we-are-also-pessimistic-about-the-future"><a class="deep-link" href="#3-we-are-not-just-negative-about-the-past-we-are-also-pessimistic-about-the-future"/>3. We are not just negative about the past, we are also pessimistic about the future</h4><p>Our perception of how the world is changing matters for what we believe is possible in the future.</p><p>If we ask people about what is possible for the world, then most of us answer ‘not much’. The chart below documents the survey answers to the question “over the next 15 years, do you think living conditions for people around the world get better or worse?”.  More than half of the people expect stagnation or that things will be getting worse. Fortunately, the places in which people currently have the worst living conditions are more optimistic about what is possible in the coming years!</p><p>On the whole, the findings from the surveys are clear: we do not only believe that the world is stagnating or declining, we also expect that this perceived stagnation or decline will continue into the future.</p><p>This pessimism about what is possible for the world matters politically. Those who don’t expect that things get better in the first place will be less likely to demand actions that can bring positive developments about. The few optimists on the other hand will want to see the necessary changes for the improvements they are expecting.</p><p><a href="https://ourworldindata.org/wp-content/uploads/2018/07/Optimistic-about-the-future-of-the-world-.png" target="_blank"><img class="aligncenter size-large wp-image-19969" src="https://ourworldindata.org/wp-content/uploads/2018/07/Optimistic-about-the-future-of-the-world--750x403.png" alt="" srcset="https://d33wubrfki0l68.cloudfront.net/1947178b126d3fb4652c793e6054f886e309298d/327fa/wp-content/uploads/2018/07/optimistic-about-the-future-of-the-world--150x81.png 150w, https://d33wubrfki0l68.cloudfront.net/a575b504a40a140993c93e9ed0932d00e0377111/90edc/wp-content/uploads/2018/07/optimistic-about-the-future-of-the-world--400x215.png 400w, https://d33wubrfki0l68.cloudfront.net/83746261240ad39877cfadd2b829d928a58b0281/10dfe/wp-content/uploads/2018/07/optimistic-about-the-future-of-the-world--750x403.png 750w, https://d33wubrfki0l68.cloudfront.net/7797fa90c20b7645b34b6476a0ff5ada386e7b41/c50cf/wp-content/uploads/2018/07/optimistic-about-the-future-of-the-world--768x412.png 768w" sizes="(min-width: 800px) 50vw, 100vw"/></a></p><h3 id="knowledge-about-what-we-have-achieved-leaves-no-place-for-cynicism"><a class="deep-link" href="#knowledge-about-what-we-have-achieved-leaves-no-place-for-cynicism"/>Knowledge about what we have achieved leaves no place for cynicism</h3><p>Finally the survey suggests that there is a connection between our perception of the past and our hope for the future. The chart below shows that the degree of optimism about the future differs hugely by the level of people’s knowledge about global development.</p><p>Those that were most pessimistic about the future tended to have the least basic knowledge on how the world has changed. Of those who could not give a single correct answer to the survey questions, only 17% expect the world to be better off in the future. At the other end of the spectrum, those who had very good knowledge about how the world has changed were the most optimistic about the changes that we can achieve in the next 15 years.</p><p>This is a correlation and as we know, correlation does not imply causation. To understand whether there is a causal link we would need to know whether getting a more accurate picture of how the world is changing makes one <i>change</i> one’s belief about what will happen in the future. Unfortunately I am not aware of a study that looked into this question.<a id="ref-5" class="ref" href="#note-5"><sup>5</sup></a></p><p>Of course no one can know how the future turns out and there is nothing that would make the progress we have seen in recent decades continue inevitably and not every global development pessimist is ill-informed. But what we do know from these surveys is that these two views go together: Those who are pessimistic are much more likely to have little understanding about what is happening in the world.</p><p>Obviously the question then is, why is it that better informed people are more optimistic about the future?</p><p>As we have seen, being wrong about global development mostly means being too negative about how the world is changing. Being wrong in these questions means having a cynical worldview. Cynicism suggests that nothing can be done to improve our situation and every effort to do so is bound to fail. Our history, the cynics say, is a history of failures and what we can expect for the future is more of the same.</p><p>In contrast to this, answering the questions correctly means that you understand that things can change. An accurate understanding of how global health and poverty are improving leaves no space for cynicism. Those who are optimistic about the future can base their view on the knowledge that it is possible to change the world for the better, because they know that we did.</p><p><a href="https://ourworldindata.org/wp-content/uploads/2018/07/Share-who-believe-that-the-world-will-be-better_by-knowledge-about-the-world.png" target="_blank"><img class="aligncenter size-large wp-image-19970" src="https://ourworldindata.org/wp-content/uploads/2018/07/Share-who-believe-that-the-world-will-be-better_by-knowledge-about-the-world-550x550.png" alt="" srcset="https://d33wubrfki0l68.cloudfront.net/cf1f6a0401769db8c600496e7d5ed93f0121bbd7/1b94e/wp-content/uploads/2018/07/share-who-believe-that-the-world-will-be-better_by-knowledge-about-the-world-150x150.png 150w, https://d33wubrfki0l68.cloudfront.net/2164c7b276a842f668883cefcf011354865cbcaf/e0305/wp-content/uploads/2018/07/share-who-believe-that-the-world-will-be-better_by-knowledge-about-the-world-400x400.png 400w, https://d33wubrfki0l68.cloudfront.net/413064b41da14ee4527db7db9adcd4610d4a25dd/4468c/wp-content/uploads/2018/07/share-who-believe-that-the-world-will-be-better_by-knowledge-about-the-world-550x550.png 550w, https://d33wubrfki0l68.cloudfront.net/651dfc6c229cff12550a90e8025e50a0be613452/e34c2/wp-content/uploads/2018/07/share-who-believe-that-the-world-will-be-better_by-knowledge-about-the-world-768x768.png 768w, https://d33wubrfki0l68.cloudfront.net/022984570882fa5d0d1a4c54d81d1a3b390893c0/1501b/wp-content/uploads/2018/07/share-who-believe-that-the-world-will-be-better_by-knowledge-about-the-world.png 2100w" sizes="(min-width: 800px) 50vw, 100vw"/></a></p><p><em><strong>Additional chart:</strong></em></p><p>For a <a href="https://ourworldindata.org/max-un-slides">talk</a> on this I made this summary of the charts above and I post it here in case you find it helpful.</p><p><a href="https://ourworldindata.org/wp-content/uploads/2018/07/4-Perception-summary.png" target="_blank"><img class="aligncenter wp-image-19971 size-medium" src="https://ourworldindata.org/wp-content/uploads/2018/07/4-Perception-summary-400x238.png" alt="" srcset="https://d33wubrfki0l68.cloudfront.net/b554d3f4308ef8849178929e144ab50a87a71a6f/4fee9/wp-content/uploads/2018/07/4-perception-summary-150x89.png 150w, https://d33wubrfki0l68.cloudfront.net/98610337b6af1892d771aa6f55ef59b1e515c1eb/f6894/wp-content/uploads/2018/07/4-perception-summary-400x238.png 400w, https://d33wubrfki0l68.cloudfront.net/05fd26a0c2a8355661ddb84ecc88f80512dac9bf/29cb7/wp-content/uploads/2018/07/4-perception-summary-750x447.png 750w, https://d33wubrfki0l68.cloudfront.net/6c93642092f5822dc7d58b28d41dafa80378f6e6/6699d/wp-content/uploads/2018/07/4-perception-summary-768x458.png 768w, https://d33wubrfki0l68.cloudfront.net/c3208c4c167c5c897fdc0d4f2e2dc67c38f6fdf5/1cb2c/wp-content/uploads/2018/07/4-perception-summary.png 3000w" sizes="(min-width: 800px) 50vw, 100vw"/></a></p></section>