title: Archipélisation : comment Framasoft conçoit les relations qu’elle tisse
url: https://framablog.org/2019/12/10/archipelisation-comment-framasoft-concoit-les-relations-quelle-tisse/
hash_url: ef5bbfde106a3477ff728bf27413672d

<p>Afin de clarifier le fonctionnement de nos partenariats, nous souhaitons partager avec vous un concept qui nous semble important : celui d’archipélisation.</p>

<div class="well"><p>Cet article fait partie des « </p><a href="https://contributopia.org/journal">Carnets de voyage de Contributopia</a><p> ». D’octobre à décembre 2019, nous y ferons le bilan des nombreuses actions que nous menons, lesquelles sont financées par vos dons (qui peuvent donner lieu à une réduction d’impôts pour les contribuables français). Si vous le pouvez, </p><a href="https://soutenir.framasoft.org">pensez à nous soutenir</a><p>.</p></div>
<p>Non, notre objectif n’est pas de continuer à entraîner votre bouche à prononcer des mots difficilement prononçables (comme « Dégooglisation » ou « Déframasoftisation »). Il s’agit plutôt d’aborder la façon dont Framasoft perçoit, et finalement expérimente ses relations avec les tiers.</p>
<p>Cet article, qui montre (un peu) de notre fonctionnement interne, est le fruit d’une réflexion au long cours, qui continue d’évoluer. Il est donc possible que nous n’y soyons pas parfaitement clair·es, mais il nous semblait utile et important de partager notre positionnement actuel.</p>
<h2>« Si tu as le cul entre deux chaises, trouve un canapé » (proverbe ébéniste)</h2>
<p>Framasoft est avant tout une communauté d’utilisatrices et d’utilisateurs. Cependant, son fonctionnement est clairement celui d’un réseau, non seulement de projets, mais aussi de partenaires. Ainsi, Framasoft bénéficie du soutien de nombreuses organisations (publiques, commerciales, associatives) qui permettent aux projets de croître et de se développer. Les échanges entre Framasoft et ces partenaires se situent donc plutôt du côté de l’amitié, de la reconnaissance, de la confiance mutuelle, ou du sentiment d’avancer ensemble dans la même direction.</p>
<p>Or la position de l’association est complexe : d’un côté nous savons que nous touchons de très nombreuses personnes (autour de 500 000 par mois) et que notre projet associatif est un succès, mais d’un autre côté nous affirmons régulièrement que nous ne souhaitons pas devenir porte-parole de quoi que ce soit, ni détenir un quelconque pouvoir ou position d’autorité en dehors de nos propres projets.</p>
<p>Nous sommes donc tiraillé⋅es entre deux univers : celui de l’association souvent identifiée comme l’une des portes d’entrée francophones aux enjeux du numérique, et celui du groupe d’ami⋅es qui souhaite faire de l’éducation populaire – et <a href="http://www.cemea-pdll.org/Qu-est-ce-que-l-education" target="_blank" rel="noopener noreferrer">donc politique</a> – en apprenant de projet en projet (c’est à dire, souvent, en se plantant et en tirant les enseignements de ses erreurs).</p>
<h2>Lutter ensemble, tout en respectant nos différences</h2>
<p>Nous avons souvent essayé de résoudre cette tension en adoptant des positions d’équilibriste : « Et eux ? On travaille avec eux ? », « Cette asso fait un gros boulot de fond, mais en interne la gestion semble compliquée. », « On est invité dans ce cadre, très institutionnel. On ne partage pas toutes leurs idées, mais ça peut être aussi l’occasion de faire entendre les nôtres. On y va ou pas ? ». Toutes les associations font face à ce type de problématiques à un moment ou à un autre. Il n’y a pas de bonne ou de mauvaise façon de faire, ni de cas généralisable à tout un secteur. Pour Framasoft, notre choix actuel est d’assumer que <a href="https://golb.statium.link/post/20191111prefigurer/" target="_blank" rel="noopener noreferrer">nos réflexions et nos actions se nourrissent de – et se confrontent à – l’expérience du quotidien</a>.</p>
<p>Le premier déclencheur concernant cette réflexion fut peut-être en 2016, alors que nous réfléchissions à la création du collectif <a href="https://chatons.org">CHATONS</a>, et que nous avons rencontré <a href="https://facil.qc.ca/" target="_blank" rel="noopener noreferrer">l’association québecoise FACiL</a>. Ces derniers nous ont alors proposé de signer une « convention d’amitié », qui contractualisait notre envie de « faire ensemble » tout en reconnaissant les différences de chaque structure. Ce fonctionnement très simple est à la fois engageant (on signe un document qui engage les deux organisations et qui les lient l’une à l’autre) et, paradoxalement, peu engageant (puisque chaque partie peut mettre fin à la convention, unilatéralement, lorsqu’elle le souhaite). Nous avons, depuis, signé plusieurs de ces « conventions d’amitié » avec d’autres organisations.</p>
<p>Le second déclencheur s’est fait lors du « <a href="http://forum-usages-cooperatifs.net/index.php/Accueil" target="_blank" rel="noopener noreferrer">Forum des Usages Coopératifs</a> » de Brest, en 2018, où nous retrouvions des compagnons de route, comme Laurent Marseault d’<a href="http://animacoop.net/" target="_blank" rel="noopener noreferrer">Animacoop</a>. Les discussions filaient bon train sur nos capacités à nous mobiliser sur des objectifs communs, tout en reconnaissant que nous n’avions ni les mêmes compétences, ni les mêmes méthodes de travail, ni les mêmes stratégies. Pourtant, nous sentions intuitivement qu’il y avait interdépendance entre leur objet (la formation aux usages coopératifs) et celui de Framasoft (participer à la transformation sociale par le « libre »). Suffisamment bousculé⋅es par ces discussions intenses, nous partagions notre réflexion lors des Rencontres Mondiales du Logiciel Libre.</p>
<figure id="attachment_19177" class="thumbnail wp-caption aligncenter"><a href="https://framablog.org/wp-content/uploads/2019/12/Sélection_097-1.png"><img class="borderimage wp-image-19177 size-full" src="https://framablog.org/wp-content/uploads/2019/12/Sélection_097-1.png" alt="" srcset="https://framablog.org/wp-content/uploads/2019/12/Sélection_097-1.png 1432w, https://framablog.org/wp-content/uploads/2019/12/Sélection_097-1-300x220.png 300w, https://framablog.org/wp-content/uploads/2019/12/Sélection_097-1-1024x752.png 1024w, https://framablog.org/wp-content/uploads/2019/12/Sélection_097-1-768x564.png 768w" sizes="(max-width: 1432px) 100vw, 1432px"/></a><figcaption class="caption wp-caption-text">Le concept d’archipélisation, appliqué aux relations inter-structures.</figcaption></figure>
<p>Le troisième déclencheur, est venu, lui, des lectures d’<a href="https://fr.wikipedia.org/wiki/%C3%89douard_Glissant" target="_blank" rel="noopener noreferrer">Édouard Glissant</a>.<br/>
Édouard Glissant (1928-2011), écrivain, poète, philosophe martiniquais, est considéré comme l’un des penseurs les plus importants au monde du concept d’archipélisation. C’est aussi un théoricien de la relation, qui est le lieu par excellence de la lutte comme celui de la prédation.</p>
<h2>Mais… c’est quoi l’archipélisation ?</h2>
<p>L’archipélisation est une métaphore insulaire (rappelons qu’Édouard Glissant est né dans l’archipel des Antilles), ne décrivant pas des entités isolées et évoluant selon leurs propres règles, mais comme un ensemble de petites structures indépendantes dont la capacité de développement repose sur la coopération, la mutualisation.</p>
<p>« J’appelle créolisation la rencontre, l’interférence, le choc, les harmonies et les dysharmonies entre les cultures. » Par ces mots, Édouard Glissant fait de la « créolisation » une décontinentalisation, qu’il nomme archipélisation, et qu’il corrèle à ce qu’il appelle le « tout-monde ». Le monde entier, pour lui, se créolise et s’archipélise.</p>
<p>Une autre façon d’appréhender ce concept est de penser un réseau de petites structures agiles et flexibles reliées entre elles par des outils conviviaux.</p>
<p>Cette notion, si elle est associée à celle des <a href="https://fr.wikipedia.org/wiki/Outil_convivial" target="_blank" rel="noopener noreferrer">outils conviviaux</a> d’<a href="https://fr.wikipedia.org/wiki/Ivan_Illich" target="_blank" rel="noopener noreferrer">Ivan Illich</a> ou la figure du <a href="https://fr.wikipedia.org/wiki/Rhizome_(philosophie)" target="_blank" rel="noopener noreferrer">rhizome</a>, héritée de Deleuze et Gattari, déjoue l’opposition entre centre et périphérie. Il s’agit donc de passer d’une vision continentale, où on essaye de faire continent tous ensemble, à une « archipélisation » d’îlots de résistance émergents. L’objectif n’est donc plus de construire un mouvement unique, monolithique, mais bien d’envisager l’avancée des luttes sous forme de coopérations entre ces différents îlots, sans essayer de se convaincre de tous faire la même chose.</p>
<p>Évidemment, nous n’avons pas toutes et tous la même histoire, la même capacité de résistance, les mêmes privilèges, les mêmes tempéraments, les mêmes moyens financiers… Mais il nous parait possible de se reconnaître différent⋅es, de respecter la diversité de chacun et chacune dans leurs stratégies et leurs tactiques, tout en partageant des buts communs.</p>
<figure id="attachment_19174" class="thumbnail wp-caption aligncenter"><a href="https://framatube.org/videos/watch/7e261f9e-242c-4100-a0bd-268dab321114?start=53m32s&amp;stop=55m22s"><img class=".borderimage wp-image-19174 size-full" src="https://framablog.org/wp-content/uploads/2019/12/Sélection_094.png" alt="Vidéo PeerTube. Evocation du concept pour Framasoft, lors du Capitole du Libre 2018. (cliquez sur l'image pour voir la vidéo)" srcset="https://framablog.org/wp-content/uploads/2019/12/Sélection_094.png 1903w, https://framablog.org/wp-content/uploads/2019/12/Sélection_094-300x140.png 300w, https://framablog.org/wp-content/uploads/2019/12/Sélection_094-1024x477.png 1024w, https://framablog.org/wp-content/uploads/2019/12/Sélection_094-768x358.png 768w, https://framablog.org/wp-content/uploads/2019/12/Sélection_094-1536x715.png 1536w" sizes="(max-width: 1903px) 100vw, 1903px"/></a><figcaption class="caption wp-caption-text">Evocation du concept pour Framasoft, lors du Capitole du Libre 2018. (cliquez sur l’image pour voir la vidéo)</figcaption></figure>

<h2>Baigner dans des eaux communes</h2>
<p>Cette notion d’archipélisation nous permet de poser un cadre temporaire de nos relations avec d’autres structures. À la fois une manière de faire collectif (sans forcément penser la même chose), et une manière d’être aux autres (avec ce qu’ils et elles nous apportent, ce que nous leur apportons, sans pour autant les absorber ou être absorbés par elles et eux, sans pour autant les adouber ou être adoubés par elles et eux).</p>
<p>Historiquement, nos premiers partenaires sont issus de la communauté du mouvement libriste (<a href="https://april.org">APRIL</a>, <a href="https://aful.org">AFUL</a>, <a href="https://aldil.org">ALDIL</a>, <a href="https://ffdn.org">FFDN</a>, les <a href="https://fr.wikipedia.org/wiki/Groupe_d%27utilisateurs_Linux">GULL</a>, <a href="https://dogmazic.net">Dogmazic</a>, <a href="https://linuxfr.org">LinuxFr</a>, <a href="https://sesamath.org">Sesamath</a>, <a href="https://www.wikimedia.fr/">Wikimedia France</a>, etc.), de défense des internautes (<a href="https://laquadrature.net">La Quadrature Du Net</a> ou <a href="https://exodus-privacy.eu.org/fr/">Exodus Privacy</a>) et du mouvement des communs (<a href="http://www.savoirscom1.info/">Savoirs Com1</a>, Le <a href="http://forum-usages-cooperatifs.net/index.php/Accueil">Forum des Usages Coopératifs</a>, La <a href="https://www.lamyne.org/">MYNE</a>, etc.).</p>
<p>Framasoft travaille depuis quelques années au développement de partenariats avec des structures proches-mais-pas-libristes, dans l’optique de mettre un pied dans la porte à la fois au bénéfice de Framasoft (qui touche d’autres publics), mais aussi des valeurs du libre, d’une part en créant du lien de la sphère libriste vers d’autres structures, d’autre part en ayant un dialogue rapproché avec elles afin de mieux écouter leurs demandes. L’idée commune reste la même : outiller la société de contribution (ou, si vous préférez, <em>Accompagner celles et ceux qui veulent changer le monde, vers des usages numériques cohérents avec leurs valeurs</em>).</p>
<h2>Euh, et concrètement ?</h2>
<p>Concrètement, Framasoft a aujourd’hui un partenariat fort avec une structure comme les <a href="http://cemea.asso.fr/">CEMEA</a> (association d’éducation populaire), sans que cela ne nous empêche de travailler avec d’autres acteurs majeurs de l’éducation populaire comme La Ligue de l’Enseignement (sur un MOOC CHATONS dont nous vous parlions la semaine dernière) ou les <a href="http://www.cnajep.asso.fr/">CRAJEP</a> (sur le projet <a href="https://framablog.org/2019/10/31/benevalibre-liberez-vos-benevoles-de-la-startupnation/">Bénévalibre</a> évoqué il y a quelques semaines).</p>
<p>Nous pouvons aussi avoir de belles relations avec <a href="http://antipub.org/">Résistance à l’Agression Publicitaire</a> (autour de différents projets, dont <a href="https://framablog.org/2019/10/25/framapetitions-est-mort-vive-pytition/">Pytitions</a> que nous vous présentions en octobre) ; sans pour autant entrer dans le « tout sauf Qwant » (même si nous demeurons critiques quant à cette entreprise vivant, justement, de la publicité et à ses méthodes de communication et de management).</p>
<p>Nous pouvons avoir <a href="https://framabook.org">notre propre maison d’édition</a> et travailler avec <a href="https://lavolte.net/">les éditions La Volte</a> sur la question des imaginaires ou <a href="https://framablog.org/2019/11/29/hold-up-sur-les-donnees-de-sante-patients-et-soignants-unissons-nous/">celui de la santé</a>.</p>
<p>Nous pouvons accompagner la <a href="https://ffmc.asso.fr/">Fédération Française des Motards en Colère</a> dans sa « <a href="https://degooglisons-internet.org">dégooglisation</a> » (tout en étant parfaitement conscients que son objet premier est de fédérer les usager⋅es de véhicules utilisant des énergies fossiles), et en parallèle <a href="https://colibris-outilslibres.org/">conseiller</a> le mouvement écologiste « <a href="https://www.colibris-lemouvement.org/">Colibris</a> » (là encore, tout en étant critiques sur l’aspect individualiste porté par la fable du Colibri, et vigilant⋅es sur la réputation d’un de ses co-fondateurs, <a href="https://fr.wikipedia.org/wiki/Pierre_Rabhi#Critiques_et_controverses" target="_blank" rel="noopener noreferrer">Pierre Rabhi</a>).</p>
<p>Nous pouvons tout à la fois soutenir le programme <a href="https://www.helloasso.com/pana/">PANA</a> d’<a href="https://www.helloasso.com/">HelloAsso</a> (qui n’a rien d’une asso et tout d’une startup), et annoncer chercher à <a href="https://framablog.org/2019/10/29/identifions-les-acteurs-et-actrices-de-laccompagnement-numerique-libre/">identifier les acteur⋅ices de la formation au libre</a>. Nous pouvons aussi suivre de près ce que fait <a href="https://lamednum.coop/">la MedNum</a>, et travailler avec des acteurs de terrain comme <a href="https://ritimo.org">Ritimo</a>, <a href="https://dérivation.fr/">La Dérivation</a> ou <a href="http://animacoop.net/">Animacoop</a>.</p>
<h2>Naviguer à la boussole de notre éthique et au compas de nos effets</h2>
<p>Il ne s’agit pas pour nous de nous cacher derrière du « et en même temps » : nous faisons, quotidiennement, des choix (des choix réfléchis, pesés, informés), qui appuient une stratégie. Nous comprenons que certains acteurs cités ci-dessus paraîtront parfois trop politisés, parfois dépolitisants. Comme lorsque nous annonçons être <a href="https://framablog.org/2019/11/22/une-coalition-francaise-pour-la-defense-et-la-promotion-de-lespace-democratique/">membre fondateur de L.A. Coalition</a> – qui compte aussi des associations telles que <a href="https://tousmigrants.weebly.com/">Tous migrants</a> ou <a href="https://adm-musulmans.com/">Action Droits des Musulmans</a>. Comme lorsque nous réfutons l’opprobre par association (« Le caca de ton partenaire est ton caca »). Comme lorsque nous affirmons que nous refusons de travailler avec l’extrême-droite.</p>
<p>Nos relations partenariales sont le fruit d’une réflexion sur le temps long. Nous pensons qu’il est possible d’agir à certains endroits, tout en étant critique du contexte. Nous concevons aujourd’hui Framasoft comme une île au sein d’un archipel. Tisser des ponts vers d’autres îles où d’autres que nous font d’autres choses, ne signifie pas qu’on y plante notre drapeau (ni qu’on se laisse imposer le leur).</p>
<p>Certaines relations que nous entretenons avec d’autres îles (du même archipel ou d’un autre archipel) peuvent ne pas vous convenir, et vous pouvez donc les critiquer. Nous vous écoutons. Nous vous lisons. Nous discutons même, quand nous le pouvons. Mais nous traçons nos propres limites, nos propres stratégies. Nous ne sommes pas « vous ». Nous sommes là où nous voulons être.</p>
<figure id="attachment_19178" class="thumbnail wp-caption aligncenter"><img class="wp-image-19178 size-large" src="https://framablog.org/wp-content/uploads/2019/12/photo-1459891373124-d2ab1e3ed58e-1024x683.jpg" alt="" srcset="https://framablog.org/wp-content/uploads/2019/12/photo-1459891373124-d2ab1e3ed58e-1024x683.jpg 1024w, https://framablog.org/wp-content/uploads/2019/12/photo-1459891373124-d2ab1e3ed58e-300x200.jpg 300w, https://framablog.org/wp-content/uploads/2019/12/photo-1459891373124-d2ab1e3ed58e-768x512.jpg 768w, https://framablog.org/wp-content/uploads/2019/12/photo-1459891373124-d2ab1e3ed58e.jpg 1051w" sizes="(max-width: 1024px) 100vw, 1024px"/><figcaption class="caption wp-caption-text">Libriste quittant son archipel pour d’autres militances – Allégorie ;)</figcaption></figure>
<h2>C’est bien plus beau lorsque <a href="https://www.lettres-et-arts.net/anthologie/mort-anthologie-textes-poemes/mort-cyrano-bergerac-rostand+156" target="_blank" rel="noopener noreferrer">c’est inutile</a> !</h2>
<p>Nous répétons souvent « La route est longue, mais la voie est libre ». Mais cela ne signifie pas qu’elle ne soit pas semée d’embûches. :)</p>
<p>Depuis près de 20 ans, Framasoft agit pour promouvoir un numérique émancipateur. Nous avons bien entendu remporté quelques batailles, mais force est de constater que les <a href="https://fr.wikipedia.org/wiki/GAFAM">GAFAM</a>, bien que critiqués de toutes parts quotidiennement, n’ont jamais été aussi puissants et aussi présents. Comment, dans ce cas, ne pas reconnaître que notre combat, s’il n’est pas futile pour autant, nous oblige à beaucoup d’humilité face à l’incertitude de son issue ?</p>
<p>Sur la façon de mener des luttes qui paraissent impossibles, que cela soit contre les géants du numérique, pour des outils libres et conviviaux, ou contre le capitalisme (de surveillance ou pas), nous aimerions <a href="https://www.liberation.fr/debats/2019/10/22/corinne-morel-darleux-refuser-un-poste-sortir-de-la-surconsommation-c-est-affirmer-que-cette-societe_1759102" target="_blank" rel="noopener noreferrer">citer la militante Corinne Morel-Darleux</a> :</p>
<blockquote><p>Plus les victoires futures sont hypothétiques, plus on a besoin de s’abreuver à d’autres sources de l’engagement. Il est des combats qu’on mène non pas parce qu’on est sûr de les gagner, mais simplement parce qu’ils sont justes ; c’est toute la beauté de l’engagement politique. Il faut remettre la dignité du présent au cœur de l’engagement : rester debout, digne, ne pas renoncer à la lutte. Il y a toujours des choses à sauver ! C’est une question d’élégance, de loyauté, de courage, valeurs hélas un peu désuètes. Il s’agit d’avoir des comportements individuels en accord avec notre projet collectif, comme l’a formulé l’anarchiste Emma Goldman (1869-1940) : <em>« On peut marier radicalité du fond et aménité de la forme, action radicale et élégance. Je plaide pour le retour du panache ! »</em></p></blockquote>
<p>Comme les harmonies et les dysharmonies évoquées par Édouard Glissant, nous reconnaissons le caractère ténu, fluctuant, impermanent, « tremblant » de nos relations avec les autres. Si, comme à nous, cette idée vous paraît pertinente, vous pouvez vous en emparer pour rejoindre ou faire émerger « votre » île, avec ce qu’elle comporte de spécificités en termes de stratégies et de tactiques, puis tisser les liens de votre choix dans un archipel de luttes et de mobilisations collectives auprès des militances qui vous importent.</p>
