title: The Planet Needs a New Internet
url: https://earther.gizmodo.com/the-planet-needs-a-new-internet-1837101745
hash_url: feb30a892b67bd8233bdaed6bdd4e0b8

<p>When climate change comes for our <a href="https://earther.gizmodo.com/more-than-half-of-wild-coffee-species-could-go-extinct-1831807896" rel="nofollow">coffee</a> and our <a href="https://earther.gizmodo.com/move-over-rose-climate-change-will-mean-new-wines-1821740888" rel="nofollow">wine</a>, we’ll moan about it on Twitter, read about it on our favorite websites, and watch diverting videos on YouTube to fill the icy hole in our hearts. We’ll do all this until the websites go dark and the networks go down because eventually, climate change will come for our internet, too.<br/></p>
<p>That is, unless we can get the web ready for the coming storms. </p>
<p>Huge changes will be needed because right now, the internet is unsustainable. On the one hand, rising sea levels threaten to swamp the cables and stations that transmit the web to our homes; rising temperatures could make it more costly to run the data centers handling ever-increasing web traffic; wildfires could burn it all down. On the other, all of those data centers, computers, smartphones, and other internet-connected devices take a prodigious amount of energy to build and to run, thus contributing to global warming and hastening our collective demise.</p>
<p>To save the internet and ourselves, we’ll need to harden and relocate the infrastructure we’ve built, find cleaner ways to power the web, and reimagine how we interact with the digital world. Ultimately, we need to recognize that our tremendous consumption of online content isn’t free of consequences—if we’re not paying, the planet is.</p><aside class="pullquote align--center"><span class="pullquote__helper"/><span class="pullquote__content">To save the internet and ourselves, we’ll need to harden and relocate the infrastructure we’ve built, find cleaner ways to power the web, and reimagine how we interact with the digital world.</span><span class="pullquote__helper"/></aside><h3><strong>Drowning infrastructure</strong></h3>
<p>You probably don’t think about it when you’re liking a photo or reading an article, but everything you do online is underpinned by a globe-spanning labyrinth of <a href="http://internetatlas.org/" target="_blank" rel="noopener">physical infrastructure</a>. There are the data centers hosting the web and managing enormous flows of information on the daily. There are the fiber cables transmitting data to into our homes and offices, and even across oceans. There are cell towers sending and receiving countless calls and texts on the daily.</p>
<p>By and large, this infrastructure wasn’t built with a changing climate in mind. Researchers and companies are only now starting to explore how threatened it is, but what they’ve found so far is alarming. </p>
<p>Take a <a href="https://ix.cs.uoregon.edu/~ram/papers/ANRW-2018.pdf" target="_blank" rel="noopener">study</a> published last year by researchers at the University of Oregon and the University of Wisconsin-Madison. The authors decided to examine the internet’s vulnerability to sea level rise by overlaying projections of coastal inundation from the National Oceanic Atmospheric Administration with internet infrastructure data compiled by <a href="http://internetatlas.org/" target="_blank" rel="noopener">Internet Atlas</a>. They found that within the next 15 years, in a scenario that projects about a foot of sea level rise by then, 4,067 miles of fiber conduit cables are likely to be permanently underwater. In New York, Los Angeles, and Seattle, the rising seas could drown roughly 20 percent of all metro fiber conduit. These are the lines that physically ferry our Internet traffic from place to place. Another 1,101 “nodes”—the buildings or places where cables rise out of the ground, which often house computer servers, routers, and network switches to move our data around—are also expected to be swamped. </p>
<p>And that’s just in the United States. As far as senior study author Paul Barford knows, this vulnerability hasn’t been systematically studied elsewhere. But he expects to find a similar situation around the world. </p>
<p>“There’s a huge amount of human population that lives within close proximity of coastlines, and communications infrastructure has been deployed to support their needs,” Barford told Gizmodo. <strong> </strong></p>
<p>Barford was reluctant to speculate how big of an internet disruption the coming cable inundation could cause. Conduits are <a href="https://www.idacs.uk.com/images/uploads/downloads/Datwyler_WP_Water_Impact_FO_2014.pdf" target="_blank" rel="noopener">typically sheathed in a tough, water-resistant</a> polyethylene tube, and unlike electrical wires, the fiber ribbons inside <a href="https://www.idacs.uk.com/images/uploads/downloads/Datwyler_WP_Water_Impact_FO_2014.pdf" target="_blank" rel="noopener">can handle some water intrusion</a>. But, as the study puts it, “most of the deployed conduits are not designed to be under water permanently.” If water molecules work their way into fiber micro-cracks, that could cause their signal to degrade. Electrical connections to the fiber cables could be fried, and if a submerged cable froze, the fibers could physically break.</p>
<p>Nobody knows how long it would take the damage to unfold. But Barford suspects that much of the at-risk infrastructure ultimately will have to be hardened in place or redeployed on higher ground. “It’s gonna be a major amount of work,” he said.</p>
<p>Gizmodo reached out to telecommunications companies flagged by the study as having the most vulnerable infrastructure to learn if this issue was on their radar. Several didn’t respond, one said they aren’t doing anything about the threat, and another indicated their networks would be fine because of “proper redundancy and route diversity.”</p>
<p>Dave Schaeffer, CEO of telecommunications company Cogent, expressed confidence in the fortitude of the cables. But Schaeffer did say there’s reason to worry about those places<strong> </strong>where the cables come out of the ground. </p>
<p>“Those would be impacted directly if those buildings came underwater,” he said, adding that while most nodes in their network sit least 20 feet above sea level, more powerful storm surges could pose a growing threat. The company got a taste of what may be to come during superstorm Sandy, when a network hub housed at 10 Pine Street in New York City was inundated by storm surge and the company was forced to move its generator and a fuel tank to a higher floor, a process that took several months.</p>
<p>At least one telecommunications company is now explicitly planning for future climate disruptions. Earlier this year AT&amp;T <a href="https://gizmodo.com/at-t-uses-supercomputer-to-map-out-how-climate-change-w-1834056763" target="_blank" rel="noopener">partnered with Argonne National Labs</a> to build a “Climate Change Analysis Tool,” which Chief Sustainability Officer Charlene Lake told Gizmodo will allow the company “to visualize the risks of sea-level rise—at the neighborhood level and 30 years into the future—so we can make the adaptations that are necessary today in order to help ensure resilience.” Lake added that AT&amp;T is also piloting the tool for high winds and storm surges, and in the future plans to incorporate other climate impacts, like drought and more severe wildfires. </p>
<p>Barford also flagged the threat of wildfires and storm surges as two areas of future investigation for his group. Then there’s the fact that climate change is driving temperatures up, which could  increase the need for cooling at data centers, particularly those built in warm climates.</p>
<p>Ironically, in a world where these energy-intensive facilities have to draw even <em>more</em> power to stay cool during, say, a heat wave, local grids potentially could be placed at greater risk of brownouts, like the one that <a href="https://www.nytimes.com/2019/07/21/nyregion/nyc-heat-wave.html" target="_blank" rel="noopener">affected 50,000 customers in New York City last month</a>. And while it’s purely hypothetical,<strong> </strong>if a major data center went dark, that could lead to widespread service disruptions. </p>
<p>As Barford put it, “there are cascading effects here that are complicated and deserve attention.”</p><h3><strong>Skyrocketing energy use</strong></h3>
<p>The internet may be threatened by climate change, but it’s hardly an innocent victim. Our collective addiction to the digital realm has an enormous climate impact. </p>
<p>“The digital mythology is built on words like cloud,” <a href="https://theshiftproject.org/en/team/" target="_blank" rel="noopener">Maxime Efoui</a>, an engineer and researcher at the French think-tank Shift Project, told Gizmodo. “Something that isn’t really real. That’s how we picture it.”</p>
<p>The reality, though, is that it takes loads of energy to stream all those on-demand videos and back up all those photos to the cloud. Anders Andrae, Senior Expert of Life Cycle Assessment at Huawei, told Gizmodo that the internet as a whole—including the energy used to power data centers, networks, and individual devices, as well as the energy used during the manufacturing of those devices—is responsible for about 7 percent of global electricity consumption, with power demands growing at around 8 percent per year. A <a href="https://theshiftproject.org/en/article/unsustainable-use-online-video/" target="_blank" rel="noopener">report</a> the Shift Project published in July found that digital technologies now accounts for 4 percent of the world’s greenhouse gas emissions—more than the entire aviation sector. And that footprint could double to 8 percent by 2025. </p><aside class="pullquote align--center"><span class="pullquote__helper"/><span class="pullquote__content">“...people seem to be astonished by the fact that servers run on electricity and electricity comes often from fossil fuels.” </span><span class="pullquote__helper"/></aside>
<p>Gary Cook, an IT sector analyst with Greenpeace, said this footprint is being driven by skyrocketing data demands, particularly in more affluent countries. There are numerous culprits here, including the shift to next-generation networks like 5G which will allow for greater data flows, the rise of artificial intelligence, the proliferation of an internet of things, all those energy-gobbling Bitcoin transactions, and online video streaming, which accounted for a full 60 percent of global web traffic in 2018, per the Shift Project. From storing the videos in data centers to transferring them to our computers and smartphones via cables and mobile networks, everything about watching videos online requires electricity, so much so that our collective streaming <a href="https://earther.gizmodo.com/your-binge-watching-of-netflix-and-porn-is-contributing-1836311475" rel="nofollow">emitted as much carbon</a> as all of Spain last year. </p>
<p>If these numbers seem shocking to you, well, you’re not alone. “Every single time I speak to people who work in tech, people seem to be astonished by the fact that servers run on electricity and electricity comes often from fossil fuels,” <a href="https://twitter.com/mrchrisadams" target="_blank" rel="noopener">Chris Adams</a>, a director at the <a href="https://www.thegreenwebfoundation.org/" target="_blank" rel="noopener">The Green Web Foundation</a>, a group that helps companies shift to renewable web hosting, told Gizmodo. </p>
<p>Clearly, the internet’s reliance on fossil fuels needs to change if we’re to stave off climate change’s worst impacts. An obvious place to start greening the energy supply is at those data centers, a huge and fast-growing piece of the pie that currently accounts for about 2 percent of global electricity use, according to a <a href="https://docs.google.com/document/d/1eCCb3rgqtQxcRwLdTr0P_hCK_drIZrm1Dpb4dlPeG6M/edit" target="_blank" rel="noopener">recent white paper</a>. </p>
<p>Encouragingly, some tech companies have begun to do so. Apple now <a href="https://earther.gizmodo.com/so-about-apples-100-percent-renewable-energy-announcem-1825173930" rel="nofollow">runs all of its data centers on renewables</a> that it either owns or purchases in local markets.<strong> </strong><a href="https://cloud.google.com/sustainability/" target="_blank" rel="noopener">Google</a> and <a href="https://blogs.microsoft.com/green/category/data-centers/" target="_blank" rel="noopener">Microsoft Azure</a>, two of the biggest cloud companies, are purchasing renewable energy credits to match their data center growth. This means as their electricity use rises, the companies are paying for an <a href="https://storage.googleapis.com/gweb-sustainability.appspot.com/pdf/24x7-carbon-free-energy-data-centers.pdf" target="_blank" rel="noopener">equal amount of renewable energy</a> to be built elsewhere. While this so-called offsetting strategy doesn’t eliminate the use of fossil fuel energy to power the data centers directly, both Google and Microsoft Azure say they have a long term goal of getting there. Google told Gizmodo that many of the company’s data centers already see “a strong degree of hourly matching with regional carbon-free energy,” while Microsoft Azure said it expects to source 60 percent of its data center electricity needs directly from renewables by the end of the year.</p>
<p>Because it boosts their bottom line, tech companies are also constantly improving data centers’ power use efficiency, and there’s <a href="https://www.mdpi.com/journal/electronics/special_issues/data_centers" target="_blank" rel="noopener">no shortage of ideas</a> for how to push things further. Google is now using AI to automate data center cooling, while Alibaba Cloud, a major cloud service in China, boasts an “<a href="https://www.alizila.com/alicloud-unveils-energy-efficient-data-center-video-2/" target="_blank" rel="noopener">immersion liquid cooling technology</a>” that it says can reduce data center cooling needs by up to 90 percent. Some researchers have even suggested new <a href="https://www.infoq.com/presentations/vision-climate-change/" target="_blank" rel="noopener">data centers be built in Greenland</a>, where A.C. needs would be minimal and clean hydropower is abundant.</p>
<p>However,<strong> </strong>Anne Currie, an engineer, science fiction author, and advocate for greening data centers, cautioned that efficiency improvements alone won’t clean up the internet, because the more efficient things are, the more <a href="https://en.wikipedia.org/wiki/Jevons_paradox" target="_blank" rel="noopener">we use them</a>.<strong> </strong>“We just need to make it socially unacceptable to be hosting the internet on fossil fuels,” Currie said.</p>
<p>And most experts Gizmodo spoke with agreed that the tech industry isn’t moving in that direction fast enough. Disturbingly, Amazon Web Services, the world’s largest cloud provider, has since late 2014 tripled its data center operations in Virginia, a state gets just a <a href="https://www.eia.gov/state/print.php?sid=VA" target="_blank" rel="noopener">small fraction of its power</a> from renewable wind and solar, according to a <a href="https://www.greenpeace.org/usa/reports/click-clean-virginia/" target="_blank" rel="noopener">recent report</a> by Greenpeace.<strong> </strong>AWS has also come under fire for its lack of transparency surrounding climate issues, including failing to report energy consumption and carbon emissions figures. (Amazon has said it will <a href="https://www.cnbc.com/2019/03/08/jeff-bezos-to-end-secrecy-over-amazons-role-in-carbon-emissions.html" target="_blank" rel="noopener">start reporting its carbon footprint</a> this year.)</p>
<p>Reached for comment, Amazon Web Services called the Greenpeace report’s data on its energy consumption and renewables mix “inaccurate”, adding that the report overstates “both AWS’s current and projected energy use” and “does not properly highlight” the company’s <a rel="nofollow" data-amazonasin="" data-amazonsubtag="[t|link[p|1837101745[au|1506793228[b|gizmodo[lt|text" data-amazontag="earther-20" href="https://aws.amazon.com/about-aws/sustainability/?tag=earther-20&amp;ascsubtag=71da5491bfead53031899bf25a8035789a8d9bd3">investments in solar projects</a> in Virginia. (Greenpeace asserts AWS’ data center growth in Virginia “far exceeds” these investments.) AWS added that it remains “firmly committed” to achieving its goal of 100 percent renewable energy for its global infrastructure, noting that it exceeded 50 percent renewable energy in 2018. </p>
<p>AWS has not stated when it aims to reach its 100 percent goal, and did not offer a target date, nor a date when one might be announced, when Gizmodo asked. Orion Stanger, a software engineer and member of Amazon Employees for Climate Justice, an employee-led organization that sprung up late last year to push Amazon to take more aggressive action on climate change, said Amazon’s continued failure to put a date on that goal is a problem.</p>
<p> “We could even go backwards to 20 percent [renewables] and then by some later date hit 100 percent and that would still qualify under the goal we’ve set,” Stanger told Gizmodo. He’d like to see his company set science-based targets around emissions reductions throughout its operation, including at data centers.</p>
<p>“We really want Amazon to lead on climate,” Stanger went on. “It’s been very much a follower in this space.”</p>
<p><a href="https://medium.com/@PaulDJohnston" target="_blank" rel="noopener">Paul Johnston</a>, a former AWS employee and green data center advocate,<strong> </strong>felt that unless companies are fined for their impact or otherwise incentivized to switch to renewables, the energy transition won’t keep pace with what science says is needed to avoid the worst impacts of climate change. </p>
<p>“I don’t think there’s any way around it,” he said when asked if government regulation will be necessary to compel companies to make the necessary shifts. </p>
<p>For some data centers, more regulation finally may be on the horizon. In July, Amsterdam, reportedly the <a href="https://www.dutchdatacenters.nl/en/dutchdatacenters2019/" target="_blank" rel="noopener">largest data center hub</a> in Europe, placed a temporary moratorium on building new data centers until some ground rules could be established concerning their operation. The city <a href="https://www.amsterdam.nl/bestuur-organisatie/college/wethouder/marieke-doorninck/persberichten/regie-vestiging-datacenters-amsterdam/" target="_blank" rel="noopener">wants to set requirements</a> that data centers use clean energy, and it wants the facilities to capture the prodigious waste heat they produce—yet another way data centers contribute to warming—and provide it to local citizens for free. </p>
<p>Amsterdam’s decision to pump the brakes on new data centers comes after the city’s data center power usage grew by a staggering <a href="https://www.dutchdatacenters.nl/en/dutchdatacenters2019/" target="_blank" rel="noopener">20 percent</a> last year. Cook was glad to see the city “stepping in and trying to do a reset on how to manage growth.”</p>
<p>“Voluntary stuff has taken us so far,” he said. “Ultimately we need to have government step in and level the playing field.”</p><h3><strong>Digital “sobriety”</strong></h3>
<p>Powering our data centers, networks, and cities with more renewable energy would go a long way toward reducing the internet’s climate impact. But the uncomfortable reality that it’s going to be hard to keep up in a world where we’re spending ever-increasing amounts of time watching videos and playing games online, browsing the web and scrolling our social media feeds (four activities that, together, make up nearly 90 percent of traffic downloaded from the web, according to a <a href="https://www.sandvine.com/hubfs/downloads/phenomena/2018-phenomena-report.pdf" target="_blank" rel="noopener">2018 report</a> by networking company Sandvine).</p>
<p>Some advocates say we need to pump the brakes on all this consumption. In its recent report about online video, the Shift Project is called for a revolution of “digital sobriety”, which Efoui described as implementing policies to constrain the internet’s growth in a world of finite resources.<br/></p>
<p>“If we really understand the gravity of the constraints that are coming to us and to our systems that we built... we have to take them into account,” he said. </p>
<p>How we’d actually go about constraining the web is an open question. Should governments impose emissions limits on server farms and data centers, and fine companies that exceed them? Should streaming services like Netflix encourage us to watch in standard definition over HD? Will grassroots campaigns to unplug spring up around the world, similarly to the emerging movement to <a href="https://www.theguardian.com/travel/2019/may/22/could-you-give-up-flying-meet-the-no-plane-pioneers" target="_blank" rel="noopener">give up flying</a>? Efoui thinks we will need to gather “a lot of solutions together” and that different places will adopt different strategies depending on their infrastructure and society’s needs.</p>
<p>The changes don’t all have to be huge. In fact, a burgeoning field of research known as sustainable interaction design is showing that small tweaks to apps and websites can have a serious impact on consumption. A <a href="https://research-information.bristol.ac.uk/en/publications/evaluating-sustainable-interaction-design-of-digital-services(e11edf4c-9676-4608-a122-38ff031ffdbc).html" target="_blank" rel="noopener">recent study</a> on YouTube found that simply allowing users to turn off video streaming when they’re listening to music could slash the service’s 11-million ton a year carbon footprint by up to 5 percent. As the researchers note, that’s “comparable in scale” to the climate benefits Google has achieved by purchasing renewables to power YouTube’s servers.</p>
<p>And it’s just one intervention. A notification that encourage social media users to take a break from feed-scrolling is another possibility. Or, websites could get rid of all those autoplay ads nobody asked for. <a href="https://www.lancaster.ac.uk/scc/about-us/people/kelly-widdicks" target="_blank" rel="noopener">Kelly Widdicks</a>, a PhD student at Lancaster University whose studies the impact of internet-enabled device use on society and the environment, noted that Facebook’s decision to start <a href="https://gizmodo.com/facebook-messenger-will-now-include-autoplaying-ads-wit-1826947581" target="_blank" rel="noopener">autoplaying ads everywhere</a> “increased traffic massively” for many users. </p>
<p>“Before you had to interact with the platform to watch something,” Efoui said. “Now you have to interact with the platform to stop watching. That’s actually a big change.”</p>
<p>Widdicks felt that companies might roll out some changes voluntarily if their customers made enough noise over, say, the health benefits of watching less. But she also saw value in thinking about what sorts of limits and restrictions ought to be imposed. Mike Hazas, a Reader at Lancaster University who studies the relationship between technology and sustainability, agreed, noting that researchers have estimated the internet could consume <a href="https://www.mdpi.com/2078-1547/6/1/117/htm" target="_blank" rel="noopener">more than a fifth</a> of the world’s electricity by 2030. </p>
<p>“If we were to double the airline industry by 2030, that’d be a major topic of discussion,” he said. (Indeed, it <a href="https://www.nationalgeographic.com/environment/urban-expeditions/transportation/air-travel-fuel-emissions-environment/" target="_blank" rel="noopener">has</a> <a href="https://www.forbes.com/sites/greatspeculations/2016/08/30/what-are-the-factors-behind-soaring-air-travel-growth/#61e4920d258d" target="_blank" rel="noopener">been</a>, <a href="https://www.theguardian.com/business/2013/jun/11/boeing-commercial-planes-double-asia-pacific" target="_blank" rel="noopener">for years</a>.)</p>
<p>No one can say what shape the future internet will take, but things can’t go on the way they are now. And while individual actions alone won’t get us out of this mess, if enough of us change our behavior it will make a difference. And there are plenty of places to start.</p>
<p>We can ease up on our social media use. We can think twice before letting that next episode autoplay, or kick it old school and return to broadcast, which Hazas described as “very efficient” compared to streaming. We can make sure to host websites and buy cloud space with companies that have demonstrated a real commitment to clean energy.</p>
<p>Most of all, Hazas said, it’s important that we “make a conscious decision” rather than allowing ourselves get swept along through an endless buffet of content. “These are very well designed services,” he said. “They keep us using them.”</p>
